'use strict';

var ngApp = angular.module('myNgApp', ['ngSanitize']);

ngApp.controller('AppCtrl', ['$scope', '$http', '$timeout', '$sce', function($scope, $http, $timeout, $sce)
{
  $scope.showPageNoDiv = true;
  $scope.documents = [];
  $scope.document = {};
  $scope.pageQueue = [];
  $scope.noOfPageToLoad = 2;
  $scope.references = [];
  $scope.filter = {};
  $scope.filter.exactMatch = false;
  $scope.filter.showSecondaryLabel = false;
  $scope.filterData = [];
  $scope.triggerFocused = false;
  $scope.triggerFocusedElement = "";

  $scope.viewerData = [{"EntityName":"Orange Belgium","DocumentName":"Annual Report_12/31/2021","FileName":"5493007JS0ZHJVBUWP18-2021-12-31-nl.zip","Version":19,"RoundVersion":5,"HasSecoundaryLang":true,"IsPortalEnabled":"true","IsBrandingEnabled":"true","IsBrandingEnabledInViewer":"false","LogoName":"ToppanMerrill_Logo.png","EntityGeography":5}];
  $scope.factData = [{"Id":1401792,"FileId":3075,"Sequence":1,"PageIdentifier":"6afb4745-feb3-4b67-b469-2579f552c2fc","ElementIdentifier":"80ad912e-e835-43ec-9a30-bf69a0aa76f2","ElementType":2,"TagName":"ifrs-full:LegalFormOfEntity","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"naamloze vennootschap","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Rechtsvorm van de entiteit","Documentation":"Informatie over de juridische structuur waaronder de entiteit actief is.","SecondaryLabel":"Legal form of entity","SecondaryDocumentation":"Information about the legal structure under which the entity operates.","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401793,"FileId":3075,"Sequence":2,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"7ce296d0-6941-44e7-b3aa-07cece61bed5","ElementType":1,"TagName":"ifrs-full:RevenueFromRenderingOfTelecommunicationServices","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"945 145","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Opbrengsten uit hoofde van de verlening van telecommunicatiediensten","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verlening van telecommunicatiediensten. [Zie: opbrengsten]","SecondaryLabel":"Revenue from rendering of telecommunication services","SecondaryDocumentation":"The amount of revenue arising from the rendering of telecommunication services. [Refer: Revenue]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401794,"FileId":3075,"Sequence":3,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"d1f69017-fdde-4270-978c-2fcd159cb51f","ElementType":1,"TagName":"ifrs-full:RevenueFromRenderingOfTelecommunicationServices","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"905 939","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Opbrengsten uit hoofde van de verlening van telecommunicatiediensten","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verlening van telecommunicatiediensten. [Zie: opbrengsten]","SecondaryLabel":"Revenue from rendering of telecommunication services","SecondaryDocumentation":"The amount of revenue arising from the rendering of telecommunication services. [Refer: Revenue]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401795,"FileId":3075,"Sequence":4,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"99d35591-22a4-4038-bde8-cea7d8094a32","ElementType":1,"TagName":"obel:RevenueFromConvergentServices","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"254 975","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Omzet uit convergente diensten","Documentation":"Omzet uit convergente diensten.","SecondaryLabel":"Revenue From Convergent Services","SecondaryDocumentation":"Revenue from convergent services","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401796,"FileId":3075,"Sequence":5,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"9f2eeecc-c434-4580-9129-1ccb8ea44a04","ElementType":1,"TagName":"obel:RevenueFromConvergentServices","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"220 759","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Omzet uit convergente diensten","Documentation":"Omzet uit convergente diensten.","SecondaryLabel":"Revenue From Convergent Services","SecondaryDocumentation":"Revenue from convergent services","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401797,"FileId":3075,"Sequence":6,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"a87d706e-0b72-4f44-b039-b66645a3478f","ElementType":1,"TagName":"ifrs-full:RevenueFromRenderingOfMobileTelephoneServices","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"578 828","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Opbrengsten uit hoofde van de verlening van mobiele-telefoniediensten","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verlening van mobiele-telefoniediensten. [Zie: opbrengsten]","SecondaryLabel":"Revenue from rendering of mobile telephone services","SecondaryDocumentation":"The amount of revenue arising from the rendering of mobile telephone services. [Refer: Revenue]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401798,"FileId":3075,"Sequence":7,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"3de1e669-562c-48a3-a88e-a550ed98c64c","ElementType":1,"TagName":"ifrs-full:RevenueFromRenderingOfMobileTelephoneServices","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"585 164","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Opbrengsten uit hoofde van de verlening van mobiele-telefoniediensten","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verlening van mobiele-telefoniediensten. [Zie: opbrengsten]","SecondaryLabel":"Revenue from rendering of mobile telephone services","SecondaryDocumentation":"The amount of revenue arising from the rendering of mobile telephone services. [Refer: Revenue]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401800,"FileId":3075,"Sequence":8,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"8b1a6022-70f1-4dbc-b3f4-b52f82af8fea","ElementType":1,"TagName":"ifrs-full:RevenueFromRenderingOfLandLineTelephoneServices","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"71 078","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Opbrengsten uit hoofde van de verlening van vaste-telefoniediensten","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verlening van vaste-telefoniediensten. [Zie: opbrengsten]","SecondaryLabel":"Revenue from rendering of land line telephone services","SecondaryDocumentation":"The amount of revenue arising from the rendering of land line telephone services. [Refer: Revenue]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401810,"FileId":3075,"Sequence":9,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"429e141e-b947-4384-ad95-467ac6f67590","ElementType":1,"TagName":"ifrs-full:RevenueFromRenderingOfLandLineTelephoneServices","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"59 633","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Opbrengsten uit hoofde van de verlening van vaste-telefoniediensten","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verlening van vaste-telefoniediensten. [Zie: opbrengsten]","SecondaryLabel":"Revenue from rendering of land line telephone services","SecondaryDocumentation":"The amount of revenue arising from the rendering of land line telephone services. [Refer: Revenue]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401801,"FileId":3075,"Sequence":10,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"ca206fe9-68de-4027-8fae-3202a7ea77bc","ElementType":1,"TagName":"ifrs-full:RevenueFromRenderingOfInternetAndDataServices","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"40 264","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Opbrengsten uit hoofde van de verlening van internet- en datadiensten","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verlening van internet- en datadiensten. [Zie: opbrengsten]","SecondaryLabel":"Revenue from rendering of internet and data services","SecondaryDocumentation":"The amount of revenue arising from the rendering of internet and data services. [Refer: Revenue]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401802,"FileId":3075,"Sequence":11,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"5902cea0-d66f-46cb-90c3-f3dd1514aea5","ElementType":1,"TagName":"ifrs-full:RevenueFromRenderingOfInternetAndDataServices","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"40 383","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Opbrengsten uit hoofde van de verlening van internet- en datadiensten","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verlening van internet- en datadiensten. [Zie: opbrengsten]","SecondaryLabel":"Revenue from rendering of internet and data services","SecondaryDocumentation":"The amount of revenue arising from the rendering of internet and data services. [Refer: Revenue]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401803,"FileId":3075,"Sequence":12,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"593d8a44-3931-41ec-8ad9-397f0f076efc","ElementType":1,"TagName":"ifrs-full:RevenueFromSaleOfTelecommunicationEquipment","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"141 130","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Opbrengsten uit hoofde van de verkoop van telecommunicatie-uitrusting","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verkoop van telecommunicatie-uitrusting. [Zie: opbrengsten]","SecondaryLabel":"Revenue from sale of telecommunication equipment","SecondaryDocumentation":"The amount of revenue arising from the sale of telecommunication equipment. [Refer: Revenue]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401804,"FileId":3075,"Sequence":13,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"8ef74a3a-815d-45bf-8b53-001c8840d1d2","ElementType":1,"TagName":"ifrs-full:RevenueFromSaleOfTelecommunicationEquipment","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"132 244","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Opbrengsten uit hoofde van de verkoop van telecommunicatie-uitrusting","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verkoop van telecommunicatie-uitrusting. [Zie: opbrengsten]","SecondaryLabel":"Revenue from sale of telecommunication equipment","SecondaryDocumentation":"The amount of revenue arising from the sale of telecommunication equipment. [Refer: Revenue]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401805,"FileId":3075,"Sequence":14,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"800d193f-632b-4aaf-b955-6134cd83344c","ElementType":1,"TagName":"ifrs-full:RevenueFromRenderingOfInterconnectionServices","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"241 940","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Opbrengsten uit hoofde van de verlening van interconnectiediensten","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verlening van interconnectiediensten voor andere operators. [Zie: opbrengsten]","SecondaryLabel":"Revenue from rendering of interconnection services","SecondaryDocumentation":"The amount of revenue arising from the rendering of interconnection services for other operators. [Refer: Revenue]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401806,"FileId":3075,"Sequence":15,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"bfb48363-1472-4f93-a79b-df54e49eb1ef","ElementType":1,"TagName":"ifrs-full:RevenueFromRenderingOfInterconnectionServices","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"246 174","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Opbrengsten uit hoofde van de verlening van interconnectiediensten","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verlening van interconnectiediensten voor andere operators. [Zie: opbrengsten]","SecondaryLabel":"Revenue from rendering of interconnection services","SecondaryDocumentation":"The amount of revenue arising from the rendering of interconnection services for other operators. [Refer: Revenue]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401807,"FileId":3075,"Sequence":16,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"e39c3239-a8ce-4e6c-834e-d534d2288d73","ElementType":1,"TagName":"ifrs-full:RevenueFromRenderingOfOtherTelecommunicationServices","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"35 257","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Opbrengsten uit hoofde van de verlening van andere telecommunicatiediensten","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verlening van telecommunicatiediensten die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: opbrengsten]","SecondaryLabel":"Revenue from rendering of other telecommunication services","SecondaryDocumentation":"The amount of revenue arising from the rendering of telecommunication services that the entity does not separately disclose in the same statement or note. [Refer: Revenue]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401808,"FileId":3075,"Sequence":17,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"d27a3010-d04a-4085-a804-08fb123054f9","ElementType":1,"TagName":"ifrs-full:RevenueFromRenderingOfOtherTelecommunicationServices","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"30 511","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Opbrengsten uit hoofde van de verlening van andere telecommunicatiediensten","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verlening van telecommunicatiediensten die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: opbrengsten]","SecondaryLabel":"Revenue from rendering of other telecommunication services","SecondaryDocumentation":"The amount of revenue arising from the rendering of telecommunication services that the entity does not separately disclose in the same statement or note. [Refer: Revenue]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401809,"FileId":3075,"Sequence":18,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"b3af3828-6635-4dd5-8252-e1132946b201","ElementType":1,"TagName":"ifrs-full:Revenue","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 363 472","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Opbrengsten","Documentation":"De baten die voortvloeien uit de normale bedrijfsvoering van een entiteit. Baten zijn de toename van activa of de afname van verplichtingen, resulterend in de stijging van het eigen vermogen, zonder de stijgingen die verband houden met bijdragen van houders van vorderingen in aandelen.","SecondaryLabel":"Revenue","SecondaryDocumentation":"The income arising in the course of an entity's ordinary activities. Income is increases in assets, or decreases in liabilities, that result in increases in equity, other than those relating to contributions from holders of equity claims.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401789,"FileId":3075,"Sequence":19,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"243f1cae-64d6-45c8-a7d9-9a727e62e400","ElementType":1,"TagName":"ifrs-full:Revenue","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 314 868","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Opbrengsten","Documentation":"De baten die voortvloeien uit de normale bedrijfsvoering van een entiteit. Baten zijn de toename van activa of de afname van verplichtingen, resulterend in de stijging van het eigen vermogen, zonder de stijgingen die verband houden met bijdragen van houders van vorderingen in aandelen.","SecondaryLabel":"Revenue","SecondaryDocumentation":"The income arising in the course of an entity's ordinary activities. Income is increases in assets, or decreases in liabilities, that result in increases in equity, other than those relating to contributions from holders of equity claims.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401788,"FileId":3075,"Sequence":20,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"70c6cdbb-fac2-461a-a965-c4d300e01833","ElementType":1,"TagName":"ifrs-full:CostOfSales","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"185 409","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kostprijs van de omzet","Documentation":"Het bedrag van de kosten die direct of indirect zijn toe te rekenen aan verkochte goederen of diensten, die kosten omvatten die voorheen werden opgenomen bij de waardering van de voorraad die inmiddels is verkocht, niet-toegerekende indirecte productiekosten en abnormale productiekosten van voorraden, maar hier niet toe zijn beperkt.","SecondaryLabel":"Cost of sales","SecondaryDocumentation":"The amount of costs relating to expenses directly or indirectly attributed to the goods or services sold, which may include, but are not limited to, costs previously included in the measurement of inventory that has now been sold, unallocated production overheads and abnormal amounts of production costs of inventories.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401787,"FileId":3075,"Sequence":21,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"d62a823c-d1a2-4f60-aa25-f62436df4f97","ElementType":1,"TagName":"ifrs-full:CostOfSales","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"167 684","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kostprijs van de omzet","Documentation":"Het bedrag van de kosten die direct of indirect zijn toe te rekenen aan verkochte goederen of diensten, die kosten omvatten die voorheen werden opgenomen bij de waardering van de voorraad die inmiddels is verkocht, niet-toegerekende indirecte productiekosten en abnormale productiekosten van voorraden, maar hier niet toe zijn beperkt.","SecondaryLabel":"Cost of sales","SecondaryDocumentation":"The amount of costs relating to expenses directly or indirectly attributed to the goods or services sold, which may include, but are not limited to, costs previously included in the measurement of inventory that has now been sold, unallocated production overheads and abnormal amounts of production costs of inventories.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401786,"FileId":3075,"Sequence":22,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"20c3393e-fb4b-4505-bfd9-97dbfa37d976","ElementType":1,"TagName":"obel:OtherDirectCosts","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"376 851","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige directe bedrijfskosten","Documentation":"Overige directe bedrijfskosten.","SecondaryLabel":"Other direct costs","SecondaryDocumentation":"Other direct costs.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401767,"FileId":3075,"Sequence":23,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"5af2904c-2f0b-4c63-946f-c3f395aec857","ElementType":1,"TagName":"obel:OtherDirectCosts","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"374 644","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige directe bedrijfskosten","Documentation":"Overige directe bedrijfskosten.","SecondaryLabel":"Other direct costs","SecondaryDocumentation":"Other direct costs.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401768,"FileId":3075,"Sequence":24,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"2a0a443f-d4d0-4d95-9f97-f10d53a43d04","ElementType":1,"TagName":"ifrs-full:ImpairmentLossRecognisedInProfitOrLossTradeReceivables","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"8 672","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Bijzonderewaardeverminderingsverlies opgenomen in winst of verlies, handelsvorderingen","Documentation":"Het bedrag van het bijzonderewaardeverminderingsverlies opgenomen in winst of verlies voor handelsvorderingen. [Zie: bijzonderewaardeverminderingsverlies opgenomen in winst of verlies; handelsvorderingen]","SecondaryLabel":"Impairment loss recognised in profit or loss, trade receivables","SecondaryDocumentation":"The amount of impairment loss recognised in profit or loss for trade receivables. [Refer: Impairment loss recognised in profit or loss; Trade receivables]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401769,"FileId":3075,"Sequence":25,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"4052fa90-a213-4af2-85c9-e033fb80de86","ElementType":1,"TagName":"ifrs-full:ImpairmentLossRecognisedInProfitOrLossTradeReceivables","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"6 630","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Bijzonderewaardeverminderingsverlies opgenomen in winst of verlies, handelsvorderingen","Documentation":"Het bedrag van het bijzonderewaardeverminderingsverlies opgenomen in winst of verlies voor handelsvorderingen. [Zie: bijzonderewaardeverminderingsverlies opgenomen in winst of verlies; handelsvorderingen]","SecondaryLabel":"Impairment loss recognised in profit or loss, trade receivables","SecondaryDocumentation":"The amount of impairment loss recognised in profit or loss for trade receivables. [Refer: Impairment loss recognised in profit or loss; Trade receivables]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401770,"FileId":3075,"Sequence":26,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"bd236e4c-1042-47e5-be69-b652fd9abe6c","ElementType":1,"TagName":"obel:DirectCosts","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"570 932","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Direct Costs","Documentation":"Directe bedrijfskosten.","SecondaryLabel":"Directe bedrijfskosten","SecondaryDocumentation":"Direct costs.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401771,"FileId":3075,"Sequence":27,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"5f7e4465-b358-473a-b5e1-31696559655b","ElementType":1,"TagName":"obel:DirectCosts","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"548 958","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Direct Costs","Documentation":"Directe bedrijfskosten.","SecondaryLabel":"Directe bedrijfskosten","SecondaryDocumentation":"Direct costs.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401772,"FileId":3075,"Sequence":28,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"a91d34a6-840d-48e3-8fb3-900c85b7d706","ElementType":1,"TagName":"ifrs-full:EmployeeBenefitsExpense","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"148 615","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Lasten uit hoofde van personeelsbeloningen","Documentation":"De lasten van alle vormen van vergoedingen die door een entiteit worden toegekend in ruil voor door de werknemers verrichte prestaties of voor de beëindiging van het dienstverband.","SecondaryLabel":"Employee benefits expense","SecondaryDocumentation":"The expense of all forms of consideration given by an entity in exchange for a service rendered by employees or for the termination of employment.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401773,"FileId":3075,"Sequence":29,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"7286c506-3034-4d20-878e-987f7a033f2c","ElementType":1,"TagName":"ifrs-full:EmployeeBenefitsExpense","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"146 949","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Lasten uit hoofde van personeelsbeloningen","Documentation":"De lasten van alle vormen van vergoedingen die door een entiteit worden toegekend in ruil voor door de werknemers verrichte prestaties of voor de beëindiging van het dienstverband.","SecondaryLabel":"Employee benefits expense","SecondaryDocumentation":"The expense of all forms of consideration given by an entity in exchange for a service rendered by employees or for the termination of employment.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401774,"FileId":3075,"Sequence":30,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"3e3ddd6b-f225-4150-af8a-b39925069d93","ElementType":1,"TagName":"ifrs-full:SalesAndMarketingExpense","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"33 789","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Verkoop- en marketinglasten","Documentation":"Het bedrag van de lasten die verband houden met de marketing en verkoop van goederen of diensten.","SecondaryLabel":"Sales and marketing expense","SecondaryDocumentation":"The amount of expense relating to the marketing and selling of goods or services.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401775,"FileId":3075,"Sequence":31,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"5b95ff32-82ac-4382-91e1-c47f04986a86","ElementType":1,"TagName":"ifrs-full:SalesAndMarketingExpense","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"42 867","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Verkoop- en marketinglasten","Documentation":"Het bedrag van de lasten die verband houden met de marketing en verkoop van goederen of diensten.","SecondaryLabel":"Sales and marketing expense","SecondaryDocumentation":"The amount of expense relating to the marketing and selling of goods or services.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401776,"FileId":3075,"Sequence":32,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"be0b6b47-fcec-4968-8769-44025854b9b8","ElementType":1,"TagName":"obel:OtherInformationTechnologyAndNetworkExpenses","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"97 359","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige IT- en netwerkuitgaven","Documentation":"Overige IT- en netwerkuitgaven","SecondaryLabel":"Other Information Technology And Network Expenses","SecondaryDocumentation":"Other information technology and network expenses","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401777,"FileId":3075,"Sequence":33,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"5a69d89c-9958-4b90-bae0-65e3bf1e5c19","ElementType":1,"TagName":"obel:OtherInformationTechnologyAndNetworkExpenses","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"95 337","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige IT- en netwerkuitgaven","Documentation":"Overige IT- en netwerkuitgaven","SecondaryLabel":"Other Information Technology And Network Expenses","SecondaryDocumentation":"Other information technology and network expenses","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401778,"FileId":3075,"Sequence":34,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"fa59f778-ea58-4bf3-a2b9-46361f5cfc07","ElementType":1,"TagName":"ifrs-full:PropertyServiceChargeExpense","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"8 508","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Lasten uit hoofde van onderhoudskosten voor vastgoed","Documentation":"Het bedrag aan lasten die voortvloeien uit kosten met betrekking tot het onderhoud van vastgoed.","SecondaryLabel":"Property service charge expense","SecondaryDocumentation":"The amount of expense arising from charges related to servicing of property.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401779,"FileId":3075,"Sequence":35,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"cb7b1545-19bc-4567-8494-f78f61d141f4","ElementType":1,"TagName":"ifrs-full:PropertyServiceChargeExpense","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"14 493","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Lasten uit hoofde van onderhoudskosten voor vastgoed","Documentation":"Het bedrag aan lasten die voortvloeien uit kosten met betrekking tot het onderhoud van vastgoed.","SecondaryLabel":"Property service charge expense","SecondaryDocumentation":"The amount of expense arising from charges related to servicing of property.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401780,"FileId":3075,"Sequence":36,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"6ad86cce-9b36-4232-afc3-77104a8c3261","ElementType":1,"TagName":"ifrs-full:GeneralAndAdministrativeExpense","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"63 587","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Algemene en beheerskosten","Documentation":"Het bedrag aan kosten die verband houden met algemene en beheersactiviteiten van de entiteit.","SecondaryLabel":"General and administrative expense","SecondaryDocumentation":"The amount of expense relating to general and administrative activities of the entity.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401781,"FileId":3075,"Sequence":37,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"ccb0e4c1-90b8-41e7-9166-7088cab090b5","ElementType":1,"TagName":"ifrs-full:GeneralAndAdministrativeExpense","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"61 523","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Algemene en beheerskosten","Documentation":"Het bedrag aan kosten die verband houden met algemene en beheersactiviteiten van de entiteit.","SecondaryLabel":"General and administrative expense","SecondaryDocumentation":"The amount of expense relating to general and administrative activities of the entity.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401782,"FileId":3075,"Sequence":38,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"2482805b-9768-4db9-ae41-f6f12a750954","ElementType":1,"TagName":"ifrs-full:MiscellaneousOtherOperatingIncome","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"28 848","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Diverse andere exploitatiebaten","Documentation":"Het bedrag aan diverse andere exploitatiebaten. [Zie: andere exploitatiebaten (-lasten)]","SecondaryLabel":"Miscellaneous other operating income","SecondaryDocumentation":"The amount of miscellaneous other operating income. [Refer: Other operating income (expense)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401783,"FileId":3075,"Sequence":39,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"58bc68a4-5484-4e93-b32f-666154a7b4ef","ElementType":1,"TagName":"ifrs-full:MiscellaneousOtherOperatingIncome","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"26 393","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Diverse andere exploitatiebaten","Documentation":"Het bedrag aan diverse andere exploitatiebaten. [Zie: andere exploitatiebaten (-lasten)]","SecondaryLabel":"Miscellaneous other operating income","SecondaryDocumentation":"The amount of miscellaneous other operating income. [Refer: Other operating income (expense)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401784,"FileId":3075,"Sequence":40,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"810d486b-4a85-419e-b768-a68e3ba65721","ElementType":1,"TagName":"ifrs-full:MiscellaneousOtherOperatingExpense","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"60 177","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Diverse andere exploitatielasten","Documentation":"Het bedrag aan diverse andere exploitatielasten. [Zie: andere exploitatiebaten (-lasten)]","SecondaryLabel":"Miscellaneous other operating expense","SecondaryDocumentation":"The amount of miscellaneous other operating expenses. [Refer: Other operating income (expense)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401785,"FileId":3075,"Sequence":41,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"a2b83131-e46c-469c-8d7f-8ae09a1bffc0","ElementType":1,"TagName":"ifrs-full:MiscellaneousOtherOperatingExpense","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"52 882","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Diverse andere exploitatielasten","Documentation":"Het bedrag aan diverse andere exploitatielasten. [Zie: andere exploitatiebaten (-lasten)]","SecondaryLabel":"Miscellaneous other operating expense","SecondaryDocumentation":"The amount of miscellaneous other operating expenses. [Refer: Other operating income (expense)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401719,"FileId":3075,"Sequence":42,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"7e83d835-c9d5-495e-bf19-b2d82c4be834","ElementType":1,"TagName":"ifrs-full:DepreciationRightofuseAssets","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"54 085","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Afschrijving, activa met gebruiksrecht","Documentation":"Het bedrag van de afschrijving van activa met gebruiksrecht. [Zie: afschrijvingskosten; activa met gebruiksrecht]","SecondaryLabel":"Depreciation, right-of-use assets","SecondaryDocumentation":"The amount of depreciation of right-of-use assets. [Refer: Depreciation and amortisation expense; Right-of-use assets]","PeriodType":"duration","Balance":"","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401718,"FileId":3075,"Sequence":43,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"a7a5bf13-1a60-4439-bc27-c6228612afb5","ElementType":1,"TagName":"ifrs-full:DepreciationRightofuseAssets","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"52 502","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Afschrijving, activa met gebruiksrecht","Documentation":"Het bedrag van de afschrijving van activa met gebruiksrecht. [Zie: afschrijvingskosten; activa met gebruiksrecht]","SecondaryLabel":"Depreciation, right-of-use assets","SecondaryDocumentation":"The amount of depreciation of right-of-use assets. [Refer: Depreciation and amortisation expense; Right-of-use assets]","PeriodType":"duration","Balance":"","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401717,"FileId":3075,"Sequence":44,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"bdf23254-a624-4486-8b40-b61e98ca216a","ElementType":1,"TagName":"obel:IndirectCosts","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"288 656","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Indirect Costs","Documentation":"Indirecte bedrijfskosten","SecondaryLabel":"Indirecte bedrijfskosten","SecondaryDocumentation":"Indirect costs","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401705,"FileId":3075,"Sequence":45,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"a152703a-1b5f-4266-983a-87ebb3138877","ElementType":1,"TagName":"obel:IndirectCosts","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"293 211","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Indirect Costs","Documentation":"Indirecte bedrijfskosten","SecondaryLabel":"Indirecte bedrijfskosten","SecondaryDocumentation":"Indirect costs","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401650,"FileId":3075,"Sequence":46,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"46f45df0-b91d-44b2-9226-a0175ea76a7d","ElementType":1,"TagName":"ifrs-full:ExpenseOfRestructuringActivities","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"4 035","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Lasten van reorganisatieactiviteiten","Documentation":"Het bedrag aan lasten die verband houden met reorganisatie. Reorganisatie is een programma dat door het management wordt gepland en waarover het management de zeggenschap heeft, en dat leidt tot materiële wijzigingen in het toepassingsgebied van de activiteiten van een entiteit of in de manier waarop de bedrijfsvoering geschiedt. Voorbeelden van dergelijke programma's zijn: a) de verkoop of beëindiging van een bedrijfsactiviteit; b) de sluiting van bedrijfslocaties in een land of regio of de overplaatsing van bedrijfsactiviteiten naar een ander land of een andere regio; c) wijzigingen in de managementstructuur; en d) fundamentele reorganisaties die een materieel effect hebben op de aard en focus van de bedrijfsactiviteiten van de entiteit.","SecondaryLabel":"Expense of restructuring activities","SecondaryDocumentation":"The amount of expense relating to restructuring. Restructuring is a programme that is planned and controlled by management and materially changes either the scope of a business undertaken by an entity or the manner in which that business is conducted. Such programmes include: (a) the sale or termination of a line of business; (b) closure of business locations in a country or region or the relocation of activities from one country or region to another; (c) changes in management structure; and (d) fundamental reorganisations that have a material effect on the nature and focus of the entity's operations.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401651,"FileId":3075,"Sequence":47,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"6cdedb79-7d06-4192-b551-e058e32ffb19","ElementType":1,"TagName":"ifrs-full:ExpenseOfRestructuringActivities","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"5 644","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Lasten van reorganisatieactiviteiten","Documentation":"Het bedrag aan lasten die verband houden met reorganisatie. Reorganisatie is een programma dat door het management wordt gepland en waarover het management de zeggenschap heeft, en dat leidt tot materiële wijzigingen in het toepassingsgebied van de activiteiten van een entiteit of in de manier waarop de bedrijfsvoering geschiedt. Voorbeelden van dergelijke programma's zijn: a) de verkoop of beëindiging van een bedrijfsactiviteit; b) de sluiting van bedrijfslocaties in een land of regio of de overplaatsing van bedrijfsactiviteiten naar een ander land of een andere regio; c) wijzigingen in de managementstructuur; en d) fundamentele reorganisaties die een materieel effect hebben op de aard en focus van de bedrijfsactiviteiten van de entiteit.","SecondaryLabel":"Expense of restructuring activities","SecondaryDocumentation":"The amount of expense relating to restructuring. Restructuring is a programme that is planned and controlled by management and materially changes either the scope of a business undertaken by an entity or the manner in which that business is conducted. Such programmes include: (a) the sale or termination of a line of business; (b) closure of business locations in a country or region or the relocation of activities from one country or region to another; (c) changes in management structure; and (d) fundamental reorganisations that have a material effect on the nature and focus of the entity's operations.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401652,"FileId":3075,"Sequence":48,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"912be916-c8b8-4614-90e4-57c2e0d832af","ElementType":1,"TagName":"ifrs-full:DepreciationAndAmortisationExpense","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"279 206","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Afschrijvingskosten","Documentation":"Het bedrag aan afschrijvingskosten. Afschrijving is de stelselmatige toerekening van af te schrijven bedragen van activa over hun gebruiksduur.","SecondaryLabel":"Depreciation and amortisation expense","SecondaryDocumentation":"The amount of depreciation and amortisation expense. Depreciation and amortisation are the systematic allocations of depreciable amounts of assets over their useful lives.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401653,"FileId":3075,"Sequence":49,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"b8333046-905c-4012-af6c-892e849c863c","ElementType":1,"TagName":"ifrs-full:DepreciationAndAmortisationExpense","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"250 240","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Afschrijvingskosten","Documentation":"Het bedrag aan afschrijvingskosten. Afschrijving is de stelselmatige toerekening van af te schrijven bedragen van activa over hun gebruiksduur.","SecondaryLabel":"Depreciation and amortisation expense","SecondaryDocumentation":"The amount of depreciation and amortisation expense. Depreciation and amortisation are the systematic allocations of depreciable amounts of assets over their useful lives.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401654,"FileId":3075,"Sequence":50,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"6c9602d7-01bc-481a-bb0f-94353ae83bbf","ElementType":1,"TagName":"ifrs-full:ImpairmentLossRecognisedInProfitOrLossGoodwill","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"14 937","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Bijzonderewaardeverminderingsverlies opgenomen in winst of verlies, goodwill","Documentation":"Het bedrag van het bijzonderewaardeverminderingsverlies opgenomen in winst of verlies voor goodwill. [Zie: bijzonderewaardeverminderingsverlies opgenomen in winst of verlies; goodwill]","SecondaryLabel":"Impairment loss recognised in profit or loss, goodwill","SecondaryDocumentation":"The amount of impairment loss recognised in profit or loss for goodwill. [Refer: Impairment loss recognised in profit or loss; Goodwill]","PeriodType":"duration","Balance":"","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401655,"FileId":3075,"Sequence":51,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"83f88967-0cd0-4507-b646-3e27d051b9ed","ElementType":1,"TagName":"ifrs-full:ImpairmentLossRecognisedInProfitOrLossGoodwill","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Bijzonderewaardeverminderingsverlies opgenomen in winst of verlies, goodwill","Documentation":"Het bedrag van het bijzonderewaardeverminderingsverlies opgenomen in winst of verlies voor goodwill. [Zie: bijzonderewaardeverminderingsverlies opgenomen in winst of verlies; goodwill]","SecondaryLabel":"Impairment loss recognised in profit or loss, goodwill","SecondaryDocumentation":"The amount of impairment loss recognised in profit or loss for goodwill. [Refer: Impairment loss recognised in profit or loss; Goodwill]","PeriodType":"duration","Balance":"","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401656,"FileId":3075,"Sequence":52,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"ebcbab32-e51f-49b9-9367-86f8a143a2a7","ElementType":1,"TagName":"ifrs-full:ImpairmentLossRecognisedInProfitOrLoss","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 638","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Bijzonderewaardeverminderingsverlies opgenomen in winst of verlies","Documentation":"Het bedrag van het bijzonderewaardeverminderingsverlies opgenomen in winst of verlies. [Zie: bijzonderewaardeverminderingsverlies; winst (verlies)]","SecondaryLabel":"Impairment loss recognised in profit or loss","SecondaryDocumentation":"The amount of impairment loss recognised in profit or loss. [Refer: Impairment loss; Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401657,"FileId":3075,"Sequence":53,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"8f7fd843-b3fe-4218-bb1e-866089a8521e","ElementType":1,"TagName":"ifrs-full:ImpairmentLossRecognisedInProfitOrLoss","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"689","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Bijzonderewaardeverminderingsverlies opgenomen in winst of verlies","Documentation":"Het bedrag van het bijzonderewaardeverminderingsverlies opgenomen in winst of verlies. [Zie: bijzonderewaardeverminderingsverlies; winst (verlies)]","SecondaryLabel":"Impairment loss recognised in profit or loss","SecondaryDocumentation":"The amount of impairment loss recognised in profit or loss. [Refer: Impairment loss; Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401658,"FileId":3075,"Sequence":54,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"1a3b9f74-01c9-434f-99bf-0a125404072e","ElementType":1,"TagName":"ifrs-full:ShareOfProfitLossOfAssociatesAccountedForUsingEquityMethod","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"276","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aandeel in de winst (het verlies) van geassocieerde deelnemingen, administratief verwerkt volgens de vermogensmutatiemethode","Documentation":"Het aandeel van de entiteit in de winst (het verlies) van geassocieerde deelnemingen, administratief verwerkt volgens de vermogensmutatiemethode. [Zie: geassocieerde deelnemingen [member]; investeringen die administratief werden verwerkt volgens de vermogensmutatiemethode; winst (verlies)]","SecondaryLabel":"Share of profit (loss) of associates accounted for using equity method","SecondaryDocumentation":"The entity's share of the profit (loss) of associates accounted for using the equity method. [Refer: Associates [member]; Investments accounted for using equity method; Profit (loss)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401659,"FileId":3075,"Sequence":55,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"3ba73b53-5c4c-4de8-82fc-941487aa6eaf","ElementType":1,"TagName":"ifrs-full:ShareOfProfitLossOfAssociatesAccountedForUsingEquityMethod","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"179","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aandeel in de winst (het verlies) van geassocieerde deelnemingen, administratief verwerkt volgens de vermogensmutatiemethode","Documentation":"Het aandeel van de entiteit in de winst (het verlies) van geassocieerde deelnemingen, administratief verwerkt volgens de vermogensmutatiemethode. [Zie: geassocieerde deelnemingen [member]; investeringen die administratief werden verwerkt volgens de vermogensmutatiemethode; winst (verlies)]","SecondaryLabel":"Share of profit (loss) of associates accounted for using equity method","SecondaryDocumentation":"The entity's share of the profit (loss) of associates accounted for using the equity method. [Refer: Associates [member]; Investments accounted for using equity method; Profit (loss)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401660,"FileId":3075,"Sequence":56,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"a84a68a0-b0ab-488f-9322-87c75e5ee6f7","ElementType":1,"TagName":"ifrs-full:ProfitLossFromOperatingActivities","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"55 729","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Winst (verlies) uit operationele activiteiten","Documentation":"De winst (het verlies) uit operationele activiteiten van de entiteit. [Zie: winst (verlies)]","SecondaryLabel":"Profit (loss) from operating activities","SecondaryDocumentation":"The profit (loss) from operating activities of the entity. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401661,"FileId":3075,"Sequence":57,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"8f3f7362-1256-44c3-a5b0-05d6f5aab299","ElementType":1,"TagName":"ifrs-full:ProfitLossFromOperatingActivities","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"69 357","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Winst (verlies) uit operationele activiteiten","Documentation":"De winst (het verlies) uit operationele activiteiten van de entiteit. [Zie: winst (verlies)]","SecondaryLabel":"Profit (loss) from operating activities","SecondaryDocumentation":"The profit (loss) from operating activities of the entity. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401662,"FileId":3075,"Sequence":58,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"1cb86dfb-0796-470e-af42-be34e05b2c2f","ElementType":1,"TagName":"ifrs-full:FinanceIncomeCost","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"3 232","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Financieringsbaten (-kosten)","Documentation":"Het bedrag aan baten of kosten die verband houden met rente en andere financieringsactiviteiten van de entiteit.","SecondaryLabel":"Finance income (cost)","SecondaryDocumentation":"The amount of income or cost associated with interest and other financing activities of the entity.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401663,"FileId":3075,"Sequence":59,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"f8e9c657-adf4-412e-abc4-4f38d18bd504","ElementType":1,"TagName":"ifrs-full:FinanceIncomeCost","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"5 287","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Financieringsbaten (-kosten)","Documentation":"Het bedrag aan baten of kosten die verband houden met rente en andere financieringsactiviteiten van de entiteit.","SecondaryLabel":"Finance income (cost)","SecondaryDocumentation":"The amount of income or cost associated with interest and other financing activities of the entity.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401664,"FileId":3075,"Sequence":60,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"fefbd403-c346-449a-83ea-ac0d580502bb","ElementType":1,"TagName":"ifrs-full:FinanceCosts","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"3 232","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Financieringskosten","Documentation":"Het bedrag aan kosten die verband houden met financieringsactiviteiten van de entiteit.","SecondaryLabel":"Finance costs","SecondaryDocumentation":"The amount of costs associated with financing activities of the entity.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401665,"FileId":3075,"Sequence":61,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"ccc0f051-3dc4-4932-a400-5f1f54ea9036","ElementType":1,"TagName":"ifrs-full:FinanceCosts","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"5 287","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Financieringskosten","Documentation":"Het bedrag aan kosten die verband houden met financieringsactiviteiten van de entiteit.","SecondaryLabel":"Finance costs","SecondaryDocumentation":"The amount of costs associated with financing activities of the entity.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401666,"FileId":3075,"Sequence":62,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"34f655e5-dbad-4d17-a9b9-e29f0f64a4d6","ElementType":1,"TagName":"ifrs-full:FinanceIncome","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Financieringsbaten","Documentation":"Het bedrag aan baten die verband houden met rente en andere financieringsactiviteiten van de entiteit.","SecondaryLabel":"Finance income","SecondaryDocumentation":"The amount of income associated with interest and other financing activities of the entity.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401667,"FileId":3075,"Sequence":63,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"4c5c486f-e773-4888-b270-2a6438133b53","ElementType":1,"TagName":"ifrs-full:FinanceIncome","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Financieringsbaten","Documentation":"Het bedrag aan baten die verband houden met rente en andere financieringsactiviteiten van de entiteit.","SecondaryLabel":"Finance income","SecondaryDocumentation":"The amount of income associated with interest and other financing activities of the entity.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401668,"FileId":3075,"Sequence":64,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"71c3883e-14d2-4499-b8f5-1470682893aa","ElementType":1,"TagName":"ifrs-full:ProfitLossBeforeTax","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"52 497","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Winst (verlies) voor belasting","Documentation":"De winst (het verlies) vóór belastinglasten of -baten. [Zie: winst (verlies)]","SecondaryLabel":"Profit (loss) before tax","SecondaryDocumentation":"The profit (loss) before tax expense or income. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401649,"FileId":3075,"Sequence":65,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"6229e0d1-2a03-4d66-bb85-38c0967f6687","ElementType":1,"TagName":"ifrs-full:ProfitLossBeforeTax","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"64 069","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Winst (verlies) voor belasting","Documentation":"De winst (het verlies) vóór belastinglasten of -baten. [Zie: winst (verlies)]","SecondaryLabel":"Profit (loss) before tax","SecondaryDocumentation":"The profit (loss) before tax expense or income. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401669,"FileId":3075,"Sequence":66,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"7ba4c07e-d7dd-42e9-aa68-221e12289abf","ElementType":1,"TagName":"ifrs-full:IncomeTaxExpenseContinuingOperations","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"12 774","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Belastinglasten (-baten)","Documentation":"Het samengevoegde bedrag opgenomen in de bepaling van winst (verlies) over de periode met betrekking tot de over de verslagperiode verschuldigde en verrekenbare belastingen en uitgestelde belastingen. [Zie: over de verslagperiode verschuldigde belastinglasten (verrekenbare belastingbaten); uitgestelde belastinglasten (-baten)]","SecondaryLabel":"Tax expense (income)","SecondaryDocumentation":"The aggregate amount included in the determination of profit (loss) for the period in respect of current tax and deferred tax. [Refer: Current tax expense (income); Deferred tax expense (income)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401648,"FileId":3075,"Sequence":67,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"04912136-d4d4-44b4-ae8a-7151ac9ea465","ElementType":1,"TagName":"ifrs-full:IncomeTaxExpenseContinuingOperations","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"10 089","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Belastinglasten (-baten)","Documentation":"Het samengevoegde bedrag opgenomen in de bepaling van winst (verlies) over de periode met betrekking tot de over de verslagperiode verschuldigde en verrekenbare belastingen en uitgestelde belastingen. [Zie: over de verslagperiode verschuldigde belastinglasten (verrekenbare belastingbaten); uitgestelde belastinglasten (-baten)]","SecondaryLabel":"Tax expense (income)","SecondaryDocumentation":"The aggregate amount included in the determination of profit (loss) for the period in respect of current tax and deferred tax. [Refer: Current tax expense (income); Deferred tax expense (income)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401646,"FileId":3075,"Sequence":68,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"8d83b0f9-9d1f-412a-a05f-7be3bd1c8b2c","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"39 723","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Winst (verlies)","Documentation":"Het totaal van de baten min de lasten uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten, exclusief de overige onderdelen van het totaalresultaat. [Zie: overige onderdelen van het totaalresultaat]","SecondaryLabel":"Profit (loss)","SecondaryDocumentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401627,"FileId":3075,"Sequence":69,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"b58f83d1-35d5-4d41-b50d-d9983bd98dce","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"53 980","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Winst (verlies)","Documentation":"Het totaal van de baten min de lasten uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten, exclusief de overige onderdelen van het totaalresultaat. [Zie: overige onderdelen van het totaalresultaat]","SecondaryLabel":"Profit (loss)","SecondaryDocumentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401628,"FileId":3075,"Sequence":70,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"2e1dad2f-c880-4070-80df-97d48e2ae293","ElementType":1,"TagName":"ifrs-full:ProfitLossAttributableToOwnersOfParent","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"39 723","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Winst (verlies), toe te rekenen aan eigenaars van de moedermaatschappij","Documentation":"De winst (het verlies) uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten toe te rekenen aan eigenaars van de moedermaatschappij. [Zie: winst (verlies)]","SecondaryLabel":"Profit (loss), attributable to owners of parent","SecondaryDocumentation":"The profit (loss) from continuing and discontinued operations attributable to owners of the parent. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401629,"FileId":3075,"Sequence":71,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"68860f00-f02c-430d-8f7d-d08d11118a84","ElementType":1,"TagName":"ifrs-full:ProfitLossAttributableToOwnersOfParent","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"53 980","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Winst (verlies), toe te rekenen aan eigenaars van de moedermaatschappij","Documentation":"De winst (het verlies) uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten toe te rekenen aan eigenaars van de moedermaatschappij. [Zie: winst (verlies)]","SecondaryLabel":"Profit (loss), attributable to owners of parent","SecondaryDocumentation":"The profit (loss) from continuing and discontinued operations attributable to owners of the parent. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401630,"FileId":3075,"Sequence":72,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"6b0c1be9-dd45-4572-a963-35fb9206e57d","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"39 723","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Winst (verlies)","Documentation":"Het totaal van de baten min de lasten uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten, exclusief de overige onderdelen van het totaalresultaat. [Zie: overige onderdelen van het totaalresultaat]","SecondaryLabel":"Profit (loss)","SecondaryDocumentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401631,"FileId":3075,"Sequence":73,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"e5747849-be4f-4b42-bd26-b28e4678f479","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"53 980","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Winst (verlies)","Documentation":"Het totaal van de baten min de lasten uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten, exclusief de overige onderdelen van het totaalresultaat. [Zie: overige onderdelen van het totaalresultaat]","SecondaryLabel":"Profit (loss)","SecondaryDocumentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401632,"FileId":3075,"Sequence":74,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"79f80561-31af-46d9-a9f3-7a8f6a7321f2","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncomeNetOfTaxCashFlowHedges","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"260","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Overige onderdelen van het totaalresultaat, na belastingen, kasstroomafdekkingen","Documentation":"Het bedrag van de overige onderdelen van het totaalresultaat, na belastingen, met betrekking tot kasstroomafdekkingen. [Zie: kasstroomafdekking [member]; overige onderdelen van het totaalresultaat]","SecondaryLabel":"Other comprehensive income, net of tax, cash flow hedges","SecondaryDocumentation":"The amount of other comprehensive income, net of tax, related to cash flow hedges. [Refer: Cash flow hedges [member]; Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401633,"FileId":3075,"Sequence":75,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"14652c05-3564-49c6-ad14-33d1e4cf01fb","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncomeNetOfTaxCashFlowHedges","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"31","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige onderdelen van het totaalresultaat, na belastingen, kasstroomafdekkingen","Documentation":"Het bedrag van de overige onderdelen van het totaalresultaat, na belastingen, met betrekking tot kasstroomafdekkingen. [Zie: kasstroomafdekking [member]; overige onderdelen van het totaalresultaat]","SecondaryLabel":"Other comprehensive income, net of tax, cash flow hedges","SecondaryDocumentation":"The amount of other comprehensive income, net of tax, related to cash flow hedges. [Refer: Cash flow hedges [member]; Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401634,"FileId":3075,"Sequence":76,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"46293ef6-71ee-490f-baf1-d12d9207cc06","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncome","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"39 463","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige onderdelen van het totaalresultaat","Documentation":"Het bedrag van de vermogensmutatie die voortvloeit uit transacties en andere gebeurtenissen, met uitzondering van mutaties die voortvloeien uit transacties met eigenaars in hun hoedanigheid van eigenaars.","SecondaryLabel":"Comprehensive income","SecondaryDocumentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401635,"FileId":3075,"Sequence":77,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"2255e0b9-fbf3-4754-bf38-812c9eb93f73","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncome","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"54 011","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige onderdelen van het totaalresultaat","Documentation":"Het bedrag van de vermogensmutatie die voortvloeit uit transacties en andere gebeurtenissen, met uitzondering van mutaties die voortvloeien uit transacties met eigenaars in hun hoedanigheid van eigenaars.","SecondaryLabel":"Comprehensive income","SecondaryDocumentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401636,"FileId":3075,"Sequence":78,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"c915f91e-3eb7-4371-9259-e05fbd9078e0","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncomeAttributableToOwnersOfParent","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"39 463","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige onderdelen van het totaalresultaat, toe te rekenen aan eigenaars van de moedermaatschappij","Documentation":"Het bedrag van de overige onderdelen van het totaalresultaat toe te rekenen aan eigenaars van de moedermaatschappij. [Zie: overige onderdelen van het totaalresultaat]","SecondaryLabel":"Comprehensive income, attributable to owners of parent","SecondaryDocumentation":"The amount of comprehensive income attributable to owners of the parent. [Refer: Comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401637,"FileId":3075,"Sequence":79,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"e0c1654a-d039-4349-b512-f9b6e98a53e7","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncomeAttributableToOwnersOfParent","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"54 011","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige onderdelen van het totaalresultaat, toe te rekenen aan eigenaars van de moedermaatschappij","Documentation":"Het bedrag van de overige onderdelen van het totaalresultaat toe te rekenen aan eigenaars van de moedermaatschappij. [Zie: overige onderdelen van het totaalresultaat]","SecondaryLabel":"Comprehensive income, attributable to owners of parent","SecondaryDocumentation":"The amount of comprehensive income attributable to owners of the parent. [Refer: Comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401638,"FileId":3075,"Sequence":80,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"b012b3cf-e231-43bb-8688-cc477360714b","ElementType":1,"TagName":"ifrs-full:BasicEarningsLossPerShare","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR_per_Share","CurrencyName":"Ugandan Shilling","Decimal":"-2","Scale":"-2","Value":"0,66","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"shares","Sign":"","IsHiddenElement":false,"Label":"Gewone winst (verlies) per aandeel","Documentation":"Het bedrag van de winst (het verlies) dat aan houders van gewone aandelen van de moedermaatschappij kan worden toegerekend (de teller) gedeeld door het gewogen gemiddelde van het aantal uitstaande gewone aandelen (de noemer) gedurende de periode.","SecondaryLabel":"Basic earnings (loss) per share","SecondaryDocumentation":"The amount of profit (loss) attributable to ordinary equity holders of the parent entity (the numerator) divided by the weighted average number of ordinary shares outstanding during the period (the denominator).","PeriodType":"duration","Balance":"","Type":"num:perShareItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401639,"FileId":3075,"Sequence":81,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"ec4be5ac-09d3-4f79-b57c-c10e4f523857","ElementType":1,"TagName":"ifrs-full:BasicEarningsLossPerShare","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR_per_Share","CurrencyName":"Ugandan Shilling","Decimal":"-2","Scale":"-2","Value":"0,90","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"shares","Sign":"","IsHiddenElement":false,"Label":"Gewone winst (verlies) per aandeel","Documentation":"Het bedrag van de winst (het verlies) dat aan houders van gewone aandelen van de moedermaatschappij kan worden toegerekend (de teller) gedeeld door het gewogen gemiddelde van het aantal uitstaande gewone aandelen (de noemer) gedurende de periode.","SecondaryLabel":"Basic earnings (loss) per share","SecondaryDocumentation":"The amount of profit (loss) attributable to ordinary equity holders of the parent entity (the numerator) divided by the weighted average number of ordinary shares outstanding during the period (the denominator).","PeriodType":"duration","Balance":"","Type":"num:perShareItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401640,"FileId":3075,"Sequence":82,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"48ab2c9e-ca7d-480d-b6b5-a4a38929a1d8","ElementType":1,"TagName":"ifrs-full:WeightedAverageShares","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_shares","CurrencyName":"Ugandan Shilling","Decimal":"0","Scale":"Actuals","Value":"59 944 757","Dimension":"","Member":"","CurrencyCode":"shares","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Gewogen gemiddeld aantal uitstaande gewone aandelen","Documentation":"Het aantal gewone aandelen uitstaand aan het begin van de periode, aangepast op basis van het aantal tijdens de periode ingekochte of uitgegeven gewone aandelen, vermenigvuldigd met een tijdfactor.","SecondaryLabel":"Weighted average number of ordinary shares outstanding","SecondaryDocumentation":"The number of ordinary shares outstanding at the beginning of the period, adjusted by the number of ordinary shares bought back or issued during the period multiplied by a time-weighting factor.","PeriodType":"duration","Balance":"","Type":"xbrli:sharesItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401641,"FileId":3075,"Sequence":83,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"0f7dd93f-efdc-4c25-beae-5f8aa84f16ac","ElementType":1,"TagName":"ifrs-full:WeightedAverageShares","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_shares","CurrencyName":"Ugandan Shilling","Decimal":"0","Scale":"Actuals","Value":"59 905 867","Dimension":"","Member":"","CurrencyCode":"shares","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Gewogen gemiddeld aantal uitstaande gewone aandelen","Documentation":"Het aantal gewone aandelen uitstaand aan het begin van de periode, aangepast op basis van het aantal tijdens de periode ingekochte of uitgegeven gewone aandelen, vermenigvuldigd met een tijdfactor.","SecondaryLabel":"Weighted average number of ordinary shares outstanding","SecondaryDocumentation":"The number of ordinary shares outstanding at the beginning of the period, adjusted by the number of ordinary shares bought back or issued during the period multiplied by a time-weighting factor.","PeriodType":"duration","Balance":"","Type":"xbrli:sharesItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401642,"FileId":3075,"Sequence":84,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"9e2d036f-b2a8-4588-8773-602d837f76b8","ElementType":1,"TagName":"ifrs-full:DilutedEarningsLossPerShare","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR_per_Share","CurrencyName":"Ugandan Shilling","Decimal":"-2","Scale":"-2","Value":"0,66","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"shares","Sign":"","IsHiddenElement":false,"Label":"Verwaterde winst (verlies) per aandeel","Documentation":"Het bedrag van de winst (het verlies) dat aan houders van gewone aandelen van de moedermaatschappij kan worden toegerekend (de teller) gedeeld door het gewogen gemiddelde van het aantal uitstaande gewone aandelen (de noemer) gedurende de periode, allebei aangepast voor de effecten van alle potentiële gewone aandelen die tot verwatering zullen leiden. [Zie: gewone aandelen [member]; gewogen gemiddelde [member]]","SecondaryLabel":"Diluted earnings (loss) per share","SecondaryDocumentation":"The amount of profit (loss) attributable to ordinary equity holders of the parent entity (the numerator), divided by the weighted average number of ordinary shares outstanding during the period (the denominator), both adjusted for the effects of all dilutive potential ordinary shares. [Refer: Ordinary shares [member]; Weighted average [member]]","PeriodType":"duration","Balance":"","Type":"num:perShareItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401643,"FileId":3075,"Sequence":85,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"38f702d2-7bb6-441a-b5ee-95b33e9afadf","ElementType":1,"TagName":"ifrs-full:DilutedEarningsLossPerShare","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR_per_Share","CurrencyName":"Ugandan Shilling","Decimal":"-2","Scale":"-2","Value":"0,90","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"shares","Sign":"","IsHiddenElement":false,"Label":"Verwaterde winst (verlies) per aandeel","Documentation":"Het bedrag van de winst (het verlies) dat aan houders van gewone aandelen van de moedermaatschappij kan worden toegerekend (de teller) gedeeld door het gewogen gemiddelde van het aantal uitstaande gewone aandelen (de noemer) gedurende de periode, allebei aangepast voor de effecten van alle potentiële gewone aandelen die tot verwatering zullen leiden. [Zie: gewone aandelen [member]; gewogen gemiddelde [member]]","SecondaryLabel":"Diluted earnings (loss) per share","SecondaryDocumentation":"The amount of profit (loss) attributable to ordinary equity holders of the parent entity (the numerator), divided by the weighted average number of ordinary shares outstanding during the period (the denominator), both adjusted for the effects of all dilutive potential ordinary shares. [Refer: Ordinary shares [member]; Weighted average [member]]","PeriodType":"duration","Balance":"","Type":"num:perShareItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401644,"FileId":3075,"Sequence":86,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"91c50628-d8f6-4f5b-8f9f-163a570e8cab","ElementType":1,"TagName":"ifrs-full:AdjustedWeightedAverageShares","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_shares","CurrencyName":"Ugandan Shilling","Decimal":"0","Scale":"Actuals","Value":"59 944 757","Dimension":"","Member":"","CurrencyCode":"shares","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aangepast gewogen gemiddeld aantal uitstaande gewone aandelen","Documentation":"Het gewogen gemiddeld aantal uitstaande gewone aandelen vermeerderd met het gewogen gemiddeld aantal gewone aandelen die zouden worden uitgegeven bij de conversie van alle potentiële gewone aandelen die tot verwatering in gewone aandelen zullen leiden. [Zie: gewone aandelen [member]; gewogen gemiddelde [member]]","SecondaryLabel":"Adjusted weighted average number of ordinary shares outstanding","SecondaryDocumentation":"The weighted average number of ordinary shares outstanding plus the weighted average number of ordinary shares that would be issued on the conversion of all the dilutive potential ordinary shares into ordinary shares. [Refer: Ordinary shares [member]; Weighted average [member]]","PeriodType":"duration","Balance":"","Type":"xbrli:sharesItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401645,"FileId":3075,"Sequence":87,"PageIdentifier":"676c3509-7c10-4413-be27-f1d3c65b1395","ElementIdentifier":"3e341821-c7e3-44e2-9219-65a06c04c673","ElementType":1,"TagName":"ifrs-full:AdjustedWeightedAverageShares","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_shares","CurrencyName":"Ugandan Shilling","Decimal":"0","Scale":"Actuals","Value":"59 905 867","Dimension":"","Member":"","CurrencyCode":"shares","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aangepast gewogen gemiddeld aantal uitstaande gewone aandelen","Documentation":"Het gewogen gemiddeld aantal uitstaande gewone aandelen vermeerderd met het gewogen gemiddeld aantal gewone aandelen die zouden worden uitgegeven bij de conversie van alle potentiële gewone aandelen die tot verwatering in gewone aandelen zullen leiden. [Zie: gewone aandelen [member]; gewogen gemiddelde [member]]","SecondaryLabel":"Adjusted weighted average number of ordinary shares outstanding","SecondaryDocumentation":"The weighted average number of ordinary shares outstanding plus the weighted average number of ordinary shares that would be issued on the conversion of all the dilutive potential ordinary shares into ordinary shares. [Refer: Ordinary shares [member]; Weighted average [member]]","PeriodType":"duration","Balance":"","Type":"xbrli:sharesItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401647,"FileId":3075,"Sequence":88,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"0a6340b5-8ea7-4412-8909-e97ca392c9e9","ElementType":1,"TagName":"ifrs-full:Goodwill","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"89 474","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Goodwill","Documentation":"Het bedrag aan activa die de toekomstige economische voordelen vertegenwoordigen die voortvloeien uit andere in een bedrijfscombinatie verworven activa die niet individueel kunnen worden geïdentificeerd en afzonderlijk kunnen worden opgenomen. [Zie: bedrijfscombinaties [member]]","SecondaryLabel":"Goodwill","SecondaryDocumentation":"The amount of assets representing the future economic benefits arising from other assets acquired in a business combination that are not individually identified and separately recognised. [Refer: Business combinations [member]]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401670,"FileId":3075,"Sequence":89,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"3637f961-2dfc-42ef-b366-9e843cea7a94","ElementType":1,"TagName":"ifrs-full:Goodwill","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"104 411","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Goodwill","Documentation":"Het bedrag aan activa die de toekomstige economische voordelen vertegenwoordigen die voortvloeien uit andere in een bedrijfscombinatie verworven activa die niet individueel kunnen worden geïdentificeerd en afzonderlijk kunnen worden opgenomen. [Zie: bedrijfscombinaties [member]]","SecondaryLabel":"Goodwill","SecondaryDocumentation":"The amount of assets representing the future economic benefits arising from other assets acquired in a business combination that are not individually identified and separately recognised. [Refer: Business combinations [member]]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401671,"FileId":3075,"Sequence":90,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"e424fb7e-8df9-4899-8ae3-377a6b41f9da","ElementType":1,"TagName":"ifrs-full:IntangibleAssetsOtherThanGoodwill","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"247 439","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"andere immateriële activa dan goodwill","Documentation":"Het bedrag aan niet-monetaire identificeerbare activa zonder materiële substantie. Dit bedrag bevat geen goodwill. [Zie: goodwill]","SecondaryLabel":"Intangible assets other than goodwill","SecondaryDocumentation":"The amount of identifiable non-monetary assets without physical substance. This amount does not include goodwill. [Refer: Goodwill]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401672,"FileId":3075,"Sequence":91,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"e2acbece-9272-4999-8d9c-dc7d47d1550c","ElementType":1,"TagName":"ifrs-full:IntangibleAssetsOtherThanGoodwill","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"249 978","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"andere immateriële activa dan goodwill","Documentation":"Het bedrag aan niet-monetaire identificeerbare activa zonder materiële substantie. Dit bedrag bevat geen goodwill. [Zie: goodwill]","SecondaryLabel":"Intangible assets other than goodwill","SecondaryDocumentation":"The amount of identifiable non-monetary assets without physical substance. This amount does not include goodwill. [Refer: Goodwill]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401696,"FileId":3075,"Sequence":92,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"de6b6439-4f15-4ecd-ae56-b8736bb6c7eb","ElementType":1,"TagName":"ifrs-full:PropertyPlantAndEquipment","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"662 770","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Materiële vaste activa","Documentation":"Het bedrag aan immateriële activa: a) die worden aangehouden voor gebruik in de productie of levering van goederen of diensten, voor verhuur aan derden of voor bestuurlijke doeleinden; en b) waarvan men verwacht dat ze langer dan één periode zullen worden gebruikt.","SecondaryLabel":"Property, plant and equipment","SecondaryDocumentation":"The amount of tangible assets that: (a) are held for use in the production or supply of goods or services, for rental to others, or for administrative purposes; and (b) are expected to be used during more than one period.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401697,"FileId":3075,"Sequence":93,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"fb460799-4c50-4ce5-b2c1-bced494e4f16","ElementType":1,"TagName":"ifrs-full:PropertyPlantAndEquipment","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"707 591","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Materiële vaste activa","Documentation":"Het bedrag aan immateriële activa: a) die worden aangehouden voor gebruik in de productie of levering van goederen of diensten, voor verhuur aan derden of voor bestuurlijke doeleinden; en b) waarvan men verwacht dat ze langer dan één periode zullen worden gebruikt.","SecondaryLabel":"Property, plant and equipment","SecondaryDocumentation":"The amount of tangible assets that: (a) are held for use in the production or supply of goods or services, for rental to others, or for administrative purposes; and (b) are expected to be used during more than one period.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401698,"FileId":3075,"Sequence":94,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"ddc6f20f-c4a1-4c99-b20d-8b6fcb634e8b","ElementType":1,"TagName":"ifrs-full:RightofuseAssetsThatDoNotMeetDefinitionOfInvestmentProperty","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"299 164","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Activa met gebruiksrecht die niet voldoen aan de definitie van vastgoedbeleggingen.","Documentation":"Het bedrag van de activa met gebruiksrecht die niet voldoen aan de definitie van vastgoedbeleggingen. [Zie: activa met gebruiksrecht; vastgoedbeleggingen]","SecondaryLabel":"Right-of-use assets that do not meet definition of investment property","SecondaryDocumentation":"The amount of right-of-use assets that do not meet the definition of investment property. [Refer: Right-of-use assets; Investment property]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401699,"FileId":3075,"Sequence":95,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"cc886112-d1ad-4f2d-b921-4fbefbafa2a8","ElementType":1,"TagName":"ifrs-full:RightofuseAssetsThatDoNotMeetDefinitionOfInvestmentProperty","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"303 803","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Activa met gebruiksrecht die niet voldoen aan de definitie van vastgoedbeleggingen.","Documentation":"Het bedrag van de activa met gebruiksrecht die niet voldoen aan de definitie van vastgoedbeleggingen. [Zie: activa met gebruiksrecht; vastgoedbeleggingen]","SecondaryLabel":"Right-of-use assets that do not meet definition of investment property","SecondaryDocumentation":"The amount of right-of-use assets that do not meet the definition of investment property. [Refer: Right-of-use assets; Investment property]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401700,"FileId":3075,"Sequence":96,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"6637b6a4-b2a7-4b44-b659-50a729bd2ac8","ElementType":1,"TagName":"ifrs-full:InvestmentAccountedForUsingEquityMethod","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"5 760","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Investeringen die administratief werden verwerkt volgens de vermogensmutatiemethode","Documentation":"Het bedrag aan investeringen die administratief werden verwerkt volgens de vermogensmutatiemethode. De vermogensmutatiemethode is een methode voor administratieve verwerking waarbij de investering aanvankelijk tegen kostprijs wordt opgenomen, en vervolgens wordt aangepast om rekening te houden met de wijziging van het aandeel van de investeerder in de nettoactiva van de deelneming na de overname. De winst of het verlies van de investeerder omvat zijn aandeel in de winst of het verlies van de deelneming. De overige onderdelen van het totaalresultaat van de investeerder omvatten zijn aandeel in de overige onderdelen van het totaalresultaat van de deelneming. [Zie: gewaardeerd tegen kostprijs [member]]","SecondaryLabel":"Investments accounted for using equity method","SecondaryDocumentation":"The amount of investments accounted for using the equity method. The equity method is a method of accounting whereby the investment is initially recognised at cost and adjusted thereafter for the post-acquisition change in the investor's share of net assets of the investee. The investor's profit or loss includes its share of the profit or loss of the investee. The investor's other comprehensive income includes its share of the other comprehensive income of the investee. [Refer: At cost [member]]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401701,"FileId":3075,"Sequence":97,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"ab8948b1-2135-4ab0-b638-54ff5fb8e823","ElementType":1,"TagName":"ifrs-full:InvestmentAccountedForUsingEquityMethod","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"5 485","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Investeringen die administratief werden verwerkt volgens de vermogensmutatiemethode","Documentation":"Het bedrag aan investeringen die administratief werden verwerkt volgens de vermogensmutatiemethode. De vermogensmutatiemethode is een methode voor administratieve verwerking waarbij de investering aanvankelijk tegen kostprijs wordt opgenomen, en vervolgens wordt aangepast om rekening te houden met de wijziging van het aandeel van de investeerder in de nettoactiva van de deelneming na de overname. De winst of het verlies van de investeerder omvat zijn aandeel in de winst of het verlies van de deelneming. De overige onderdelen van het totaalresultaat van de investeerder omvatten zijn aandeel in de overige onderdelen van het totaalresultaat van de deelneming. [Zie: gewaardeerd tegen kostprijs [member]]","SecondaryLabel":"Investments accounted for using equity method","SecondaryDocumentation":"The amount of investments accounted for using the equity method. The equity method is a method of accounting whereby the investment is initially recognised at cost and adjusted thereafter for the post-acquisition change in the investor's share of net assets of the investee. The investor's profit or loss includes its share of the profit or loss of the investee. The investor's other comprehensive income includes its share of the other comprehensive income of the investee. [Refer: At cost [member]]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401702,"FileId":3075,"Sequence":98,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"416e2068-c6e0-4328-92e4-b018fc64f4f2","ElementType":1,"TagName":"ifrs-full:OtherNoncurrentFinancialAssets","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"2 219","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Andere vaste financiële activa","Documentation":"Het bedrag aan vaste financiële activa die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: andere financiële activa]","SecondaryLabel":"Other non-current financial assets","SecondaryDocumentation":"The amount of non-current financial assets that the entity does not separately disclose in the same statement or note. [Refer: Other financial assets]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401703,"FileId":3075,"Sequence":99,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"e98f0bda-86c2-4eb7-a5a1-ccde243f9fe8","ElementType":1,"TagName":"ifrs-full:OtherNoncurrentFinancialAssets","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"2 253","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Andere vaste financiële activa","Documentation":"Het bedrag aan vaste financiële activa die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: andere financiële activa]","SecondaryLabel":"Other non-current financial assets","SecondaryDocumentation":"The amount of non-current financial assets that the entity does not separately disclose in the same statement or note. [Refer: Other financial assets]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401704,"FileId":3075,"Sequence":100,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"8165e97e-2aca-46a1-80a8-5011e52e0634","ElementType":1,"TagName":"ifrs-full:OtherNoncurrentAssets","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"701","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Andere vaste activa","Documentation":"Het bedrag aan vaste activa die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: vaste activa]","SecondaryLabel":"Other non-current assets","SecondaryDocumentation":"The amount of non-current assets that the entity does not separately disclose in the same statement or note. [Refer: Non-current assets]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401706,"FileId":3075,"Sequence":101,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"00a66657-2ae0-42e1-a258-6a75ad3cd708","ElementType":1,"TagName":"ifrs-full:OtherNoncurrentAssets","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"627","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Andere vaste activa","Documentation":"Het bedrag aan vaste activa die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: vaste activa]","SecondaryLabel":"Other non-current assets","SecondaryDocumentation":"The amount of non-current assets that the entity does not separately disclose in the same statement or note. [Refer: Non-current assets]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401716,"FileId":3075,"Sequence":102,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"4629b89d-82ba-4984-b28a-f6fbe3f8cbcd","ElementType":1,"TagName":"ifrs-full:DeferredTaxAssets","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 800","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Uitgestelde belastingvorderingen","Documentation":"De bedragen aan in toekomstige perioden terug te vorderen winstbelastingen met betrekking tot: a) verrekenbare tijdelijke verschillen; b) overdracht van ongebruikte fiscale verliezen; en c) overdracht van ongebruikte fiscaal verrekenbare tegoeden. [Zie: tijdelijke verschillen [member]; ongebruikte fiscaal verrekenbare tegoeden [member]; niet-gecompenseerde fiscaal verrekenbare verliezen [member]]","SecondaryLabel":"Deferred tax assets","SecondaryDocumentation":"The amounts of income taxes recoverable in future periods in respect of: (a) deductible temporary differences; (b) the carryforward of unused tax losses; and (c) the carryforward of unused tax credits. [Refer: Temporary differences [member]; Unused tax credits [member]; Unused tax losses [member]]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401707,"FileId":3075,"Sequence":103,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"9d02acf0-9dc9-4371-99ae-c5587c577502","ElementType":1,"TagName":"ifrs-full:DeferredTaxAssets","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"3 143","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Uitgestelde belastingvorderingen","Documentation":"De bedragen aan in toekomstige perioden terug te vorderen winstbelastingen met betrekking tot: a) verrekenbare tijdelijke verschillen; b) overdracht van ongebruikte fiscale verliezen; en c) overdracht van ongebruikte fiscaal verrekenbare tegoeden. [Zie: tijdelijke verschillen [member]; ongebruikte fiscaal verrekenbare tegoeden [member]; niet-gecompenseerde fiscaal verrekenbare verliezen [member]]","SecondaryLabel":"Deferred tax assets","SecondaryDocumentation":"The amounts of income taxes recoverable in future periods in respect of: (a) deductible temporary differences; (b) the carryforward of unused tax losses; and (c) the carryforward of unused tax credits. [Refer: Temporary differences [member]; Unused tax credits [member]; Unused tax losses [member]]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401708,"FileId":3075,"Sequence":104,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"d76bbd1d-0da1-44db-98d1-8cb80a40c1a0","ElementType":1,"TagName":"ifrs-full:NoncurrentAssets","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 309 327","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Vaste activa","Documentation":"Het bedrag aan activa die niet voldoen aan de definitie van vlottende activa. [Zie: vlottende activa]","SecondaryLabel":"Non-current assets","SecondaryDocumentation":"The amount of assets that do not meet the definition of current assets. [Refer: Current assets]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401709,"FileId":3075,"Sequence":105,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"c6a5eeed-6a46-4b02-a66f-40e151dbada8","ElementType":1,"TagName":"ifrs-full:NoncurrentAssets","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 377 291","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Vaste activa","Documentation":"Het bedrag aan activa die niet voldoen aan de definitie van vlottende activa. [Zie: vlottende activa]","SecondaryLabel":"Non-current assets","SecondaryDocumentation":"The amount of assets that do not meet the definition of current assets. [Refer: Current assets]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401710,"FileId":3075,"Sequence":106,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"cb342498-57a4-4110-995f-12075685a785","ElementType":1,"TagName":"ifrs-full:Inventories","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"24 024","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Actuele voorraden","Documentation":"Het bedrag aan actuele voorraden. [Zie: voorraden]","SecondaryLabel":"Current inventories","SecondaryDocumentation":"The amount of current inventories. [Refer: Inventories]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401711,"FileId":3075,"Sequence":107,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"c0ee85d4-e659-47f7-9a4c-b148a2fb3ac3","ElementType":1,"TagName":"ifrs-full:Inventories","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"26 685","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Actuele voorraden","Documentation":"Het bedrag aan actuele voorraden. [Zie: voorraden]","SecondaryLabel":"Current inventories","SecondaryDocumentation":"The amount of current inventories. [Refer: Inventories]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401712,"FileId":3075,"Sequence":108,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"d31662a6-e4f3-404c-b7e9-2d94dc36acb5","ElementType":1,"TagName":"ifrs-full:CurrentTradeReceivables","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"188 127","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kortlopende handelsvorderingen","Documentation":"Het bedrag aan kortlopende handelsvorderingen. [Zie: handelsvorderingen]","SecondaryLabel":"Current trade receivables","SecondaryDocumentation":"The amount of current trade receivables. [Refer: Trade receivables]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401713,"FileId":3075,"Sequence":109,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"fd25c6f6-9dfb-46ed-9ad5-660adb0ffb3b","ElementType":1,"TagName":"ifrs-full:CurrentTradeReceivables","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"207 483","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kortlopende handelsvorderingen","Documentation":"Het bedrag aan kortlopende handelsvorderingen. [Zie: handelsvorderingen]","SecondaryLabel":"Current trade receivables","SecondaryDocumentation":"The amount of current trade receivables. [Refer: Trade receivables]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401714,"FileId":3075,"Sequence":110,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"0e9e1039-8005-49c7-b8da-fdf8b32cb455","ElementType":1,"TagName":"obel:ContractAssetsAndAssetsRecognisedFromCostsToObtainOrFulfilContractsWithCustomersCurrent","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"61 653","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige activa in verband met contracten met klanten","Documentation":"Overige activa in verband met contracten met klanten","SecondaryLabel":"Contract Assets And Assets Recognised From Costs To Obtain Or Fulfil Contracts With Customers Current","SecondaryDocumentation":"Contract assets and assets recognised from costs to obtain or fulfil contracts with customers, current","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401715,"FileId":3075,"Sequence":111,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"41729a66-e2a6-41f0-9b68-35b16a020afe","ElementType":1,"TagName":"obel:ContractAssetsAndAssetsRecognisedFromCostsToObtainOrFulfilContractsWithCustomersCurrent","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"63 184","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige activa in verband met contracten met klanten","Documentation":"Overige activa in verband met contracten met klanten","SecondaryLabel":"Contract Assets And Assets Recognised From Costs To Obtain Or Fulfil Contracts With Customers Current","SecondaryDocumentation":"Contract assets and assets recognised from costs to obtain or fulfil contracts with customers, current","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401695,"FileId":3075,"Sequence":112,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"7bf23c81-f811-4b9b-b76c-1ef41f4611bb","ElementType":1,"TagName":"ifrs-full:OtherCurrentFinancialAssets","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"417","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Andere vlottende financiële activa","Documentation":"Het bedrag aan vlottende financiële activa die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: andere financiële activa; vlottende financiële activa]","SecondaryLabel":"Other current financial assets","SecondaryDocumentation":"The amount of current financial assets that the entity does not separately disclose in the same statement or note. [Refer: Other financial assets; Current financial assets]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401694,"FileId":3075,"Sequence":113,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"1c5b8e67-42b6-4d9c-93ef-8902bf1eaaf1","ElementType":1,"TagName":"ifrs-full:OtherCurrentFinancialAssets","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"361","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Andere vlottende financiële activa","Documentation":"Het bedrag aan vlottende financiële activa die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: andere financiële activa; vlottende financiële activa]","SecondaryLabel":"Other current financial assets","SecondaryDocumentation":"The amount of current financial assets that the entity does not separately disclose in the same statement or note. [Refer: Other financial assets; Current financial assets]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401693,"FileId":3075,"Sequence":114,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"188b313a-5afc-4be9-a2be-7fe6026411b4","ElementType":1,"TagName":"ifrs-full:CurrentDerivativeFinancialAssets","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"243","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Vlottende afgeleide financiële activa","Documentation":"Het bedrag aan vlottende afgeleide financiële activa. [Zie: afgeleide financiële activa]","SecondaryLabel":"Current derivative financial assets","SecondaryDocumentation":"The amount of current derivative financial assets. [Refer: Derivative financial assets]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401692,"FileId":3075,"Sequence":115,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"d8748da9-32bf-43a5-9b39-1b440e883181","ElementType":1,"TagName":"ifrs-full:CurrentDerivativeFinancialAssets","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"301","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Vlottende afgeleide financiële activa","Documentation":"Het bedrag aan vlottende afgeleide financiële activa. [Zie: afgeleide financiële activa]","SecondaryLabel":"Current derivative financial assets","SecondaryDocumentation":"The amount of current derivative financial assets. [Refer: Derivative financial assets]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401673,"FileId":3075,"Sequence":116,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"441bb737-3b9d-4e35-8858-8493b5aba1d6","ElementType":1,"TagName":"ifrs-full:OtherCurrentAssets","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"7 724","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Andere vlottende activa","Documentation":"Het bedrag aan vlottende activa die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: vlottende activa]","SecondaryLabel":"Other current assets","SecondaryDocumentation":"The amount of current assets that the entity does not separately disclose in the same statement or note. [Refer: Current assets]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401674,"FileId":3075,"Sequence":117,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"adee405c-1a53-4537-942d-b5daa56b1fb4","ElementType":1,"TagName":"ifrs-full:OtherCurrentAssets","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"7 374","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Andere vlottende activa","Documentation":"Het bedrag aan vlottende activa die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: vlottende activa]","SecondaryLabel":"Other current assets","SecondaryDocumentation":"The amount of current assets that the entity does not separately disclose in the same statement or note. [Refer: Current assets]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401675,"FileId":3075,"Sequence":118,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"81bdbf4d-60b7-4963-8980-67e98dae2f61","ElementType":1,"TagName":"ifrs-full:CurrentReceivablesFromTaxesOtherThanIncomeTax","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"9 167","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kortlopende vorderingen uit hoofde van belastingen die geen winstbelastingen zijn","Documentation":"Het bedrag aan kortlopende vorderingen uit hoofde van belastingen die geen winstbelastingen zijn. [Zie: vorderingen uit hoofde van belastingen die geen winstbelastingen zijn]","SecondaryLabel":"Current receivables from taxes other than income tax","SecondaryDocumentation":"The amount of current receivables from taxes other than income tax. [Refer: Receivables from taxes other than income tax]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401676,"FileId":3075,"Sequence":119,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"895bf211-2a62-441a-a8e8-eafc34a4094c","ElementType":1,"TagName":"ifrs-full:CurrentReceivablesFromTaxesOtherThanIncomeTax","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 362","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kortlopende vorderingen uit hoofde van belastingen die geen winstbelastingen zijn","Documentation":"Het bedrag aan kortlopende vorderingen uit hoofde van belastingen die geen winstbelastingen zijn. [Zie: vorderingen uit hoofde van belastingen die geen winstbelastingen zijn]","SecondaryLabel":"Current receivables from taxes other than income tax","SecondaryDocumentation":"The amount of current receivables from taxes other than income tax. [Refer: Receivables from taxes other than income tax]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401677,"FileId":3075,"Sequence":120,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"7e8bd21c-5e18-43f4-8ae0-f69043e598f8","ElementType":1,"TagName":"ifrs-full:CurrentTaxAssetsCurrent","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"283","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Actuele belastingvorderingen, actueel","Documentation":"Het actuele bedrag aan actuele belastingvorderingen. [Zie: actuele belastingvorderingen]","SecondaryLabel":"Current tax assets, current","SecondaryDocumentation":"The current amount of current tax assets. [Refer: Current tax assets]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401678,"FileId":3075,"Sequence":121,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"cfd0627c-e3d9-4148-a73e-45a23b4c6b4c","ElementType":1,"TagName":"ifrs-full:CurrentTaxAssetsCurrent","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"328","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Actuele belastingvorderingen, actueel","Documentation":"Het actuele bedrag aan actuele belastingvorderingen. [Zie: actuele belastingvorderingen]","SecondaryLabel":"Current tax assets, current","SecondaryDocumentation":"The current amount of current tax assets. [Refer: Current tax assets]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401679,"FileId":3075,"Sequence":122,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"a663c24e-04a6-45b1-84eb-a17561adfad7","ElementType":1,"TagName":"ifrs-full:CurrentPrepaidExpenses","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"4 975","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Actuele vooruitbetaalde lasten","Documentation":"Het bedrag opgenomen als een vlottend actief voor uitgaven die zijn gemaakt voorafgaand aan de periode waarin het economisch voordeel wordt gerealiseerd.","SecondaryLabel":"Current prepaid expenses","SecondaryDocumentation":"The amount recognised as a current asset for expenditures made prior to the period when the economic benefit will be realised.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401680,"FileId":3075,"Sequence":123,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"f40a427a-894a-4901-bd5f-37e200852c94","ElementType":1,"TagName":"ifrs-full:CurrentPrepaidExpenses","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"6 809","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Actuele vooruitbetaalde lasten","Documentation":"Het bedrag opgenomen als een vlottend actief voor uitgaven die zijn gemaakt voorafgaand aan de periode waarin het economisch voordeel wordt gerealiseerd.","SecondaryLabel":"Current prepaid expenses","SecondaryDocumentation":"The amount recognised as a current asset for expenditures made prior to the period when the economic benefit will be realised.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401681,"FileId":3075,"Sequence":124,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"eea7732b-3f49-433b-970f-0ef4fb47944a","ElementType":1,"TagName":"ifrs-full:CashAndCashEquivalents","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"53 735","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Geldmiddelen en kasequivalenten","Documentation":"Het bedrag aan contanten en direct opvraagbare deposito's, samen met kortlopende, uiterst liquide beleggingen die onmiddellijk kunnen worden omgezet in geldmiddelen waarvan het bedrag bekend is en die geen materieel risico van waardeverandering in zich dragen. [Zie: geldmiddelen; kasequivalenten]","SecondaryLabel":"Cash and cash equivalents","SecondaryDocumentation":"The amount of cash on hand and demand deposits, along with short-term, highly liquid investments that are readily convertible to known amounts of cash and that are subject to an insignificant risk of changes in value. [Refer: Cash; Cash equivalents]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401682,"FileId":3075,"Sequence":125,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"83fb371c-739d-4d89-8223-e8e07b5df98a","ElementType":1,"TagName":"ifrs-full:CashAndCashEquivalents","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"60 816","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Geldmiddelen en kasequivalenten","Documentation":"Het bedrag aan contanten en direct opvraagbare deposito's, samen met kortlopende, uiterst liquide beleggingen die onmiddellijk kunnen worden omgezet in geldmiddelen waarvan het bedrag bekend is en die geen materieel risico van waardeverandering in zich dragen. [Zie: geldmiddelen; kasequivalenten]","SecondaryLabel":"Cash and cash equivalents","SecondaryDocumentation":"The amount of cash on hand and demand deposits, along with short-term, highly liquid investments that are readily convertible to known amounts of cash and that are subject to an insignificant risk of changes in value. [Refer: Cash; Cash equivalents]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401683,"FileId":3075,"Sequence":126,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"3f425bf6-99bd-4342-884a-aeca70c41aed","ElementType":1,"TagName":"ifrs-full:CurrentAssets","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"350 347","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Vlottende activa","Documentation":"Het bedrag aan activa dat de entiteit a) verwacht te realiseren of voornemens is te verkopen of te verbruiken, in de normale exploitatiecyclus van de entiteit; b) voornamelijk aanhoudt met de bedoeling het te verhandelen; c) verwacht binnen twaalf maanden na de verslagperiode te realiseren; of d) classificeert als een geldmiddel of kasequivalent (zoals gedefinieerd in IAS 7), tenzij het gebruik van het actief voor ruil of voor afwikkeling van een verplichting is beperkt gedurende ten minste twaalf maanden na de verslagperiode. [Zie: activa]","SecondaryLabel":"Current assets","SecondaryDocumentation":"The amount of assets that the entity (a) expects to realise or intends to sell or consume in its normal operating cycle; (b) holds primarily for the purpose of trading; (c) expects to realise within twelve months after the reporting period; or (d) classifies as cash or cash equivalents (as defined in IAS 7) unless the asset is restricted from being exchanged or used to settle a liability for at least twelve months after the reporting period. [Refer: Assets]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401684,"FileId":3075,"Sequence":127,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"126e9977-5b4d-487f-bb54-f8c4133223fc","ElementType":1,"TagName":"ifrs-full:CurrentAssets","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"374 703","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Vlottende activa","Documentation":"Het bedrag aan activa dat de entiteit a) verwacht te realiseren of voornemens is te verkopen of te verbruiken, in de normale exploitatiecyclus van de entiteit; b) voornamelijk aanhoudt met de bedoeling het te verhandelen; c) verwacht binnen twaalf maanden na de verslagperiode te realiseren; of d) classificeert als een geldmiddel of kasequivalent (zoals gedefinieerd in IAS 7), tenzij het gebruik van het actief voor ruil of voor afwikkeling van een verplichting is beperkt gedurende ten minste twaalf maanden na de verslagperiode. [Zie: activa]","SecondaryLabel":"Current assets","SecondaryDocumentation":"The amount of assets that the entity (a) expects to realise or intends to sell or consume in its normal operating cycle; (b) holds primarily for the purpose of trading; (c) expects to realise within twelve months after the reporting period; or (d) classifies as cash or cash equivalents (as defined in IAS 7) unless the asset is restricted from being exchanged or used to settle a liability for at least twelve months after the reporting period. [Refer: Assets]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401685,"FileId":3075,"Sequence":128,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"dc637cf6-c8e3-45d4-8a0d-87f99d5e5d98","ElementType":1,"TagName":"ifrs-full:Assets","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 659 672","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Activa","Documentation":"Het bedrag van een bestaand economisch middel dat uit gebeurtenissen in het verleden is voortgekomen en waarover de entiteit zeggenschap heeft. Een economisch middel is een recht dat het potentieel heeft economische voordelen voort te brengen.","SecondaryLabel":"Assets","SecondaryDocumentation":"The amount of a present economic resource controlled by the entity as a result of past events. Economic resource is a right that has the potential to produce economic benefits.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401686,"FileId":3075,"Sequence":129,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"e6a307e6-1058-47e8-bfa2-b90146b7f259","ElementType":1,"TagName":"ifrs-full:Assets","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 751 994","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Activa","Documentation":"Het bedrag van een bestaand economisch middel dat uit gebeurtenissen in het verleden is voortgekomen en waarover de entiteit zeggenschap heeft. Een economisch middel is een recht dat het potentieel heeft economische voordelen voort te brengen.","SecondaryLabel":"Assets","SecondaryDocumentation":"The amount of a present economic resource controlled by the entity as a result of past events. Economic resource is a right that has the potential to produce economic benefits.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401687,"FileId":3075,"Sequence":130,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"6e7286a2-6da4-406f-8fa4-55d3f06fada8","ElementType":1,"TagName":"ifrs-full:IssuedCapital","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"131 721","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Geplaatst kapitaal","Documentation":"De nominale waarde van geplaatst kapitaal.","SecondaryLabel":"Issued capital","SecondaryDocumentation":"The nominal value of capital issued.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401688,"FileId":3075,"Sequence":131,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"252f4592-e217-445b-ad05-830bdfed252f","ElementType":1,"TagName":"ifrs-full:IssuedCapital","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"131 721","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Geplaatst kapitaal","Documentation":"De nominale waarde van geplaatst kapitaal.","SecondaryLabel":"Issued capital","SecondaryDocumentation":"The nominal value of capital issued.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401689,"FileId":3075,"Sequence":132,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"12cae221-d0c0-46e6-a0d8-b635a3c4c19d","ElementType":1,"TagName":"ifrs-full:OtherReserves","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"13 172","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Andere reserves","Documentation":"Een component van het eigen vermogen die reserves binnen het eigen vermogen vertegenwoordigt, exclusief ingehouden winsten. [Zie: ingehouden winsten]","SecondaryLabel":"Other reserves","SecondaryDocumentation":"A component of equity representing reserves within equity, not including retained earnings. [Refer: Retained earnings]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401690,"FileId":3075,"Sequence":133,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"a7275f3b-46ca-4c6b-aa7f-486a49bfb798","ElementType":1,"TagName":"ifrs-full:OtherReserves","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"13 172","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Andere reserves","Documentation":"Een component van het eigen vermogen die reserves binnen het eigen vermogen vertegenwoordigt, exclusief ingehouden winsten. [Zie: ingehouden winsten]","SecondaryLabel":"Other reserves","SecondaryDocumentation":"A component of equity representing reserves within equity, not including retained earnings. [Refer: Retained earnings]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401691,"FileId":3075,"Sequence":134,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"2caf137d-d513-4ca7-9813-22b024b10b31","ElementType":1,"TagName":"ifrs-full:RetainedEarnings","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"479 263","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Ingehouden winsten","Documentation":"Een component van het eigen vermogen die de cumulatieve niet-uitgekeerde opbrengsten of tekorten van de entiteit vertegenwoordigt.","SecondaryLabel":"Retained earnings","SecondaryDocumentation":"A component of equity representing the entity's cumulative undistributed earnings or deficit.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401440,"FileId":3075,"Sequence":135,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"738d26e2-8e4b-477a-b41b-301c18328d0f","ElementType":1,"TagName":"ifrs-full:RetainedEarnings","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"470 551","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Ingehouden winsten","Documentation":"Een component van het eigen vermogen die de cumulatieve niet-uitgekeerde opbrengsten of tekorten van de entiteit vertegenwoordigt.","SecondaryLabel":"Retained earnings","SecondaryDocumentation":"A component of equity representing the entity's cumulative undistributed earnings or deficit.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401791,"FileId":3075,"Sequence":136,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"59106f57-184f-4a77-a478-7363bae52e1c","ElementType":1,"TagName":"ifrs-full:TreasuryShares","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Ingekochte eigen aandelen","Documentation":"Eigenvermogensinstrumenten van een entiteit, aangehouden door de entiteit of andere leden van de geconsolideerde groep.","SecondaryLabel":"Treasury shares","SecondaryDocumentation":"An entity’s own equity instruments, held by the entity or other members of the consolidated group.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401790,"FileId":3075,"Sequence":137,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"4feff4f9-076c-4592-805b-b65d96da17f9","ElementType":1,"TagName":"ifrs-full:TreasuryShares","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 519","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Ingekochte eigen aandelen","Documentation":"Eigenvermogensinstrumenten van een entiteit, aangehouden door de entiteit of andere leden van de geconsolideerde groep.","SecondaryLabel":"Treasury shares","SecondaryDocumentation":"An entity’s own equity instruments, held by the entity or other members of the consolidated group.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401766,"FileId":3075,"Sequence":138,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"d3af2d9d-5cc2-4de0-a714-1693c3445c30","ElementType":1,"TagName":"ifrs-full:EquityAttributableToOwnersOfParent","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"624 156","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen toe te rekenen aan eigenaars van de moedermaatschappij","Documentation":"Het bedrag van het eigen vermogen toe te rekenen aan de eigenaars van de moedermaatschappij. Dit sluit met name belang zonder zeggenschap uit.","SecondaryLabel":"Equity attributable to owners of parent","SecondaryDocumentation":"The amount of equity attributable to the owners of the parent. This specifically excludes non-controlling interest.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401799,"FileId":3075,"Sequence":139,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"1994857c-b175-4900-86ff-52a320d2126f","ElementType":1,"TagName":"ifrs-full:EquityAttributableToOwnersOfParent","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"613 925","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen toe te rekenen aan eigenaars van de moedermaatschappij","Documentation":"Het bedrag van het eigen vermogen toe te rekenen aan de eigenaars van de moedermaatschappij. Dit sluit met name belang zonder zeggenschap uit.","SecondaryLabel":"Equity attributable to owners of parent","SecondaryDocumentation":"The amount of equity attributable to the owners of the parent. This specifically excludes non-controlling interest.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401765,"FileId":3075,"Sequence":140,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"6a0127bf-8802-4226-9f66-3ecc3c618c81","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"624 156","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401752,"FileId":3075,"Sequence":141,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"4bbe1139-d2d6-4db3-b050-63b124511a9d","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"613 925","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401738,"FileId":3075,"Sequence":142,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"e0be3eea-7c1c-436e-90fa-15c1c47881ba","ElementType":1,"TagName":"ifrs-full:LongtermBorrowings","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"121 809","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Langlopend gedeelte van langlopende leningen","Documentation":"Het langlopende gedeelte van langlopende leningen. [Zie: leningen]","SecondaryLabel":"Non-current portion of non-current borrowings","SecondaryDocumentation":"The non-current portion of non-current borrowings. [Refer: Borrowings]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401737,"FileId":3075,"Sequence":143,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"2d271d83-0351-4f60-a6a6-835df2b11b66","ElementType":1,"TagName":"ifrs-full:LongtermBorrowings","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"3 496","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Langlopend gedeelte van langlopende leningen","Documentation":"Het langlopende gedeelte van langlopende leningen. [Zie: leningen]","SecondaryLabel":"Non-current portion of non-current borrowings","SecondaryDocumentation":"The non-current portion of non-current borrowings. [Refer: Borrowings]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401736,"FileId":3075,"Sequence":144,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"daa907b9-2684-45f4-bd5a-ebd42168653c","ElementType":1,"TagName":"ifrs-full:NoncurrentLeaseLiabilities","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"255 251","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Langlopende leaseverplichtingen","Documentation":"Het bedrag aan langlopende leaseverplichtingen. [Zie: leaseverplichtingen]","SecondaryLabel":"Non-current lease liabilities","SecondaryDocumentation":"The amount of non-current lease liabilities. [Refer: Lease liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401735,"FileId":3075,"Sequence":145,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"ee2336ff-f919-4b3e-aa9d-6977c8591a35","ElementType":1,"TagName":"ifrs-full:NoncurrentLeaseLiabilities","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"259 622","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Langlopende leaseverplichtingen","Documentation":"Het bedrag aan langlopende leaseverplichtingen. [Zie: leaseverplichtingen]","SecondaryLabel":"Non-current lease liabilities","SecondaryDocumentation":"The amount of non-current lease liabilities. [Refer: Lease liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401734,"FileId":3075,"Sequence":146,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"18badd02-75ad-462e-ab55-f9e0e0e4714c","ElementType":1,"TagName":"ifrs-full:NoncurrentProvisionsForEmployeeBenefits","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"73","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Vaste voorzieningen voor personeelsbeloningen","Documentation":"Het bedrag aan vaste voorzieningen voor personeelsbeloningen. [Zie: voorzieningen voor personeelsbeloningen]","SecondaryLabel":"Non-current provisions for employee benefits","SecondaryDocumentation":"The amount of non-current provisions for employee benefits. [Refer: Provisions for employee benefits]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401733,"FileId":3075,"Sequence":147,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"7f56c4bb-ea9a-448a-b430-0d785c40691e","ElementType":1,"TagName":"ifrs-full:NoncurrentProvisionsForEmployeeBenefits","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"12","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Vaste voorzieningen voor personeelsbeloningen","Documentation":"Het bedrag aan vaste voorzieningen voor personeelsbeloningen. [Zie: voorzieningen voor personeelsbeloningen]","SecondaryLabel":"Non-current provisions for employee benefits","SecondaryDocumentation":"The amount of non-current provisions for employee benefits. [Refer: Provisions for employee benefits]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401732,"FileId":3075,"Sequence":148,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"c29aa41f-3130-4432-97a4-8e228e0d3077","ElementType":1,"TagName":"ifrs-full:LongtermProvisionForDecommissioningRestorationAndRehabilitationCosts","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"80 656","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Vaste voorziening voor ontmantelings-, herstel- en saneringskosten","Documentation":"Het bedrag van de vaste voorziening voor ontmantelings-, herstel- en saneringskosten. [Zie: voorziening voor ontmantelings-, herstel- en saneringskosten]","SecondaryLabel":"Non-current provision for decommissioning, restoration and rehabilitation costs","SecondaryDocumentation":"The amount of non-current provision for decommissioning, restoration and rehabilitation costs. [Refer: Provision for decommissioning, restoration and rehabilitation costs]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401731,"FileId":3075,"Sequence":149,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"529571f6-b2d3-43f3-85cc-3aad5819220a","ElementType":1,"TagName":"ifrs-full:LongtermProvisionForDecommissioningRestorationAndRehabilitationCosts","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"77 094","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Vaste voorziening voor ontmantelings-, herstel- en saneringskosten","Documentation":"Het bedrag van de vaste voorziening voor ontmantelings-, herstel- en saneringskosten. [Zie: voorziening voor ontmantelings-, herstel- en saneringskosten]","SecondaryLabel":"Non-current provision for decommissioning, restoration and rehabilitation costs","SecondaryDocumentation":"The amount of non-current provision for decommissioning, restoration and rehabilitation costs. [Refer: Provision for decommissioning, restoration and rehabilitation costs]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401730,"FileId":3075,"Sequence":150,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"0972d006-18e5-4c2a-a5d6-8f7f5a41bf50","ElementType":1,"TagName":"ifrs-full:OtherNoncurrentLiabilities","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"2 580","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Andere langlopende verplichtingen","Documentation":"Het bedrag aan langlopende verplichtingen die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: langlopende verplichtingen]","SecondaryLabel":"Other non-current liabilities","SecondaryDocumentation":"The amount of non-current liabilities that the entity does not separately disclose in the same statement or note. [Refer: Non-current liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401729,"FileId":3075,"Sequence":151,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"c77b93a8-7227-4d4d-8c7b-4e8ed03ec54b","ElementType":1,"TagName":"ifrs-full:OtherNoncurrentLiabilities","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"2 344","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Andere langlopende verplichtingen","Documentation":"Het bedrag aan langlopende verplichtingen die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: langlopende verplichtingen]","SecondaryLabel":"Other non-current liabilities","SecondaryDocumentation":"The amount of non-current liabilities that the entity does not separately disclose in the same statement or note. [Refer: Non-current liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401728,"FileId":3075,"Sequence":152,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"a902266c-fb69-4cec-9b97-26a09307d748","ElementType":1,"TagName":"ifrs-full:DeferredTaxLiabilities","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"4 558","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Uitgestelde belastingverplichtingen","Documentation":"De bedragen aan in toekomstige perioden te betalen winstbelastingen met betrekking tot belastbare tijdelijke verschillen. [Zie: tijdelijke verschillen [member]]","SecondaryLabel":"Deferred tax liabilities","SecondaryDocumentation":"The amounts of income taxes payable in future periods in respect of taxable temporary differences. [Refer: Temporary differences [member]]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401727,"FileId":3075,"Sequence":153,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"23ebdaf5-e924-4e34-9fb8-3a6f3bf1ee46","ElementType":1,"TagName":"ifrs-full:DeferredTaxLiabilities","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"8 171","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Uitgestelde belastingverplichtingen","Documentation":"De bedragen aan in toekomstige perioden te betalen winstbelastingen met betrekking tot belastbare tijdelijke verschillen. [Zie: tijdelijke verschillen [member]]","SecondaryLabel":"Deferred tax liabilities","SecondaryDocumentation":"The amounts of income taxes payable in future periods in respect of taxable temporary differences. [Refer: Temporary differences [member]]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401726,"FileId":3075,"Sequence":154,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"3e8838aa-28ae-45f7-8661-9bada9174dba","ElementType":1,"TagName":"ifrs-full:NoncurrentLiabilities","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"464 927","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Langlopende verplichtingen","Documentation":"Het bedrag aan verplichtingen die niet voldoen aan de definitie van kortlopende verplichtingen. [Zie: kortlopende verplichtingen]","SecondaryLabel":"Non-current liabilities","SecondaryDocumentation":"The amount of liabilities that do not meet the definition of current liabilities. [Refer: Current liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401725,"FileId":3075,"Sequence":155,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"2ef601cd-1b24-4b0d-8d74-7facdd0990ce","ElementType":1,"TagName":"ifrs-full:NoncurrentLiabilities","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"350 738","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Langlopende verplichtingen","Documentation":"Het bedrag aan verplichtingen die niet voldoen aan de definitie van kortlopende verplichtingen. [Zie: kortlopende verplichtingen]","SecondaryLabel":"Non-current liabilities","SecondaryDocumentation":"The amount of liabilities that do not meet the definition of current liabilities. [Refer: Current liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401724,"FileId":3075,"Sequence":156,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"6cd80c9f-60b6-40f8-894f-17c0d3d1b042","ElementType":1,"TagName":"ifrs-full:CurrentPayablesForPurchaseOfNoncurrentAssets","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"71 654","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kortlopende schulden voor de aankoop van vaste activa","Documentation":"Het bedrag aan kortlopende schulden voor de aankoop van vaste activa. [Zie: schulden voor de aankoop van vaste activa]","SecondaryLabel":"Current payables for purchase of non-current assets","SecondaryDocumentation":"The amount of current payables for the purchase of non-current assets. [Refer: Payables for purchase of non-current assets]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401723,"FileId":3075,"Sequence":157,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"2ec953a9-8fb3-4726-b3c4-7c780ceb8fc0","ElementType":1,"TagName":"ifrs-full:CurrentPayablesForPurchaseOfNoncurrentAssets","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"56 995","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kortlopende schulden voor de aankoop van vaste activa","Documentation":"Het bedrag aan kortlopende schulden voor de aankoop van vaste activa. [Zie: schulden voor de aankoop van vaste activa]","SecondaryLabel":"Current payables for purchase of non-current assets","SecondaryDocumentation":"The amount of current payables for the purchase of non-current assets. [Refer: Payables for purchase of non-current assets]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401722,"FileId":3075,"Sequence":158,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"e232223d-801a-4244-9f59-f8dfff665df7","ElementType":1,"TagName":"ifrs-full:TradeAndOtherCurrentPayablesToTradeSuppliers","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"258 822","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kortlopende handelsschulden","Documentation":"Het kortlopende bedrag van de betaling verschuldigd aan leveranciers voor goederen en diensten die worden gebruikt in het kader van de bedrijfsactiviteiten van de entiteit. [Zie: kortlopende verplichtingen; handelsschulden]","SecondaryLabel":"Current trade payables","SecondaryDocumentation":"The current amount of payment due to suppliers for goods and services used in entity's business. [Refer: Current liabilities; Trade payables]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401721,"FileId":3075,"Sequence":159,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"6e352837-2f43-4f2e-bb69-d9f6de2fe071","ElementType":1,"TagName":"ifrs-full:TradeAndOtherCurrentPayablesToTradeSuppliers","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"296 525","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kortlopende handelsschulden","Documentation":"Het kortlopende bedrag van de betaling verschuldigd aan leveranciers voor goederen en diensten die worden gebruikt in het kader van de bedrijfsactiviteiten van de entiteit. [Zie: kortlopende verplichtingen; handelsschulden]","SecondaryLabel":"Current trade payables","SecondaryDocumentation":"The current amount of payment due to suppliers for goods and services used in entity's business. [Refer: Current liabilities; Trade payables]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401720,"FileId":3075,"Sequence":160,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"c782ddbc-1d4b-482c-9fb7-19a85a8738a3","ElementType":1,"TagName":"ifrs-full:CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 461","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kortlopende leningen en het kortlopende gedeelte van langlopende leningen","Documentation":"Het bedrag aan kortlopende leningen en het kortlopende gedeelte van langlopende leningen. [Zie: leningen]","SecondaryLabel":"Current borrowings and current portion of non-current borrowings","SecondaryDocumentation":"The amount of current borrowings and current portion of non-current borrowings. [Refer: Borrowings]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401739,"FileId":3075,"Sequence":161,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"18b98604-e15f-488b-af1c-104d4c966966","ElementType":1,"TagName":"ifrs-full:CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"202 141","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kortlopende leningen en het kortlopende gedeelte van langlopende leningen","Documentation":"Het bedrag aan kortlopende leningen en het kortlopende gedeelte van langlopende leningen. [Zie: leningen]","SecondaryLabel":"Current borrowings and current portion of non-current borrowings","SecondaryDocumentation":"The amount of current borrowings and current portion of non-current borrowings. [Refer: Borrowings]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401740,"FileId":3075,"Sequence":162,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"8f7a0572-6804-478e-bfef-b627d4bd1d96","ElementType":1,"TagName":"ifrs-full:CurrentLeaseLiabilities","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"44 669","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kortlopende leaseverplichtingen","Documentation":"Het bedrag aan kortlopende leaseverplichtingen. [Zie: leaseverplichtingen]","SecondaryLabel":"Current lease liabilities","SecondaryDocumentation":"The amount of current lease liabilities. [Refer: Lease liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401741,"FileId":3075,"Sequence":163,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"b15334dd-bf7b-4943-8269-122512e272e5","ElementType":1,"TagName":"ifrs-full:CurrentLeaseLiabilities","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"44 429","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kortlopende leaseverplichtingen","Documentation":"Het bedrag aan kortlopende leaseverplichtingen. [Zie: leaseverplichtingen]","SecondaryLabel":"Current lease liabilities","SecondaryDocumentation":"The amount of current lease liabilities. [Refer: Lease liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401742,"FileId":3075,"Sequence":164,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"3719de7b-7e68-45aa-9152-7e00a004da06","ElementType":1,"TagName":"ifrs-full:CurrentDerivativeFinancialLiabilities","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"243","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kortlopende afgeleide financiële verplichtingen","Documentation":"Het bedrag aan kortlopende afgeleide financiële verplichtingen. [Zie: afgeleide financiële verplichtingen]","SecondaryLabel":"Current derivative financial liabilities","SecondaryDocumentation":"The amount of current derivative financial liabilities. [Refer: Derivative financial liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401762,"FileId":3075,"Sequence":165,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"6be41838-f1c5-46e3-8f27-9984c5db262b","ElementType":1,"TagName":"ifrs-full:CurrentDerivativeFinancialLiabilities","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"480","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kortlopende afgeleide financiële verplichtingen","Documentation":"Het bedrag aan kortlopende afgeleide financiële verplichtingen. [Zie: afgeleide financiële verplichtingen]","SecondaryLabel":"Current derivative financial liabilities","SecondaryDocumentation":"The amount of current derivative financial liabilities. [Refer: Derivative financial liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401761,"FileId":3075,"Sequence":166,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"d35e69c0-44f5-452c-91e8-73c62e6f2a52","ElementType":1,"TagName":"ifrs-full:CurrentProvisionsForEmployeeBenefits","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"34 110","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Vlottende voorzieningen voor personeelsbeloningen","Documentation":"Het bedrag aan vlottende voorzieningen voor personeelsbeloningen. [Zie: voorzieningen voor personeelsbeloningen]","SecondaryLabel":"Current provisions for employee benefits","SecondaryDocumentation":"The amount of current provisions for employee benefits. [Refer: Provisions for employee benefits]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401760,"FileId":3075,"Sequence":167,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"088f91ef-ee33-4ff2-95f4-3bec4d23b534","ElementType":1,"TagName":"ifrs-full:CurrentProvisionsForEmployeeBenefits","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"33 698","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Vlottende voorzieningen voor personeelsbeloningen","Documentation":"Het bedrag aan vlottende voorzieningen voor personeelsbeloningen. [Zie: voorzieningen voor personeelsbeloningen]","SecondaryLabel":"Current provisions for employee benefits","SecondaryDocumentation":"The amount of current provisions for employee benefits. [Refer: Provisions for employee benefits]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401759,"FileId":3075,"Sequence":168,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"0a16db7c-64ac-432e-abd9-4b5d03ab26bc","ElementType":1,"TagName":"ifrs-full:ShorttermProvisionForDecommissioningRestorationAndRehabilitationCosts","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"9 065","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Vlottende voorziening voor ontmantelings-, herstel- en saneringskosten","Documentation":"Het bedrag van de vlottende voorziening voor ontmantelings-, herstel- en saneringskosten. [Zie: voorziening voor ontmantelings-, herstel- en saneringskosten]","SecondaryLabel":"Current provision for decommissioning, restoration and rehabilitation costs","SecondaryDocumentation":"The amount of current provision for decommissioning, restoration and rehabilitation costs. [Refer: Provision for decommissioning, restoration and rehabilitation costs]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401758,"FileId":3075,"Sequence":169,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"9e1602ac-b1b0-44be-b0ec-8e4a679a1396","ElementType":1,"TagName":"ifrs-full:ShorttermProvisionForDecommissioningRestorationAndRehabilitationCosts","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"5 498","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Vlottende voorziening voor ontmantelings-, herstel- en saneringskosten","Documentation":"Het bedrag van de vlottende voorziening voor ontmantelings-, herstel- en saneringskosten. [Zie: voorziening voor ontmantelings-, herstel- en saneringskosten]","SecondaryLabel":"Current provision for decommissioning, restoration and rehabilitation costs","SecondaryDocumentation":"The amount of current provision for decommissioning, restoration and rehabilitation costs. [Refer: Provision for decommissioning, restoration and rehabilitation costs]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401757,"FileId":3075,"Sequence":170,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"200f609d-b080-45e4-91f5-67259a7cd1f0","ElementType":1,"TagName":"ifrs-full:ShorttermRestructuringProvision","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 127","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Vlottende reorganisatievoorziening","Documentation":"Het bedrag van de vlottende voorziening voor reorganisatie. [Zie: reorganisatievoorziening]","SecondaryLabel":"Current restructuring provision","SecondaryDocumentation":"The amount of current provision for restructuring. [Refer: Restructuring provision]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401756,"FileId":3075,"Sequence":171,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"d0f5e645-ac22-43a8-af87-9bddfbf6efcf","ElementType":1,"TagName":"ifrs-full:ShorttermRestructuringProvision","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 239","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Vlottende reorganisatievoorziening","Documentation":"Het bedrag van de vlottende voorziening voor reorganisatie. [Zie: reorganisatievoorziening]","SecondaryLabel":"Current restructuring provision","SecondaryDocumentation":"The amount of current provision for restructuring. [Refer: Restructuring provision]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401755,"FileId":3075,"Sequence":172,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"3b4f5f8d-ad6d-4704-8c20-f21fa8796e6f","ElementType":1,"TagName":"ifrs-full:OtherCurrentLiabilities","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"7 082","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Andere kortlopende verplichtingen","Documentation":"Het bedrag aan kortlopende verplichtingen die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: kortlopende verplichtingen]","SecondaryLabel":"Other current liabilities","SecondaryDocumentation":"The amount of current liabilities that the entity does not separately disclose in the same statement or note. [Refer: Current liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401754,"FileId":3075,"Sequence":173,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"c406294b-b768-44be-8ed3-dceef52bb734","ElementType":1,"TagName":"ifrs-full:OtherCurrentLiabilities","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"3 806","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Andere kortlopende verplichtingen","Documentation":"Het bedrag aan kortlopende verplichtingen die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: kortlopende verplichtingen]","SecondaryLabel":"Other current liabilities","SecondaryDocumentation":"The amount of current liabilities that the entity does not separately disclose in the same statement or note. [Refer: Current liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401763,"FileId":3075,"Sequence":174,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"e846bccb-cd32-412d-bf7c-d6c32d10ceec","ElementType":1,"TagName":"obel:CurrentPayablesOnTaxesOtherThanIncomeTax","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"75 491","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Te betalen operationele belastingen en heffingen","Documentation":"Te betalen operationele belastingen en heffingen","SecondaryLabel":"Current Payables On Taxes Other Than Income Tax","SecondaryDocumentation":"Current payables on taxes other than income tax","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401753,"FileId":3075,"Sequence":175,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"378396db-fe91-4238-ae29-64c120938a68","ElementType":1,"TagName":"obel:CurrentPayablesOnTaxesOtherThanIncomeTax","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"77 191","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Te betalen operationele belastingen en heffingen","Documentation":"Te betalen operationele belastingen en heffingen","SecondaryLabel":"Current Payables On Taxes Other Than Income Tax","SecondaryDocumentation":"Current payables on taxes other than income tax","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401751,"FileId":3075,"Sequence":176,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"23acd7db-717d-45de-961a-659f06be5a8c","ElementType":1,"TagName":"ifrs-full:CurrentTaxLiabilitiesCurrent","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"10 653","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Actuele belastingverplichtingen, actueel","Documentation":"Het actuele bedrag aan actuele belastingverplichtingen. [Zie: actuele belastingverplichtingen]","SecondaryLabel":"Current tax liabilities, current","SecondaryDocumentation":"The current amount of current tax liabilities. [Refer: Current tax liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401750,"FileId":3075,"Sequence":177,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"0306a213-c5e1-4146-9f8b-a5dff6471706","ElementType":1,"TagName":"ifrs-full:CurrentTaxLiabilitiesCurrent","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"4 790","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Actuele belastingverplichtingen, actueel","Documentation":"Het actuele bedrag aan actuele belastingverplichtingen. [Zie: actuele belastingverplichtingen]","SecondaryLabel":"Current tax liabilities, current","SecondaryDocumentation":"The current amount of current tax liabilities. [Refer: Current tax liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401749,"FileId":3075,"Sequence":178,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"d323d082-0f55-4923-a374-cc0bf8050d19","ElementType":1,"TagName":"ifrs-full:CurrentContractLiabilities","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"56 022","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kortlopende contractverplichtingen","Documentation":"Het bedrag aan kortlopende contractverplichtingen. [Zie: contractverplichtingen]","SecondaryLabel":"Current contract liabilities","SecondaryDocumentation":"The amount of current contract liabilities. [Refer: Contract liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401748,"FileId":3075,"Sequence":179,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"6869d2e3-cf01-4e69-bbb7-14605b854ff4","ElementType":1,"TagName":"ifrs-full:CurrentContractLiabilities","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"58 968","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kortlopende contractverplichtingen","Documentation":"Het bedrag aan kortlopende contractverplichtingen. [Zie: contractverplichtingen]","SecondaryLabel":"Current contract liabilities","SecondaryDocumentation":"The amount of current contract liabilities. [Refer: Contract liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401747,"FileId":3075,"Sequence":180,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"df7a0cbe-c5a1-4271-8dcd-3fea4f9966a5","ElementType":1,"TagName":"ifrs-full:DeferredIncomeClassifiedAsCurrent","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"191","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Uitgestelde baten die zijn geclassificeerd als kortlopend","Documentation":"Het bedrag aan uitgestelde baten die zijn geclassificeerd als kortlopend. [Zie: uitgestelde baten]","SecondaryLabel":"Deferred income classified as current","SecondaryDocumentation":"The amount of deferred income classified as current. [Refer: Deferred income]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401746,"FileId":3075,"Sequence":181,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"18e9e818-1bd0-4010-9b6d-b725c7c0d7e5","ElementType":1,"TagName":"ifrs-full:DeferredIncomeClassifiedAsCurrent","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 570","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Uitgestelde baten die zijn geclassificeerd als kortlopend","Documentation":"Het bedrag aan uitgestelde baten die zijn geclassificeerd als kortlopend. [Zie: uitgestelde baten]","SecondaryLabel":"Deferred income classified as current","SecondaryDocumentation":"The amount of deferred income classified as current. [Refer: Deferred income]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401745,"FileId":3075,"Sequence":182,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"0e95079d-808c-4e77-88a9-ce593c127889","ElementType":1,"TagName":"ifrs-full:CurrentLiabilities","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"570 590","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kortlopende verplichtingen","Documentation":"Het bedrag aan verplichtingen die: a) de entiteit verwacht in de normale exploitatiecyclus van de entiteit af te wikkelen; b) de entiteit voornamelijk aanhoudt met de bedoeling deze te verhandelen; c) binnen twaalf maanden na de verslagperiode moeten worden afgewikkeld; of d) de entiteit geen onvoorwaardelijk recht geeft om de afwikkeling met ten minste twaalf maanden na de verslagperiode uit te stellen.","SecondaryLabel":"Current liabilities","SecondaryDocumentation":"The amount of liabilities that: (a) the entity expects to settle in its normal operating cycle; (b) the entity holds primarily for the purpose of trading; (c) are due to be settled within twelve months after the reporting period; or (d) the entity does not have an unconditional right to defer settlement for at least twelve months after the reporting period.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401744,"FileId":3075,"Sequence":183,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"77040f08-6361-4c52-9bb6-480f09bfd883","ElementType":1,"TagName":"ifrs-full:CurrentLiabilities","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"787 330","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kortlopende verplichtingen","Documentation":"Het bedrag aan verplichtingen die: a) de entiteit verwacht in de normale exploitatiecyclus van de entiteit af te wikkelen; b) de entiteit voornamelijk aanhoudt met de bedoeling deze te verhandelen; c) binnen twaalf maanden na de verslagperiode moeten worden afgewikkeld; of d) de entiteit geen onvoorwaardelijk recht geeft om de afwikkeling met ten minste twaalf maanden na de verslagperiode uit te stellen.","SecondaryLabel":"Current liabilities","SecondaryDocumentation":"The amount of liabilities that: (a) the entity expects to settle in its normal operating cycle; (b) the entity holds primarily for the purpose of trading; (c) are due to be settled within twelve months after the reporting period; or (d) the entity does not have an unconditional right to defer settlement for at least twelve months after the reporting period.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401743,"FileId":3075,"Sequence":184,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"5302583b-1915-4e17-9b9c-94d1f3d1dbd4","ElementType":1,"TagName":"ifrs-full:EquityAndLiabilities","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 659 672","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen en verplichtingen","Documentation":"Het bedrag aan eigen vermogen en verplichtingen van de entiteit. [Zie: eigen vermogen; verplichtingen]","SecondaryLabel":"Equity and liabilities","SecondaryDocumentation":"The amount of the entity's equity and liabilities. [Refer: Equity; Liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401626,"FileId":3075,"Sequence":185,"PageIdentifier":"ed13fd67-3d01-4593-8d39-091ab05435dc","ElementIdentifier":"3b070b46-45ca-43b5-8fee-e90829da5b63","ElementType":1,"TagName":"ifrs-full:EquityAndLiabilities","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 751 994","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen en verplichtingen","Documentation":"Het bedrag aan eigen vermogen en verplichtingen van de entiteit. [Zie: eigen vermogen; verplichtingen]","SecondaryLabel":"Equity and liabilities","SecondaryDocumentation":"The amount of the entity's equity and liabilities. [Refer: Equity; Liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401625,"FileId":3075,"Sequence":186,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"97f2278b-8895-4024-9fc7-1f357374aceb","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"39 723","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Winst (verlies)","Documentation":"Het totaal van de baten min de lasten uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten, exclusief de overige onderdelen van het totaalresultaat. [Zie: overige onderdelen van het totaalresultaat]","SecondaryLabel":"Profit (loss)","SecondaryDocumentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401624,"FileId":3075,"Sequence":187,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"bb851f10-bd78-4b69-9df6-1b2b80bea785","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"53 980","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Winst (verlies)","Documentation":"Het totaal van de baten min de lasten uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten, exclusief de overige onderdelen van het totaalresultaat. [Zie: overige onderdelen van het totaalresultaat]","SecondaryLabel":"Profit (loss)","SecondaryDocumentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401531,"FileId":3075,"Sequence":188,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"f4b77f47-844f-41cc-add6-185cd1437027","ElementType":1,"TagName":"ifrs-full:AdjustmentsForIncreaseDecreaseInOtherOperatingPayables","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"25 783","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aanpassingen voor de stijging (daling) van andere bedrijfsschulden","Documentation":"Aanpassingen voor de stijging (daling) van andere bedrijfsschulden om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: winst (verlies)]","SecondaryLabel":"Adjustments for increase (decrease) in other operating payables","SecondaryDocumentation":"Adjustments for increase (decrease) in other operating payables to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401505,"FileId":3075,"Sequence":189,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"45a93639-235e-4178-b08b-09ae6a813689","ElementType":1,"TagName":"ifrs-full:AdjustmentsForIncreaseDecreaseInOtherOperatingPayables","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"17 028","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aanpassingen voor de stijging (daling) van andere bedrijfsschulden","Documentation":"Aanpassingen voor de stijging (daling) van andere bedrijfsschulden om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: winst (verlies)]","SecondaryLabel":"Adjustments for increase (decrease) in other operating payables","SecondaryDocumentation":"Adjustments for increase (decrease) in other operating payables to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401504,"FileId":3075,"Sequence":190,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"b662261e-6ac5-4375-8ada-44002f98e105","ElementType":1,"TagName":"ifrs-full:AdjustmentsForDepreciationAndAmortisationExpense","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"279 206","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aanpassingen voor afschrijvingskosten","Documentation":"Aanpassingen voor afschrijvingskosten om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: afschrijvingskosten; winst (verlies)]","SecondaryLabel":"Adjustments for depreciation and amortisation expense","SecondaryDocumentation":"Adjustments for depreciation and amortisation expense to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Depreciation and amortisation expense; Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401503,"FileId":3075,"Sequence":191,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"7887d322-16f1-46c9-8c02-34ad5ddacba4","ElementType":1,"TagName":"ifrs-full:AdjustmentsForDepreciationAndAmortisationExpense","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"250 240","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aanpassingen voor afschrijvingskosten","Documentation":"Aanpassingen voor afschrijvingskosten om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: afschrijvingskosten; winst (verlies)]","SecondaryLabel":"Adjustments for depreciation and amortisation expense","SecondaryDocumentation":"Adjustments for depreciation and amortisation expense to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Depreciation and amortisation expense; Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401502,"FileId":3075,"Sequence":192,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"45234f2c-1d96-4c76-b254-9ce33f0c4b95","ElementType":1,"TagName":"obel:AdjustmentsForDepreciationAndAmortisationExpenseRightOfUseAssets","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"54 085","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Afschrijvingen van met een gebruiksrecht overeenstemmende activa","Documentation":"Afschrijvingen van met een gebruiksrecht overeenstemmende activa","SecondaryLabel":"Adjustments For Depreciation And Amortisation Expense Right Of Use Assets","SecondaryDocumentation":"Adjustments for depreciation and amortisation expense, right-of-use assets","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401501,"FileId":3075,"Sequence":193,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"0deb380f-a411-4c67-b344-f99665d8c853","ElementType":1,"TagName":"obel:AdjustmentsForDepreciationAndAmortisationExpenseRightOfUseAssets","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"52 502","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Afschrijvingen van met een gebruiksrecht overeenstemmende activa","Documentation":"Afschrijvingen van met een gebruiksrecht overeenstemmende activa","SecondaryLabel":"Adjustments For Depreciation And Amortisation Expense Right Of Use Assets","SecondaryDocumentation":"Adjustments for depreciation and amortisation expense, right-of-use assets","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401500,"FileId":3075,"Sequence":194,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"55e40de1-9ee4-44ce-b2b8-4bce24e37d7b","ElementType":1,"TagName":"ifrs-full:AdjustmentsForImpairmentLossRecognisedInProfitOrLossGoodwill","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"14 937","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aanpassingen voor bijzonder waardeverminderingsverlies opgenomen in winst of verlies, goodwill","Documentation":"Aanpassingen voor bijzonder waardeverminderingsverlies uit goodwill opgenomen in winst of verlies om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: goodwill; bijzonderewaardeverminderingsverlies; bijzonderewaardeverminderingsverlies opgenomen in winst of verlies]","SecondaryLabel":"Adjustments for impairment loss recognised in profit or loss, goodwill","SecondaryDocumentation":"Adjustments for impairment loss on goodwill recognised in profit or loss to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Goodwill; Impairment loss; Impairment loss recognised in profit or loss]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401499,"FileId":3075,"Sequence":195,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"b56a256c-e516-44b8-b221-0293d49fed33","ElementType":1,"TagName":"ifrs-full:AdjustmentsForImpairmentLossRecognisedInProfitOrLossGoodwill","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aanpassingen voor bijzonder waardeverminderingsverlies opgenomen in winst of verlies, goodwill","Documentation":"Aanpassingen voor bijzonder waardeverminderingsverlies uit goodwill opgenomen in winst of verlies om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: goodwill; bijzonderewaardeverminderingsverlies; bijzonderewaardeverminderingsverlies opgenomen in winst of verlies]","SecondaryLabel":"Adjustments for impairment loss recognised in profit or loss, goodwill","SecondaryDocumentation":"Adjustments for impairment loss on goodwill recognised in profit or loss to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Goodwill; Impairment loss; Impairment loss recognised in profit or loss]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401498,"FileId":3075,"Sequence":196,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"895d6a1e-b111-4c35-94a1-dc650c09437b","ElementType":1,"TagName":"ifrs-full:AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 638","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aanpassingen voor bijzonder waardeverminderingsverlies (terugneming van bijzonder waardeverminderingsverlies) opgenomen in winst of verlies","Documentation":"Aanpassingen voor bijzonder waardeverminderingsverlies (terugneming van bijzonder waardeverminderingsverlies) opgenomen in winst of verlies om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: bijzonderewaardeverminderingsverlies (terugneming van bijzonderewaardeverminderingsverlies) opgenomen in winst of verlies]","SecondaryLabel":"Adjustments for impairment loss (reversal of impairment loss) recognised in profit or loss","SecondaryDocumentation":"Adjustments for impairment loss (reversal of impairment loss) recognised in profit or loss to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Impairment loss (reversal of impairment loss) recognised in profit or loss]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401497,"FileId":3075,"Sequence":197,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"d99cdaaf-4f01-4534-80ca-d0e5c3dd136e","ElementType":1,"TagName":"ifrs-full:AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"689","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aanpassingen voor bijzonder waardeverminderingsverlies (terugneming van bijzonder waardeverminderingsverlies) opgenomen in winst of verlies","Documentation":"Aanpassingen voor bijzonder waardeverminderingsverlies (terugneming van bijzonder waardeverminderingsverlies) opgenomen in winst of verlies om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: bijzonderewaardeverminderingsverlies (terugneming van bijzonderewaardeverminderingsverlies) opgenomen in winst of verlies]","SecondaryLabel":"Adjustments for impairment loss (reversal of impairment loss) recognised in profit or loss","SecondaryDocumentation":"Adjustments for impairment loss (reversal of impairment loss) recognised in profit or loss to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Impairment loss (reversal of impairment loss) recognised in profit or loss]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401496,"FileId":3075,"Sequence":198,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"883c7bbc-833c-4fb2-9386-162e18812247","ElementType":1,"TagName":"ifrs-full:AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 725","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Aanpassingen voor verliezen (winsten) uit de vervreemding van vaste activa","Documentation":"Aanpassingen voor verliezen (winsten) uit de vervreemding van vaste activa om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: vaste activa; winst (verlies)]","SecondaryLabel":"Adjustments for losses (gains) on disposal of non-current assets","SecondaryDocumentation":"Adjustments for losses (gains) on disposal of non-current assets to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Non-current assets; Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401495,"FileId":3075,"Sequence":199,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"486e1669-ef6b-4588-b852-d729a2ed844c","ElementType":1,"TagName":"ifrs-full:AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"2 742","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Aanpassingen voor verliezen (winsten) uit de vervreemding van vaste activa","Documentation":"Aanpassingen voor verliezen (winsten) uit de vervreemding van vaste activa om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: vaste activa; winst (verlies)]","SecondaryLabel":"Adjustments for losses (gains) on disposal of non-current assets","SecondaryDocumentation":"Adjustments for losses (gains) on disposal of non-current assets to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Non-current assets; Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401494,"FileId":3075,"Sequence":200,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"7048199e-4c20-4c97-b1c9-3c3549e3b391","ElementType":1,"TagName":"ifrs-full:AdjustmentsForProvisions","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 045","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Aanpassingen voor voorzieningen","Documentation":"Aanpassingen voor voorzieningen om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: voorzieningen; winst (verlies)]","SecondaryLabel":"Adjustments for provisions","SecondaryDocumentation":"Adjustments for provisions to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Provisions; Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401493,"FileId":3075,"Sequence":201,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"52f6c579-94e4-429e-9eab-7ffa99432682","ElementType":1,"TagName":"ifrs-full:AdjustmentsForProvisions","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"2 349","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Aanpassingen voor voorzieningen","Documentation":"Aanpassingen voor voorzieningen om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: voorzieningen; winst (verlies)]","SecondaryLabel":"Adjustments for provisions","SecondaryDocumentation":"Adjustments for provisions to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Provisions; Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401492,"FileId":3075,"Sequence":202,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"4368f398-ed36-402b-ac85-0ac1823a04e2","ElementType":1,"TagName":"ifrs-full:AdjustmentsForUndistributedProfitsOfAssociates","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"276","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aanpassingen voor niet-uitgekeerde winsten van geassocieerde deelnemingen","Documentation":"Aanpassingen voor niet-uitgekeerde winsten van geassocieerde deelnemingen om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: geassocieerde deelnemingen [member]; winst (verlies)]","SecondaryLabel":"Adjustments for undistributed profits of associates","SecondaryDocumentation":"Adjustments for undistributed profits of associates to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Associates [member]; Profit (loss)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401491,"FileId":3075,"Sequence":203,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"9f9fac97-2880-4cb9-b44a-1d5752847155","ElementType":1,"TagName":"ifrs-full:AdjustmentsForUndistributedProfitsOfAssociates","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"179","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aanpassingen voor niet-uitgekeerde winsten van geassocieerde deelnemingen","Documentation":"Aanpassingen voor niet-uitgekeerde winsten van geassocieerde deelnemingen om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: geassocieerde deelnemingen [member]; winst (verlies)]","SecondaryLabel":"Adjustments for undistributed profits of associates","SecondaryDocumentation":"Adjustments for undistributed profits of associates to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Associates [member]; Profit (loss)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401490,"FileId":3075,"Sequence":204,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"65554125-f1fc-4373-b7ba-214769f4b5ec","ElementType":1,"TagName":"ifrs-full:AdjustmentsForIncomeTaxExpense","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"12 774","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aanpassingen voor lasten uit hoofde van winstbelastingen","Documentation":"Aanpassingen voor lasten uit hoofde van winstbelastingen om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: winst (verlies)]","SecondaryLabel":"Adjustments for income tax expense","SecondaryDocumentation":"Adjustments for income tax expense to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401489,"FileId":3075,"Sequence":205,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"0b71bc31-4f81-4c85-9314-88592f3b1c33","ElementType":1,"TagName":"ifrs-full:AdjustmentsForIncomeTaxExpense","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"10 089","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aanpassingen voor lasten uit hoofde van winstbelastingen","Documentation":"Aanpassingen voor lasten uit hoofde van winstbelastingen om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: winst (verlies)]","SecondaryLabel":"Adjustments for income tax expense","SecondaryDocumentation":"Adjustments for income tax expense to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401488,"FileId":3075,"Sequence":206,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"582407c9-070d-4b8c-900a-e5e5c6ed60a5","ElementType":1,"TagName":"ifrs-full:AdjustmentsForFinanceCosts","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"3 232","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aanpassingen voor financieringskosten","Documentation":"Aanpassingen voor financieringskosten om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: financieringskosten; winst (verlies)]","SecondaryLabel":"Adjustments for finance costs","SecondaryDocumentation":"Adjustments for finance costs to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Finance costs; Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401487,"FileId":3075,"Sequence":207,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"3e4bb562-f1c2-41d1-a5e6-35d35740212c","ElementType":1,"TagName":"ifrs-full:AdjustmentsForFinanceCosts","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"5 287","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aanpassingen voor financieringskosten","Documentation":"Aanpassingen voor financieringskosten om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: financieringskosten; winst (verlies)]","SecondaryLabel":"Adjustments for finance costs","SecondaryDocumentation":"Adjustments for finance costs to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Finance costs; Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401506,"FileId":3075,"Sequence":208,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"b0625bb8-8d4c-4d94-97d2-647d04bbfae2","ElementType":1,"TagName":"obel:AdjustmentsForOperationalForeignExchangeAndDerivativesLossesGainsNet","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"27","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Operationele nettovalutatransacties en derivaten","Documentation":"Operationele nettovalutatransacties en derivaten","SecondaryLabel":"Adjustments For Operational Foreign Exchange And Derivatives Losses Gains Net","SecondaryDocumentation":"Adjustments for operational foreign exchange and derivatives losses (gains), net","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401507,"FileId":3075,"Sequence":209,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"36ab9a10-3b09-4fb4-8018-157b3e6dfa7a","ElementType":1,"TagName":"obel:AdjustmentsForOperationalForeignExchangeAndDerivativesLossesGainsNet","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"51","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Operationele nettovalutatransacties en derivaten","Documentation":"Operationele nettovalutatransacties en derivaten","SecondaryLabel":"Adjustments For Operational Foreign Exchange And Derivatives Losses Gains Net","SecondaryDocumentation":"Adjustments for operational foreign exchange and derivatives losses (gains), net","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401508,"FileId":3075,"Sequence":210,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"d458cb81-82a5-4e0e-b3d1-288cbacc2075","ElementType":1,"TagName":"ifrs-full:AdjustmentsForSharebasedPayments","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"686","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aanpassingen voor op aandelen gebaseerde betalingen","Documentation":"Aanpassingen voor op aandelen gebaseerde betalingen om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: winst (verlies)]","SecondaryLabel":"Adjustments for share-based payments","SecondaryDocumentation":"Adjustments for share-based payments to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401509,"FileId":3075,"Sequence":211,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"f455450d-81f7-4307-9b62-110b5fe87867","ElementType":1,"TagName":"ifrs-full:AdjustmentsForSharebasedPayments","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"152","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Aanpassingen voor op aandelen gebaseerde betalingen","Documentation":"Aanpassingen voor op aandelen gebaseerde betalingen om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: winst (verlies)]","SecondaryLabel":"Adjustments for share-based payments","SecondaryDocumentation":"Adjustments for share-based payments to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401529,"FileId":3075,"Sequence":212,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"0e16c8b5-2995-400a-b5a5-bbfa6d1688fd","ElementType":1,"TagName":"ifrs-full:AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTradeAndOtherReceivables","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"8 672","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aanpassingen voor bijzonder waardeverminderingsverlies (terugneming van bijzonder waardeverminderingsverlies) opgenomen in winst of verlies, handels- en andere vorderingen","Documentation":"Aanpassingen voor bijzonder waardeverminderingsverlies (terugneming van bijzonder waardeverminderingsverlies) uit handels- en andere vorderingen die zijn opgenomen in winst of verlies om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: handels- en andere vorderingen; bijzonderewaardeverminderingsverlies; aanpassingen voor bijzonderewaardeverminderingsverlies (terugneming van bijzonder waardeverminderingsverlies) opgenomen in winst of verlies; bijzonderewaardeverminderingsverlies (terugneming van bijzonderewaardeverminderingsverlies) opgenomen in winst of verlies]","SecondaryLabel":"Adjustments for impairment loss (reversal of impairment loss) recognised in profit or loss, trade and other receivables","SecondaryDocumentation":"Adjustments for impairment loss (reversal of impairment loss) on trade and other receivables recognised in profit or loss to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Trade and other receivables; Impairment loss; Adjustments for impairment loss (reversal of impairment loss) recognised in profit or loss; Impairment loss (reversal of impairment loss) recognised in profit or loss]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401528,"FileId":3075,"Sequence":213,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"a8f64564-7347-45aa-8b38-8cb17d7da891","ElementType":1,"TagName":"ifrs-full:AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTradeAndOtherReceivables","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"6 630","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aanpassingen voor bijzonder waardeverminderingsverlies (terugneming van bijzonder waardeverminderingsverlies) opgenomen in winst of verlies, handels- en andere vorderingen","Documentation":"Aanpassingen voor bijzonder waardeverminderingsverlies (terugneming van bijzonder waardeverminderingsverlies) uit handels- en andere vorderingen die zijn opgenomen in winst of verlies om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: handels- en andere vorderingen; bijzonderewaardeverminderingsverlies; aanpassingen voor bijzonderewaardeverminderingsverlies (terugneming van bijzonder waardeverminderingsverlies) opgenomen in winst of verlies; bijzonderewaardeverminderingsverlies (terugneming van bijzonderewaardeverminderingsverlies) opgenomen in winst of verlies]","SecondaryLabel":"Adjustments for impairment loss (reversal of impairment loss) recognised in profit or loss, trade and other receivables","SecondaryDocumentation":"Adjustments for impairment loss (reversal of impairment loss) on trade and other receivables recognised in profit or loss to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Trade and other receivables; Impairment loss; Adjustments for impairment loss (reversal of impairment loss) recognised in profit or loss; Impairment loss (reversal of impairment loss) recognised in profit or loss]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401527,"FileId":3075,"Sequence":214,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"ca8a71ef-7a0e-428e-83d3-f9b2d2943b80","ElementType":1,"TagName":"ifrs-full:AdjustmentsForDecreaseIncreaseInInventories","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"3 003","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aanpassingen voor de daling (stijging) van voorraden","Documentation":"Aanpassingen voor de daling (stijging) van voorraden om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: voorraden; winst (verlies)]","SecondaryLabel":"Adjustments for decrease (increase) in inventories","SecondaryDocumentation":"Adjustments for decrease (increase) in inventories to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Inventories; Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401526,"FileId":3075,"Sequence":215,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"6b87cdfd-bb7e-47cd-9692-b3401e9d539e","ElementType":1,"TagName":"ifrs-full:AdjustmentsForDecreaseIncreaseInInventories","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"5 165","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aanpassingen voor de daling (stijging) van voorraden","Documentation":"Aanpassingen voor de daling (stijging) van voorraden om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: voorraden; winst (verlies)]","SecondaryLabel":"Adjustments for decrease (increase) in inventories","SecondaryDocumentation":"Adjustments for decrease (increase) in inventories to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Inventories; Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401525,"FileId":3075,"Sequence":216,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"c4717ac8-ff28-4c69-93cd-e9ec7752303d","ElementType":1,"TagName":"ifrs-full:AdjustmentsForDecreaseIncreaseInTradeAccountReceivable","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"10 727","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aanpassingen voor de daling (stijging) van handelsvorderingen","Documentation":"Aanpassingen voor de daling (stijging) van handelsvorderingen om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: winst (verlies)]","SecondaryLabel":"Adjustments for decrease (increase) in trade accounts receivable","SecondaryDocumentation":"Adjustments for decrease (increase) in trade accounts receivable to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401524,"FileId":3075,"Sequence":217,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"038bf24e-a454-4253-ab7d-eb4bd750bf2f","ElementType":1,"TagName":"ifrs-full:AdjustmentsForDecreaseIncreaseInTradeAccountReceivable","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"10 595","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aanpassingen voor de daling (stijging) van handelsvorderingen","Documentation":"Aanpassingen voor de daling (stijging) van handelsvorderingen om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: winst (verlies)]","SecondaryLabel":"Adjustments for decrease (increase) in trade accounts receivable","SecondaryDocumentation":"Adjustments for decrease (increase) in trade accounts receivable to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401523,"FileId":3075,"Sequence":218,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"85755301-9a33-462f-8fbd-9ea1bb9d7490","ElementType":1,"TagName":"ifrs-full:AdjustmentsForIncreaseDecreaseInTradeAccountPayable","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"37 718","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Aanpassingen voor de stijging (daling) van handelsschulden","Documentation":"Aanpassingen voor de stijging (daling) van handelsschulden om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: winst (verlies)]","SecondaryLabel":"Adjustments for increase (decrease) in trade accounts payable","SecondaryDocumentation":"Adjustments for increase (decrease) in trade accounts payable to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401522,"FileId":3075,"Sequence":219,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"306f675e-2f15-4f7a-8d8d-38c469e4122e","ElementType":1,"TagName":"ifrs-full:AdjustmentsForIncreaseDecreaseInTradeAccountPayable","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"18 526","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Aanpassingen voor de stijging (daling) van handelsschulden","Documentation":"Aanpassingen voor de stijging (daling) van handelsschulden om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: winst (verlies)]","SecondaryLabel":"Adjustments for increase (decrease) in trade accounts payable","SecondaryDocumentation":"Adjustments for increase (decrease) in trade accounts payable to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401521,"FileId":3075,"Sequence":220,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"e71d0932-73fc-4667-bc73-c25d01296310","ElementType":1,"TagName":"obel:AdjustmentsForIncreaseDecreaseInCustomerContractAssets","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 538","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Wijziging in overige activa in verband met contracten met klanten","Documentation":"Wijziging in overige activa in verband met contracten met klanten.","SecondaryLabel":"Adjustments For Increase Decrease In Customer Contract Assets","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401530,"FileId":3075,"Sequence":221,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"c41b648a-8aa6-43b3-b5e7-734ecf6ddb19","ElementType":1,"TagName":"obel:AdjustmentsForIncreaseDecreaseInCustomerContractAssets","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 463","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Wijziging in overige activa in verband met contracten met klanten","Documentation":"Wijziging in overige activa in verband met contracten met klanten.","SecondaryLabel":"Adjustments For Increase Decrease In Customer Contract Assets","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401520,"FileId":3075,"Sequence":222,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"7d975ec0-8fff-4089-a705-6dfe55213331","ElementType":1,"TagName":"obel:AdjustmentsForIncreaseDecreaseInCustomerContractLiabilities","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"2 946","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Wijziging in verplichtingen in verband met contracten met klanten","Documentation":"Wijziging in verplichtingen in verband met contracten met klanten.","SecondaryLabel":"Adjustments For Increase Decrease In Customer Contract Liabilities","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401518,"FileId":3075,"Sequence":223,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"96d8f7d2-b3b4-4207-9e8b-04bd64236a62","ElementType":1,"TagName":"obel:AdjustmentsForIncreaseDecreaseInCustomerContractLiabilities","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"6 777","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Wijziging in verplichtingen in verband met contracten met klanten","Documentation":"Wijziging in verplichtingen in verband met contracten met klanten.","SecondaryLabel":"Adjustments For Increase Decrease In Customer Contract Liabilities","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401517,"FileId":3075,"Sequence":224,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"b1265529-8c06-4dcd-be5f-8f7ee8615d72","ElementType":1,"TagName":"obel:AdjustmentsForIncreaseDecreaseInOtherAssetsAndDecreaseIncreaseInOtherLiabilities","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"4 196","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Wijzigingen in andere activa en verplichtingen","Documentation":"Wijzigingen in andere activa en verplichtingen","SecondaryLabel":"Adjustments For Increase Decrease In Other Assets And Decrease Increase In Other Liabilities","SecondaryDocumentation":"Adjustments for increase decrease in other assets and decrease increase in other liabilities","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401516,"FileId":3075,"Sequence":225,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"ead6020d-8140-440f-b6a7-3d77610c1842","ElementType":1,"TagName":"obel:AdjustmentsForIncreaseDecreaseInOtherAssetsAndDecreaseIncreaseInOtherLiabilities","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 232","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Wijzigingen in andere activa en verplichtingen","Documentation":"Wijzigingen in andere activa en verplichtingen","SecondaryLabel":"Adjustments For Increase Decrease In Other Assets And Decrease Increase In Other Liabilities","SecondaryDocumentation":"Adjustments for increase decrease in other assets and decrease increase in other liabilities","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401515,"FileId":3075,"Sequence":226,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"86b3cd25-0952-4cbd-8842-601997634031","ElementType":1,"TagName":"ifrs-full:OtherInflowsOutflowsOfCashClassifiedAsOperatingActivities","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"35 288","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Andere instromen (uitstromen) van geldmiddelen, geclassificeerd als operationele activiteiten","Documentation":"Instromen (uitstromen) van geldmiddelen, geclassificeerd als operationele activiteiten, die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting.","SecondaryLabel":"Other inflows (outflows) of cash, classified as operating activities","SecondaryDocumentation":"Inflows (outflows) of cash, classified as operating activities, that the entity does not separately disclose in the same statement or note.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401514,"FileId":3075,"Sequence":227,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"19dbab0e-e700-4eb5-a261-987eb090926b","ElementType":1,"TagName":"ifrs-full:OtherInflowsOutflowsOfCashClassifiedAsOperatingActivities","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"19 359","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Andere instromen (uitstromen) van geldmiddelen, geclassificeerd als operationele activiteiten","Documentation":"Instromen (uitstromen) van geldmiddelen, geclassificeerd als operationele activiteiten, die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting.","SecondaryLabel":"Other inflows (outflows) of cash, classified as operating activities","SecondaryDocumentation":"Inflows (outflows) of cash, classified as operating activities, that the entity does not separately disclose in the same statement or note.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401513,"FileId":3075,"Sequence":228,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"b15c9438-07cb-40a4-947c-ab6885e7cb51","ElementType":1,"TagName":"ifrs-full:InterestPaidClassifiedAsOperatingActivities","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"3 816","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Betaalde rente, geclassificeerd als operationele activiteiten","Documentation":"De kasuitstroom voor betaalde rente, geclassificeerd als operationele activiteiten.","SecondaryLabel":"Interest paid, classified as operating activities","SecondaryDocumentation":"The cash outflow for interest paid, classified as operating activities.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401512,"FileId":3075,"Sequence":229,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"2526e558-26ca-44e4-ac2f-a9176fa566fd","ElementType":1,"TagName":"ifrs-full:InterestPaidClassifiedAsOperatingActivities","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"5 263","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Betaalde rente, geclassificeerd als operationele activiteiten","Documentation":"De kasuitstroom voor betaalde rente, geclassificeerd als operationele activiteiten.","SecondaryLabel":"Interest paid, classified as operating activities","SecondaryDocumentation":"The cash outflow for interest paid, classified as operating activities.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401511,"FileId":3075,"Sequence":230,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"0d5e81de-d2cd-46fb-86a4-cea5a78afa88","ElementType":1,"TagName":"ifrs-full:IncomeTaxesPaidClassifiedAsOperatingActivities","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"9 508","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Betaalde winstbelastingen, geclassificeerd als operationele bedrijfsactiviteiten","Documentation":"De kasuitstroom voor betaalde winstbelastingen, geclassificeerd als operationele bedrijfsactiviteiten.","SecondaryLabel":"Income taxes paid, classified as operating activities","SecondaryDocumentation":"The cash outflow for income taxes paid, classified as operating activities.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401510,"FileId":3075,"Sequence":231,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"79342ef3-327d-490f-a8cc-6fdc9cc69916","ElementType":1,"TagName":"ifrs-full:IncomeTaxesPaidClassifiedAsOperatingActivities","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"12 604","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Betaalde winstbelastingen, geclassificeerd als operationele bedrijfsactiviteiten","Documentation":"De kasuitstroom voor betaalde winstbelastingen, geclassificeerd als operationele bedrijfsactiviteiten.","SecondaryLabel":"Income taxes paid, classified as operating activities","SecondaryDocumentation":"The cash outflow for income taxes paid, classified as operating activities.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401486,"FileId":3075,"Sequence":232,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"8c61bf30-5123-4fd4-b878-4cf15e9b3cd4","ElementType":1,"TagName":"ifrs-full:CashFlowsFromUsedInOperatingActivities","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"367 852","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kasstromen uit hoofde van (gebruikt in) operationele activiteiten","Documentation":"De kasstromen uit hoofde van (gebruikt in) operationele activiteiten die de voornaamste activiteiten van een entiteit zijn die opbrengsten genereren, evenals andere activiteiten die geen investerings- of financieringsactiviteiten zijn. [Zie: opbrengsten]","SecondaryLabel":"Cash flows from (used in) operating activities","SecondaryDocumentation":"The cash flows from (used in) operating activities, which are the principal revenue-producing activities of the entity and other activities that are not investing or financing activities. [Refer: Revenue]","PeriodType":"duration","Balance":"","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401485,"FileId":3075,"Sequence":233,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"242554da-a7a8-45d3-a122-6616b6328713","ElementType":1,"TagName":"ifrs-full:CashFlowsFromUsedInOperatingActivities","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"344 434","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kasstromen uit hoofde van (gebruikt in) operationele activiteiten","Documentation":"De kasstromen uit hoofde van (gebruikt in) operationele activiteiten die de voornaamste activiteiten van een entiteit zijn die opbrengsten genereren, evenals andere activiteiten die geen investerings- of financieringsactiviteiten zijn. [Zie: opbrengsten]","SecondaryLabel":"Cash flows from (used in) operating activities","SecondaryDocumentation":"The cash flows from (used in) operating activities, which are the principal revenue-producing activities of the entity and other activities that are not investing or financing activities. [Refer: Revenue]","PeriodType":"duration","Balance":"","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401484,"FileId":3075,"Sequence":234,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"821ae816-7971-4553-8b2a-1e7c2bf87050","ElementType":1,"TagName":"ifrs-full:PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"225 881","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aankoop van materiële vaste activa, andere immateriële activa dan goodwill, vastgoedbeleggingen en andere vaste activa","Documentation":"De kasuitstroom voor de aankoop van materiële vaste activa, andere immateriële activa dan goodwill, vastgoedbeleggingen en andere vaste activa. [Zie: andere immateriële activa dan goodwill; vastgoedbeleggingen; andere vaste activa; materiële vaste activa]","SecondaryLabel":"Purchase of property, plant and equipment, intangible assets other than goodwill, investment property and other non-current assets","SecondaryDocumentation":"The cash outflow for the purchase of property, plant and equipment, intangible assets other than goodwill, investment property and other non-current assets. [Refer: Intangible assets other than goodwill; Investment property; Other non-current assets; Property, plant and equipment]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401461,"FileId":3075,"Sequence":235,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"af2384bb-e900-4f97-a428-6a769f755276","ElementType":1,"TagName":"ifrs-full:PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"177 734","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Aankoop van materiële vaste activa, andere immateriële activa dan goodwill, vastgoedbeleggingen en andere vaste activa","Documentation":"De kasuitstroom voor de aankoop van materiële vaste activa, andere immateriële activa dan goodwill, vastgoedbeleggingen en andere vaste activa. [Zie: andere immateriële activa dan goodwill; vastgoedbeleggingen; andere vaste activa; materiële vaste activa]","SecondaryLabel":"Purchase of property, plant and equipment, intangible assets other than goodwill, investment property and other non-current assets","SecondaryDocumentation":"The cash outflow for the purchase of property, plant and equipment, intangible assets other than goodwill, investment property and other non-current assets. [Refer: Intangible assets other than goodwill; Investment property; Other non-current assets; Property, plant and equipment]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401459,"FileId":3075,"Sequence":236,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"4f412f22-98c7-4e5f-87d1-18e9be8cc3c8","ElementType":1,"TagName":"obel:IncreaseDecreaseInPayablesRelatedToPropertyPlantAndEquipmentAndIntangibleAssetsOtherThanGoodwill","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"14 659","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Stijging (daling) in te betalen vaste activa","Documentation":"Stijging (daling) in te betalen vaste activa","SecondaryLabel":"Increase Decrease In Payables Related To Property Plant And Equipment And Intangible Assets Other Than Goodwill","SecondaryDocumentation":"Increase (decrease) in payables related to property plant and equipment and intangible assets other than goodwill","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401458,"FileId":3075,"Sequence":237,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"75cb7aea-afe4-43df-bccb-5e4697a92c20","ElementType":1,"TagName":"obel:IncreaseDecreaseInPayablesRelatedToPropertyPlantAndEquipmentAndIntangibleAssetsOtherThanGoodwill","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"4 139","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Stijging (daling) in te betalen vaste activa","Documentation":"Stijging (daling) in te betalen vaste activa","SecondaryLabel":"Increase Decrease In Payables Related To Property Plant And Equipment And Intangible Assets Other Than Goodwill","SecondaryDocumentation":"Increase (decrease) in payables related to property plant and equipment and intangible assets other than goodwill","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401457,"FileId":3075,"Sequence":238,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"7ce18ac7-48c1-44f3-8e41-d982982ca334","ElementType":1,"TagName":"obel:OrganicCashFlow","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"104 797","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Organische kasstroom","Documentation":"Organische kasstroom.","SecondaryLabel":"Organic Cash Flow","SecondaryDocumentation":"Inflows (outflows) of cash, classified as investing activities, that the entity does not separately disclose in the same statement or note.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401456,"FileId":3075,"Sequence":239,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"e096de7e-cb1f-469b-ad92-547955335aeb","ElementType":1,"TagName":"obel:OrganicCashFlow","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"122 420","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Organische kasstroom","Documentation":"Organische kasstroom.","SecondaryLabel":"Organic Cash Flow","SecondaryDocumentation":"Inflows (outflows) of cash, classified as investing activities, that the entity does not separately disclose in the same statement or note.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":1},{"Id":1401455,"FileId":3075,"Sequence":240,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"648395d8-8e6b-49a9-b894-872e33d8d6be","ElementType":1,"TagName":"ifrs-full:CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"150","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kasstromen gebruikt bij het verkrijgen van zeggenschap over andere bedrijven, geclassificeerd als investeringsactiviteiten","Documentation":"De samengevoegde kasstromen gebruikt bij het verkrijgen van zeggenschap over andere bedrijven, geclassificeerd als investeringsactiviteiten. [Zie: dochterondernemingen [member]]","SecondaryLabel":"Cash flows used in obtaining control of subsidiaries or other businesses, classified as investing activities","SecondaryDocumentation":"The aggregate cash flows used in obtaining control of subsidiaries or other businesses, classified as investing activities. [Refer: Subsidiaries [member]]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401454,"FileId":3075,"Sequence":241,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"38f830f2-5027-4e61-a4cf-6154210a4258","ElementType":1,"TagName":"ifrs-full:CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 706","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kasstromen gebruikt bij het verkrijgen van zeggenschap over andere bedrijven, geclassificeerd als investeringsactiviteiten","Documentation":"De samengevoegde kasstromen gebruikt bij het verkrijgen van zeggenschap over andere bedrijven, geclassificeerd als investeringsactiviteiten. [Zie: dochterondernemingen [member]]","SecondaryLabel":"Cash flows used in obtaining control of subsidiaries or other businesses, classified as investing activities","SecondaryDocumentation":"The aggregate cash flows used in obtaining control of subsidiaries or other businesses, classified as investing activities. [Refer: Subsidiaries [member]]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401453,"FileId":3075,"Sequence":242,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"613921b4-829d-4af5-ab3d-083f08c213b9","ElementType":1,"TagName":"ifrs-full:CashFlowsFromUsedInDecreaseIncreaseInShorttermDepositsAndInvestments","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"54","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kasstromen uit hoofde van (gebruikt in) een daling (stijging) van kortlopende deposito's en investeringen","Documentation":"De kasinstroom (-uitstroom) uit hoofde van een daling (stijging) van kortlopende deposito's en investeringen.","SecondaryLabel":"Cash flows from (used in) decrease (increase) in short-term deposits and investments","SecondaryDocumentation":"The cash inflow (outflow) due to a decrease (increase) in short-term deposits and investments.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401452,"FileId":3075,"Sequence":243,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"9f742e22-5de8-4f9b-b007-2b22f3abb405","ElementType":1,"TagName":"ifrs-full:CashFlowsFromUsedInDecreaseIncreaseInShorttermDepositsAndInvestments","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"98","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Kasstromen uit hoofde van (gebruikt in) een daling (stijging) van kortlopende deposito's en investeringen","Documentation":"De kasinstroom (-uitstroom) uit hoofde van een daling (stijging) van kortlopende deposito's en investeringen.","SecondaryLabel":"Cash flows from (used in) decrease (increase) in short-term deposits and investments","SecondaryDocumentation":"The cash inflow (outflow) due to a decrease (increase) in short-term deposits and investments.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401451,"FileId":3075,"Sequence":244,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"d5661c11-7eb2-4491-a603-58e7bbdfa106","ElementType":1,"TagName":"ifrs-full:CashFlowsFromUsedInInvestingActivities","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"211 318","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Kasstromen uit hoofde van (gebruikt in) investeringsactiviteiten","Documentation":"De kasstromen uit hoofde van (gebruikt in) investeringsactiviteiten die de verwerving en vervreemding zijn van vaste activa en andere investeringen die niet in kasequivalenten zijn vervat.","SecondaryLabel":"Cash flows from (used in) investing activities","SecondaryDocumentation":"The cash flows from (used in) investing activities, which are the acquisition and disposal of long-term assets and other investments not included in cash equivalents.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401450,"FileId":3075,"Sequence":245,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"7ae1851c-3cde-456a-a42a-0155fa7134d2","ElementType":1,"TagName":"ifrs-full:CashFlowsFromUsedInInvestingActivities","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"175 399","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Kasstromen uit hoofde van (gebruikt in) investeringsactiviteiten","Documentation":"De kasstromen uit hoofde van (gebruikt in) investeringsactiviteiten die de verwerving en vervreemding zijn van vaste activa en andere investeringen die niet in kasequivalenten zijn vervat.","SecondaryLabel":"Cash flows from (used in) investing activities","SecondaryDocumentation":"The cash flows from (used in) investing activities, which are the acquisition and disposal of long-term assets and other investments not included in cash equivalents.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401449,"FileId":3075,"Sequence":246,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"07668650-2f1e-493b-81df-622a30bb8d9f","ElementType":1,"TagName":"ifrs-full:RepaymentsOfNoncurrentBorrowings","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"81 897","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Terugbetalingen van langlopende leningen","Documentation":"De kasuitstroom voor terugbetalingen van langlopende leningen. [Zie: leningen]","SecondaryLabel":"Repayments of non-current borrowings","SecondaryDocumentation":"The cash outflow for repayments of non-current borrowings. [Refer: Borrowings]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401448,"FileId":3075,"Sequence":247,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"62d6a383-2077-4f1c-ac27-40e630b80e49","ElementType":1,"TagName":"ifrs-full:RepaymentsOfNoncurrentBorrowings","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"42 174","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Terugbetalingen van langlopende leningen","Documentation":"De kasuitstroom voor terugbetalingen van langlopende leningen. [Zie: leningen]","SecondaryLabel":"Repayments of non-current borrowings","SecondaryDocumentation":"The cash outflow for repayments of non-current borrowings. [Refer: Borrowings]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401447,"FileId":3075,"Sequence":248,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"87697418-866a-492b-b624-ff538b12b5e6","ElementType":1,"TagName":"ifrs-full:PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"51 834","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Betalingen van leaseverplichtingen, geclassificeerd als financieringsactiviteiten","Documentation":"De kasuitstroom voor de betaling van leaseverplichtingen, geclassificeerd als financieringsactiviteiten. [Zie: leaseverplichtingen]","SecondaryLabel":"Payments of lease liabilities, classified as financing activities","SecondaryDocumentation":"The cash outflow for payment of lease liabilities, classified as financing activities. [Refer: Lease liabilities]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401446,"FileId":3075,"Sequence":249,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"699c6d62-9160-463a-9fa0-a044178284f6","ElementType":1,"TagName":"ifrs-full:PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"48 419","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Betalingen van leaseverplichtingen, geclassificeerd als financieringsactiviteiten","Documentation":"De kasuitstroom voor de betaling van leaseverplichtingen, geclassificeerd als financieringsactiviteiten. [Zie: leaseverplichtingen]","SecondaryLabel":"Payments of lease liabilities, classified as financing activities","SecondaryDocumentation":"The cash outflow for payment of lease liabilities, classified as financing activities. [Refer: Lease liabilities]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401445,"FileId":3075,"Sequence":250,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"a99f2826-5a57-4730-ab4a-81bf0a2280f0","ElementType":1,"TagName":"ifrs-full:CashFlowsFromUsedInIncreaseDecreaseInCurrentBorrowings","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"10","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kasstromen uit hoofde van (gebruikt in) stijging (daling) van kortlopende leningen","Documentation":"De kasinstroom (-uitstroom) uit hoofde van een stijging (daling) van kortlopende leningen. [Zie: kortlopende leningen]","SecondaryLabel":"Cash flows from (used in) increase (decrease) in current borrowings","SecondaryDocumentation":"The cash inflow (outflow) due to an increase (decrease) in current borrowings. [Refer: Current borrowings]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401444,"FileId":3075,"Sequence":251,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"0515cc89-5fa6-4f11-9e12-c825fb37337f","ElementType":1,"TagName":"ifrs-full:CashFlowsFromUsedInIncreaseDecreaseInCurrentBorrowings","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"6 472","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Kasstromen uit hoofde van (gebruikt in) stijging (daling) van kortlopende leningen","Documentation":"De kasinstroom (-uitstroom) uit hoofde van een stijging (daling) van kortlopende leningen. [Zie: kortlopende leningen]","SecondaryLabel":"Cash flows from (used in) increase (decrease) in current borrowings","SecondaryDocumentation":"The cash inflow (outflow) due to an increase (decrease) in current borrowings. [Refer: Current borrowings]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401443,"FileId":3075,"Sequence":252,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"1e29bc59-b6f5-4a38-bfa8-7c7375dfa9eb","ElementType":1,"TagName":"ifrs-full:PaymentsToAcquireOrRedeemEntitysShares","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"112","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Betalingen om aandelen van de entiteit te verwerven of in te kopen","Documentation":"De kasuitstroom om aandelen van de entiteit te verwerven of in te kopen.","SecondaryLabel":"Payments to acquire or redeem entity's shares","SecondaryDocumentation":"The cash outflow to acquire or redeem entity's shares.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401442,"FileId":3075,"Sequence":253,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"e0109585-b2d5-4ffe-81c5-24c1e07030d2","ElementType":1,"TagName":"ifrs-full:PaymentsToAcquireOrRedeemEntitysShares","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 322","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Betalingen om aandelen van de entiteit te verwerven of in te kopen","Documentation":"De kasuitstroom om aandelen van de entiteit te verwerven of in te kopen.","SecondaryLabel":"Payments to acquire or redeem entity's shares","SecondaryDocumentation":"The cash outflow to acquire or redeem entity's shares.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401441,"FileId":3075,"Sequence":254,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"721616eb-91a6-45d6-ad3d-63432b52feba","ElementType":1,"TagName":"ifrs-full:DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"30 007","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Dividenden betaald aan aandeelhouders van de moedermaatschappij, geclassificeerd als financieringsactiviteiten","Documentation":"De kasuitstroom voor dividenden betaald aan aandeelhouders van de moedermaatschappij, geclassificeerd als financieringsactiviteiten.","SecondaryLabel":"Dividends paid to equity holders of parent, classified as financing activities","SecondaryDocumentation":"The cash outflow for dividends paid to equity holders of the parent, classified as financing activities.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401460,"FileId":3075,"Sequence":255,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"fcfeaedb-5621-4e42-af11-d34b1291baec","ElementType":1,"TagName":"ifrs-full:DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"30 007","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Dividenden betaald aan aandeelhouders van de moedermaatschappij, geclassificeerd als financieringsactiviteiten","Documentation":"De kasuitstroom voor dividenden betaald aan aandeelhouders van de moedermaatschappij, geclassificeerd als financieringsactiviteiten.","SecondaryLabel":"Dividends paid to equity holders of parent, classified as financing activities","SecondaryDocumentation":"The cash outflow for dividends paid to equity holders of the parent, classified as financing activities.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401462,"FileId":3075,"Sequence":256,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"aa441042-8636-47da-a68f-7acbd5dc857b","ElementType":1,"TagName":"ifrs-full:CashFlowsFromUsedInFinancingActivities","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"163 616","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Kasstromen uit hoofde van (gebruikt in) financieringsactiviteiten","Documentation":"De kasstromen uit hoofde van (gebruikt in) financieringsactiviteiten die activiteiten zijn die leiden tot wijzigingen in de grootte en de samenstelling van het gestort kapitaal en het vreemd vermogen van de entiteit.","SecondaryLabel":"Cash flows from (used in) financing activities","SecondaryDocumentation":"The cash flows from (used in) financing activities, which are activities that result in changes in the size and composition of the contributed equity and borrowings of the entity.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401483,"FileId":3075,"Sequence":257,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"9e49bb48-dcd3-411a-a1c7-6743d41e0abd","ElementType":1,"TagName":"ifrs-full:CashFlowsFromUsedInFinancingActivities","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"128 394","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Kasstromen uit hoofde van (gebruikt in) financieringsactiviteiten","Documentation":"De kasstromen uit hoofde van (gebruikt in) financieringsactiviteiten die activiteiten zijn die leiden tot wijzigingen in de grootte en de samenstelling van het gestort kapitaal en het vreemd vermogen van de entiteit.","SecondaryLabel":"Cash flows from (used in) financing activities","SecondaryDocumentation":"The cash flows from (used in) financing activities, which are activities that result in changes in the size and composition of the contributed equity and borrowings of the entity.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401463,"FileId":3075,"Sequence":258,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"00851018-8fa4-4518-8ddb-c1c948eb8683","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseInCashAndCashEquivalents","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"7 082","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Stijging (daling) van geldmiddelen en kasequivalenten","Documentation":"De stijging (daling) van geldmiddelen en kasequivalenten. [Zie: geldmiddelen en kasequivalenten]","SecondaryLabel":"Increase (decrease) in cash and cash equivalents","SecondaryDocumentation":"The increase (decrease) in cash and cash equivalents. [Refer: Cash and cash equivalents]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401482,"FileId":3075,"Sequence":259,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"5d5de90e-249c-47d1-994a-c317fd56efa5","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseInCashAndCashEquivalents","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"40 641","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Stijging (daling) van geldmiddelen en kasequivalenten","Documentation":"De stijging (daling) van geldmiddelen en kasequivalenten. [Zie: geldmiddelen en kasequivalenten]","SecondaryLabel":"Increase (decrease) in cash and cash equivalents","SecondaryDocumentation":"The increase (decrease) in cash and cash equivalents. [Refer: Cash and cash equivalents]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401481,"FileId":3075,"Sequence":260,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"022a9c85-c0ec-4241-bcde-1c327aa6e9f6","ElementType":1,"TagName":"ifrs-full:CashAndCashEquivalents","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"60 816","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Geldmiddelen en kasequivalenten","Documentation":"Het bedrag aan contanten en direct opvraagbare deposito's, samen met kortlopende, uiterst liquide beleggingen die onmiddellijk kunnen worden omgezet in geldmiddelen waarvan het bedrag bekend is en die geen materieel risico van waardeverandering in zich dragen. [Zie: geldmiddelen; kasequivalenten]","SecondaryLabel":"Cash and cash equivalents","SecondaryDocumentation":"The amount of cash on hand and demand deposits, along with short-term, highly liquid investments that are readily convertible to known amounts of cash and that are subject to an insignificant risk of changes in value. [Refer: Cash; Cash equivalents]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401480,"FileId":3075,"Sequence":261,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"a35218fd-673f-4863-ba21-25581adf3874","ElementType":1,"TagName":"ifrs-full:CashAndCashEquivalents","ContextRef":"PAsOn12_31_2019","Period":"31-Dec-2019","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"20 175","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Geldmiddelen en kasequivalenten","Documentation":"Het bedrag aan contanten en direct opvraagbare deposito's, samen met kortlopende, uiterst liquide beleggingen die onmiddellijk kunnen worden omgezet in geldmiddelen waarvan het bedrag bekend is en die geen materieel risico van waardeverandering in zich dragen. [Zie: geldmiddelen; kasequivalenten]","SecondaryLabel":"Cash and cash equivalents","SecondaryDocumentation":"The amount of cash on hand and demand deposits, along with short-term, highly liquid investments that are readily convertible to known amounts of cash and that are subject to an insignificant risk of changes in value. [Refer: Cash; Cash equivalents]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401479,"FileId":3075,"Sequence":262,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"57e048b4-7ddd-432c-bb38-c4cb03616af2","ElementType":1,"TagName":"ifrs-full:Cash","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"32 030","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Geldmiddelen","Documentation":"Het bedrag aan contanten en direct opvraagbare deposito’s. [Zie: contanten]","SecondaryLabel":"Cash","SecondaryDocumentation":"The amount of cash on hand and demand deposits. [Refer: Cash on hand]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401478,"FileId":3075,"Sequence":263,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"b0a66b6b-2c11-4c8e-a8df-d2096873499c","ElementType":1,"TagName":"ifrs-full:Cash","ContextRef":"PAsOn12_31_2019","Period":"31-Dec-2019","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"18 290","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Geldmiddelen","Documentation":"Het bedrag aan contanten en direct opvraagbare deposito’s. [Zie: contanten]","SecondaryLabel":"Cash","SecondaryDocumentation":"The amount of cash on hand and demand deposits. [Refer: Cash on hand]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401477,"FileId":3075,"Sequence":264,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"f99aad11-c096-4b29-8f30-94e087d8f5cc","ElementType":1,"TagName":"ifrs-full:CashEquivalents","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"28 786","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kasequivalenten","Documentation":"Het bedrag aan kortlopende, uiterst liquide beleggingen die onmiddellijk kunnen worden omgezet in geldmiddelen waarvan het bedrag bekend is en die geen materieel risico van waardeverandering in zich dragen.","SecondaryLabel":"Cash equivalents","SecondaryDocumentation":"The amount of short-term, highly liquid investments that are readily convertible to known amounts of cash and that are subject to an insignificant risk of changes in value.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401476,"FileId":3075,"Sequence":265,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"e67581cf-017a-4f87-b4e1-50d4dc9d5cb3","ElementType":1,"TagName":"ifrs-full:CashEquivalents","ContextRef":"PAsOn12_31_2019","Period":"31-Dec-2019","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 885","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kasequivalenten","Documentation":"Het bedrag aan kortlopende, uiterst liquide beleggingen die onmiddellijk kunnen worden omgezet in geldmiddelen waarvan het bedrag bekend is en die geen materieel risico van waardeverandering in zich dragen.","SecondaryLabel":"Cash equivalents","SecondaryDocumentation":"The amount of short-term, highly liquid investments that are readily convertible to known amounts of cash and that are subject to an insignificant risk of changes in value.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401475,"FileId":3075,"Sequence":266,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"5b5ca615-daea-4138-b201-313a0c3bceb1","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"7 082","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Stijging (daling) van geldmiddelen en kasequivalenten vóór gevolgen van wisselkoerswijzigingen","Documentation":"De stijging (daling) van geldmiddelen en kasequivalenten vóór de gevolgen van wisselkoerswijzigingen voor geldmiddelen en kasequivalenten aangehouden in vreemde valuta. [Zie: geldmiddelen en kasequivalenten; gevolgen van wisselkoerswijzigingen voor geldmiddelen en kasequivalenten]","SecondaryLabel":"Increase (decrease) in cash and cash equivalents before effect of exchange rate changes","SecondaryDocumentation":"The increase (decrease) in cash and cash equivalents before the effect of exchange rate changes on cash and cash equivalents held in foreign currencies. [Refer: Cash and cash equivalents; Effect of exchange rate changes on cash and cash equivalents]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401474,"FileId":3075,"Sequence":267,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"4b4fcdff-5287-48e9-bb2c-6452d3875a28","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"40 641","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Stijging (daling) van geldmiddelen en kasequivalenten vóór gevolgen van wisselkoerswijzigingen","Documentation":"De stijging (daling) van geldmiddelen en kasequivalenten vóór de gevolgen van wisselkoerswijzigingen voor geldmiddelen en kasequivalenten aangehouden in vreemde valuta. [Zie: geldmiddelen en kasequivalenten; gevolgen van wisselkoerswijzigingen voor geldmiddelen en kasequivalenten]","SecondaryLabel":"Increase (decrease) in cash and cash equivalents before effect of exchange rate changes","SecondaryDocumentation":"The increase (decrease) in cash and cash equivalents before the effect of exchange rate changes on cash and cash equivalents held in foreign currencies. [Refer: Cash and cash equivalents; Effect of exchange rate changes on cash and cash equivalents]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401473,"FileId":3075,"Sequence":268,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"f6fd35bf-fdf2-414b-97ad-9e8cb2db3801","ElementType":1,"TagName":"ifrs-full:CashAndCashEquivalents","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"53 735","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Geldmiddelen en kasequivalenten","Documentation":"Het bedrag aan contanten en direct opvraagbare deposito's, samen met kortlopende, uiterst liquide beleggingen die onmiddellijk kunnen worden omgezet in geldmiddelen waarvan het bedrag bekend is en die geen materieel risico van waardeverandering in zich dragen. [Zie: geldmiddelen; kasequivalenten]","SecondaryLabel":"Cash and cash equivalents","SecondaryDocumentation":"The amount of cash on hand and demand deposits, along with short-term, highly liquid investments that are readily convertible to known amounts of cash and that are subject to an insignificant risk of changes in value. [Refer: Cash; Cash equivalents]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401472,"FileId":3075,"Sequence":269,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"4e5c32a0-1c02-4f3e-8bd9-83cacd8e7bb3","ElementType":1,"TagName":"ifrs-full:CashAndCashEquivalents","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"60 816","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Geldmiddelen en kasequivalenten","Documentation":"Het bedrag aan contanten en direct opvraagbare deposito's, samen met kortlopende, uiterst liquide beleggingen die onmiddellijk kunnen worden omgezet in geldmiddelen waarvan het bedrag bekend is en die geen materieel risico van waardeverandering in zich dragen. [Zie: geldmiddelen; kasequivalenten]","SecondaryLabel":"Cash and cash equivalents","SecondaryDocumentation":"The amount of cash on hand and demand deposits, along with short-term, highly liquid investments that are readily convertible to known amounts of cash and that are subject to an insignificant risk of changes in value. [Refer: Cash; Cash equivalents]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401471,"FileId":3075,"Sequence":270,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"a69c828e-a7ef-4444-b307-7ed3a4ee9f15","ElementType":1,"TagName":"ifrs-full:Cash","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"23 957","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Geldmiddelen","Documentation":"Het bedrag aan contanten en direct opvraagbare deposito’s. [Zie: contanten]","SecondaryLabel":"Cash","SecondaryDocumentation":"The amount of cash on hand and demand deposits. [Refer: Cash on hand]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401470,"FileId":3075,"Sequence":271,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"9ecbeb45-baed-4304-84d5-82b17b9ee946","ElementType":1,"TagName":"ifrs-full:Cash","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"32 030","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Geldmiddelen","Documentation":"Het bedrag aan contanten en direct opvraagbare deposito’s. [Zie: contanten]","SecondaryLabel":"Cash","SecondaryDocumentation":"The amount of cash on hand and demand deposits. [Refer: Cash on hand]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401469,"FileId":3075,"Sequence":272,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"3203ed38-2680-43a4-9dd8-017bcf20360d","ElementType":1,"TagName":"ifrs-full:CashEquivalents","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"29 778","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kasequivalenten","Documentation":"Het bedrag aan kortlopende, uiterst liquide beleggingen die onmiddellijk kunnen worden omgezet in geldmiddelen waarvan het bedrag bekend is en die geen materieel risico van waardeverandering in zich dragen.","SecondaryLabel":"Cash equivalents","SecondaryDocumentation":"The amount of short-term, highly liquid investments that are readily convertible to known amounts of cash and that are subject to an insignificant risk of changes in value.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401468,"FileId":3075,"Sequence":273,"PageIdentifier":"36491785-8d99-43c4-9f0f-f716777e311b","ElementIdentifier":"78f405db-4937-4427-adc2-2dc1cb7229bc","ElementType":1,"TagName":"ifrs-full:CashEquivalents","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"28 786","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Kasequivalenten","Documentation":"Het bedrag aan kortlopende, uiterst liquide beleggingen die onmiddellijk kunnen worden omgezet in geldmiddelen waarvan het bedrag bekend is en die geen materieel risico van waardeverandering in zich dragen.","SecondaryLabel":"Cash equivalents","SecondaryDocumentation":"The amount of short-term, highly liquid investments that are readily convertible to known amounts of cash and that are subject to an insignificant risk of changes in value.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401467,"FileId":3075,"Sequence":274,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"fe1e72a2-8924-41b6-901c-1acddee49925","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2020_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"131 721","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401466,"FileId":3075,"Sequence":275,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"f4d3d8ef-c8df-4489-96fd-67d43c95f7cf","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2020_OtherReservesMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"13 172","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:OtherReservesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401465,"FileId":3075,"Sequence":276,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"ee2a187f-a6b0-453f-9a1c-d81bff981a36","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2020_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"470 551","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401464,"FileId":3075,"Sequence":277,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"ed7cae90-86e2-42b1-8d37-f998e4f9c5ff","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2020_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 519","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401519,"FileId":3075,"Sequence":278,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"9135e760-5aaf-45ef-92c2-f2baf6d72d60","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"613 925","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401532,"FileId":3075,"Sequence":279,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"d492ec55-854d-45c6-86cf-a2a49ba99384","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2021To12_31_2021_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Winst (verlies)","Documentation":"Het totaal van de baten min de lasten uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten, exclusief de overige onderdelen van het totaalresultaat. [Zie: overige onderdelen van het totaalresultaat]","SecondaryLabel":"Profit (loss)","SecondaryDocumentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401612,"FileId":3075,"Sequence":280,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"3986e60a-75b2-4117-8f16-c7928b999e50","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2021To12_31_2021_OtherReservesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:OtherReservesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Winst (verlies)","Documentation":"Het totaal van de baten min de lasten uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten, exclusief de overige onderdelen van het totaalresultaat. [Zie: overige onderdelen van het totaalresultaat]","SecondaryLabel":"Profit (loss)","SecondaryDocumentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401533,"FileId":3075,"Sequence":281,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"13d5d2f2-d204-4504-9785-90a069249f2a","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2021To12_31_2021_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"39 723","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Winst (verlies)","Documentation":"Het totaal van de baten min de lasten uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten, exclusief de overige onderdelen van het totaalresultaat. [Zie: overige onderdelen van het totaalresultaat]","SecondaryLabel":"Profit (loss)","SecondaryDocumentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401598,"FileId":3075,"Sequence":282,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"c721620f-8aa4-416f-8926-ef731289c2ec","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2021To12_31_2021_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Winst (verlies)","Documentation":"Het totaal van de baten min de lasten uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten, exclusief de overige onderdelen van het totaalresultaat. [Zie: overige onderdelen van het totaalresultaat]","SecondaryLabel":"Profit (loss)","SecondaryDocumentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401597,"FileId":3075,"Sequence":283,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"1f2a5fc9-3c84-40e1-9c46-16b21eece3c1","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"39 723","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Winst (verlies)","Documentation":"Het totaal van de baten min de lasten uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten, exclusief de overige onderdelen van het totaalresultaat. [Zie: overige onderdelen van het totaalresultaat]","SecondaryLabel":"Profit (loss)","SecondaryDocumentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401596,"FileId":3075,"Sequence":284,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"f5a0e68d-4a2a-4622-85e5-14f53d83989b","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncomeNetOfTaxCashFlowHedges","ContextRef":"P01_01_2021To12_31_2021_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige onderdelen van het totaalresultaat, na belastingen, kasstroomafdekkingen","Documentation":"Het bedrag van de overige onderdelen van het totaalresultaat, na belastingen, met betrekking tot kasstroomafdekkingen. [Zie: kasstroomafdekking [member]; overige onderdelen van het totaalresultaat]","SecondaryLabel":"Other comprehensive income, net of tax, cash flow hedges","SecondaryDocumentation":"The amount of other comprehensive income, net of tax, related to cash flow hedges. [Refer: Cash flow hedges [member]; Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401595,"FileId":3075,"Sequence":285,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"91066783-163f-4dc9-a353-191520ac5483","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncomeNetOfTaxCashFlowHedges","ContextRef":"P01_01_2021To12_31_2021_OtherReservesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:OtherReservesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige onderdelen van het totaalresultaat, na belastingen, kasstroomafdekkingen","Documentation":"Het bedrag van de overige onderdelen van het totaalresultaat, na belastingen, met betrekking tot kasstroomafdekkingen. [Zie: kasstroomafdekking [member]; overige onderdelen van het totaalresultaat]","SecondaryLabel":"Other comprehensive income, net of tax, cash flow hedges","SecondaryDocumentation":"The amount of other comprehensive income, net of tax, related to cash flow hedges. [Refer: Cash flow hedges [member]; Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401594,"FileId":3075,"Sequence":286,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"1c54c7f9-91cf-4d91-9163-2422b0ac616d","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncomeNetOfTaxCashFlowHedges","ContextRef":"P01_01_2021To12_31_2021_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"260","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Overige onderdelen van het totaalresultaat, na belastingen, kasstroomafdekkingen","Documentation":"Het bedrag van de overige onderdelen van het totaalresultaat, na belastingen, met betrekking tot kasstroomafdekkingen. [Zie: kasstroomafdekking [member]; overige onderdelen van het totaalresultaat]","SecondaryLabel":"Other comprehensive income, net of tax, cash flow hedges","SecondaryDocumentation":"The amount of other comprehensive income, net of tax, related to cash flow hedges. [Refer: Cash flow hedges [member]; Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401593,"FileId":3075,"Sequence":287,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"9a8f9f33-b6cd-4bae-9a5e-ccc63f34ee01","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncomeNetOfTaxCashFlowHedges","ContextRef":"P01_01_2021To12_31_2021_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige onderdelen van het totaalresultaat, na belastingen, kasstroomafdekkingen","Documentation":"Het bedrag van de overige onderdelen van het totaalresultaat, na belastingen, met betrekking tot kasstroomafdekkingen. [Zie: kasstroomafdekking [member]; overige onderdelen van het totaalresultaat]","SecondaryLabel":"Other comprehensive income, net of tax, cash flow hedges","SecondaryDocumentation":"The amount of other comprehensive income, net of tax, related to cash flow hedges. [Refer: Cash flow hedges [member]; Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401592,"FileId":3075,"Sequence":288,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"4c0cac0e-6728-452a-a430-ae78a4b96d11","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncomeNetOfTaxCashFlowHedges","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"260","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Overige onderdelen van het totaalresultaat, na belastingen, kasstroomafdekkingen","Documentation":"Het bedrag van de overige onderdelen van het totaalresultaat, na belastingen, met betrekking tot kasstroomafdekkingen. [Zie: kasstroomafdekking [member]; overige onderdelen van het totaalresultaat]","SecondaryLabel":"Other comprehensive income, net of tax, cash flow hedges","SecondaryDocumentation":"The amount of other comprehensive income, net of tax, related to cash flow hedges. [Refer: Cash flow hedges [member]; Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401591,"FileId":3075,"Sequence":289,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"0948038e-ce12-4139-af3d-5f0b40c8e07a","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncome","ContextRef":"P01_01_2021To12_31_2021_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige onderdelen van het totaalresultaat","Documentation":"Het bedrag van de vermogensmutatie die voortvloeit uit transacties en andere gebeurtenissen, met uitzondering van mutaties die voortvloeien uit transacties met eigenaars in hun hoedanigheid van eigenaars.","SecondaryLabel":"Comprehensive income","SecondaryDocumentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401590,"FileId":3075,"Sequence":290,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"5c52036b-d5af-4b93-9d3e-fd7dca066e40","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncome","ContextRef":"P01_01_2021To12_31_2021_OtherReservesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:OtherReservesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige onderdelen van het totaalresultaat","Documentation":"Het bedrag van de vermogensmutatie die voortvloeit uit transacties en andere gebeurtenissen, met uitzondering van mutaties die voortvloeien uit transacties met eigenaars in hun hoedanigheid van eigenaars.","SecondaryLabel":"Comprehensive income","SecondaryDocumentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401589,"FileId":3075,"Sequence":291,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"b7412cb1-18d5-4e9f-a86b-ed9bf265e814","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncome","ContextRef":"P01_01_2021To12_31_2021_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"39 463","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige onderdelen van het totaalresultaat","Documentation":"Het bedrag van de vermogensmutatie die voortvloeit uit transacties en andere gebeurtenissen, met uitzondering van mutaties die voortvloeien uit transacties met eigenaars in hun hoedanigheid van eigenaars.","SecondaryLabel":"Comprehensive income","SecondaryDocumentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401588,"FileId":3075,"Sequence":292,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"7f10686b-ce91-4d43-a5d5-90fe9e11168b","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncome","ContextRef":"P01_01_2021To12_31_2021_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige onderdelen van het totaalresultaat","Documentation":"Het bedrag van de vermogensmutatie die voortvloeit uit transacties en andere gebeurtenissen, met uitzondering van mutaties die voortvloeien uit transacties met eigenaars in hun hoedanigheid van eigenaars.","SecondaryLabel":"Comprehensive income","SecondaryDocumentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401587,"FileId":3075,"Sequence":293,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"b9f66ca4-bd72-41e7-9b32-9633e60d854e","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncome","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"39 463","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige onderdelen van het totaalresultaat","Documentation":"Het bedrag van de vermogensmutatie die voortvloeit uit transacties en andere gebeurtenissen, met uitzondering van mutaties die voortvloeien uit transacties met eigenaars in hun hoedanigheid van eigenaars.","SecondaryLabel":"Comprehensive income","SecondaryDocumentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401586,"FileId":3075,"Sequence":294,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"e9abc87f-a59e-4d9c-95ae-71d72d612940","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughTreasuryShareTransactions","ContextRef":"P01_01_2021To12_31_2021_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Daling (stijging) als gevolg van transacties met ingekochte eigen aandelen, eigen vermogen","Documentation":"De stijging (daling) van het eigen vermogen resulterend uit transacties met ingekochte eigen aandelen. [Zie: eigen vermogen; ingekochte eigen aandelen]","SecondaryLabel":"Increase (decrease) through treasury share transactions, equity","SecondaryDocumentation":"The increase (decrease) in equity resulting from treasury share transactions. [Refer: Equity; Treasury shares]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401585,"FileId":3075,"Sequence":295,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"76b0a402-9fee-44eb-9134-b1fa8b89cf8c","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughTreasuryShareTransactions","ContextRef":"P01_01_2021To12_31_2021_OtherReservesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:OtherReservesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Daling (stijging) als gevolg van transacties met ingekochte eigen aandelen, eigen vermogen","Documentation":"De stijging (daling) van het eigen vermogen resulterend uit transacties met ingekochte eigen aandelen. [Zie: eigen vermogen; ingekochte eigen aandelen]","SecondaryLabel":"Increase (decrease) through treasury share transactions, equity","SecondaryDocumentation":"The increase (decrease) in equity resulting from treasury share transactions. [Refer: Equity; Treasury shares]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401584,"FileId":3075,"Sequence":296,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"9d988870-354d-4315-8994-f020f73f1212","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughTreasuryShareTransactions","ContextRef":"P01_01_2021To12_31_2021_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 519","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Daling (stijging) als gevolg van transacties met ingekochte eigen aandelen, eigen vermogen","Documentation":"De stijging (daling) van het eigen vermogen resulterend uit transacties met ingekochte eigen aandelen. [Zie: eigen vermogen; ingekochte eigen aandelen]","SecondaryLabel":"Increase (decrease) through treasury share transactions, equity","SecondaryDocumentation":"The increase (decrease) in equity resulting from treasury share transactions. [Refer: Equity; Treasury shares]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401583,"FileId":3075,"Sequence":297,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"4c475e34-5bc6-4ab3-93f0-328da9e835a2","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughTreasuryShareTransactions","ContextRef":"P01_01_2021To12_31_2021_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 519","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Daling (stijging) als gevolg van transacties met ingekochte eigen aandelen, eigen vermogen","Documentation":"De stijging (daling) van het eigen vermogen resulterend uit transacties met ingekochte eigen aandelen. [Zie: eigen vermogen; ingekochte eigen aandelen]","SecondaryLabel":"Increase (decrease) through treasury share transactions, equity","SecondaryDocumentation":"The increase (decrease) in equity resulting from treasury share transactions. [Refer: Equity; Treasury shares]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401582,"FileId":3075,"Sequence":298,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"c672be01-41d3-41ac-95a5-7eca22aa2526","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughTreasuryShareTransactions","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Daling (stijging) als gevolg van transacties met ingekochte eigen aandelen, eigen vermogen","Documentation":"De stijging (daling) van het eigen vermogen resulterend uit transacties met ingekochte eigen aandelen. [Zie: eigen vermogen; ingekochte eigen aandelen]","SecondaryLabel":"Increase (decrease) through treasury share transactions, equity","SecondaryDocumentation":"The increase (decrease) in equity resulting from treasury share transactions. [Refer: Equity; Treasury shares]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401581,"FileId":3075,"Sequence":299,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"39cc5003-b643-4378-9ed8-2676baf54e69","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughSharebasedPaymentTransactions","ContextRef":"P01_01_2021To12_31_2021_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Stijging (daling) als gevolg van op aandelen gebaseerde betalingstransacties, eigen vermogen","Documentation":"De stijging (daling) van het eigen vermogen resulterend uit op aandelen gebaseerde betalingstransacties. [Zie: eigen vermogen]","SecondaryLabel":"Increase (decrease) through share-based payment transactions, equity","SecondaryDocumentation":"The increase (decrease) in equity resulting from share-based payment transactions. [Refer: Equity]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401580,"FileId":3075,"Sequence":300,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"ebf503bd-589f-4ffb-9a30-ef6bff5615bc","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughSharebasedPaymentTransactions","ContextRef":"P01_01_2021To12_31_2021_OtherReservesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:OtherReservesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Stijging (daling) als gevolg van op aandelen gebaseerde betalingstransacties, eigen vermogen","Documentation":"De stijging (daling) van het eigen vermogen resulterend uit op aandelen gebaseerde betalingstransacties. [Zie: eigen vermogen]","SecondaryLabel":"Increase (decrease) through share-based payment transactions, equity","SecondaryDocumentation":"The increase (decrease) in equity resulting from share-based payment transactions. [Refer: Equity]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401599,"FileId":3075,"Sequence":301,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"b15d5683-a7e8-4e37-ab70-8e520c9a9d90","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughSharebasedPaymentTransactions","ContextRef":"P01_01_2021To12_31_2021_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"776","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Stijging (daling) als gevolg van op aandelen gebaseerde betalingstransacties, eigen vermogen","Documentation":"De stijging (daling) van het eigen vermogen resulterend uit op aandelen gebaseerde betalingstransacties. [Zie: eigen vermogen]","SecondaryLabel":"Increase (decrease) through share-based payment transactions, equity","SecondaryDocumentation":"The increase (decrease) in equity resulting from share-based payment transactions. [Refer: Equity]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401600,"FileId":3075,"Sequence":302,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"4c92e37f-70f1-4b0b-95fb-558fb74caf16","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughSharebasedPaymentTransactions","ContextRef":"P01_01_2021To12_31_2021_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Stijging (daling) als gevolg van op aandelen gebaseerde betalingstransacties, eigen vermogen","Documentation":"De stijging (daling) van het eigen vermogen resulterend uit op aandelen gebaseerde betalingstransacties. [Zie: eigen vermogen]","SecondaryLabel":"Increase (decrease) through share-based payment transactions, equity","SecondaryDocumentation":"The increase (decrease) in equity resulting from share-based payment transactions. [Refer: Equity]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401601,"FileId":3075,"Sequence":303,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"7479a820-dd24-4c6a-bcee-ccb3953f00a1","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughSharebasedPaymentTransactions","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"776","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Stijging (daling) als gevolg van op aandelen gebaseerde betalingstransacties, eigen vermogen","Documentation":"De stijging (daling) van het eigen vermogen resulterend uit op aandelen gebaseerde betalingstransacties. [Zie: eigen vermogen]","SecondaryLabel":"Increase (decrease) through share-based payment transactions, equity","SecondaryDocumentation":"The increase (decrease) in equity resulting from share-based payment transactions. [Refer: Equity]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401602,"FileId":3075,"Sequence":304,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"3992fccf-dc16-483c-8e38-4d93460a51ad","ElementType":1,"TagName":"ifrs-full:DividendsPaid","ContextRef":"P01_01_2021To12_31_2021_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Dividenden die zijn opgenomen als uitkeringen aan eigenaars","Documentation":"Het bedrag aan dividenden die zijn opgenomen als uitkeringen aan eigenaars.","SecondaryLabel":"Dividends recognised as distributions to owners","SecondaryDocumentation":"The amount of dividends recognised as distributions to owners.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401622,"FileId":3075,"Sequence":305,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"7c0379fd-7c46-4aa6-8772-2d512984c32b","ElementType":1,"TagName":"ifrs-full:DividendsPaid","ContextRef":"P01_01_2021To12_31_2021_OtherReservesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:OtherReservesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Dividenden die zijn opgenomen als uitkeringen aan eigenaars","Documentation":"Het bedrag aan dividenden die zijn opgenomen als uitkeringen aan eigenaars.","SecondaryLabel":"Dividends recognised as distributions to owners","SecondaryDocumentation":"The amount of dividends recognised as distributions to owners.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401621,"FileId":3075,"Sequence":306,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"f008fcd9-b6bc-49c6-8f59-ce7861430e49","ElementType":1,"TagName":"ifrs-full:DividendsPaid","ContextRef":"P01_01_2021To12_31_2021_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"30 007","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Dividenden die zijn opgenomen als uitkeringen aan eigenaars","Documentation":"Het bedrag aan dividenden die zijn opgenomen als uitkeringen aan eigenaars.","SecondaryLabel":"Dividends recognised as distributions to owners","SecondaryDocumentation":"The amount of dividends recognised as distributions to owners.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401620,"FileId":3075,"Sequence":307,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"73fa228c-2deb-4b7d-836d-7eedbf11c9cb","ElementType":1,"TagName":"ifrs-full:DividendsPaid","ContextRef":"P01_01_2021To12_31_2021_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Dividenden die zijn opgenomen als uitkeringen aan eigenaars","Documentation":"Het bedrag aan dividenden die zijn opgenomen als uitkeringen aan eigenaars.","SecondaryLabel":"Dividends recognised as distributions to owners","SecondaryDocumentation":"The amount of dividends recognised as distributions to owners.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401619,"FileId":3075,"Sequence":308,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"3ba601a1-4f34-4337-870b-3b12b2371e75","ElementType":1,"TagName":"ifrs-full:DividendsPaid","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"30 007","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Dividenden die zijn opgenomen als uitkeringen aan eigenaars","Documentation":"Het bedrag aan dividenden die zijn opgenomen als uitkeringen aan eigenaars.","SecondaryLabel":"Dividends recognised as distributions to owners","SecondaryDocumentation":"The amount of dividends recognised as distributions to owners.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401618,"FileId":3075,"Sequence":309,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"e6b13ad7-a1cb-4327-b089-b0f3b6e3efb7","ElementType":2,"TagName":"ifrs-full:DateOfEndOfReportingPeriod2013","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"31 december 2021","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Einddatum van de verslagperiode","Documentation":"De datum van het einde van de verslagperiode.","SecondaryLabel":"Date of end of reporting period","SecondaryDocumentation":"The date of the end of the reporting period.","PeriodType":"duration","Balance":"","Type":"xbrli:dateItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401617,"FileId":3075,"Sequence":310,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"422ab44f-faed-4da7-a915-eb6b84d9fbd8","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2021_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"131 721","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401616,"FileId":3075,"Sequence":311,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"3d1beaf3-8e1b-42ae-a06a-34426b6a66b4","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2021_OtherReservesMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"13 172","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:OtherReservesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401615,"FileId":3075,"Sequence":312,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"11607bb7-d0fb-4e3e-9497-e5125a3c1817","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2021_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"479 263","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401614,"FileId":3075,"Sequence":313,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"406286fe-6c6b-48c6-8e42-376099e8a3c3","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2021_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401623,"FileId":3075,"Sequence":314,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"1e9acef0-3dbd-4640-b078-7a7220941522","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"624 156","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401613,"FileId":3075,"Sequence":315,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"984f9a6f-73ab-4710-9782-75fefc39d206","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2019_IssuedCapitalMemberifrsfullComponentsOfEquityAxis_PreviouslyStatedMemberifrsfullRetrospectiveApplicationAndRetrospectiveRestatementAxis","Period":"31-Dec-2019","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"131 721","Dimension":"ifrs-full:RetrospectiveApplicationAndRetrospectiveRestatementAxis,ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:PreviouslyStatedMember,ifrs-full:IssuedCapitalMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401611,"FileId":3075,"Sequence":316,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"f74b3bda-470d-4b62-8a18-0f3469204e07","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2019_OtherReservesMemberifrsfullComponentsOfEquityAxis_PreviouslyStatedMemberifrsfullRetrospectiveApplicationAndRetrospectiveRestatementAxis","Period":"31-Dec-2019","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"13 172","Dimension":"ifrs-full:RetrospectiveApplicationAndRetrospectiveRestatementAxis,ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:PreviouslyStatedMember,ifrs-full:OtherReservesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401610,"FileId":3075,"Sequence":317,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"8f928b42-ce2c-4834-8355-fd48202580ce","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2019_PreviouslyStatedMemberifrsfullRetrospectiveApplicationAndRetrospectiveRestatementAxis_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2019","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"447 399","Dimension":"ifrs-full:RetrospectiveApplicationAndRetrospectiveRestatementAxis,ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:PreviouslyStatedMember,ifrs-full:RetainedEarningsMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401609,"FileId":3075,"Sequence":318,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"54893ac9-4311-469b-bd28-158f393356e3","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2019_PreviouslyStatedMemberifrsfullRetrospectiveApplicationAndRetrospectiveRestatementAxis_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2019","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"197","Dimension":"ifrs-full:RetrospectiveApplicationAndRetrospectiveRestatementAxis,ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:PreviouslyStatedMember,ifrs-full:TreasurySharesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401608,"FileId":3075,"Sequence":319,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"a9fc43bf-1f5b-4961-bf64-adcdc947821b","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2019_PreviouslyStatedMemberifrsfullRetrospectiveApplicationAndRetrospectiveRestatementAxis","Period":"31-Dec-2019","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"592 095","Dimension":"ifrs-full:RetrospectiveApplicationAndRetrospectiveRestatementAxis","Member":"ifrs-full:PreviouslyStatedMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401607,"FileId":3075,"Sequence":320,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"91c30f07-bb70-4144-8977-14dc41143a9c","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2019_IncreaseDecreaseDueToChangesInAccountingPolicyRequiredByIFRSsMemberifrsfullRetrospectiveApplicationAndRetrospectiveRestatementAxis_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2019","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:RetrospectiveApplicationAndRetrospectiveRestatementAxis,ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IncreaseDecreaseDueToChangesInAccountingPolicyRequiredByIFRSsMember,ifrs-full:IssuedCapitalMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401606,"FileId":3075,"Sequence":321,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"fe1489e2-ef4c-47b6-9a38-97ce19a03408","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2019_IncreaseDecreaseDueToChangesInAccountingPolicyRequiredByIFRSsMemberifrsfullRetrospectiveApplicationAndRetrospectiveRestatementAxis_OtherReservesMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2019","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:RetrospectiveApplicationAndRetrospectiveRestatementAxis,ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IncreaseDecreaseDueToChangesInAccountingPolicyRequiredByIFRSsMember,ifrs-full:OtherReservesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401605,"FileId":3075,"Sequence":322,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"8e0cdc49-4faf-4c79-8684-8c0a0a3e404c","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2019_IncreaseDecreaseDueToChangesInAccountingPolicyRequiredByIFRSsMemberifrsfullRetrospectiveApplicationAndRetrospectiveRestatementAxis_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2019","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"575","Dimension":"ifrs-full:RetrospectiveApplicationAndRetrospectiveRestatementAxis,ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IncreaseDecreaseDueToChangesInAccountingPolicyRequiredByIFRSsMember,ifrs-full:RetainedEarningsMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401604,"FileId":3075,"Sequence":323,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"6ef50338-7bda-4f6d-baf1-4aa4eb0201bc","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2019_IncreaseDecreaseDueToChangesInAccountingPolicyRequiredByIFRSsMemberifrsfullRetrospectiveApplicationAndRetrospectiveRestatementAxis_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2019","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:RetrospectiveApplicationAndRetrospectiveRestatementAxis,ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IncreaseDecreaseDueToChangesInAccountingPolicyRequiredByIFRSsMember,ifrs-full:TreasurySharesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401603,"FileId":3075,"Sequence":324,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"cd576e11-3d7c-4077-9998-28416f7c1177","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2019_IncreaseDecreaseDueToChangesInAccountingPolicyRequiredByIFRSsMemberifrsfullRetrospectiveApplicationAndRetrospectiveRestatementAxis","Period":"31-Dec-2019","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"575","Dimension":"ifrs-full:RetrospectiveApplicationAndRetrospectiveRestatementAxis","Member":"ifrs-full:IncreaseDecreaseDueToChangesInAccountingPolicyRequiredByIFRSsMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401579,"FileId":3075,"Sequence":325,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"f4c90e30-09b0-4b01-baa7-4f763b1a0f59","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2019_AsRestatedMemberifrsfullRetrospectiveApplicationAndRetrospectiveRestatementAxis_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2019","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"131 721","Dimension":"ifrs-full:ComponentsOfEquityAxis,ifrs-full:RetrospectiveApplicationAndRetrospectiveRestatementAxis","Member":"ifrs-full:IssuedCapitalMember,obel:AsRestatedMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401578,"FileId":3075,"Sequence":326,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"69132437-cb4d-40c9-b102-1ec2a292687a","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2019_AsRestatedMemberifrsfullRetrospectiveApplicationAndRetrospectiveRestatementAxis_OtherReservesMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2019","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"13 172","Dimension":"ifrs-full:ComponentsOfEquityAxis,ifrs-full:RetrospectiveApplicationAndRetrospectiveRestatementAxis","Member":"ifrs-full:OtherReservesMember,obel:AsRestatedMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401577,"FileId":3075,"Sequence":327,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"817a567a-2f8c-4557-bbf1-37f32a2a4dcd","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2019_AsRestatedMemberifrsfullRetrospectiveApplicationAndRetrospectiveRestatementAxis_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2019","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"446 824","Dimension":"ifrs-full:ComponentsOfEquityAxis,ifrs-full:RetrospectiveApplicationAndRetrospectiveRestatementAxis","Member":"ifrs-full:RetainedEarningsMember,obel:AsRestatedMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401554,"FileId":3075,"Sequence":328,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"3cb47112-e048-4e9b-b74f-8129fa348e42","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2019_AsRestatedMemberifrsfullRetrospectiveApplicationAndRetrospectiveRestatementAxis_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2019","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"197","Dimension":"ifrs-full:ComponentsOfEquityAxis,ifrs-full:RetrospectiveApplicationAndRetrospectiveRestatementAxis","Member":"ifrs-full:TreasurySharesMember,obel:AsRestatedMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401552,"FileId":3075,"Sequence":329,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"82c22e50-2777-4e70-9e76-af401fc2adf5","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2019_AsRestatedMemberifrsfullRetrospectiveApplicationAndRetrospectiveRestatementAxis","Period":"31-Dec-2019","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"591 520","Dimension":"ifrs-full:RetrospectiveApplicationAndRetrospectiveRestatementAxis","Member":"obel:AsRestatedMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401551,"FileId":3075,"Sequence":330,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"49de011e-390a-4d25-a9c4-3f144ce5f001","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2020To12_31_2020_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Winst (verlies)","Documentation":"Het totaal van de baten min de lasten uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten, exclusief de overige onderdelen van het totaalresultaat. [Zie: overige onderdelen van het totaalresultaat]","SecondaryLabel":"Profit (loss)","SecondaryDocumentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401550,"FileId":3075,"Sequence":331,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"887a7bb9-09b0-487c-9945-291bb2b9eeb5","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2020To12_31_2020_OtherReservesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:OtherReservesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Winst (verlies)","Documentation":"Het totaal van de baten min de lasten uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten, exclusief de overige onderdelen van het totaalresultaat. [Zie: overige onderdelen van het totaalresultaat]","SecondaryLabel":"Profit (loss)","SecondaryDocumentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401549,"FileId":3075,"Sequence":332,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"9a02e242-ac48-4315-9d06-502452b7645f","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2020To12_31_2020_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"53 980","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Winst (verlies)","Documentation":"Het totaal van de baten min de lasten uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten, exclusief de overige onderdelen van het totaalresultaat. [Zie: overige onderdelen van het totaalresultaat]","SecondaryLabel":"Profit (loss)","SecondaryDocumentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401548,"FileId":3075,"Sequence":333,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"b76aa393-fdd8-4aba-b471-af9cfa70ecaf","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2020To12_31_2020_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Winst (verlies)","Documentation":"Het totaal van de baten min de lasten uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten, exclusief de overige onderdelen van het totaalresultaat. [Zie: overige onderdelen van het totaalresultaat]","SecondaryLabel":"Profit (loss)","SecondaryDocumentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401547,"FileId":3075,"Sequence":334,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"6d76fdd5-0490-49bd-a114-133a8b211a1b","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"53 980","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Winst (verlies)","Documentation":"Het totaal van de baten min de lasten uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten, exclusief de overige onderdelen van het totaalresultaat. [Zie: overige onderdelen van het totaalresultaat]","SecondaryLabel":"Profit (loss)","SecondaryDocumentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401546,"FileId":3075,"Sequence":335,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"d801505a-c39a-4c2d-a992-99bcfca559f3","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncomeNetOfTaxCashFlowHedges","ContextRef":"P01_01_2020To12_31_2020_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige onderdelen van het totaalresultaat, na belastingen, kasstroomafdekkingen","Documentation":"Het bedrag van de overige onderdelen van het totaalresultaat, na belastingen, met betrekking tot kasstroomafdekkingen. [Zie: kasstroomafdekking [member]; overige onderdelen van het totaalresultaat]","SecondaryLabel":"Other comprehensive income, net of tax, cash flow hedges","SecondaryDocumentation":"The amount of other comprehensive income, net of tax, related to cash flow hedges. [Refer: Cash flow hedges [member]; Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401545,"FileId":3075,"Sequence":336,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"3d518bf5-d048-4386-8484-d3324b53c12b","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncomeNetOfTaxCashFlowHedges","ContextRef":"P01_01_2020To12_31_2020_OtherReservesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:OtherReservesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige onderdelen van het totaalresultaat, na belastingen, kasstroomafdekkingen","Documentation":"Het bedrag van de overige onderdelen van het totaalresultaat, na belastingen, met betrekking tot kasstroomafdekkingen. [Zie: kasstroomafdekking [member]; overige onderdelen van het totaalresultaat]","SecondaryLabel":"Other comprehensive income, net of tax, cash flow hedges","SecondaryDocumentation":"The amount of other comprehensive income, net of tax, related to cash flow hedges. [Refer: Cash flow hedges [member]; Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401544,"FileId":3075,"Sequence":337,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"ed5d2f6f-6f49-4e5d-903c-dd52a3dd0054","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncomeNetOfTaxCashFlowHedges","ContextRef":"P01_01_2020To12_31_2020_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"31","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige onderdelen van het totaalresultaat, na belastingen, kasstroomafdekkingen","Documentation":"Het bedrag van de overige onderdelen van het totaalresultaat, na belastingen, met betrekking tot kasstroomafdekkingen. [Zie: kasstroomafdekking [member]; overige onderdelen van het totaalresultaat]","SecondaryLabel":"Other comprehensive income, net of tax, cash flow hedges","SecondaryDocumentation":"The amount of other comprehensive income, net of tax, related to cash flow hedges. [Refer: Cash flow hedges [member]; Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401543,"FileId":3075,"Sequence":338,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"aa5e0b48-b1ae-466c-8808-ccad78ae15f9","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncomeNetOfTaxCashFlowHedges","ContextRef":"P01_01_2020To12_31_2020_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige onderdelen van het totaalresultaat, na belastingen, kasstroomafdekkingen","Documentation":"Het bedrag van de overige onderdelen van het totaalresultaat, na belastingen, met betrekking tot kasstroomafdekkingen. [Zie: kasstroomafdekking [member]; overige onderdelen van het totaalresultaat]","SecondaryLabel":"Other comprehensive income, net of tax, cash flow hedges","SecondaryDocumentation":"The amount of other comprehensive income, net of tax, related to cash flow hedges. [Refer: Cash flow hedges [member]; Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401542,"FileId":3075,"Sequence":339,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"5f1c864b-13f6-43e4-be5b-5e86a0f1df4a","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncomeNetOfTaxCashFlowHedges","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"31","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige onderdelen van het totaalresultaat, na belastingen, kasstroomafdekkingen","Documentation":"Het bedrag van de overige onderdelen van het totaalresultaat, na belastingen, met betrekking tot kasstroomafdekkingen. [Zie: kasstroomafdekking [member]; overige onderdelen van het totaalresultaat]","SecondaryLabel":"Other comprehensive income, net of tax, cash flow hedges","SecondaryDocumentation":"The amount of other comprehensive income, net of tax, related to cash flow hedges. [Refer: Cash flow hedges [member]; Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401541,"FileId":3075,"Sequence":340,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"a299dff8-991f-4009-a5f4-cac4f2157bf2","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncome","ContextRef":"P01_01_2020To12_31_2020_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige onderdelen van het totaalresultaat","Documentation":"Het bedrag van de vermogensmutatie die voortvloeit uit transacties en andere gebeurtenissen, met uitzondering van mutaties die voortvloeien uit transacties met eigenaars in hun hoedanigheid van eigenaars.","SecondaryLabel":"Comprehensive income","SecondaryDocumentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401540,"FileId":3075,"Sequence":341,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"b7723fd9-fb21-4d4d-bf9d-516596f4736c","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncome","ContextRef":"P01_01_2020To12_31_2020_OtherReservesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:OtherReservesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige onderdelen van het totaalresultaat","Documentation":"Het bedrag van de vermogensmutatie die voortvloeit uit transacties en andere gebeurtenissen, met uitzondering van mutaties die voortvloeien uit transacties met eigenaars in hun hoedanigheid van eigenaars.","SecondaryLabel":"Comprehensive income","SecondaryDocumentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401539,"FileId":3075,"Sequence":342,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"242815d5-fc0e-44ca-8d34-0e365f4e3836","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncome","ContextRef":"P01_01_2020To12_31_2020_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"54 011","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige onderdelen van het totaalresultaat","Documentation":"Het bedrag van de vermogensmutatie die voortvloeit uit transacties en andere gebeurtenissen, met uitzondering van mutaties die voortvloeien uit transacties met eigenaars in hun hoedanigheid van eigenaars.","SecondaryLabel":"Comprehensive income","SecondaryDocumentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401538,"FileId":3075,"Sequence":343,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"3d274d08-c0d2-4c24-8de6-8ffc113897ea","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncome","ContextRef":"P01_01_2020To12_31_2020_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige onderdelen van het totaalresultaat","Documentation":"Het bedrag van de vermogensmutatie die voortvloeit uit transacties en andere gebeurtenissen, met uitzondering van mutaties die voortvloeien uit transacties met eigenaars in hun hoedanigheid van eigenaars.","SecondaryLabel":"Comprehensive income","SecondaryDocumentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401537,"FileId":3075,"Sequence":344,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"eceed069-bed4-45f3-bd4a-dcf8c314f611","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncome","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"54 011","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Overige onderdelen van het totaalresultaat","Documentation":"Het bedrag van de vermogensmutatie die voortvloeit uit transacties en andere gebeurtenissen, met uitzondering van mutaties die voortvloeien uit transacties met eigenaars in hun hoedanigheid van eigenaars.","SecondaryLabel":"Comprehensive income","SecondaryDocumentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401536,"FileId":3075,"Sequence":345,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"bb3d102e-f370-4bad-9404-56d4d3c3878d","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughTreasuryShareTransactions","ContextRef":"P01_01_2020To12_31_2020_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Daling (stijging) als gevolg van transacties met ingekochte eigen aandelen, eigen vermogen","Documentation":"De stijging (daling) van het eigen vermogen resulterend uit transacties met ingekochte eigen aandelen. [Zie: eigen vermogen; ingekochte eigen aandelen]","SecondaryLabel":"Increase (decrease) through treasury share transactions, equity","SecondaryDocumentation":"The increase (decrease) in equity resulting from treasury share transactions. [Refer: Equity; Treasury shares]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401535,"FileId":3075,"Sequence":346,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"0d8d445c-8d0b-4537-bc72-1fe4797f3077","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughTreasuryShareTransactions","ContextRef":"P01_01_2020To12_31_2020_OtherReservesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:OtherReservesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Daling (stijging) als gevolg van transacties met ingekochte eigen aandelen, eigen vermogen","Documentation":"De stijging (daling) van het eigen vermogen resulterend uit transacties met ingekochte eigen aandelen. [Zie: eigen vermogen; ingekochte eigen aandelen]","SecondaryLabel":"Increase (decrease) through treasury share transactions, equity","SecondaryDocumentation":"The increase (decrease) in equity resulting from treasury share transactions. [Refer: Equity; Treasury shares]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401534,"FileId":3075,"Sequence":347,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"96a274f5-375a-49d3-9c91-c76ac9d9b94e","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughTreasuryShareTransactions","ContextRef":"P01_01_2020To12_31_2020_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Daling (stijging) als gevolg van transacties met ingekochte eigen aandelen, eigen vermogen","Documentation":"De stijging (daling) van het eigen vermogen resulterend uit transacties met ingekochte eigen aandelen. [Zie: eigen vermogen; ingekochte eigen aandelen]","SecondaryLabel":"Increase (decrease) through treasury share transactions, equity","SecondaryDocumentation":"The increase (decrease) in equity resulting from treasury share transactions. [Refer: Equity; Treasury shares]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401553,"FileId":3075,"Sequence":348,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"c4fbc54f-8c59-4a18-950e-989813d025e4","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughTreasuryShareTransactions","ContextRef":"P01_01_2020To12_31_2020_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 322","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Daling (stijging) als gevolg van transacties met ingekochte eigen aandelen, eigen vermogen","Documentation":"De stijging (daling) van het eigen vermogen resulterend uit transacties met ingekochte eigen aandelen. [Zie: eigen vermogen; ingekochte eigen aandelen]","SecondaryLabel":"Increase (decrease) through treasury share transactions, equity","SecondaryDocumentation":"The increase (decrease) in equity resulting from treasury share transactions. [Refer: Equity; Treasury shares]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401555,"FileId":3075,"Sequence":349,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"f5f57b4c-36c0-4b68-b82e-81011d0e93e9","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughTreasuryShareTransactions","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 322","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Daling (stijging) als gevolg van transacties met ingekochte eigen aandelen, eigen vermogen","Documentation":"De stijging (daling) van het eigen vermogen resulterend uit transacties met ingekochte eigen aandelen. [Zie: eigen vermogen; ingekochte eigen aandelen]","SecondaryLabel":"Increase (decrease) through treasury share transactions, equity","SecondaryDocumentation":"The increase (decrease) in equity resulting from treasury share transactions. [Refer: Equity; Treasury shares]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401576,"FileId":3075,"Sequence":350,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"a8ed3618-9e52-41bc-b7e7-35cc1c610bc9","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughSharebasedPaymentTransactions","ContextRef":"P01_01_2020To12_31_2020_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Stijging (daling) als gevolg van op aandelen gebaseerde betalingstransacties, eigen vermogen","Documentation":"De stijging (daling) van het eigen vermogen resulterend uit op aandelen gebaseerde betalingstransacties. [Zie: eigen vermogen]","SecondaryLabel":"Increase (decrease) through share-based payment transactions, equity","SecondaryDocumentation":"The increase (decrease) in equity resulting from share-based payment transactions. [Refer: Equity]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401556,"FileId":3075,"Sequence":351,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"5aaccfa5-dc0e-4d68-a3cc-aa2474ce26cc","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughSharebasedPaymentTransactions","ContextRef":"P01_01_2020To12_31_2020_OtherReservesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:OtherReservesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Stijging (daling) als gevolg van op aandelen gebaseerde betalingstransacties, eigen vermogen","Documentation":"De stijging (daling) van het eigen vermogen resulterend uit op aandelen gebaseerde betalingstransacties. [Zie: eigen vermogen]","SecondaryLabel":"Increase (decrease) through share-based payment transactions, equity","SecondaryDocumentation":"The increase (decrease) in equity resulting from share-based payment transactions. [Refer: Equity]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401575,"FileId":3075,"Sequence":352,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"f3c05f56-23f0-4962-be42-5db6110fcc40","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughSharebasedPaymentTransactions","ContextRef":"P01_01_2020To12_31_2020_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"277","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Stijging (daling) als gevolg van op aandelen gebaseerde betalingstransacties, eigen vermogen","Documentation":"De stijging (daling) van het eigen vermogen resulterend uit op aandelen gebaseerde betalingstransacties. [Zie: eigen vermogen]","SecondaryLabel":"Increase (decrease) through share-based payment transactions, equity","SecondaryDocumentation":"The increase (decrease) in equity resulting from share-based payment transactions. [Refer: Equity]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401574,"FileId":3075,"Sequence":353,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"efb0701b-827f-4229-9dae-fe22e73a5557","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughSharebasedPaymentTransactions","ContextRef":"P01_01_2020To12_31_2020_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Stijging (daling) als gevolg van op aandelen gebaseerde betalingstransacties, eigen vermogen","Documentation":"De stijging (daling) van het eigen vermogen resulterend uit op aandelen gebaseerde betalingstransacties. [Zie: eigen vermogen]","SecondaryLabel":"Increase (decrease) through share-based payment transactions, equity","SecondaryDocumentation":"The increase (decrease) in equity resulting from share-based payment transactions. [Refer: Equity]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401573,"FileId":3075,"Sequence":354,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"9b973e5a-045b-4a0e-a838-5565453f731f","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughSharebasedPaymentTransactions","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"277","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Stijging (daling) als gevolg van op aandelen gebaseerde betalingstransacties, eigen vermogen","Documentation":"De stijging (daling) van het eigen vermogen resulterend uit op aandelen gebaseerde betalingstransacties. [Zie: eigen vermogen]","SecondaryLabel":"Increase (decrease) through share-based payment transactions, equity","SecondaryDocumentation":"The increase (decrease) in equity resulting from share-based payment transactions. [Refer: Equity]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401572,"FileId":3075,"Sequence":355,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"b88e148a-8443-4327-bd45-775c83acfc74","ElementType":1,"TagName":"ifrs-full:DividendsPaid","ContextRef":"P01_01_2020To12_31_2020_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Dividenden die zijn opgenomen als uitkeringen aan eigenaars","Documentation":"Het bedrag aan dividenden die zijn opgenomen als uitkeringen aan eigenaars.","SecondaryLabel":"Dividends recognised as distributions to owners","SecondaryDocumentation":"The amount of dividends recognised as distributions to owners.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401571,"FileId":3075,"Sequence":356,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"d012e8e1-c6f5-49dd-be20-290fbb864cb1","ElementType":1,"TagName":"ifrs-full:DividendsPaid","ContextRef":"P01_01_2020To12_31_2020_OtherReservesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:OtherReservesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Dividenden die zijn opgenomen als uitkeringen aan eigenaars","Documentation":"Het bedrag aan dividenden die zijn opgenomen als uitkeringen aan eigenaars.","SecondaryLabel":"Dividends recognised as distributions to owners","SecondaryDocumentation":"The amount of dividends recognised as distributions to owners.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401570,"FileId":3075,"Sequence":357,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"48faafb8-67b9-4c85-92ca-476203a9e286","ElementType":1,"TagName":"ifrs-full:DividendsPaid","ContextRef":"P01_01_2020To12_31_2020_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"30 007","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Dividenden die zijn opgenomen als uitkeringen aan eigenaars","Documentation":"Het bedrag aan dividenden die zijn opgenomen als uitkeringen aan eigenaars.","SecondaryLabel":"Dividends recognised as distributions to owners","SecondaryDocumentation":"The amount of dividends recognised as distributions to owners.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401569,"FileId":3075,"Sequence":358,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"c709abba-e40d-4d60-9cc9-828027dd9a7f","ElementType":1,"TagName":"ifrs-full:DividendsPaid","ContextRef":"P01_01_2020To12_31_2020_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"0","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Dividenden die zijn opgenomen als uitkeringen aan eigenaars","Documentation":"Het bedrag aan dividenden die zijn opgenomen als uitkeringen aan eigenaars.","SecondaryLabel":"Dividends recognised as distributions to owners","SecondaryDocumentation":"The amount of dividends recognised as distributions to owners.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401568,"FileId":3075,"Sequence":359,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"22bb1695-5da5-4646-ac7d-2a46982840a0","ElementType":1,"TagName":"ifrs-full:DividendsPaid","ContextRef":"P01_01_2020To12_31_2020","Period":"01-Jan-2020 - 31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"30 007","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Dividenden die zijn opgenomen als uitkeringen aan eigenaars","Documentation":"Het bedrag aan dividenden die zijn opgenomen als uitkeringen aan eigenaars.","SecondaryLabel":"Dividends recognised as distributions to owners","SecondaryDocumentation":"The amount of dividends recognised as distributions to owners.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401567,"FileId":3075,"Sequence":360,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"1edcb81f-91f8-42e7-9a9c-7f16dcb02cc5","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2020_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"131 721","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401566,"FileId":3075,"Sequence":361,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"ae7ac665-6e5c-4735-b452-35a724fb0ac4","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2020_OtherReservesMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"13 172","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:OtherReservesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401565,"FileId":3075,"Sequence":362,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"4ed8e43d-1abb-4e1b-a70f-3f6275ab2aca","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2020_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"470 551","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401564,"FileId":3075,"Sequence":363,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"5161cf29-b4a2-45d8-8db7-396354ab7487","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2020_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1 519","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"EUR","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401563,"FileId":3075,"Sequence":364,"PageIdentifier":"b5e0891d-567c-4d6f-ab91-3a224b014eba","ElementIdentifier":"3d8b9222-5811-43d6-b530-7b7622925028","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_EUR","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"613 925","Dimension":"","Member":"","CurrencyCode":"EUR","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-comma-decimal","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401562,"FileId":3075,"Sequence":365,"PageIdentifier":"616ab09f-197d-4d51-b1bc-668cf5bb37b7","ElementIdentifier":"32b8685e-7b91-46f2-a981-4b7d838b6f88","ElementType":2,"TagName":"ifrs-full:NameOfReportingEntityOrOtherMeansOfIdentification","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Orange Belgium nv","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Naam van de verslaggevende entiteit of een andere vorm van identificatie","Documentation":"De naam van de verslaggevende entiteit of een andere vorm van identificatie.","SecondaryLabel":"Name of reporting entity or other means of identification","SecondaryDocumentation":"The name of the reporting entity or other means of identification.","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401561,"FileId":3075,"Sequence":366,"PageIdentifier":"616ab09f-197d-4d51-b1bc-668cf5bb37b7","ElementIdentifier":"0a2c67f1-2942-4f4e-985c-2d11c29a9d96","ElementType":2,"TagName":"ifrs-full:NameOfUltimateParentOfGroup","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Orange sa","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Naam van de hoofdmoedermaatschappij van de groep","Documentation":"De naam van de uiteindelijke partij van de groep die de zeggenschap uitoefent.","SecondaryLabel":"Name of ultimate parent of group","SecondaryDocumentation":"The name of the ultimate controlling party of the group.","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401560,"FileId":3075,"Sequence":367,"PageIdentifier":"616ab09f-197d-4d51-b1bc-668cf5bb37b7","ElementIdentifier":"15cd1ecd-299e-4689-aa02-487025386e9e","ElementType":2,"TagName":"ifrs-full:NameOfParentEntity","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Orange sa","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Naam van de moedermaatschappij","Documentation":"De naam van de moedermaatschappij van de entiteit. [Zie: moedermaatschappij [member]]","SecondaryLabel":"Name of parent entity","SecondaryDocumentation":"The name of the entity's parent. [Refer: Parent [member]]","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401559,"FileId":3075,"Sequence":368,"PageIdentifier":"616ab09f-197d-4d51-b1bc-668cf5bb37b7","ElementIdentifier":"44eb26db-f460-4787-b383-e086f853c1f5","ElementType":2,"TagName":"ifrs-full:CountryOfIncorporation","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Belgi&#235;","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Land van oprichting","Documentation":"Het land waar de entiteit is opgericht.","SecondaryLabel":"Country of incorporation","SecondaryDocumentation":"The country in which the entity is incorporated.","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401558,"FileId":3075,"Sequence":369,"PageIdentifier":"616ab09f-197d-4d51-b1bc-668cf5bb37b7","ElementIdentifier":"b97780dc-49f2-4699-a224-0c8a93264388","ElementType":2,"TagName":"ifrs-full:DomicileOfEntity","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Belgi&#235;","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Domicilie van de entiteit","Documentation":"Het land van domicilie van de entiteit. [Zie: land van vestiging [member]]","SecondaryLabel":"Domicile of entity","SecondaryDocumentation":"The country of domicile of the entity. [Refer: Country of domicile [member]]","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401557,"FileId":3075,"Sequence":370,"PageIdentifier":"616ab09f-197d-4d51-b1bc-668cf5bb37b7","ElementIdentifier":"0b559b70-006a-4e7d-b909-a79474552d45","ElementType":2,"TagName":"ifrs-full:PrincipalPlaceOfBusiness","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Belgi&#235;","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Hoofdvestiging","Documentation":"De vestiging waar een entiteit hoofdzakelijk bedrijfsactiviteiten uitvoert.","SecondaryLabel":"Principal place of business","SecondaryDocumentation":"The place where an entity principally conducts operations.","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401764,"FileId":3075,"Sequence":371,"PageIdentifier":"616ab09f-197d-4d51-b1bc-668cf5bb37b7","ElementIdentifier":"d5b2b7cb-b87b-4aa4-845a-f0e7b6624e39","ElementType":2,"TagName":"ifrs-full:DescriptionOfNatureOfEntitysOperationsAndPrincipalActivities","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"de onderneming diensten op het gebied van mobiele telecommunicatie, internet en tv aan residenti&#235;le klanten,","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Beschrijving van de aard van de activiteiten van de entiteit en haar voornaamste bedrijvigheden","Documentation":"De beschrijving van de aard van de activiteiten van de entiteit en haar voornaamste bedrijvigheden.","SecondaryLabel":"Description of nature of entity's operations and principal activities","SecondaryDocumentation":"The description of the nature of the entity's operations and principal activities.","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0},{"Id":1401811,"FileId":3075,"Sequence":372,"PageIdentifier":"7d14087a-d527-486d-af61-a812d1c3513c","ElementIdentifier":"415a07bb-f5a6-4566-b4cc-36429d611986","ElementType":2,"TagName":"ifrs-full:AddressOfRegisteredOfficeOfEntity","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Orange Belgium nvBourgetlaan 3 B &#8211; 1140 Brussel Belgi&#235; ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Adres van de statutaire zetel van de entiteit","Documentation":"Het adres waar de entiteit haar statutaire zetel heeft.","SecondaryLabel":"Address of entity's registered office","SecondaryDocumentation":"The address at which the entity's office is registered.","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0}];
  $scope.presentationData = [{"Id":"http://www.orange.be/role/Voorblad","ParentId":"","Name":"1001 - Disclosure - voorblad","Order":"","Label":"","Documentation":"","PeriodType":"","Balance":"","Type":"","AbstractText":"","Nillable":"","SubstitutionGroup":"","IsReferenceExist":"0","PreferredLabel":"","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"Voorblad_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags_723235","ParentId":"http://www.orange.be/role/Voorblad","Name":"esef_cor:NotesAccountingPoliciesAndMandatoryTags","Order":"","Label":"Placeholder “Toelichtingen, grondslagen voor financiële verslaggeving en verplichte basistaxonomie-elementen” – deze post MOET worden gebruikt als uitgangspunt voor markeringen van informatie in de toelichtingen bij de jaarrekening","Documentation":"","PeriodType":"instant","Balance":"","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"","SecondaryLabel":"Notes, accounting policies and mandatory tags – this item MUST be used as a starting point for markups of disclosures in the notes to the financial statements","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"Voorblad_loc_ifrs-full_NameOfReportingEntityOrOtherMeansOfIdentification_723236","ParentId":"Voorblad_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags_723235","Name":"ifrs-full:NameOfReportingEntityOrOtherMeansOfIdentification","Order":"1","Label":"Naam van de verslaggevende entiteit of een andere vorm van identificatie","Documentation":"De naam van de verslaggevende entiteit of een andere vorm van identificatie.","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"Name of reporting entity or other means of identification","SecondaryDocumentation":"The name of the reporting entity or other means of identification.","IsExtendedElement":0},{"Id":"Voorblad_loc_ifrs-full_PrincipalPlaceOfBusiness_723237","ParentId":"Voorblad_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags_723235","Name":"ifrs-full:PrincipalPlaceOfBusiness","Order":"2","Label":"Hoofdvestiging","Documentation":"De vestiging waar een entiteit hoofdzakelijk bedrijfsactiviteiten uitvoert.","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"Principal place of business","SecondaryDocumentation":"The place where an entity principally conducts operations.","IsExtendedElement":0},{"Id":"Voorblad_loc_ifrs-full_AddressOfRegisteredOfficeOfEntity_723238","ParentId":"Voorblad_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags_723235","Name":"ifrs-full:AddressOfRegisteredOfficeOfEntity","Order":"3","Label":"Adres van de statutaire zetel van de entiteit","Documentation":"Het adres waar de entiteit haar statutaire zetel heeft.","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"Address of entity's registered office","SecondaryDocumentation":"The address at which the entity's office is registered.","IsExtendedElement":0},{"Id":"Voorblad_loc_ifrs-full_NameOfParentEntity_723242","ParentId":"Voorblad_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags_723235","Name":"ifrs-full:NameOfParentEntity","Order":"4","Label":"Naam van de moedermaatschappij","Documentation":"De naam van de moedermaatschappij van de entiteit. [Zie: moedermaatschappij [member]]","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"Name of parent entity","SecondaryDocumentation":"The name of the entity's parent. [Refer: Parent [member]]","IsExtendedElement":0},{"Id":"Voorblad_loc_ifrs-full_CountryOfIncorporation_723240","ParentId":"Voorblad_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags_723235","Name":"ifrs-full:CountryOfIncorporation","Order":"5","Label":"Land van oprichting","Documentation":"Het land waar de entiteit is opgericht.","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"Country of incorporation","SecondaryDocumentation":"The country in which the entity is incorporated.","IsExtendedElement":0},{"Id":"Voorblad_loc_ifrs-full_DescriptionOfNatureOfEntitysOperationsAndPrincipalActivities_723241","ParentId":"Voorblad_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags_723235","Name":"ifrs-full:DescriptionOfNatureOfEntitysOperationsAndPrincipalActivities","Order":"6","Label":"Beschrijving van de aard van de activiteiten van de entiteit en haar voornaamste bedrijvigheden","Documentation":"De beschrijving van de aard van de activiteiten van de entiteit en haar voornaamste bedrijvigheden.","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"Description of nature of entity's operations and principal activities","SecondaryDocumentation":"The description of the nature of the entity's operations and principal activities.","IsExtendedElement":0},{"Id":"Voorblad_loc_ifrs-full_NameOfUltimateParentOfGroup_723243","ParentId":"Voorblad_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags_723235","Name":"ifrs-full:NameOfUltimateParentOfGroup","Order":"7","Label":"Naam van de hoofdmoedermaatschappij van de groep","Documentation":"De naam van de uiteindelijke partij van de groep die de zeggenschap uitoefent.","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"Name of ultimate parent of group","SecondaryDocumentation":"The name of the ultimate controlling party of the group.","IsExtendedElement":0},{"Id":"Voorblad_loc_ifrs-full_DateOfEndOfReportingPeriod2013_723244","ParentId":"Voorblad_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags_723235","Name":"ifrs-full:DateOfEndOfReportingPeriod2013","Order":"8","Label":"Einddatum van de verslagperiode","Documentation":"De datum van het einde van de verslagperiode.","PeriodType":"duration","Balance":"","Type":"xbrli:dateItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"Date of end of reporting period","SecondaryDocumentation":"The date of the end of the reporting period.","IsExtendedElement":0},{"Id":"Voorblad_loc_ifrs-full_DomicileOfEntity_723245","ParentId":"Voorblad_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags_723235","Name":"ifrs-full:DomicileOfEntity","Order":"9","Label":"Domicilie van de entiteit","Documentation":"Het land van domicilie van de entiteit. [Zie: land van vestiging [member]]","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"Domicile of entity","SecondaryDocumentation":"The country of domicile of the entity. [Refer: Country of domicile [member]]","IsExtendedElement":0},{"Id":"Voorblad_loc_ifrs-full_LegalFormOfEntity_723246","ParentId":"Voorblad_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags_723235","Name":"ifrs-full:LegalFormOfEntity","Order":"10","Label":"Rechtsvorm van de entiteit","Documentation":"Informatie over de juridische structuur waaronder de entiteit actief is.","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"Legal form of entity","SecondaryDocumentation":"Information about the legal structure under which the entity operates.","IsExtendedElement":0},{"Id":"http://www.orange.be/role/GeconsolideerdOverzichtVanHetTotaalresultaat","ParentId":"","Name":"1002 - Statement - Geconsolideerd overzicht van het totaalresultaat","Order":"","Label":"","Documentation":"","PeriodType":"","Balance":"","Type":"","AbstractText":"","Nillable":"","SubstitutionGroup":"","IsReferenceExist":"0","PreferredLabel":"","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","ParentId":"http://www.orange.be/role/GeconsolideerdOverzichtVanHetTotaalresultaat","Name":"ifrs-full:ProfitLossAbstract","Order":"","Label":"Winst (verlies) [abstract]","Documentation":"","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"","SecondaryLabel":"Profit (loss) [abstract]","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_RevenueFromRenderingOfTelecommunicationServices_722066","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:RevenueFromRenderingOfTelecommunicationServices","Order":"1","Label":"Omzet uit retaildiensten","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verlening van telecommunicatiediensten. [Zie: opbrengsten]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"Total revenue from rendering of telecommunication services","SecondaryDocumentation":"The amount of revenue arising from the rendering of telecommunication services. [Refer: Revenue]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_obel_RevenueFromConvergentServices_722067","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"obel:RevenueFromConvergentServices","Order":"2","Label":"Omzet uit convergente diensten","Documentation":"Omzet uit convergente diensten.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"terseLabel","SecondaryLabel":"Revenue From Convergent Services","SecondaryDocumentation":"Revenue from convergent services","IsExtendedElement":1},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_RevenueFromRenderingOfMobileTelephoneServices_722068","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:RevenueFromRenderingOfMobileTelephoneServices","Order":"3","Label":"Omzet uit alleen mobiele diensten","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verlening van mobiele-telefoniediensten. [Zie: opbrengsten]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of revenue arising from the rendering of mobile telephone services. [Refer: Revenue]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_RevenueFromRenderingOfLandLineTelephoneServices_722069","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:RevenueFromRenderingOfLandLineTelephoneServices","Order":"4","Label":"Omzet uit alleen vastelijndiensten","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verlening van vaste-telefoniediensten. [Zie: opbrengsten]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of revenue arising from the rendering of land line telephone services. [Refer: Revenue]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_RevenueFromRenderingOfInternetAndDataServices_722070","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:RevenueFromRenderingOfInternetAndDataServices","Order":"5","Label":"Omzet uit IT- en integratiediensten","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verlening van internet- en datadiensten. [Zie: opbrengsten]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of revenue arising from the rendering of internet and data services. [Refer: Revenue]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_RevenueFromSaleOfTelecommunicationEquipment_722071","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:RevenueFromSaleOfTelecommunicationEquipment","Order":"6","Label":"Verkoop van apparatuur","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verkoop van telecommunicatie-uitrusting. [Zie: opbrengsten]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of revenue arising from the sale of telecommunication equipment. [Refer: Revenue]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_RevenueFromRenderingOfInterconnectionServices_722072","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:RevenueFromRenderingOfInterconnectionServices","Order":"7","Label":"Groothandelsinkomsten","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verlening van interconnectiediensten voor andere operators. [Zie: opbrengsten]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of revenue arising from the rendering of interconnection services for other operators. [Refer: Revenue]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_RevenueFromRenderingOfOtherTelecommunicationServices_722073","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:RevenueFromRenderingOfOtherTelecommunicationServices","Order":"8","Label":"Overige bedrijfsopbrengsten","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verlening van telecommunicatiediensten die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: opbrengsten]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of revenue arising from the rendering of telecommunication services that the entity does not separately disclose in the same statement or note. [Refer: Revenue]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_Revenue_722074","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:Revenue","Order":"9","Label":"Totale omzet","Documentation":"De baten die voortvloeien uit de normale bedrijfsvoering van een entiteit. Baten zijn de toename van activa of de afname van verplichtingen, resulterend in de stijging van het eigen vermogen, zonder de stijgingen die verband houden met bijdragen van houders van vorderingen in aandelen.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"Total revenue","SecondaryDocumentation":"The income arising in the course of an entity's ordinary activities. Income is increases in assets, or decreases in liabilities, that result in increases in equity, other than those relating to contributions from holders of equity claims.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_CostOfSales_722076","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:CostOfSales","Order":"10","Label":"Aankoop van apparatuur","Documentation":"Het bedrag van de kosten die direct of indirect zijn toe te rekenen aan verkochte goederen of diensten, die kosten omvatten die voorheen werden opgenomen bij de waardering van de voorraad die inmiddels is verkocht, niet-toegerekende indirecte productiekosten en abnormale productiekosten van voorraden, maar hier niet toe zijn beperkt.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"Cost of sales","SecondaryDocumentation":"The amount of costs relating to expenses directly or indirectly attributed to the goods or services sold, which may include, but are not limited to, costs previously included in the measurement of inventory that has now been sold, unallocated production overheads and abnormal amounts of production costs of inventories.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_obel_OtherDirectCosts_722732","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"obel:OtherDirectCosts","Order":"11","Label":"Overige directe bedrijfskosten","Documentation":"Overige directe bedrijfskosten.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"negatedLabel","SecondaryLabel":"Other direct costs","SecondaryDocumentation":"Other direct costs.","IsExtendedElement":1},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ImpairmentLossRecognisedInProfitOrLossTradeReceivables_722077","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:ImpairmentLossRecognisedInProfitOrLossTradeReceivables","Order":"12","Label":"Bijzondere waardeverminderingsverliezen op handels- en overige vorderingen, inclusief contractactiva","Documentation":"Het bedrag van het bijzonderewaardeverminderingsverlies opgenomen in winst of verlies voor handelsvorderingen. [Zie: bijzonderewaardeverminderingsverlies opgenomen in winst of verlies; handelsvorderingen]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of impairment loss recognised in profit or loss for trade receivables. [Refer: Impairment loss recognised in profit or loss; Trade receivables]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_obel_DirectCosts_722078","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"obel:DirectCosts","Order":"13","Label":"Directe bedrijfskosten","Documentation":"Directe bedrijfskosten.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"negatedTotalLabel","SecondaryLabel":"Direct Costs","SecondaryDocumentation":"Direct costs.","IsExtendedElement":1},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_EmployeeBenefitsExpense_722079","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:EmployeeBenefitsExpense","Order":"14","Label":"Personeelskosten","Documentation":"De lasten van alle vormen van vergoedingen die door een entiteit worden toegekend in ruil voor door de werknemers verrichte prestaties of voor de beëindiging van het dienstverband.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"Employee benefits expense","SecondaryDocumentation":"The expense of all forms of consideration given by an entity in exchange for a service rendered by employees or for the termination of employment.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_SalesAndMarketingExpense_722080","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:SalesAndMarketingExpense","Order":"15","Label":"Commerciële kosten","Documentation":"Het bedrag van de lasten die verband houden met de marketing en verkoop van goederen of diensten.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of expense relating to the marketing and selling of goods or services.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_obel_OtherInformationTechnologyAndNetworkExpenses_722081","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"obel:OtherInformationTechnologyAndNetworkExpenses","Order":"16","Label":"Overige IT- en netwerkuitgaven","Documentation":"Overige IT- en netwerkuitgaven","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"negatedLabel","SecondaryLabel":"Other Information Technology And Network Expenses","SecondaryDocumentation":"Other information technology and network expenses","IsExtendedElement":1},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_PropertyServiceChargeExpense_722082","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:PropertyServiceChargeExpense","Order":"17","Label":"Kosten m.b.t. terreinen en gebouwen","Documentation":"Het bedrag aan lasten die voortvloeien uit kosten met betrekking tot het onderhoud van vastgoed.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"Property service charge expense","SecondaryDocumentation":"The amount of expense arising from charges related to servicing of property.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_GeneralAndAdministrativeExpense_722083","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:GeneralAndAdministrativeExpense","Order":"18","Label":"Algemene kosten","Documentation":"Het bedrag aan kosten die verband houden met algemene en beheersactiviteiten van de entiteit.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of expense relating to general and administrative activities of the entity.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_MiscellaneousOtherOperatingIncome_722084","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:MiscellaneousOtherOperatingIncome","Order":"19","Label":"Diverse andere exploitatiebaten","Documentation":"Het bedrag aan diverse andere exploitatiebaten. [Zie: andere exploitatiebaten (-lasten)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negativeLabel","SecondaryLabel":"Miscellaneous other operating income","SecondaryDocumentation":"The amount of miscellaneous other operating income. [Refer: Other operating income (expense)]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_MiscellaneousOtherOperatingExpense_722085","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:MiscellaneousOtherOperatingExpense","Order":"20","Label":"Overige indirecte bedrijfskosten","Documentation":"Het bedrag aan diverse andere exploitatielasten. [Zie: andere exploitatiebaten (-lasten)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of miscellaneous other operating expenses. [Refer: Other operating income (expense)]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_DepreciationRightofuseAssets_722086","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:DepreciationRightofuseAssets","Order":"21","Label":"Afschrijvingen van gebruiksrecht van activa","Documentation":"Het bedrag van de afschrijving van activa met gebruiksrecht. [Zie: afschrijvingskosten; activa met gebruiksrecht]","PeriodType":"duration","Balance":"","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of depreciation of right-of-use assets. [Refer: Depreciation and amortisation expense; Right-of-use assets]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_obel_IndirectCosts_722087","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"obel:IndirectCosts","Order":"22","Label":"Indirecte bedrijfskosten","Documentation":"Indirecte bedrijfskosten","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"negatedTotalLabel","SecondaryLabel":"Indirect Costs","SecondaryDocumentation":"Indirect costs","IsExtendedElement":1},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ExpenseOfRestructuringActivities_722088","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:ExpenseOfRestructuringActivities","Order":"23","Label":"Herstructureringskosten","Documentation":"Het bedrag aan lasten die verband houden met reorganisatie. Reorganisatie is een programma dat door het management wordt gepland en waarover het management de zeggenschap heeft, en dat leidt tot materiële wijzigingen in het toepassingsgebied van de activiteiten van een entiteit of in de manier waarop de bedrijfsvoering geschiedt. Voorbeelden van dergelijke programma's zijn: a) de verkoop of beëindiging van een bedrijfsactiviteit; b) de sluiting van bedrijfslocaties in een land of regio of de overplaatsing van bedrijfsactiviteiten naar een ander land of een andere regio; c) wijzigingen in de managementstructuur; en d) fundamentele reorganisaties die een materieel effect hebben op de aard en focus van de bedrijfsactiviteiten van de entiteit.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of expense relating to restructuring. Restructuring is a programme that is planned and controlled by management and materially changes either the scope of a business undertaken by an entity or the manner in which that business is conducted. Such programmes include: (a) the sale or termination of a line of business; (b) closure of business locations in a country or region or the relocation of activities from one country or region to another; (c) changes in management structure; and (d) fundamental reorganisations that have a material effect on the nature and focus of the entity's operations.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_DepreciationAndAmortisationExpense_722089","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:DepreciationAndAmortisationExpense","Order":"24","Label":"Afschrijvingen en waardeverminderingen van overige immateriële vaste activa en materiële vaste activa","Documentation":"Het bedrag aan afschrijvingskosten. Afschrijving is de stelselmatige toerekening van af te schrijven bedragen van activa over hun gebruiksduur.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"Depreciation and amortisation expense","SecondaryDocumentation":"The amount of depreciation and amortisation expense. Depreciation and amortisation are the systematic allocations of depreciable amounts of assets over their useful lives.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ImpairmentLossRecognisedInProfitOrLossGoodwill_722090","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:ImpairmentLossRecognisedInProfitOrLossGoodwill","Order":"25","Label":"Bijzondere waardevermindering van goodwill","Documentation":"Het bedrag van het bijzonderewaardeverminderingsverlies opgenomen in winst of verlies voor goodwill. [Zie: bijzonderewaardeverminderingsverlies opgenomen in winst of verlies; goodwill]","PeriodType":"duration","Balance":"","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"negatedLabel","SecondaryLabel":"Impairment loss recognised in profit or loss, goodwill","SecondaryDocumentation":"The amount of impairment loss recognised in profit or loss for goodwill. [Refer: Impairment loss recognised in profit or loss; Goodwill]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ImpairmentLossRecognisedInProfitOrLoss_722093","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:ImpairmentLossRecognisedInProfitOrLoss","Order":"26","Label":"Bijzondere waardevermindering van materiële vaste activa","Documentation":"Het bedrag van het bijzonderewaardeverminderingsverlies opgenomen in winst of verlies. [Zie: bijzonderewaardeverminderingsverlies; winst (verlies)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of impairment loss recognised in profit or loss. [Refer: Impairment loss; Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ShareOfProfitLossOfAssociatesAccountedForUsingEquityMethod_722094","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:ShareOfProfitLossOfAssociatesAccountedForUsingEquityMethod","Order":"27","Label":"Aandeel in winst (verlies) van geassocieerde deelnemingen","Documentation":"Het aandeel van de entiteit in de winst (het verlies) van geassocieerde deelnemingen, administratief verwerkt volgens de vermogensmutatiemethode. [Zie: geassocieerde deelnemingen [member]; investeringen die administratief werden verwerkt volgens de vermogensmutatiemethode; winst (verlies)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The entity's share of the profit (loss) of associates accounted for using the equity method. [Refer: Associates [member]; Investments accounted for using equity method; Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossFromOperatingActivities_722095","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:ProfitLossFromOperatingActivities","Order":"28","Label":"Bedrijfswinst (EBIT)","Documentation":"De winst (het verlies) uit operationele activiteiten van de entiteit. [Zie: winst (verlies)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"Profit (loss) from operating activities","SecondaryDocumentation":"The profit (loss) from operating activities of the entity. [Refer: Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_FinanceIncomeCost_722096","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:FinanceIncomeCost","Order":"29","Label":"Financieel resultaat","Documentation":"Het bedrag aan baten of kosten die verband houden met rente en andere financieringsactiviteiten van de entiteit.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of income or cost associated with interest and other financing activities of the entity.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_FinanceCosts_722097","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:FinanceCosts","Order":"30","Label":"Financiële kosten","Documentation":"Het bedrag aan kosten die verband houden met financieringsactiviteiten van de entiteit.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"Finance costs","SecondaryDocumentation":"The amount of costs associated with financing activities of the entity.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_FinanceIncome_722098","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:FinanceIncome","Order":"31","Label":"Financiële opbrengsten","Documentation":"Het bedrag aan baten die verband houden met rente en andere financieringsactiviteiten van de entiteit.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of income associated with interest and other financing activities of the entity.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossBeforeTax_722100","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:ProfitLossBeforeTax","Order":"32","Label":"Winst voor belasting (PBT)","Documentation":"De winst (het verlies) vóór belastinglasten of -baten. [Zie: winst (verlies)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"Profit (loss) before tax","SecondaryDocumentation":"The profit (loss) before tax expense or income. [Refer: Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_IncomeTaxExpenseContinuingOperations_722101","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:IncomeTaxExpenseContinuingOperations","Order":"33","Label":"Belastingen","Documentation":"Het samengevoegde bedrag opgenomen in de bepaling van winst (verlies) over de periode met betrekking tot de over de verslagperiode verschuldigde en verrekenbare belastingen en uitgestelde belastingen. [Zie: over de verslagperiode verschuldigde belastinglasten (verrekenbare belastingbaten); uitgestelde belastinglasten (-baten)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"","SecondaryDocumentation":"The aggregate amount included in the determination of profit (loss) for the period in respect of current tax and deferred tax. [Refer: Current tax expense (income); Deferred tax expense (income)]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLoss_722102","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:ProfitLoss","Order":"34","Label":"Nettowinst (verlies) van de periode","Documentation":"Het totaal van de baten min de lasten uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten, exclusief de overige onderdelen van het totaalresultaat. [Zie: overige onderdelen van het totaalresultaat]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"Profit (loss)","SecondaryDocumentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAttributableToOwnersOfParent_722104","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:ProfitLossAttributableToOwnersOfParent","Order":"35","Label":"Aandeel van de groep in de winst van de periode","Documentation":"De winst (het verlies) uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten toe te rekenen aan eigenaars van de moedermaatschappij. [Zie: winst (verlies)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The profit (loss) from continuing and discontinued operations attributable to owners of the parent. [Refer: Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract_722131","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossAbstract_722065","Name":"ifrs-full:StatementOfComprehensiveIncomeAbstract","Order":"36","Label":"Geconsolideerd overzicht van het totaalresultaat","Documentation":"","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLoss_722106","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract_722131","Name":"ifrs-full:ProfitLoss","Order":"37","Label":"Nettowinst van de periode","Documentation":"Het totaal van de baten min de lasten uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten, exclusief de overige onderdelen van het totaalresultaat. [Zie: overige onderdelen van het totaalresultaat]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges_722107","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract_722131","Name":"ifrs-full:OtherComprehensiveIncomeNetOfTaxCashFlowHedges","Order":"38","Label":"Overige baten en lasten (kasstroomafdekking netto na belasting)","Documentation":"Het bedrag van de overige onderdelen van het totaalresultaat, na belastingen, met betrekking tot kasstroomafdekkingen. [Zie: kasstroomafdekking [member]; overige onderdelen van het totaalresultaat]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of other comprehensive income, net of tax, related to cash flow hedges. [Refer: Cash flow hedges [member]; Other comprehensive income]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ComprehensiveIncome_722108","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract_722131","Name":"ifrs-full:ComprehensiveIncome","Order":"39","Label":"Totaalresultaat van de periode","Documentation":"Het bedrag van de vermogensmutatie die voortvloeit uit transacties en andere gebeurtenissen, met uitzondering van mutaties die voortvloeien uit transacties met eigenaars in hun hoedanigheid van eigenaars.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"Total comprehensive income","SecondaryDocumentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent_722109","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract_722131","Name":"ifrs-full:ComprehensiveIncomeAttributableToOwnersOfParent","Order":"40","Label":"Aandeel van de groep in het totaalresultaat","Documentation":"Het bedrag van de overige onderdelen van het totaalresultaat toe te rekenen aan eigenaars van de moedermaatschappij. [Zie: overige onderdelen van het totaalresultaat]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of comprehensive income attributable to owners of the parent. [Refer: Comprehensive income]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_BasicEarningsLossPerShare_722110","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract_722131","Name":"ifrs-full:BasicEarningsLossPerShare","Order":"41","Label":"Gewone winst of gewoon verlies per aandeel (in EUR)","Documentation":"Het bedrag van de winst (het verlies) dat aan houders van gewone aandelen van de moedermaatschappij kan worden toegerekend (de teller) gedeeld door het gewogen gemiddelde van het aantal uitstaande gewone aandelen (de noemer) gedurende de periode.","PeriodType":"duration","Balance":"","Type":"num:perShareItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of profit (loss) attributable to ordinary equity holders of the parent entity (the numerator) divided by the weighted average number of ordinary shares outstanding during the period (the denominator).","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_WeightedAverageShares_722111","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract_722131","Name":"ifrs-full:WeightedAverageShares","Order":"42","Label":"Gewogen gemiddeld aantal gewone aandelen (excl. ingekochte eigen aandelen)","Documentation":"Het aantal gewone aandelen uitstaand aan het begin van de periode, aangepast op basis van het aantal tijdens de periode ingekochte of uitgegeven gewone aandelen, vermenigvuldigd met een tijdfactor.","PeriodType":"duration","Balance":"","Type":"xbrli:sharesItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The number of ordinary shares outstanding at the beginning of the period, adjusted by the number of ordinary shares bought back or issued during the period multiplied by a time-weighting factor.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_DilutedEarningsLossPerShare_722112","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract_722131","Name":"ifrs-full:DilutedEarningsLossPerShare","Order":"43","Label":"Verwaterde nettowinst per aandeel (in EUR)","Documentation":"Het bedrag van de winst (het verlies) dat aan houders van gewone aandelen van de moedermaatschappij kan worden toegerekend (de teller) gedeeld door het gewogen gemiddelde van het aantal uitstaande gewone aandelen (de noemer) gedurende de periode, allebei aangepast voor de effecten van alle potentiële gewone aandelen die tot verwatering zullen leiden. [Zie: gewone aandelen [member]; gewogen gemiddelde [member]]","PeriodType":"duration","Balance":"","Type":"num:perShareItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of profit (loss) attributable to ordinary equity holders of the parent entity (the numerator), divided by the weighted average number of ordinary shares outstanding during the period (the denominator), both adjusted for the effects of all dilutive potential ordinary shares. [Refer: Ordinary shares [member]; Weighted average [member]]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_AdjustedWeightedAverageShares_722113","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract_722131","Name":"ifrs-full:AdjustedWeightedAverageShares","Order":"44","Label":"Verwaterd gewogen gemiddeld aantal gewone aandelen (excl. ingekochte eigen aandelen","Documentation":"Het gewogen gemiddeld aantal uitstaande gewone aandelen vermeerderd met het gewogen gemiddeld aantal gewone aandelen die zouden worden uitgegeven bij de conversie van alle potentiële gewone aandelen die tot verwatering in gewone aandelen zullen leiden. [Zie: gewone aandelen [member]; gewogen gemiddelde [member]]","PeriodType":"duration","Balance":"","Type":"xbrli:sharesItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The weighted average number of ordinary shares outstanding plus the weighted average number of ordinary shares that would be issued on the conversion of all the dilutive potential ordinary shares into ordinary shares. [Refer: Ordinary shares [member]; Weighted average [member]]","IsExtendedElement":0},{"Id":"http://www.orange.be/role/GeconsolideerdeStaatVanFinancilePositie","ParentId":"","Name":"1003 - Statement - Geconsolideerde staat van financiële positie","Order":"","Label":"","Documentation":"","PeriodType":"","Balance":"","Type":"","AbstractText":"","Nillable":"","SubstitutionGroup":"","IsReferenceExist":"0","PreferredLabel":"","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_StatementOfFinancialPositionAbstract_722271","ParentId":"http://www.orange.be/role/GeconsolideerdeStaatVanFinancilePositie","Name":"ifrs-full:StatementOfFinancialPositionAbstract","Order":"","Label":"Overzicht van de financiële positie [abstract]","Documentation":"","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"","SecondaryLabel":"Statement of financial position placeholder - this item MUST be used as a starting point for the statement of financial position","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_AssetsAbstract_722272","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_StatementOfFinancialPositionAbstract_722271","Name":"ifrs-full:AssetsAbstract","Order":"1","Label":"ACTIVA","Documentation":"","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentAssetsAbstract_722273","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_AssetsAbstract_722272","Name":"ifrs-full:NoncurrentAssetsAbstract","Order":"2","Label":"Vaste activa","Documentation":"","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_Goodwill_722274","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentAssetsAbstract_722273","Name":"ifrs-full:Goodwill","Order":"3","Label":"Goodwill","Documentation":"Het bedrag aan activa die de toekomstige economische voordelen vertegenwoordigen die voortvloeien uit andere in een bedrijfscombinatie verworven activa die niet individueel kunnen worden geïdentificeerd en afzonderlijk kunnen worden opgenomen. [Zie: bedrijfscombinaties [member]]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of assets representing the future economic benefits arising from other assets acquired in a business combination that are not individually identified and separately recognised. [Refer: Business combinations [member]]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_IntangibleAssetsOtherThanGoodwill_722275","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentAssetsAbstract_722273","Name":"ifrs-full:IntangibleAssetsOtherThanGoodwill","Order":"4","Label":"Overige immateriële vaste activa","Documentation":"Het bedrag aan niet-monetaire identificeerbare activa zonder materiële substantie. Dit bedrag bevat geen goodwill. [Zie: goodwill]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of identifiable non-monetary assets without physical substance. This amount does not include goodwill. [Refer: Goodwill]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_PropertyPlantAndEquipment_722276","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentAssetsAbstract_722273","Name":"ifrs-full:PropertyPlantAndEquipment","Order":"5","Label":"Materiële vaste activa","Documentation":"Het bedrag aan immateriële activa: a) die worden aangehouden voor gebruik in de productie of levering van goederen of diensten, voor verhuur aan derden of voor bestuurlijke doeleinden; en b) waarvan men verwacht dat ze langer dan één periode zullen worden gebruikt.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of tangible assets that: (a) are held for use in the production or supply of goods or services, for rental to others, or for administrative purposes; and (b) are expected to be used during more than one period.","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_RightofuseAssetsThatDoNotMeetDefinitionOfInvestmentProperty_722277","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentAssetsAbstract_722273","Name":"ifrs-full:RightofuseAssetsThatDoNotMeetDefinitionOfInvestmentProperty","Order":"6","Label":"Met een gebruiksrecht overeenstemmende activa","Documentation":"Het bedrag van de activa met gebruiksrecht die niet voldoen aan de definitie van vastgoedbeleggingen. [Zie: activa met gebruiksrecht; vastgoedbeleggingen]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of right-of-use assets that do not meet the definition of investment property. [Refer: Right-of-use assets; Investment property]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_InvestmentAccountedForUsingEquityMethod_722278","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentAssetsAbstract_722273","Name":"ifrs-full:InvestmentAccountedForUsingEquityMethod","Order":"7","Label":"Investeringen in geassocieerde deelnemingen en joint ventures","Documentation":"Het bedrag aan investeringen die administratief werden verwerkt volgens de vermogensmutatiemethode. De vermogensmutatiemethode is een methode voor administratieve verwerking waarbij de investering aanvankelijk tegen kostprijs wordt opgenomen, en vervolgens wordt aangepast om rekening te houden met de wijziging van het aandeel van de investeerder in de nettoactiva van de deelneming na de overname. De winst of het verlies van de investeerder omvat zijn aandeel in de winst of het verlies van de deelneming. De overige onderdelen van het totaalresultaat van de investeerder omvatten zijn aandeel in de overige onderdelen van het totaalresultaat van de deelneming. [Zie: gewaardeerd tegen kostprijs [member]]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of investments accounted for using the equity method. The equity method is a method of accounting whereby the investment is initially recognised at cost and adjusted thereafter for the post-acquisition change in the investor's share of net assets of the investee. The investor's profit or loss includes its share of the profit or loss of the investee. The investor's other comprehensive income includes its share of the other comprehensive income of the investee. [Refer: At cost [member]]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_OtherNoncurrentFinancialAssets_722279","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentAssetsAbstract_722273","Name":"ifrs-full:OtherNoncurrentFinancialAssets","Order":"8","Label":"Financiële vaste activa","Documentation":"Het bedrag aan vaste financiële activa die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: andere financiële activa]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of non-current financial assets that the entity does not separately disclose in the same statement or note. [Refer: Other financial assets]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_OtherNoncurrentAssets_722280","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentAssetsAbstract_722273","Name":"ifrs-full:OtherNoncurrentAssets","Order":"9","Label":"Overige vaste activa","Documentation":"Het bedrag aan vaste activa die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: vaste activa]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of non-current assets that the entity does not separately disclose in the same statement or note. [Refer: Non-current assets]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_DeferredTaxAssets_722281","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentAssetsAbstract_722273","Name":"ifrs-full:DeferredTaxAssets","Order":"10","Label":"Uitgestelde belastingvorderingen","Documentation":"De bedragen aan in toekomstige perioden terug te vorderen winstbelastingen met betrekking tot: a) verrekenbare tijdelijke verschillen; b) overdracht van ongebruikte fiscale verliezen; en c) overdracht van ongebruikte fiscaal verrekenbare tegoeden. [Zie: tijdelijke verschillen [member]; ongebruikte fiscaal verrekenbare tegoeden [member]; niet-gecompenseerde fiscaal verrekenbare verliezen [member]]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amounts of income taxes recoverable in future periods in respect of: (a) deductible temporary differences; (b) the carryforward of unused tax losses; and (c) the carryforward of unused tax credits. [Refer: Temporary differences [member]; Unused tax credits [member]; Unused tax losses [member]]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentAssets_722282","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentAssetsAbstract_722273","Name":"ifrs-full:NoncurrentAssets","Order":"11","Label":"Totaal vaste activa","Documentation":"Het bedrag aan activa die niet voldoen aan de definitie van vlottende activa. [Zie: vlottende activa]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"Total non-current assets","SecondaryDocumentation":"The amount of assets that do not meet the definition of current assets. [Refer: Current assets]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentAssetsAbstract_722283","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_AssetsAbstract_722272","Name":"ifrs-full:CurrentAssetsAbstract","Order":"12","Label":"Vlottende activa","Documentation":"","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_Inventories_722284","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentAssetsAbstract_722283","Name":"ifrs-full:Inventories","Order":"13","Label":"Voorraden","Documentation":"Het bedrag aan actuele voorraden. [Zie: voorraden]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of current inventories. [Refer: Inventories]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentTradeReceivables_722285","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentAssetsAbstract_722283","Name":"ifrs-full:CurrentTradeReceivables","Order":"14","Label":"Handelsvorderingen","Documentation":"Het bedrag aan kortlopende handelsvorderingen. [Zie: handelsvorderingen]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of current trade receivables. [Refer: Trade receivables]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_obel_ContractAssetsAndAssetsRecognisedFromCostsToObtainOrFulfilContractsWithCustomersCurrent_722286","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentAssetsAbstract_722283","Name":"obel:ContractAssetsAndAssetsRecognisedFromCostsToObtainOrFulfilContractsWithCustomersCurrent","Order":"15","Label":"Overige activa in verband met contracten met klanten","Documentation":"Overige activa in verband met contracten met klanten","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"terseLabel","SecondaryLabel":"Contract Assets And Assets Recognised From Costs To Obtain Or Fulfil Contracts With Customers Current","SecondaryDocumentation":"Contract assets and assets recognised from costs to obtain or fulfil contracts with customers, current","IsExtendedElement":1},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_OtherCurrentFinancialAssets_722287","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentAssetsAbstract_722283","Name":"ifrs-full:OtherCurrentFinancialAssets","Order":"16","Label":"Vlottende financiële activa","Documentation":"Het bedrag aan vlottende financiële activa die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: andere financiële activa; vlottende financiële activa]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of current financial assets that the entity does not separately disclose in the same statement or note. [Refer: Other financial assets; Current financial assets]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentDerivativeFinancialAssets_722288","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentAssetsAbstract_722283","Name":"ifrs-full:CurrentDerivativeFinancialAssets","Order":"17","Label":"Kortlopende derivaten (vorderingen)","Documentation":"Het bedrag aan vlottende afgeleide financiële activa. [Zie: afgeleide financiële activa]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of current derivative financial assets. [Refer: Derivative financial assets]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_OtherCurrentAssets_722289","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentAssetsAbstract_722283","Name":"ifrs-full:OtherCurrentAssets","Order":"18","Label":"Overige vlottende activa","Documentation":"Het bedrag aan vlottende activa die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: vlottende activa]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of current assets that the entity does not separately disclose in the same statement or note. [Refer: Current assets]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentReceivablesFromTaxesOtherThanIncomeTax_722290","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentAssetsAbstract_722283","Name":"ifrs-full:CurrentReceivablesFromTaxesOtherThanIncomeTax","Order":"19","Label":"Terug te vorderen operationele belastingen en heffingen","Documentation":"Het bedrag aan kortlopende vorderingen uit hoofde van belastingen die geen winstbelastingen zijn. [Zie: vorderingen uit hoofde van belastingen die geen winstbelastingen zijn]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of current receivables from taxes other than income tax. [Refer: Receivables from taxes other than income tax]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentTaxAssetsCurrent_722291","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentAssetsAbstract_722283","Name":"ifrs-full:CurrentTaxAssetsCurrent","Order":"20","Label":"Actuele belastingvorderingen","Documentation":"Het actuele bedrag aan actuele belastingvorderingen. [Zie: actuele belastingvorderingen]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The current amount of current tax assets. [Refer: Current tax assets]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentPrepaidExpenses_722292","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentAssetsAbstract_722283","Name":"ifrs-full:CurrentPrepaidExpenses","Order":"21","Label":"Vooruitbetaalde kosten","Documentation":"Het bedrag opgenomen als een vlottend actief voor uitgaven die zijn gemaakt voorafgaand aan de periode waarin het economisch voordeel wordt gerealiseerd.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount recognised as a current asset for expenditures made prior to the period when the economic benefit will be realised.","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CashAndCashEquivalents_722293","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentAssetsAbstract_722283","Name":"ifrs-full:CashAndCashEquivalents","Order":"22","Label":"Geldmiddelen en kasequivalenten","Documentation":"Het bedrag aan contanten en direct opvraagbare deposito's, samen met kortlopende, uiterst liquide beleggingen die onmiddellijk kunnen worden omgezet in geldmiddelen waarvan het bedrag bekend is en die geen materieel risico van waardeverandering in zich dragen. [Zie: geldmiddelen; kasequivalenten]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of cash on hand and demand deposits, along with short-term, highly liquid investments that are readily convertible to known amounts of cash and that are subject to an insignificant risk of changes in value. [Refer: Cash; Cash equivalents]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentAssets_722294","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentAssetsAbstract_722283","Name":"ifrs-full:CurrentAssets","Order":"23","Label":"Totaal vlottende activa","Documentation":"Het bedrag aan activa dat de entiteit a) verwacht te realiseren of voornemens is te verkopen of te verbruiken, in de normale exploitatiecyclus van de entiteit; b) voornamelijk aanhoudt met de bedoeling het te verhandelen; c) verwacht binnen twaalf maanden na de verslagperiode te realiseren; of d) classificeert als een geldmiddel of kasequivalent (zoals gedefinieerd in IAS 7), tenzij het gebruik van het actief voor ruil of voor afwikkeling van een verplichting is beperkt gedurende ten minste twaalf maanden na de verslagperiode. [Zie: activa]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"Total current assets","SecondaryDocumentation":"The amount of assets that the entity (a) expects to realise or intends to sell or consume in its normal operating cycle; (b) holds primarily for the purpose of trading; (c) expects to realise within twelve months after the reporting period; or (d) classifies as cash or cash equivalents (as defined in IAS 7) unless the asset is restricted from being exchanged or used to settle a liability for at least twelve months after the reporting period. [Refer: Assets]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_Assets_722295","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_AssetsAbstract_722272","Name":"ifrs-full:Assets","Order":"24","Label":"Totaal activa","Documentation":"Het bedrag van een bestaand economisch middel dat uit gebeurtenissen in het verleden is voortgekomen en waarover de entiteit zeggenschap heeft. Een economisch middel is een recht dat het potentieel heeft economische voordelen voort te brengen.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"Total assets","SecondaryDocumentation":"The amount of a present economic resource controlled by the entity as a result of past events. Economic resource is a right that has the potential to produce economic benefits.","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_EquityAndLiabilitiesAbstract_722296","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_StatementOfFinancialPositionAbstract_722271","Name":"ifrs-full:EquityAndLiabilitiesAbstract","Order":"25","Label":"Eigen vermogen en verplichtingen [abstract]","Documentation":"","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"label","SecondaryLabel":"Equity and liabilities [abstract]","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_EquityAbstract_722297","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_EquityAndLiabilitiesAbstract_722296","Name":"ifrs-full:EquityAbstract","Order":"26","Label":"Eigen vermogen","Documentation":"","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_IssuedCapital_722298","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_EquityAbstract_722297","Name":"ifrs-full:IssuedCapital","Order":"27","Label":"Kapitaal","Documentation":"De nominale waarde van geplaatst kapitaal.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The nominal value of capital issued.","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_OtherReserves_722299","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_EquityAbstract_722297","Name":"ifrs-full:OtherReserves","Order":"28","Label":"Wettelijke reserve","Documentation":"Een component van het eigen vermogen die reserves binnen het eigen vermogen vertegenwoordigt, exclusief ingehouden winsten. [Zie: ingehouden winsten]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"A component of equity representing reserves within equity, not including retained earnings. [Refer: Retained earnings]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_RetainedEarnings_722300","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_EquityAbstract_722297","Name":"ifrs-full:RetainedEarnings","Order":"29","Label":"Overgedragen winst (excl. wettelijke reserve)","Documentation":"Een component van het eigen vermogen die de cumulatieve niet-uitgekeerde opbrengsten of tekorten van de entiteit vertegenwoordigt.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"A component of equity representing the entity's cumulative undistributed earnings or deficit.","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_TreasuryShares_722301","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_EquityAbstract_722297","Name":"ifrs-full:TreasuryShares","Order":"30","Label":"Ingekochte eigen aandelen","Documentation":"Eigenvermogensinstrumenten van een entiteit, aangehouden door de entiteit of andere leden van de geconsolideerde groep.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"Treasury shares","SecondaryDocumentation":"An entity’s own equity instruments, held by the entity or other members of the consolidated group.","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_EquityAttributableToOwnersOfParent_722302","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_EquityAbstract_722297","Name":"ifrs-full:EquityAttributableToOwnersOfParent","Order":"31","Label":"Aandeel van de groep in het eigen vermogen","Documentation":"Het bedrag van het eigen vermogen toe te rekenen aan de eigenaars van de moedermaatschappij. Dit sluit met name belang zonder zeggenschap uit.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"Total equity attributable to owners of parent","SecondaryDocumentation":"The amount of equity attributable to the owners of the parent. This specifically excludes non-controlling interest.","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_Equity_722303","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_EquityAbstract_722297","Name":"ifrs-full:Equity","Order":"32","Label":"Totaal eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"Total equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentLiabilitiesAbstract_722304","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_EquityAndLiabilitiesAbstract_722296","Name":"ifrs-full:NoncurrentLiabilitiesAbstract","Order":"33","Label":"Langlopende verplichtingen","Documentation":"","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_LongtermBorrowings_722305","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentLiabilitiesAbstract_722304","Name":"ifrs-full:LongtermBorrowings","Order":"34","Label":"Langlopende financiële verplichtingen","Documentation":"Het langlopende gedeelte van langlopende leningen. [Zie: leningen]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The non-current portion of non-current borrowings. [Refer: Borrowings]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentLeaseLiabilities_722306","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentLiabilitiesAbstract_722304","Name":"ifrs-full:NoncurrentLeaseLiabilities","Order":"35","Label":"Langlopende leaseverplichtingen","Documentation":"Het bedrag aan langlopende leaseverplichtingen. [Zie: leaseverplichtingen]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of non-current lease liabilities. [Refer: Lease liabilities]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentProvisionsForEmployeeBenefits_722307","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentLiabilitiesAbstract_722304","Name":"ifrs-full:NoncurrentProvisionsForEmployeeBenefits","Order":"36","Label":"Langlopende personeelsbeloningen","Documentation":"Het bedrag aan vaste voorzieningen voor personeelsbeloningen. [Zie: voorzieningen voor personeelsbeloningen]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of non-current provisions for employee benefits. [Refer: Provisions for employee benefits]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_LongtermProvisionForDecommissioningRestorationAndRehabilitationCosts_722308","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentLiabilitiesAbstract_722304","Name":"ifrs-full:LongtermProvisionForDecommissioningRestorationAndRehabilitationCosts","Order":"37","Label":"Langlopende voorzieningen voor ontmanteling","Documentation":"Het bedrag van de vaste voorziening voor ontmantelings-, herstel- en saneringskosten. [Zie: voorziening voor ontmantelings-, herstel- en saneringskosten]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of non-current provision for decommissioning, restoration and rehabilitation costs. [Refer: Provision for decommissioning, restoration and rehabilitation costs]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_OtherNoncurrentLiabilities_722309","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentLiabilitiesAbstract_722304","Name":"ifrs-full:OtherNoncurrentLiabilities","Order":"38","Label":"Overige langlopende verplichtingen","Documentation":"Het bedrag aan langlopende verplichtingen die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: langlopende verplichtingen]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of non-current liabilities that the entity does not separately disclose in the same statement or note. [Refer: Non-current liabilities]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_DeferredTaxLiabilities_722310","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentLiabilitiesAbstract_722304","Name":"ifrs-full:DeferredTaxLiabilities","Order":"39","Label":"Uitgestelde belastingverplichtingen","Documentation":"De bedragen aan in toekomstige perioden te betalen winstbelastingen met betrekking tot belastbare tijdelijke verschillen. [Zie: tijdelijke verschillen [member]]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amounts of income taxes payable in future periods in respect of taxable temporary differences. [Refer: Temporary differences [member]]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentLiabilities_722311","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentLiabilitiesAbstract_722304","Name":"ifrs-full:NoncurrentLiabilities","Order":"40","Label":"Totaal langlopende verplichtingen","Documentation":"Het bedrag aan verplichtingen die niet voldoen aan de definitie van kortlopende verplichtingen. [Zie: kortlopende verplichtingen]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"Total non-current liabilities","SecondaryDocumentation":"The amount of liabilities that do not meet the definition of current liabilities. [Refer: Current liabilities]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilitiesAbstract_722312","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_EquityAndLiabilitiesAbstract_722296","Name":"ifrs-full:CurrentLiabilitiesAbstract","Order":"41","Label":"Kortlopende verplichtingen","Documentation":"","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentPayablesForPurchaseOfNoncurrentAssets_722313","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilitiesAbstract_722312","Name":"ifrs-full:CurrentPayablesForPurchaseOfNoncurrentAssets","Order":"42","Label":"Te betalen kortlopende vaste activa","Documentation":"Het bedrag aan kortlopende schulden voor de aankoop van vaste activa. [Zie: schulden voor de aankoop van vaste activa]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of current payables for the purchase of non-current assets. [Refer: Payables for purchase of non-current assets]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers_722314","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilitiesAbstract_722312","Name":"ifrs-full:TradeAndOtherCurrentPayablesToTradeSuppliers","Order":"43","Label":"Handelsschulden","Documentation":"Het kortlopende bedrag van de betaling verschuldigd aan leveranciers voor goederen en diensten die worden gebruikt in het kader van de bedrijfsactiviteiten van de entiteit. [Zie: kortlopende verplichtingen; handelsschulden]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The current amount of payment due to suppliers for goods and services used in entity's business. [Refer: Current liabilities; Trade payables]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings_722315","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilitiesAbstract_722312","Name":"ifrs-full:CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings","Order":"44","Label":"Kortlopende financiële verplichtingen","Documentation":"Het bedrag aan kortlopende leningen en het kortlopende gedeelte van langlopende leningen. [Zie: leningen]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of current borrowings and current portion of non-current borrowings. [Refer: Borrowings]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLeaseLiabilities_722316","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilitiesAbstract_722312","Name":"ifrs-full:CurrentLeaseLiabilities","Order":"45","Label":"Kortlopende leaseverplichtingen","Documentation":"Het bedrag aan kortlopende leaseverplichtingen. [Zie: leaseverplichtingen]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of current lease liabilities. [Refer: Lease liabilities]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentDerivativeFinancialLiabilities_722317","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilitiesAbstract_722312","Name":"ifrs-full:CurrentDerivativeFinancialLiabilities","Order":"46","Label":"Kortlopende derivaten (verplichtingen)","Documentation":"Het bedrag aan kortlopende afgeleide financiële verplichtingen. [Zie: afgeleide financiële verplichtingen]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of current derivative financial liabilities. [Refer: Derivative financial liabilities]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentProvisionsForEmployeeBenefits_722318","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilitiesAbstract_722312","Name":"ifrs-full:CurrentProvisionsForEmployeeBenefits","Order":"47","Label":"Kortlopende personeelsbeloningen","Documentation":"Het bedrag aan vlottende voorzieningen voor personeelsbeloningen. [Zie: voorzieningen voor personeelsbeloningen]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of current provisions for employee benefits. [Refer: Provisions for employee benefits]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_ShorttermProvisionForDecommissioningRestorationAndRehabilitationCosts_722319","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilitiesAbstract_722312","Name":"ifrs-full:ShorttermProvisionForDecommissioningRestorationAndRehabilitationCosts","Order":"48","Label":"Kortlopende voorzieningen voor ontmanteling","Documentation":"Het bedrag van de vlottende voorziening voor ontmantelings-, herstel- en saneringskosten. [Zie: voorziening voor ontmantelings-, herstel- en saneringskosten]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of current provision for decommissioning, restoration and rehabilitation costs. [Refer: Provision for decommissioning, restoration and rehabilitation costs]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_ShorttermRestructuringProvision_722320","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilitiesAbstract_722312","Name":"ifrs-full:ShorttermRestructuringProvision","Order":"49","Label":"Kortlopende voorzieningen voor herstructurering","Documentation":"Het bedrag van de vlottende voorziening voor reorganisatie. [Zie: reorganisatievoorziening]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of current provision for restructuring. [Refer: Restructuring provision]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_OtherCurrentLiabilities_722321","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilitiesAbstract_722312","Name":"ifrs-full:OtherCurrentLiabilities","Order":"50","Label":"Overige kortlopende verplichtingen","Documentation":"Het bedrag aan kortlopende verplichtingen die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: kortlopende verplichtingen]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of current liabilities that the entity does not separately disclose in the same statement or note. [Refer: Current liabilities]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_obel_CurrentPayablesOnTaxesOtherThanIncomeTax_722322","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilitiesAbstract_722312","Name":"obel:CurrentPayablesOnTaxesOtherThanIncomeTax","Order":"51","Label":"Te betalen operationele belastingen en heffingen","Documentation":"Te betalen operationele belastingen en heffingen","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"terseLabel","SecondaryLabel":"Current Payables On Taxes Other Than Income Tax","SecondaryDocumentation":"Current payables on taxes other than income tax","IsExtendedElement":1},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentTaxLiabilitiesCurrent_722323","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilitiesAbstract_722312","Name":"ifrs-full:CurrentTaxLiabilitiesCurrent","Order":"52","Label":"Actuele belastingschulden","Documentation":"Het actuele bedrag aan actuele belastingverplichtingen. [Zie: actuele belastingverplichtingen]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The current amount of current tax liabilities. [Refer: Current tax liabilities]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentContractLiabilities_722324","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilitiesAbstract_722312","Name":"ifrs-full:CurrentContractLiabilities","Order":"53","Label":"Verplichtingen in verband met contracten met klanten","Documentation":"Het bedrag aan kortlopende contractverplichtingen. [Zie: contractverplichtingen]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of current contract liabilities. [Refer: Contract liabilities]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_DeferredIncomeClassifiedAsCurrent_722325","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilitiesAbstract_722312","Name":"ifrs-full:DeferredIncomeClassifiedAsCurrent","Order":"54","Label":"Uitgestelde opbrengsten","Documentation":"Het bedrag aan uitgestelde baten die zijn geclassificeerd als kortlopend. [Zie: uitgestelde baten]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of deferred income classified as current. [Refer: Deferred income]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilities_722326","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilitiesAbstract_722312","Name":"ifrs-full:CurrentLiabilities","Order":"55","Label":"Totaal kortlopende verplichtingen","Documentation":"Het bedrag aan verplichtingen die: a) de entiteit verwacht in de normale exploitatiecyclus van de entiteit af te wikkelen; b) de entiteit voornamelijk aanhoudt met de bedoeling deze te verhandelen; c) binnen twaalf maanden na de verslagperiode moeten worden afgewikkeld; of d) de entiteit geen onvoorwaardelijk recht geeft om de afwikkeling met ten minste twaalf maanden na de verslagperiode uit te stellen.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"Total current liabilities","SecondaryDocumentation":"The amount of liabilities that: (a) the entity expects to settle in its normal operating cycle; (b) the entity holds primarily for the purpose of trading; (c) are due to be settled within twelve months after the reporting period; or (d) the entity does not have an unconditional right to defer settlement for at least twelve months after the reporting period.","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_EquityAndLiabilities_722327","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_EquityAndLiabilitiesAbstract_722296","Name":"ifrs-full:EquityAndLiabilities","Order":"56","Label":"Totaal eigen vermogen en verplichtingen","Documentation":"Het bedrag aan eigen vermogen en verplichtingen van de entiteit. [Zie: eigen vermogen; verplichtingen]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"Total equity and liabilities","SecondaryDocumentation":"The amount of the entity's equity and liabilities. [Refer: Equity; Liabilities]","IsExtendedElement":0},{"Id":"http://www.orange.be/role/GeconsolideerdKasstroomoverzicht","ParentId":"","Name":"1004 - Statement - Geconsolideerd kasstroomoverzicht","Order":"","Label":"","Documentation":"","PeriodType":"","Balance":"","Type":"","AbstractText":"","Nillable":"","SubstitutionGroup":"","IsReferenceExist":"0","PreferredLabel":"","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_StatementOfCashFlowsAbstract_722358","ParentId":"http://www.orange.be/role/GeconsolideerdKasstroomoverzicht","Name":"ifrs-full:StatementOfCashFlowsAbstract","Order":"","Label":"Kasstroomoverzicht, aanvullende informatieverschaffing [abstract]","Documentation":"","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"","SecondaryLabel":"Statement of cash flows placeholder - this item MUST be used as a starting point for the statement of cash flows","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesAbstract_723190","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_StatementOfCashFlowsAbstract_722358","Name":"ifrs-full:CashFlowsFromUsedInOperatingActivitiesAbstract","Order":"1","Label":"Kasstromen uit bedrijfsactiviteiten","Documentation":"","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_ProfitLoss_722359","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesAbstract_723190","Name":"ifrs-full:ProfitLoss","Order":"2","Label":"Winst (verlies)","Documentation":"Het totaal van de baten min de lasten uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten, exclusief de overige onderdelen van het totaalresultaat. [Zie: overige onderdelen van het totaalresultaat]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"verboseLabel","SecondaryLabel":"Profit (loss)","SecondaryDocumentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForReconcileProfitLossAbstract_722360","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesAbstract_723190","Name":"ifrs-full:AdjustmentsForReconcileProfitLossAbstract","Order":"3","Label":"Aanpassingen om een aansluiting te verschaffen tussen het nettoresultaat en de kasstromen uit bedrijfsactiviteiten","Documentation":"","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForIncreaseDecreaseInOtherOperatingPayables_722385","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForReconcileProfitLossAbstract_722360","Name":"ifrs-full:AdjustmentsForIncreaseDecreaseInOtherOperatingPayables","Order":"4","Label":"Operationele belastingen en heffingen","Documentation":"Aanpassingen voor de stijging (daling) van andere bedrijfsschulden om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: winst (verlies)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"Adjustments for increase (decrease) in other operating payables to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense_722386","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForReconcileProfitLossAbstract_722360","Name":"ifrs-full:AdjustmentsForDepreciationAndAmortisationExpense","Order":"5","Label":"Afschrijvingen, waardeverminderingen en bijzondere waardeverminderingen op andere immateriële vaste activa en materiele vaste activa","Documentation":"Aanpassingen voor afschrijvingskosten om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: afschrijvingskosten; winst (verlies)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"Adjustments for depreciation and amortisation expense to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Depreciation and amortisation expense; Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_obel_AdjustmentsForDepreciationAndAmortisationExpenseRightOfUseAssets_722387","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForReconcileProfitLossAbstract_722360","Name":"obel:AdjustmentsForDepreciationAndAmortisationExpenseRightOfUseAssets","Order":"6","Label":"Afschrijvingen van met een gebruiksrecht overeenstemmende activa","Documentation":"Afschrijvingen van met een gebruiksrecht overeenstemmende activa","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"terseLabel","SecondaryLabel":"Adjustments For Depreciation And Amortisation Expense Right Of Use Assets","SecondaryDocumentation":"Adjustments for depreciation and amortisation expense, right-of-use assets","IsExtendedElement":1},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForImpairmentLossRecognisedInProfitOrLossGoodwill_722388","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForReconcileProfitLossAbstract_722360","Name":"ifrs-full:AdjustmentsForImpairmentLossRecognisedInProfitOrLossGoodwill","Order":"7","Label":"Bijzondere waardevermindering van goodwill","Documentation":"Aanpassingen voor bijzonder waardeverminderingsverlies uit goodwill opgenomen in winst of verlies om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: goodwill; bijzonderewaardeverminderingsverlies; bijzonderewaardeverminderingsverlies opgenomen in winst of verlies]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"Adjustments for impairment loss on goodwill recognised in profit or loss to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Goodwill; Impairment loss; Impairment loss recognised in profit or loss]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss_722389","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForReconcileProfitLossAbstract_722360","Name":"ifrs-full:AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss","Order":"8","Label":"Bijzondere waardevermindering van materiële vaste activa","Documentation":"Aanpassingen voor bijzonder waardeverminderingsverlies (terugneming van bijzonder waardeverminderingsverlies) opgenomen in winst of verlies om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: bijzonderewaardeverminderingsverlies (terugneming van bijzonderewaardeverminderingsverlies) opgenomen in winst of verlies]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"Adjustments for impairment loss (reversal of impairment loss) recognised in profit or loss to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Impairment loss (reversal of impairment loss) recognised in profit or loss]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets_722390","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForReconcileProfitLossAbstract_722360","Name":"ifrs-full:AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets","Order":"9","Label":"Winsten (verliezen) op de verkoop van materiële en immateriële activa","Documentation":"Aanpassingen voor verliezen (winsten) uit de vervreemding van vaste activa om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: vaste activa; winst (verlies)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"Adjustments for losses (gains) on disposal of non-current assets to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Non-current assets; Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForProvisions_722391","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForReconcileProfitLossAbstract_722360","Name":"ifrs-full:AdjustmentsForProvisions","Order":"10","Label":"Wijziging in voorzieningen","Documentation":"Aanpassingen voor voorzieningen om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: voorzieningen; winst (verlies)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"Adjustments for provisions to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Provisions; Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForUndistributedProfitsOfAssociates_722392","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForReconcileProfitLossAbstract_722360","Name":"ifrs-full:AdjustmentsForUndistributedProfitsOfAssociates","Order":"11","Label":"Aandeel in de winst (het verlies) van geassocieerde deelnemingen en joint ventures","Documentation":"Aanpassingen voor niet-uitgekeerde winsten van geassocieerde deelnemingen om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: geassocieerde deelnemingen [member]; winst (verlies)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"Adjustments for undistributed profits of associates","SecondaryDocumentation":"Adjustments for undistributed profits of associates to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Associates [member]; Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForIncomeTaxExpense_722393","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForReconcileProfitLossAbstract_722360","Name":"ifrs-full:AdjustmentsForIncomeTaxExpense","Order":"12","Label":"Winstbelasting","Documentation":"Aanpassingen voor lasten uit hoofde van winstbelastingen om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: winst (verlies)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"Adjustments for income tax expense to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForFinanceCosts_722394","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForReconcileProfitLossAbstract_722360","Name":"ifrs-full:AdjustmentsForFinanceCosts","Order":"13","Label":"Nettofinancieringskosten","Documentation":"Aanpassingen voor financieringskosten om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: financieringskosten; winst (verlies)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"Adjustments for finance costs to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Finance costs; Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_obel_AdjustmentsForOperationalForeignExchangeAndDerivativesLossesGainsNet_722395","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForReconcileProfitLossAbstract_722360","Name":"obel:AdjustmentsForOperationalForeignExchangeAndDerivativesLossesGainsNet","Order":"14","Label":"Operationele nettovalutatransacties en derivaten","Documentation":"Operationele nettovalutatransacties en derivaten","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"terseLabel","SecondaryLabel":"Adjustments For Operational Foreign Exchange And Derivatives Losses Gains Net","SecondaryDocumentation":"Adjustments for operational foreign exchange and derivatives losses (gains), net","IsExtendedElement":1},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForSharebasedPayments_722396","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForReconcileProfitLossAbstract_722360","Name":"ifrs-full:AdjustmentsForSharebasedPayments","Order":"15","Label":"Verloning uit aandelen","Documentation":"Aanpassingen voor op aandelen gebaseerde betalingen om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: winst (verlies)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"Adjustments for share-based payments to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTradeAndOtherReceivables_722397","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForReconcileProfitLossAbstract_722360","Name":"ifrs-full:AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTradeAndOtherReceivables","Order":"16","Label":"Bijzondere waardeverminderingsverliezen op handels- en overige vorderingen, inclusief contractactiva","Documentation":"Aanpassingen voor bijzonder waardeverminderingsverlies (terugneming van bijzonder waardeverminderingsverlies) uit handels- en andere vorderingen die zijn opgenomen in winst of verlies om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: handels- en andere vorderingen; bijzonderewaardeverminderingsverlies; aanpassingen voor bijzonderewaardeverminderingsverlies (terugneming van bijzonder waardeverminderingsverlies) opgenomen in winst of verlies; bijzonderewaardeverminderingsverlies (terugneming van bijzonderewaardeverminderingsverlies) opgenomen in winst of verlies]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"Adjustments for impairment loss (reversal of impairment loss) on trade and other receivables recognised in profit or loss to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Trade and other receivables; Impairment loss; Adjustments for impairment loss (reversal of impairment loss) recognised in profit or loss; Impairment loss (reversal of impairment loss) recognised in profit or loss]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories_722398","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesAbstract_723190","Name":"ifrs-full:AdjustmentsForDecreaseIncreaseInInventories","Order":"17","Label":"Daling (stijging) in voorraden, bruto","Documentation":"Aanpassingen voor de daling (stijging) van voorraden om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: voorraden; winst (verlies)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"Adjustments for decrease (increase) in inventories to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Inventories; Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable_722399","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesAbstract_723190","Name":"ifrs-full:AdjustmentsForDecreaseIncreaseInTradeAccountReceivable","Order":"18","Label":"Daling (stijging) in handelsvorderingen, bruto","Documentation":"Aanpassingen voor de daling (stijging) van handelsvorderingen om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: winst (verlies)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"Adjustments for decrease (increase) in trade accounts receivable to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable_722400","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesAbstract_723190","Name":"ifrs-full:AdjustmentsForIncreaseDecreaseInTradeAccountPayable","Order":"19","Label":"Stijging (daling) in handelsschulden","Documentation":"Aanpassingen voor de stijging (daling) van handelsschulden om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: winst (verlies)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"Adjustments for increase (decrease) in trade accounts payable to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_obel_AdjustmentsForIncreaseDecreaseInCustomerContractAssets_722401","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesAbstract_723190","Name":"obel:AdjustmentsForIncreaseDecreaseInCustomerContractAssets","Order":"20","Label":"Wijziging in overige activa in verband met contracten met klanten","Documentation":"Wijziging in overige activa in verband met contracten met klanten.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"terseLabel","SecondaryLabel":"Adjustments For Increase Decrease In Customer Contract Assets","SecondaryDocumentation":"","IsExtendedElement":1},{"Id":"GeconsolideerdKasstroomoverzicht_loc_obel_AdjustmentsForIncreaseDecreaseInCustomerContractLiabilities_722402","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesAbstract_723190","Name":"obel:AdjustmentsForIncreaseDecreaseInCustomerContractLiabilities","Order":"21","Label":"Wijziging in verplichtingen in verband met contracten met klanten","Documentation":"Wijziging in verplichtingen in verband met contracten met klanten.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"terseLabel","SecondaryLabel":"Adjustments For Increase Decrease In Customer Contract Liabilities","SecondaryDocumentation":"","IsExtendedElement":1},{"Id":"GeconsolideerdKasstroomoverzicht_loc_obel_AdjustmentsForIncreaseDecreaseInOtherAssetsAndDecreaseIncreaseInOtherLiabilities_722403","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesAbstract_723190","Name":"obel:AdjustmentsForIncreaseDecreaseInOtherAssetsAndDecreaseIncreaseInOtherLiabilities","Order":"22","Label":"Wijzigingen in andere activa en verplichtingen","Documentation":"Wijzigingen in andere activa en verplichtingen","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"negatedLabel","SecondaryLabel":"Adjustments For Increase Decrease In Other Assets And Decrease Increase In Other Liabilities","SecondaryDocumentation":"Adjustments for increase decrease in other assets and decrease increase in other liabilities","IsExtendedElement":1},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsOperatingActivities_722404","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesAbstract_723190","Name":"ifrs-full:OtherInflowsOutflowsOfCashClassifiedAsOperatingActivities","Order":"23","Label":"Betaalde operationele belastingen en heffingen","Documentation":"Instromen (uitstromen) van geldmiddelen, geclassificeerd als operationele activiteiten, die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"Other inflows (outflows) of cash","SecondaryDocumentation":"Inflows (outflows) of cash, classified as operating activities, that the entity does not separately disclose in the same statement or note.","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_InterestPaidClassifiedAsOperatingActivities_722405","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesAbstract_723190","Name":"ifrs-full:InterestPaidClassifiedAsOperatingActivities","Order":"24","Label":"Betaalde rente en rentegevolgen voor derivaten, netto","Documentation":"De kasuitstroom voor betaalde rente, geclassificeerd als operationele activiteiten.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"","SecondaryDocumentation":"The cash outflow for interest paid, classified as operating activities.","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities_722406","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesAbstract_723190","Name":"ifrs-full:IncomeTaxesPaidClassifiedAsOperatingActivities","Order":"25","Label":"Betaalde winstbelasting","Documentation":"De kasuitstroom voor betaalde winstbelastingen, geclassificeerd als operationele bedrijfsactiviteiten.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"","SecondaryDocumentation":"The cash outflow for income taxes paid, classified as operating activities.","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_722407","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesAbstract_723190","Name":"ifrs-full:CashFlowsFromUsedInOperatingActivities","Order":"26","Label":"Nettokasstromen uit bedrijfsactiviteiten","Documentation":"De kasstromen uit hoofde van (gebruikt in) operationele activiteiten die de voornaamste activiteiten van een entiteit zijn die opbrengsten genereren, evenals andere activiteiten die geen investerings- of financieringsactiviteiten zijn. [Zie: opbrengsten]","PeriodType":"duration","Balance":"","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"","SecondaryDocumentation":"The cash flows from (used in) operating activities, which are the principal revenue-producing activities of the entity and other activities that are not investing or financing activities. [Refer: Revenue]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInInvestingActivitiesAbstract_722361","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_StatementOfCashFlowsAbstract_722358","Name":"ifrs-full:CashFlowsFromUsedInInvestingActivitiesAbstract","Order":"27","Label":"Kasstromen uit investeringsactiviteiten","Documentation":"","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_722362","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInInvestingActivitiesAbstract_722361","Name":"ifrs-full:PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets","Order":"28","Label":"Aankoop van materiële vaste activa en immateriële activa","Documentation":"De kasuitstroom voor de aankoop van materiële vaste activa, andere immateriële activa dan goodwill, vastgoedbeleggingen en andere vaste activa. [Zie: andere immateriële activa dan goodwill; vastgoedbeleggingen; andere vaste activa; materiële vaste activa]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"","SecondaryDocumentation":"The cash outflow for the purchase of property, plant and equipment, intangible assets other than goodwill, investment property and other non-current assets. [Refer: Intangible assets other than goodwill; Investment property; Other non-current assets; Property, plant and equipment]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_obel_IncreaseDecreaseInPayablesRelatedToPropertyPlantAndEquipmentAndIntangibleAssetsOtherThanGoodwill_722363","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInInvestingActivitiesAbstract_722361","Name":"obel:IncreaseDecreaseInPayablesRelatedToPropertyPlantAndEquipmentAndIntangibleAssetsOtherThanGoodwill","Order":"29","Label":"Stijging (daling) in te betalen vaste activa","Documentation":"Stijging (daling) in te betalen vaste activa","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"terseLabel","SecondaryLabel":"Increase Decrease In Payables Related To Property Plant And Equipment And Intangible Assets Other Than Goodwill","SecondaryDocumentation":"Increase (decrease) in payables related to property plant and equipment and intangible assets other than goodwill","IsExtendedElement":1},{"Id":"GeconsolideerdKasstroomoverzicht_loc_obel_OrganicCashFlow_722365","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInInvestingActivitiesAbstract_722361","Name":"obel:OrganicCashFlow","Order":"30","Label":"Organische kasstroom","Documentation":"Organische kasstroom.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"totalLabel","SecondaryLabel":"Organic Cash Flow","SecondaryDocumentation":"Inflows (outflows) of cash, classified as investing activities, that the entity does not separately disclose in the same statement or note.","IsExtendedElement":1},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_722366","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInInvestingActivitiesAbstract_722361","Name":"ifrs-full:CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities","Order":"31","Label":"Betaalde geldmiddelen voor beleggingen in effecten en overgenomen bedrijven, na aftrek van verworven geldmiddelen","Documentation":"De samengevoegde kasstromen gebruikt bij het verkrijgen van zeggenschap over andere bedrijven, geclassificeerd als investeringsactiviteiten. [Zie: dochterondernemingen [member]]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"","SecondaryDocumentation":"The aggregate cash flows used in obtaining control of subsidiaries or other businesses, classified as investing activities. [Refer: Subsidiaries [member]]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInDecreaseIncreaseInShorttermDepositsAndInvestments_722367","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInInvestingActivitiesAbstract_722361","Name":"ifrs-full:CashFlowsFromUsedInDecreaseIncreaseInShorttermDepositsAndInvestments","Order":"32","Label":"Daling (stijging) in effecten en andere financiële activa","Documentation":"De kasinstroom (-uitstroom) uit hoofde van een daling (stijging) van kortlopende deposito's en investeringen.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The cash inflow (outflow) due to a decrease (increase) in short-term deposits and investments.","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_722368","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInInvestingActivitiesAbstract_722361","Name":"ifrs-full:CashFlowsFromUsedInInvestingActivities","Order":"33","Label":"Nettokasstromen gebruikt voor investeringsactiviteiten","Documentation":"De kasstromen uit hoofde van (gebruikt in) investeringsactiviteiten die de verwerving en vervreemding zijn van vaste activa en andere investeringen die niet in kasequivalenten zijn vervat.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"","SecondaryDocumentation":"The cash flows from (used in) investing activities, which are the acquisition and disposal of long-term assets and other investments not included in cash equivalents.","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInFinancingActivitiesAbstract_722369","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_StatementOfCashFlowsAbstract_722358","Name":"ifrs-full:CashFlowsFromUsedInFinancingActivitiesAbstract","Order":"34","Label":"Kasstromen uit financieringsactiviteiten","Documentation":"","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_RepaymentsOfNoncurrentBorrowings_722370","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInFinancingActivitiesAbstract_722369","Name":"ifrs-full:RepaymentsOfNoncurrentBorrowings","Order":"35","Label":"Aflossingen en terugbetalingen van langlopende schuld","Documentation":"De kasuitstroom voor terugbetalingen van langlopende leningen. [Zie: leningen]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"","SecondaryDocumentation":"The cash outflow for repayments of non-current borrowings. [Refer: Borrowings]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_722371","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInFinancingActivitiesAbstract_722369","Name":"ifrs-full:PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities","Order":"36","Label":"Aflossing van financiële leaseovereenkomsten","Documentation":"De kasuitstroom voor de betaling van leaseverplichtingen, geclassificeerd als financieringsactiviteiten. [Zie: leaseverplichtingen]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"","SecondaryDocumentation":"The cash outflow for payment of lease liabilities, classified as financing activities. [Refer: Lease liabilities]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInIncreaseDecreaseInCurrentBorrowings_722372","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInFinancingActivitiesAbstract_722369","Name":"ifrs-full:CashFlowsFromUsedInIncreaseDecreaseInCurrentBorrowings","Order":"37","Label":"Stijging (daling) van banktegoeden en kortlopende leningen","Documentation":"De kasinstroom (-uitstroom) uit hoofde van een stijging (daling) van kortlopende leningen. [Zie: kortlopende leningen]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The cash inflow (outflow) due to an increase (decrease) in current borrowings. [Refer: Current borrowings]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares_722373","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInFinancingActivitiesAbstract_722369","Name":"ifrs-full:PaymentsToAcquireOrRedeemEntitysShares","Order":"38","Label":"Inkoop van eigen aandelen","Documentation":"De kasuitstroom om aandelen van de entiteit te verwerven of in te kopen.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"Payments to acquire or redeem entity's shares","SecondaryDocumentation":"The cash outflow to acquire or redeem entity's shares.","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities_722374","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInFinancingActivitiesAbstract_722369","Name":"ifrs-full:DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities","Order":"39","Label":"Dividenden uitgekeerd aan de eigenaars van de moedermaatschappij","Documentation":"De kasuitstroom voor dividenden betaald aan aandeelhouders van de moedermaatschappij, geclassificeerd als financieringsactiviteiten.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"","SecondaryDocumentation":"The cash outflow for dividends paid to equity holders of the parent, classified as financing activities.","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_722375","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInFinancingActivitiesAbstract_722369","Name":"ifrs-full:CashFlowsFromUsedInFinancingActivities","Order":"40","Label":"Nettokasstromen gebruikt voor financieringsactiviteiten","Documentation":"De kasstromen uit hoofde van (gebruikt in) financieringsactiviteiten die activiteiten zijn die leiden tot wijzigingen in de grootte en de samenstelling van het gestort kapitaal en het vreemd vermogen van de entiteit.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"","SecondaryDocumentation":"The cash flows from (used in) financing activities, which are activities that result in changes in the size and composition of the contributed equity and borrowings of the entity.","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_722376","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_StatementOfCashFlowsAbstract_722358","Name":"ifrs-full:IncreaseDecreaseInCashAndCashEquivalents","Order":"41","Label":"Nettowijziging in geldmiddelen en kasequivalenten","Documentation":"De stijging (daling) van geldmiddelen en kasequivalenten. [Zie: geldmiddelen en kasequivalenten]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"","SecondaryDocumentation":"The increase (decrease) in cash and cash equivalents. [Refer: Cash and cash equivalents]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashAndCashEquivalents_722377","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_StatementOfCashFlowsAbstract_722358","Name":"ifrs-full:CashAndCashEquivalents","Order":"42","Label":"Geldmiddelen en kasequivalenten – saldo in het begin van de periode","Documentation":"Het bedrag aan contanten en direct opvraagbare deposito's, samen met kortlopende, uiterst liquide beleggingen die onmiddellijk kunnen worden omgezet in geldmiddelen waarvan het bedrag bekend is en die geen materieel risico van waardeverandering in zich dragen. [Zie: geldmiddelen; kasequivalenten]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"periodStartLabel","SecondaryLabel":"Cash and cash equivalents at beginning of period","SecondaryDocumentation":"The amount of cash on hand and demand deposits, along with short-term, highly liquid investments that are readily convertible to known amounts of cash and that are subject to an insignificant risk of changes in value. [Refer: Cash; Cash equivalents]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_Cash_722378","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_StatementOfCashFlowsAbstract_722358","Name":"ifrs-full:Cash","Order":"43","Label":"waarvan geldmiddelen","Documentation":"Het bedrag aan contanten en direct opvraagbare deposito’s. [Zie: contanten]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"periodStartLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of cash on hand and demand deposits. [Refer: Cash on hand]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashEquivalents_722379","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_StatementOfCashFlowsAbstract_722358","Name":"ifrs-full:CashEquivalents","Order":"44","Label":"waarvan kasequivalenten","Documentation":"Het bedrag aan kortlopende, uiterst liquide beleggingen die onmiddellijk kunnen worden omgezet in geldmiddelen waarvan het bedrag bekend is en die geen materieel risico van waardeverandering in zich dragen.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"periodStartLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of short-term, highly liquid investments that are readily convertible to known amounts of cash and that are subject to an insignificant risk of changes in value.","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_722380","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_StatementOfCashFlowsAbstract_722358","Name":"ifrs-full:IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges","Order":"45","Label":"Wijziging in geldmiddelen en kasequivalenten","Documentation":"De stijging (daling) van geldmiddelen en kasequivalenten vóór de gevolgen van wisselkoerswijzigingen voor geldmiddelen en kasequivalenten aangehouden in vreemde valuta. [Zie: geldmiddelen en kasequivalenten; gevolgen van wisselkoerswijzigingen voor geldmiddelen en kasequivalenten]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The increase (decrease) in cash and cash equivalents before the effect of exchange rate changes on cash and cash equivalents held in foreign currencies. [Refer: Cash and cash equivalents; Effect of exchange rate changes on cash and cash equivalents]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashAndCashEquivalents_722381","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_StatementOfCashFlowsAbstract_722358","Name":"ifrs-full:CashAndCashEquivalents","Order":"46","Label":"Geldmiddelen en kasequivalenten – saldo aan het einde van de periode","Documentation":"Het bedrag aan contanten en direct opvraagbare deposito's, samen met kortlopende, uiterst liquide beleggingen die onmiddellijk kunnen worden omgezet in geldmiddelen waarvan het bedrag bekend is en die geen materieel risico van waardeverandering in zich dragen. [Zie: geldmiddelen; kasequivalenten]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"periodEndLabel","SecondaryLabel":"Cash and cash equivalents at end of period","SecondaryDocumentation":"The amount of cash on hand and demand deposits, along with short-term, highly liquid investments that are readily convertible to known amounts of cash and that are subject to an insignificant risk of changes in value. [Refer: Cash; Cash equivalents]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_Cash_722383","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_StatementOfCashFlowsAbstract_722358","Name":"ifrs-full:Cash","Order":"47","Label":"waarvan geldmiddelen","Documentation":"Het bedrag aan contanten en direct opvraagbare deposito’s. [Zie: contanten]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"periodEndLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of cash on hand and demand deposits. [Refer: Cash on hand]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashEquivalents_722384","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_StatementOfCashFlowsAbstract_722358","Name":"ifrs-full:CashEquivalents","Order":"48","Label":"waarvan kasequivalenten","Documentation":"Het bedrag aan kortlopende, uiterst liquide beleggingen die onmiddellijk kunnen worden omgezet in geldmiddelen waarvan het bedrag bekend is en die geen materieel risico van waardeverandering in zich dragen.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"periodEndLabel","SecondaryLabel":"","SecondaryDocumentation":"The amount of short-term, highly liquid investments that are readily convertible to known amounts of cash and that are subject to an insignificant risk of changes in value.","IsExtendedElement":0},{"Id":"http://www.orange.be/role/GeconsolideerdOverzichtVanVermogensmutaties","ParentId":"","Name":"1005 - Statement - Geconsolideerd overzicht van vermogensmutaties","Order":"","Label":"","Documentation":"","PeriodType":"","Balance":"","Type":"","AbstractText":"","Nillable":"","SubstitutionGroup":"","IsReferenceExist":"0","PreferredLabel":"","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_StatementOfChangesInEquityAbstract_722328","ParentId":"http://www.orange.be/role/GeconsolideerdOverzichtVanVermogensmutaties","Name":"ifrs-full:StatementOfChangesInEquityAbstract","Order":"","Label":"Mutatieoverzicht van het eigen vermogen [abstract]","Documentation":"","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"","SecondaryLabel":"Statement of changes in equity placeholder - this item MUST be used as a starting point for the statement of changes in equity","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_StatementOfChangesInEquityTable_722329","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_StatementOfChangesInEquityAbstract_722328","Name":"ifrs-full:StatementOfChangesInEquityTable","Order":"1","Label":"Mutatieoverzicht van het eigen vermogen [table]","Documentation":"Schema met informatie over veranderingen in het eigen vermogen.","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrldt:hypercubeItem","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"Schedule disclosing information related to changes in equity.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_ComponentsOfEquityAxis_722330","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_StatementOfChangesInEquityTable_722329","Name":"ifrs-full:ComponentsOfEquityAxis","Order":"2","Label":"Eigen-vermogenscomponenten [axis]","Documentation":"De as van een tabel definieert de relatie tussen de domeinleden of categorieën in de tabel en de posten of concepten die de tabel vervolledigen.","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrldt:dimensionItem","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The axis of a table defines the relationship between the domain members or categories in the table and the line items or concepts that complete the table.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_EquityMember_722331","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_ComponentsOfEquityAxis_722330","Name":"ifrs-full:EquityMember","Order":"3","Label":"Eigen vermogen [member]","Documentation":"Dit lid geeft het overblijvend belang aan in de activa van de entiteit, na aftrek van alle verplichtingen. Dit vertegenwoordigt tevens de standaardwaarde voor de as “Componenten van eigen vermogen” indien er geen ander lid wordt gebruikt.","PeriodType":"duration","Balance":"","Type":"nonnum:domainItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"This member stands for the residual interest in the assets of the entity after deducting all its liabilities. It also represents the standard value for the 'Components of equity' axis if no other member is used.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_IssuedCapitalMember_722332","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_EquityMember_722331","Name":"ifrs-full:IssuedCapitalMember","Order":"4","Label":"Kapitaal","Documentation":"Dit lid geeft een eigen-vermogenscomponent aan die geplaatst kapitaal vertegenwoordigt.","PeriodType":"duration","Balance":"","Type":"nonnum:domainItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"This member stands for a component of equity representing issued capital.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_OtherReservesMember_722333","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_EquityMember_722331","Name":"ifrs-full:OtherReservesMember","Order":"5","Label":"Wettelijke reserve","Documentation":"Dit lid geeft een component van het eigen vermogen aan die reserves binnen het eigen vermogen vertegenwoordigt, exclusief ingehouden winsten. Dit vertegenwoordigt tevens de standaardwaarde voor de as „Reserves binnen het eigen vermogen” indien er geen ander lid wordt gebruikt. [Zie: ingehouden winsten]","PeriodType":"duration","Balance":"","Type":"nonnum:domainItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"This member stands for a component of equity representing reserves within equity, not including retained earnings. It also represents the standard value for the 'Reserves within equity' axis if no other member is used. [Refer: Retained earnings]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_RetainedEarningsMember_722334","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_EquityMember_722331","Name":"ifrs-full:RetainedEarningsMember","Order":"6","Label":"Overgedragen winst","Documentation":"Dit lid geeft een component van het eigen vermogen aan die de cumulatieve niet-uitgekeerde opbrengsten of tekorten van een entiteit vertegenwoordigt.","PeriodType":"duration","Balance":"","Type":"nonnum:domainItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"This member stands for a component of equity representing an entity's cumulative undistributed earnings or deficit.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_TreasurySharesMember_722335","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_EquityMember_722331","Name":"ifrs-full:TreasurySharesMember","Order":"7","Label":"Ingekochte eigen aandelen","Documentation":"Dit lid geeft eigenvermogensinstrumenten van de entiteit aan, aangehouden door de entiteit of andere leden van de geconsolideerde groep.","PeriodType":"duration","Balance":"","Type":"nonnum:domainItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"This member stands for the entity’s own equity instruments, held by the entity or other members of the consolidated group.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_RetrospectiveApplicationAndRetrospectiveRestatementAxis_722336","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_StatementOfChangesInEquityTable_722329","Name":"ifrs-full:RetrospectiveApplicationAndRetrospectiveRestatementAxis","Order":"8","Label":"Retroactieve toepassing en retroactieve aanpassing [axis]","Documentation":"De as van een tabel definieert de relatie tussen de domeinleden of categorieën in de tabel en de posten of concepten die de tabel vervolledigen.","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrldt:dimensionItem","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The axis of a table defines the relationship between the domain members or categories in the table and the line items or concepts that complete the table.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_RestatedMember_722337","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_RetrospectiveApplicationAndRetrospectiveRestatementAxis_722336","Name":"ifrs-full:RestatedMember","Order":"9","Label":"Momenteel vermeld [member]","Documentation":"Dit lid geeft de informatie aan die momenteel wordt vermeld in de jaarrekening. Dit vertegenwoordigt tevens de standaardwaarde voor de assen “Retroactieve toepassing en retroactieve aanpassing” en “Afwijking van IFRS-vereiste” indien er geen ander lid wordt gebruikt.","PeriodType":"duration","Balance":"","Type":"nonnum:domainItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"This member stands for the information currently stated in the financial statements. It also represents the standard value for the 'Retrospective application and retrospective restatement' and 'Departure from requirement of IFRS' axes if no other member is used.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_PreviouslyStatedMember_722338","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_RestatedMember_722337","Name":"ifrs-full:PreviouslyStatedMember","Order":"10","Label":"Voorheen gepresenteerd [member]","Documentation":"Dit lid geeft de informatie aan die voorheen in de jaarrekening werd gepresenteerd (d.w.z. vóór retroactieve toepassing of retroactieve aanpassing).","PeriodType":"duration","Balance":"","Type":"nonnum:domainItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"This member stands for the information previously stated in the financial statements (ie before retrospective application or retrospective restatement).","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_obel_AsRestatedMember_722339","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_RestatedMember_722337","Name":"obel:AsRestatedMember","Order":"11","Label":"As restatedLid","Documentation":"As restatedLid.","PeriodType":"duration","Balance":"","Type":"nonnum:domainItemType","AbstractText":"true","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"terseLabel","SecondaryLabel":"As Restated [Member]","SecondaryDocumentation":"As restated.","IsExtendedElement":1},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_IncreaseDecreaseDueToChangesInAccountingPolicyAndCorrectionsOfPriorPeriodErrorsMember_722340","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_RestatedMember_722337","Name":"ifrs-full:IncreaseDecreaseDueToChangesInAccountingPolicyAndCorrectionsOfPriorPeriodErrorsMember","Order":"12","Label":"Stijging (daling) als gevolg van wijzigingen in de grondslag voor financiële verslaggeving en correcties van fouten in voorgaande perioden [member]","Documentation":"Dit lid geeft de financiële impact aan van wijzigingen in de grondslag voor financiële verslaggeving en correcties van fouten in voorgaande perioden.","PeriodType":"duration","Balance":"","Type":"nonnum:domainItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"This member stands for the financial effect of changes in accounting policy and corrections of prior period errors.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_FinancialEffectOfChangesInAccountingPolicyMember_722341","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_IncreaseDecreaseDueToChangesInAccountingPolicyAndCorrectionsOfPriorPeriodErrorsMember_722340","Name":"ifrs-full:FinancialEffectOfChangesInAccountingPolicyMember","Order":"13","Label":"Stijging (daling) als gevolg van wijzigingen in de grondslag voor financiële verslaggeving [member]","Documentation":"Dit lid geeft de financiële impact aan van wijzigingen in de grondslag voor financiële verslaggeving.","PeriodType":"duration","Balance":"","Type":"nonnum:domainItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"This member stands for the financial effect of changes in accounting policy.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_IncreaseDecreaseDueToChangesInAccountingPolicyRequiredByIFRSsMember_722342","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_FinancialEffectOfChangesInAccountingPolicyMember_722341","Name":"ifrs-full:IncreaseDecreaseDueToChangesInAccountingPolicyRequiredByIFRSsMember","Order":"14","Label":"Stijging (daling) als gevolg van wijzigingen in de grondslag voor financiële verslaggeving vereist door de IFRS [member]","Documentation":"Dit lid geeft de financiële impact aan van wijzigingen in de grondslag voor financiële verslaggeving vereist door de IFRS. [Zie: IFRS [member]]","PeriodType":"duration","Balance":"","Type":"nonnum:domainItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"This member stands for the financial effect of changes in accounting policy required by IFRSs. [Refer: IFRSs [member]]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_obel_IncreaseDecreaseDueToApplicationOfIfrs9Member_722343","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_RestatedMember_722337","Name":"obel:IncreaseDecreaseDueToApplicationOfIfrs9Member","Order":"15","Label":"Verhogen verlagen due to application of ifrs 9","Documentation":"Verhogen verlagen due to application of ifrs 9","PeriodType":"duration","Balance":"","Type":"nonnum:domainItemType","AbstractText":"true","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"terseLabel","SecondaryLabel":"Increase Decrease Due To Application Of IFRS 9 [Member]","SecondaryDocumentation":"Increase decrease due to application of IFRS 9","IsExtendedElement":1},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_obel_IncreaseDecreaseDueToApplicationOfIfrs16Member_722344","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_RestatedMember_722337","Name":"obel:IncreaseDecreaseDueToApplicationOfIfrs16Member","Order":"16","Label":"Verhogen verlagen due to application of ifrs 16","Documentation":"Verhogen verlagen due to application of ifrs 16","PeriodType":"duration","Balance":"","Type":"nonnum:domainItemType","AbstractText":"true","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"terseLabel","SecondaryLabel":"Increase Decrease Due To Application Of IFRS 16 [Member]","SecondaryDocumentation":"Increase decrease due to application of IFRS 16","IsExtendedElement":1},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_IncreaseDecreaseDueToApplicationOfIFRS15Member_722345","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_RestatedMember_722337","Name":"ifrs-full:IncreaseDecreaseDueToApplicationOfIFRS15Member","Order":"17","Label":"Stijging (daling) als gevolg van de toepassing van IFRS 15 [member]","Documentation":"Dit lid geeft de financiële impact van de toepassing van IFRS 15 aan.","PeriodType":"duration","Balance":"","Type":"nonnum:domainItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"This member stands for the financial effect of application of IFRS 15.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_FinancialEffectOfChangesInAccountingPolicyMember_723247","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_IncreaseDecreaseDueToApplicationOfIFRS15Member_722345","Name":"ifrs-full:FinancialEffectOfChangesInAccountingPolicyMember","Order":"18","Label":"Stijging (daling) als gevolg van wijzigingen in de grondslag voor financiële verslaggeving [member]","Documentation":"Dit lid geeft de financiële impact aan van wijzigingen in de grondslag voor financiële verslaggeving.","PeriodType":"duration","Balance":"","Type":"nonnum:domainItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"Increase (decrease) due to changes in accounting policy [member]","SecondaryDocumentation":"This member stands for the financial effect of changes in accounting policy.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_obel_PpaAdjustmentUpsizeNvMember_722346","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_RestatedMember_722337","Name":"obel:PpaAdjustmentUpsizeNvMember","Order":"19","Label":"Wijzigingen aankoopprijs Upsize N.V.","Documentation":"Ppa adjustment up size NV","PeriodType":"duration","Balance":"","Type":"nonnum:domainItemType","AbstractText":"true","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"terseLabel","SecondaryLabel":"Ppa adjustment upsize NV","SecondaryDocumentation":"Ppa adjustment up size NV","IsExtendedElement":1},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_StatementOfChangesInEquityLineItems_722347","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_StatementOfChangesInEquityTable_722329","Name":"ifrs-full:StatementOfChangesInEquityLineItems","Order":"20","Label":"Mutatieoverzicht van het eigen vermogen [line items]","Documentation":"Posten vertegenwoordigen concepten die in een tabel zijn opgenomen. Deze concepten worden gebruikt voor de verschaffing van te rapporteren informatie die verband houdt met domeinleden die zijn gedefinieerd in een of meerdere assen van de tabel.","PeriodType":"duration","Balance":"","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"Line items represent concepts included in a table. These concepts are used to disclose reportable information associated with domain members defined in one or many axes of the table.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_Equity_722348","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_StatementOfChangesInEquityLineItems_722347","Name":"ifrs-full:Equity","Order":"21","Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"periodStartLabel","SecondaryLabel":"Equity at beginning of period","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_ProfitLoss_722349","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_StatementOfChangesInEquityLineItems_722347","Name":"ifrs-full:ProfitLoss","Order":"22","Label":"Winst (verlies)","Documentation":"Het totaal van de baten min de lasten uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten, exclusief de overige onderdelen van het totaalresultaat. [Zie: overige onderdelen van het totaalresultaat]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"definitionGuidance","SecondaryLabel":"Profit (loss)","SecondaryDocumentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges_722351","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_StatementOfChangesInEquityLineItems_722347","Name":"ifrs-full:OtherComprehensiveIncomeNetOfTaxCashFlowHedges","Order":"23","Label":"Overige onderdelen van het totaalresultaat, na belastingen, kasstroomafdekkingen","Documentation":"Het bedrag van de overige onderdelen van het totaalresultaat, na belastingen, met betrekking tot kasstroomafdekkingen. [Zie: kasstroomafdekking [member]; overige onderdelen van het totaalresultaat]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"verboseLabel","SecondaryLabel":"Other comprehensive income, net of tax, cash flow hedges","SecondaryDocumentation":"The amount of other comprehensive income, net of tax, related to cash flow hedges. [Refer: Cash flow hedges [member]; Other comprehensive income]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_ComprehensiveIncome_722352","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_StatementOfChangesInEquityLineItems_722347","Name":"ifrs-full:ComprehensiveIncome","Order":"24","Label":"Totaalresultaat van de periode","Documentation":"Het bedrag van de vermogensmutatie die voortvloeit uit transacties en andere gebeurtenissen, met uitzondering van mutaties die voortvloeien uit transacties met eigenaars in hun hoedanigheid van eigenaars.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"Total comprehensive income","SecondaryDocumentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_IncreaseDecreaseThroughTreasuryShareTransactions_722353","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_StatementOfChangesInEquityLineItems_722347","Name":"ifrs-full:IncreaseDecreaseThroughTreasuryShareTransactions","Order":"25","Label":"Eigen aandelen","Documentation":"De stijging (daling) van het eigen vermogen resulterend uit transacties met ingekochte eigen aandelen. [Zie: eigen vermogen; ingekochte eigen aandelen]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The increase (decrease) in equity resulting from treasury share transactions. [Refer: Equity; Treasury shares]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_IncreaseDecreaseThroughSharebasedPaymentTransactions_722354","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_StatementOfChangesInEquityLineItems_722347","Name":"ifrs-full:IncreaseDecreaseThroughSharebasedPaymentTransactions","Order":"26","Label":"Verloning uit aandelen","Documentation":"De stijging (daling) van het eigen vermogen resulterend uit op aandelen gebaseerde betalingstransacties. [Zie: eigen vermogen]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"terseLabel","SecondaryLabel":"","SecondaryDocumentation":"The increase (decrease) in equity resulting from share-based payment transactions. [Refer: Equity]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_DividendsPaid_722355","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_StatementOfChangesInEquityLineItems_722347","Name":"ifrs-full:DividendsPaid","Order":"27","Label":"Gedeclareerde dividenden","Documentation":"Het bedrag aan dividenden die zijn opgenomen als uitkeringen aan eigenaars.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"Dividends recognised as distributions to owners","SecondaryDocumentation":"The amount of dividends recognised as distributions to owners.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_Equity_722356","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_StatementOfChangesInEquityLineItems_722347","Name":"ifrs-full:Equity","Order":"28","Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"periodEndLabel","SecondaryLabel":"Equity at end of period","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","IsExtendedElement":0}];
  $scope.calculationData = [{"Id":"http://www.orange.be/role/GeconsolideerdOverzichtVanHetTotaalresultaat","ParentId":"","Name":"1002 - Statement - Geconsolideerd overzicht van het totaalresultaat","Weight":"","Order":"","Label":"","Documentation":"","PeriodType":"","Balance":"","Type":"","AbstractText":"","Nillable":"","SubstitutionGroup":"","IsReferenceExist":"0","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ComprehensiveIncome","ParentId":"http://www.orange.be/role/GeconsolideerdOverzichtVanHetTotaalresultaat","Name":"ifrs-full:ComprehensiveIncome","Weight":"","Order":"","Label":"","Documentation":"Het bedrag van de vermogensmutatie die voortvloeit uit transacties en andere gebeurtenissen, met uitzondering van mutaties die voortvloeien uit transacties met eigenaars in hun hoedanigheid van eigenaars.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLoss","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ComprehensiveIncome","Name":"ifrs-full:ProfitLoss","Weight":"1","Order":"1","Label":"Winst (verlies)","Documentation":"Het totaal van de baten min de lasten uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten, exclusief de overige onderdelen van het totaalresultaat. [Zie: overige onderdelen van het totaalresultaat]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Profit (loss)","SecondaryDocumentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ComprehensiveIncome","Name":"ifrs-full:OtherComprehensiveIncomeNetOfTaxCashFlowHedges","Weight":"1","Order":"2","Label":"Overige onderdelen van het totaalresultaat, na belastingen, kasstroomafdekkingen","Documentation":"Het bedrag van de overige onderdelen van het totaalresultaat, na belastingen, met betrekking tot kasstroomafdekkingen. [Zie: kasstroomafdekking [member]; overige onderdelen van het totaalresultaat]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Other comprehensive income, net of tax, cash flow hedges","SecondaryDocumentation":"The amount of other comprehensive income, net of tax, related to cash flow hedges. [Refer: Cash flow hedges [member]; Other comprehensive income]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLoss","ParentId":"http://www.orange.be/role/GeconsolideerdOverzichtVanHetTotaalresultaat","Name":"ifrs-full:ProfitLoss","Weight":"","Order":"","Label":"","Documentation":"Het totaal van de baten min de lasten uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten, exclusief de overige onderdelen van het totaalresultaat. [Zie: overige onderdelen van het totaalresultaat]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossBeforeTax","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLoss","Name":"ifrs-full:ProfitLossBeforeTax","Weight":"1","Order":"3","Label":"Winst (verlies) voor belasting","Documentation":"De winst (het verlies) vóór belastinglasten of -baten. [Zie: winst (verlies)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Profit (loss) before tax","SecondaryDocumentation":"The profit (loss) before tax expense or income. [Refer: Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_FinanceIncomeCost","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossBeforeTax","Name":"ifrs-full:FinanceIncomeCost","Weight":"1","Order":"4","Label":"Financieringsbaten (-kosten)","Documentation":"Het bedrag aan baten of kosten die verband houden met rente en andere financieringsactiviteiten van de entiteit.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Finance income (cost)","SecondaryDocumentation":"The amount of income or cost associated with interest and other financing activities of the entity.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_FinanceCosts","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_FinanceIncomeCost","Name":"ifrs-full:FinanceCosts","Weight":"-1","Order":"5","Label":"Financieringskosten","Documentation":"Het bedrag aan kosten die verband houden met financieringsactiviteiten van de entiteit.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Finance costs","SecondaryDocumentation":"The amount of costs associated with financing activities of the entity.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_FinanceIncome","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_FinanceIncomeCost","Name":"ifrs-full:FinanceIncome","Weight":"1","Order":"6","Label":"Financieringsbaten","Documentation":"Het bedrag aan baten die verband houden met rente en andere financieringsactiviteiten van de entiteit.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Finance income","SecondaryDocumentation":"The amount of income associated with interest and other financing activities of the entity.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossFromOperatingActivities","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossBeforeTax","Name":"ifrs-full:ProfitLossFromOperatingActivities","Weight":"1","Order":"7","Label":"Winst (verlies) uit operationele activiteiten","Documentation":"De winst (het verlies) uit operationele activiteiten van de entiteit. [Zie: winst (verlies)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Profit (loss) from operating activities","SecondaryDocumentation":"The profit (loss) from operating activities of the entity. [Refer: Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_Revenue","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossFromOperatingActivities","Name":"ifrs-full:Revenue","Weight":"1","Order":"8","Label":"Opbrengsten","Documentation":"De baten die voortvloeien uit de normale bedrijfsvoering van een entiteit. Baten zijn de toename van activa of de afname van verplichtingen, resulterend in de stijging van het eigen vermogen, zonder de stijgingen die verband houden met bijdragen van houders van vorderingen in aandelen.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Revenue","SecondaryDocumentation":"The income arising in the course of an entity's ordinary activities. Income is increases in assets, or decreases in liabilities, that result in increases in equity, other than those relating to contributions from holders of equity claims.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_RevenueFromRenderingOfTelecommunicationServices","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_Revenue","Name":"ifrs-full:RevenueFromRenderingOfTelecommunicationServices","Weight":"1","Order":"9","Label":"Opbrengsten uit hoofde van de verlening van telecommunicatiediensten","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verlening van telecommunicatiediensten. [Zie: opbrengsten]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Revenue from rendering of telecommunication services","SecondaryDocumentation":"The amount of revenue arising from the rendering of telecommunication services. [Refer: Revenue]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_OBEL_RevenueFromConvergentServices","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_RevenueFromRenderingOfTelecommunicationServices","Name":"obel:RevenueFromConvergentServices","Weight":"1","Order":"10","Label":"Omzet uit convergente diensten","Documentation":"Omzet uit convergente diensten.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Revenue From Convergent Services","SecondaryDocumentation":"Revenue from convergent services","IsExtendedElement":1},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_RevenueFromRenderingOfMobileTelephoneServices","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_RevenueFromRenderingOfTelecommunicationServices","Name":"ifrs-full:RevenueFromRenderingOfMobileTelephoneServices","Weight":"1","Order":"11","Label":"Opbrengsten uit hoofde van de verlening van mobiele-telefoniediensten","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verlening van mobiele-telefoniediensten. [Zie: opbrengsten]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Revenue from rendering of mobile telephone services","SecondaryDocumentation":"The amount of revenue arising from the rendering of mobile telephone services. [Refer: Revenue]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_RevenueFromRenderingOfLandLineTelephoneServices","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_RevenueFromRenderingOfTelecommunicationServices","Name":"ifrs-full:RevenueFromRenderingOfLandLineTelephoneServices","Weight":"1","Order":"12","Label":"Opbrengsten uit hoofde van de verlening van vaste-telefoniediensten","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verlening van vaste-telefoniediensten. [Zie: opbrengsten]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Revenue from rendering of land line telephone services","SecondaryDocumentation":"The amount of revenue arising from the rendering of land line telephone services. [Refer: Revenue]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_RevenueFromRenderingOfInternetAndDataServices","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_RevenueFromRenderingOfTelecommunicationServices","Name":"ifrs-full:RevenueFromRenderingOfInternetAndDataServices","Weight":"1","Order":"13","Label":"Opbrengsten uit hoofde van de verlening van internet- en datadiensten","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verlening van internet- en datadiensten. [Zie: opbrengsten]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Revenue from rendering of internet and data services","SecondaryDocumentation":"The amount of revenue arising from the rendering of internet and data services. [Refer: Revenue]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_RevenueFromSaleOfTelecommunicationEquipment","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_Revenue","Name":"ifrs-full:RevenueFromSaleOfTelecommunicationEquipment","Weight":"1","Order":"14","Label":"Opbrengsten uit hoofde van de verkoop van telecommunicatie-uitrusting","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verkoop van telecommunicatie-uitrusting. [Zie: opbrengsten]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Revenue from sale of telecommunication equipment","SecondaryDocumentation":"The amount of revenue arising from the sale of telecommunication equipment. [Refer: Revenue]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_RevenueFromRenderingOfInterconnectionServices","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_Revenue","Name":"ifrs-full:RevenueFromRenderingOfInterconnectionServices","Weight":"1","Order":"15","Label":"Opbrengsten uit hoofde van de verlening van interconnectiediensten","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verlening van interconnectiediensten voor andere operators. [Zie: opbrengsten]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Revenue from rendering of interconnection services","SecondaryDocumentation":"The amount of revenue arising from the rendering of interconnection services for other operators. [Refer: Revenue]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_RevenueFromRenderingOfOtherTelecommunicationServices","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_Revenue","Name":"ifrs-full:RevenueFromRenderingOfOtherTelecommunicationServices","Weight":"1","Order":"16","Label":"Opbrengsten uit hoofde van de verlening van andere telecommunicatiediensten","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verlening van telecommunicatiediensten die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: opbrengsten]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Revenue from rendering of other telecommunication services","SecondaryDocumentation":"The amount of revenue arising from the rendering of telecommunication services that the entity does not separately disclose in the same statement or note. [Refer: Revenue]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_OBEL_DirectCosts","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossFromOperatingActivities","Name":"obel:DirectCosts","Weight":"-1","Order":"17","Label":"Direct Costs","Documentation":"Directe bedrijfskosten.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Directe bedrijfskosten","SecondaryDocumentation":"Direct costs.","IsExtendedElement":1},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_CostOfSales","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_OBEL_DirectCosts","Name":"ifrs-full:CostOfSales","Weight":"1","Order":"18","Label":"Kostprijs van de omzet","Documentation":"Het bedrag van de kosten die direct of indirect zijn toe te rekenen aan verkochte goederen of diensten, die kosten omvatten die voorheen werden opgenomen bij de waardering van de voorraad die inmiddels is verkocht, niet-toegerekende indirecte productiekosten en abnormale productiekosten van voorraden, maar hier niet toe zijn beperkt.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Cost of sales","SecondaryDocumentation":"The amount of costs relating to expenses directly or indirectly attributed to the goods or services sold, which may include, but are not limited to, costs previously included in the measurement of inventory that has now been sold, unallocated production overheads and abnormal amounts of production costs of inventories.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ImpairmentLossRecognisedInProfitOrLossTradeReceivables","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_OBEL_DirectCosts","Name":"ifrs-full:ImpairmentLossRecognisedInProfitOrLossTradeReceivables","Weight":"1","Order":"19","Label":"Bijzonderewaardeverminderingsverlies opgenomen in winst of verlies, handelsvorderingen","Documentation":"Het bedrag van het bijzonderewaardeverminderingsverlies opgenomen in winst of verlies voor handelsvorderingen. [Zie: bijzonderewaardeverminderingsverlies opgenomen in winst of verlies; handelsvorderingen]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Impairment loss recognised in profit or loss, trade receivables","SecondaryDocumentation":"The amount of impairment loss recognised in profit or loss for trade receivables. [Refer: Impairment loss recognised in profit or loss; Trade receivables]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_OBEL_OtherDirectCosts","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_OBEL_DirectCosts","Name":"obel:OtherDirectCosts","Weight":"1","Order":"20","Label":"Overige directe bedrijfskosten","Documentation":"Overige directe bedrijfskosten.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Other direct costs","SecondaryDocumentation":"Other direct costs.","IsExtendedElement":1},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ExpenseOfRestructuringActivities","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossFromOperatingActivities","Name":"ifrs-full:ExpenseOfRestructuringActivities","Weight":"-1","Order":"21","Label":"Lasten van reorganisatieactiviteiten","Documentation":"Het bedrag aan lasten die verband houden met reorganisatie. Reorganisatie is een programma dat door het management wordt gepland en waarover het management de zeggenschap heeft, en dat leidt tot materiële wijzigingen in het toepassingsgebied van de activiteiten van een entiteit of in de manier waarop de bedrijfsvoering geschiedt. Voorbeelden van dergelijke programma's zijn: a) de verkoop of beëindiging van een bedrijfsactiviteit; b) de sluiting van bedrijfslocaties in een land of regio of de overplaatsing van bedrijfsactiviteiten naar een ander land of een andere regio; c) wijzigingen in de managementstructuur; en d) fundamentele reorganisaties die een materieel effect hebben op de aard en focus van de bedrijfsactiviteiten van de entiteit.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Expense of restructuring activities","SecondaryDocumentation":"The amount of expense relating to restructuring. Restructuring is a programme that is planned and controlled by management and materially changes either the scope of a business undertaken by an entity or the manner in which that business is conducted. Such programmes include: (a) the sale or termination of a line of business; (b) closure of business locations in a country or region or the relocation of activities from one country or region to another; (c) changes in management structure; and (d) fundamental reorganisations that have a material effect on the nature and focus of the entity's operations.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_DepreciationAndAmortisationExpense","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossFromOperatingActivities","Name":"ifrs-full:DepreciationAndAmortisationExpense","Weight":"-1","Order":"22","Label":"Afschrijvingskosten","Documentation":"Het bedrag aan afschrijvingskosten. Afschrijving is de stelselmatige toerekening van af te schrijven bedragen van activa over hun gebruiksduur.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Depreciation and amortisation expense","SecondaryDocumentation":"The amount of depreciation and amortisation expense. Depreciation and amortisation are the systematic allocations of depreciable amounts of assets over their useful lives.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ImpairmentLossRecognisedInProfitOrLossGoodwill","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossFromOperatingActivities","Name":"ifrs-full:ImpairmentLossRecognisedInProfitOrLossGoodwill","Weight":"-1","Order":"23","Label":"Bijzonderewaardeverminderingsverlies opgenomen in winst of verlies, goodwill","Documentation":"Het bedrag van het bijzonderewaardeverminderingsverlies opgenomen in winst of verlies voor goodwill. [Zie: bijzonderewaardeverminderingsverlies opgenomen in winst of verlies; goodwill]","PeriodType":"duration","Balance":"","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Impairment loss recognised in profit or loss, goodwill","SecondaryDocumentation":"The amount of impairment loss recognised in profit or loss for goodwill. [Refer: Impairment loss recognised in profit or loss; Goodwill]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ImpairmentLossRecognisedInProfitOrLoss","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossFromOperatingActivities","Name":"ifrs-full:ImpairmentLossRecognisedInProfitOrLoss","Weight":"-1","Order":"24","Label":"Bijzonderewaardeverminderingsverlies opgenomen in winst of verlies","Documentation":"Het bedrag van het bijzonderewaardeverminderingsverlies opgenomen in winst of verlies. [Zie: bijzonderewaardeverminderingsverlies; winst (verlies)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Impairment loss recognised in profit or loss","SecondaryDocumentation":"The amount of impairment loss recognised in profit or loss. [Refer: Impairment loss; Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ShareOfProfitLossOfAssociatesAccountedForUsingEquityMethod","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossFromOperatingActivities","Name":"ifrs-full:ShareOfProfitLossOfAssociatesAccountedForUsingEquityMethod","Weight":"1","Order":"25","Label":"Aandeel in de winst (het verlies) van geassocieerde deelnemingen, administratief verwerkt volgens de vermogensmutatiemethode","Documentation":"Het aandeel van de entiteit in de winst (het verlies) van geassocieerde deelnemingen, administratief verwerkt volgens de vermogensmutatiemethode. [Zie: geassocieerde deelnemingen [member]; investeringen die administratief werden verwerkt volgens de vermogensmutatiemethode; winst (verlies)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Share of profit (loss) of associates accounted for using equity method","SecondaryDocumentation":"The entity's share of the profit (loss) of associates accounted for using the equity method. [Refer: Associates [member]; Investments accounted for using equity method; Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_EmployeeBenefitsExpense","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossFromOperatingActivities","Name":"ifrs-full:EmployeeBenefitsExpense","Weight":"-1","Order":"26","Label":"Lasten uit hoofde van personeelsbeloningen","Documentation":"De lasten van alle vormen van vergoedingen die door een entiteit worden toegekend in ruil voor door de werknemers verrichte prestaties of voor de beëindiging van het dienstverband.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Employee benefits expense","SecondaryDocumentation":"The expense of all forms of consideration given by an entity in exchange for a service rendered by employees or for the termination of employment.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_OBEL_IndirectCosts","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLossFromOperatingActivities","Name":"obel:IndirectCosts","Weight":"-1","Order":"27","Label":"Indirect Costs","Documentation":"Indirecte bedrijfskosten","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Indirecte bedrijfskosten","SecondaryDocumentation":"Indirect costs","IsExtendedElement":1},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_SalesAndMarketingExpense","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_OBEL_IndirectCosts","Name":"ifrs-full:SalesAndMarketingExpense","Weight":"1","Order":"28","Label":"Verkoop- en marketinglasten","Documentation":"Het bedrag van de lasten die verband houden met de marketing en verkoop van goederen of diensten.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Sales and marketing expense","SecondaryDocumentation":"The amount of expense relating to the marketing and selling of goods or services.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_OBEL_OtherInformationTechnologyAndNetworkExpenses","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_OBEL_IndirectCosts","Name":"obel:OtherInformationTechnologyAndNetworkExpenses","Weight":"1","Order":"29","Label":"Overige IT- en netwerkuitgaven","Documentation":"Overige IT- en netwerkuitgaven","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Other Information Technology And Network Expenses","SecondaryDocumentation":"Other information technology and network expenses","IsExtendedElement":1},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_PropertyServiceChargeExpense","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_OBEL_IndirectCosts","Name":"ifrs-full:PropertyServiceChargeExpense","Weight":"1","Order":"30","Label":"Lasten uit hoofde van onderhoudskosten voor vastgoed","Documentation":"Het bedrag aan lasten die voortvloeien uit kosten met betrekking tot het onderhoud van vastgoed.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Property service charge expense","SecondaryDocumentation":"The amount of expense arising from charges related to servicing of property.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_GeneralAndAdministrativeExpense","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_OBEL_IndirectCosts","Name":"ifrs-full:GeneralAndAdministrativeExpense","Weight":"1","Order":"31","Label":"Algemene en beheerskosten","Documentation":"Het bedrag aan kosten die verband houden met algemene en beheersactiviteiten van de entiteit.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"General and administrative expense","SecondaryDocumentation":"The amount of expense relating to general and administrative activities of the entity.","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_MiscellaneousOtherOperatingIncome","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_OBEL_IndirectCosts","Name":"ifrs-full:MiscellaneousOtherOperatingIncome","Weight":"-1","Order":"32","Label":"Diverse andere exploitatiebaten","Documentation":"Het bedrag aan diverse andere exploitatiebaten. [Zie: andere exploitatiebaten (-lasten)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Miscellaneous other operating income","SecondaryDocumentation":"The amount of miscellaneous other operating income. [Refer: Other operating income (expense)]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_MiscellaneousOtherOperatingExpense","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_OBEL_IndirectCosts","Name":"ifrs-full:MiscellaneousOtherOperatingExpense","Weight":"1","Order":"33","Label":"Diverse andere exploitatielasten","Documentation":"Het bedrag aan diverse andere exploitatielasten. [Zie: andere exploitatiebaten (-lasten)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Miscellaneous other operating expense","SecondaryDocumentation":"The amount of miscellaneous other operating expenses. [Refer: Other operating income (expense)]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_DepreciationRightofuseAssets","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_OBEL_IndirectCosts","Name":"ifrs-full:DepreciationRightofuseAssets","Weight":"1","Order":"34","Label":"Afschrijving, activa met gebruiksrecht","Documentation":"Het bedrag van de afschrijving van activa met gebruiksrecht. [Zie: afschrijvingskosten; activa met gebruiksrecht]","PeriodType":"duration","Balance":"","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Depreciation, right-of-use assets","SecondaryDocumentation":"The amount of depreciation of right-of-use assets. [Refer: Depreciation and amortisation expense; Right-of-use assets]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_IncomeTaxExpenseContinuingOperations","ParentId":"GeconsolideerdOverzichtVanHetTotaalresultaat_loc_ifrs-full_ProfitLoss","Name":"ifrs-full:IncomeTaxExpenseContinuingOperations","Weight":"-1","Order":"35","Label":"Belastinglasten (-baten)","Documentation":"Het samengevoegde bedrag opgenomen in de bepaling van winst (verlies) over de periode met betrekking tot de over de verslagperiode verschuldigde en verrekenbare belastingen en uitgestelde belastingen. [Zie: over de verslagperiode verschuldigde belastinglasten (verrekenbare belastingbaten); uitgestelde belastinglasten (-baten)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Tax expense (income)","SecondaryDocumentation":"The aggregate amount included in the determination of profit (loss) for the period in respect of current tax and deferred tax. [Refer: Current tax expense (income); Deferred tax expense (income)]","IsExtendedElement":0},{"Id":"http://www.orange.be/role/GeconsolideerdeStaatVanFinancilePositie","ParentId":"","Name":"1003 - Statement - Geconsolideerde staat van financiële positie","Weight":"","Order":"","Label":"","Documentation":"","PeriodType":"","Balance":"","Type":"","AbstractText":"","Nillable":"","SubstitutionGroup":"","IsReferenceExist":"0","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_EquityAttributableToOwnersOfParent","ParentId":"http://www.orange.be/role/GeconsolideerdeStaatVanFinancilePositie","Name":"ifrs-full:EquityAttributableToOwnersOfParent","Weight":"","Order":"","Label":"","Documentation":"Het bedrag van het eigen vermogen toe te rekenen aan de eigenaars van de moedermaatschappij. Dit sluit met name belang zonder zeggenschap uit.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_IssuedCapital","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_EquityAttributableToOwnersOfParent","Name":"ifrs-full:IssuedCapital","Weight":"1","Order":"1","Label":"Geplaatst kapitaal","Documentation":"De nominale waarde van geplaatst kapitaal.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Issued capital","SecondaryDocumentation":"The nominal value of capital issued.","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_OtherReserves","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_EquityAttributableToOwnersOfParent","Name":"ifrs-full:OtherReserves","Weight":"1","Order":"2","Label":"Andere reserves","Documentation":"Een component van het eigen vermogen die reserves binnen het eigen vermogen vertegenwoordigt, exclusief ingehouden winsten. [Zie: ingehouden winsten]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Other reserves","SecondaryDocumentation":"A component of equity representing reserves within equity, not including retained earnings. [Refer: Retained earnings]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_RetainedEarnings","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_EquityAttributableToOwnersOfParent","Name":"ifrs-full:RetainedEarnings","Weight":"1","Order":"3","Label":"Ingehouden winsten","Documentation":"Een component van het eigen vermogen die de cumulatieve niet-uitgekeerde opbrengsten of tekorten van de entiteit vertegenwoordigt.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Retained earnings","SecondaryDocumentation":"A component of equity representing the entity's cumulative undistributed earnings or deficit.","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_TreasuryShares","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_EquityAttributableToOwnersOfParent","Name":"ifrs-full:TreasuryShares","Weight":"-1","Order":"4","Label":"Ingekochte eigen aandelen","Documentation":"Eigenvermogensinstrumenten van een entiteit, aangehouden door de entiteit of andere leden van de geconsolideerde groep.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Treasury shares","SecondaryDocumentation":"An entity’s own equity instruments, held by the entity or other members of the consolidated group.","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_Assets","ParentId":"http://www.orange.be/role/GeconsolideerdeStaatVanFinancilePositie","Name":"ifrs-full:Assets","Weight":"","Order":"","Label":"","Documentation":"Het bedrag van een bestaand economisch middel dat uit gebeurtenissen in het verleden is voortgekomen en waarover de entiteit zeggenschap heeft. Een economisch middel is een recht dat het potentieel heeft economische voordelen voort te brengen.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentAssets","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_Assets","Name":"ifrs-full:NoncurrentAssets","Weight":"1","Order":"5","Label":"Vaste activa","Documentation":"Het bedrag aan activa die niet voldoen aan de definitie van vlottende activa. [Zie: vlottende activa]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Non-current assets","SecondaryDocumentation":"The amount of assets that do not meet the definition of current assets. [Refer: Current assets]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_Goodwill","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentAssets","Name":"ifrs-full:Goodwill","Weight":"1","Order":"6","Label":"Goodwill","Documentation":"Het bedrag aan activa die de toekomstige economische voordelen vertegenwoordigen die voortvloeien uit andere in een bedrijfscombinatie verworven activa die niet individueel kunnen worden geïdentificeerd en afzonderlijk kunnen worden opgenomen. [Zie: bedrijfscombinaties [member]]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Goodwill","SecondaryDocumentation":"The amount of assets representing the future economic benefits arising from other assets acquired in a business combination that are not individually identified and separately recognised. [Refer: Business combinations [member]]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_IntangibleAssetsOtherThanGoodwill","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentAssets","Name":"ifrs-full:IntangibleAssetsOtherThanGoodwill","Weight":"1","Order":"7","Label":"andere immateriële activa dan goodwill","Documentation":"Het bedrag aan niet-monetaire identificeerbare activa zonder materiële substantie. Dit bedrag bevat geen goodwill. [Zie: goodwill]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Intangible assets other than goodwill","SecondaryDocumentation":"The amount of identifiable non-monetary assets without physical substance. This amount does not include goodwill. [Refer: Goodwill]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_PropertyPlantAndEquipment","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentAssets","Name":"ifrs-full:PropertyPlantAndEquipment","Weight":"1","Order":"8","Label":"Materiële vaste activa","Documentation":"Het bedrag aan immateriële activa: a) die worden aangehouden voor gebruik in de productie of levering van goederen of diensten, voor verhuur aan derden of voor bestuurlijke doeleinden; en b) waarvan men verwacht dat ze langer dan één periode zullen worden gebruikt.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Property, plant and equipment","SecondaryDocumentation":"The amount of tangible assets that: (a) are held for use in the production or supply of goods or services, for rental to others, or for administrative purposes; and (b) are expected to be used during more than one period.","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_RightofuseAssetsThatDoNotMeetDefinitionOfInvestmentProperty","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentAssets","Name":"ifrs-full:RightofuseAssetsThatDoNotMeetDefinitionOfInvestmentProperty","Weight":"1","Order":"9","Label":"Activa met gebruiksrecht die niet voldoen aan de definitie van vastgoedbeleggingen.","Documentation":"Het bedrag van de activa met gebruiksrecht die niet voldoen aan de definitie van vastgoedbeleggingen. [Zie: activa met gebruiksrecht; vastgoedbeleggingen]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Right-of-use assets that do not meet definition of investment property","SecondaryDocumentation":"The amount of right-of-use assets that do not meet the definition of investment property. [Refer: Right-of-use assets; Investment property]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_InvestmentAccountedForUsingEquityMethod","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentAssets","Name":"ifrs-full:InvestmentAccountedForUsingEquityMethod","Weight":"1","Order":"10","Label":"Investeringen die administratief werden verwerkt volgens de vermogensmutatiemethode","Documentation":"Het bedrag aan investeringen die administratief werden verwerkt volgens de vermogensmutatiemethode. De vermogensmutatiemethode is een methode voor administratieve verwerking waarbij de investering aanvankelijk tegen kostprijs wordt opgenomen, en vervolgens wordt aangepast om rekening te houden met de wijziging van het aandeel van de investeerder in de nettoactiva van de deelneming na de overname. De winst of het verlies van de investeerder omvat zijn aandeel in de winst of het verlies van de deelneming. De overige onderdelen van het totaalresultaat van de investeerder omvatten zijn aandeel in de overige onderdelen van het totaalresultaat van de deelneming. [Zie: gewaardeerd tegen kostprijs [member]]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Investments accounted for using equity method","SecondaryDocumentation":"The amount of investments accounted for using the equity method. The equity method is a method of accounting whereby the investment is initially recognised at cost and adjusted thereafter for the post-acquisition change in the investor's share of net assets of the investee. The investor's profit or loss includes its share of the profit or loss of the investee. The investor's other comprehensive income includes its share of the other comprehensive income of the investee. [Refer: At cost [member]]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_OtherNoncurrentFinancialAssets","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentAssets","Name":"ifrs-full:OtherNoncurrentFinancialAssets","Weight":"1","Order":"11","Label":"Andere vaste financiële activa","Documentation":"Het bedrag aan vaste financiële activa die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: andere financiële activa]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Other non-current financial assets","SecondaryDocumentation":"The amount of non-current financial assets that the entity does not separately disclose in the same statement or note. [Refer: Other financial assets]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_OtherNoncurrentAssets","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentAssets","Name":"ifrs-full:OtherNoncurrentAssets","Weight":"1","Order":"12","Label":"Andere vaste activa","Documentation":"Het bedrag aan vaste activa die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: vaste activa]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Other non-current assets","SecondaryDocumentation":"The amount of non-current assets that the entity does not separately disclose in the same statement or note. [Refer: Non-current assets]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_DeferredTaxAssets","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentAssets","Name":"ifrs-full:DeferredTaxAssets","Weight":"1","Order":"13","Label":"Uitgestelde belastingvorderingen","Documentation":"De bedragen aan in toekomstige perioden terug te vorderen winstbelastingen met betrekking tot: a) verrekenbare tijdelijke verschillen; b) overdracht van ongebruikte fiscale verliezen; en c) overdracht van ongebruikte fiscaal verrekenbare tegoeden. [Zie: tijdelijke verschillen [member]; ongebruikte fiscaal verrekenbare tegoeden [member]; niet-gecompenseerde fiscaal verrekenbare verliezen [member]]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Deferred tax assets","SecondaryDocumentation":"The amounts of income taxes recoverable in future periods in respect of: (a) deductible temporary differences; (b) the carryforward of unused tax losses; and (c) the carryforward of unused tax credits. [Refer: Temporary differences [member]; Unused tax credits [member]; Unused tax losses [member]]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentAssets","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_Assets","Name":"ifrs-full:CurrentAssets","Weight":"1","Order":"14","Label":"Vlottende activa","Documentation":"Het bedrag aan activa dat de entiteit a) verwacht te realiseren of voornemens is te verkopen of te verbruiken, in de normale exploitatiecyclus van de entiteit; b) voornamelijk aanhoudt met de bedoeling het te verhandelen; c) verwacht binnen twaalf maanden na de verslagperiode te realiseren; of d) classificeert als een geldmiddel of kasequivalent (zoals gedefinieerd in IAS 7), tenzij het gebruik van het actief voor ruil of voor afwikkeling van een verplichting is beperkt gedurende ten minste twaalf maanden na de verslagperiode. [Zie: activa]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Current assets","SecondaryDocumentation":"The amount of assets that the entity (a) expects to realise or intends to sell or consume in its normal operating cycle; (b) holds primarily for the purpose of trading; (c) expects to realise within twelve months after the reporting period; or (d) classifies as cash or cash equivalents (as defined in IAS 7) unless the asset is restricted from being exchanged or used to settle a liability for at least twelve months after the reporting period. [Refer: Assets]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_Inventories","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentAssets","Name":"ifrs-full:Inventories","Weight":"1","Order":"15","Label":"Actuele voorraden","Documentation":"Het bedrag aan actuele voorraden. [Zie: voorraden]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Current inventories","SecondaryDocumentation":"The amount of current inventories. [Refer: Inventories]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentTradeReceivables","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentAssets","Name":"ifrs-full:CurrentTradeReceivables","Weight":"1","Order":"16","Label":"Kortlopende handelsvorderingen","Documentation":"Het bedrag aan kortlopende handelsvorderingen. [Zie: handelsvorderingen]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Current trade receivables","SecondaryDocumentation":"The amount of current trade receivables. [Refer: Trade receivables]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_OBEL_ContractAssetsAndAssetsRecognisedFromCostsToObtainOrFulfilContractsWithCustomersCurrent","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentAssets","Name":"obel:ContractAssetsAndAssetsRecognisedFromCostsToObtainOrFulfilContractsWithCustomersCurrent","Weight":"1","Order":"17","Label":"Overige activa in verband met contracten met klanten","Documentation":"Overige activa in verband met contracten met klanten","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Contract Assets And Assets Recognised From Costs To Obtain Or Fulfil Contracts With Customers Current","SecondaryDocumentation":"Contract assets and assets recognised from costs to obtain or fulfil contracts with customers, current","IsExtendedElement":1},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_OtherCurrentFinancialAssets","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentAssets","Name":"ifrs-full:OtherCurrentFinancialAssets","Weight":"1","Order":"18","Label":"Andere vlottende financiële activa","Documentation":"Het bedrag aan vlottende financiële activa die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: andere financiële activa; vlottende financiële activa]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Other current financial assets","SecondaryDocumentation":"The amount of current financial assets that the entity does not separately disclose in the same statement or note. [Refer: Other financial assets; Current financial assets]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentDerivativeFinancialAssets","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentAssets","Name":"ifrs-full:CurrentDerivativeFinancialAssets","Weight":"1","Order":"19","Label":"Vlottende afgeleide financiële activa","Documentation":"Het bedrag aan vlottende afgeleide financiële activa. [Zie: afgeleide financiële activa]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Current derivative financial assets","SecondaryDocumentation":"The amount of current derivative financial assets. [Refer: Derivative financial assets]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_OtherCurrentAssets","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentAssets","Name":"ifrs-full:OtherCurrentAssets","Weight":"1","Order":"20","Label":"Andere vlottende activa","Documentation":"Het bedrag aan vlottende activa die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: vlottende activa]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Other current assets","SecondaryDocumentation":"The amount of current assets that the entity does not separately disclose in the same statement or note. [Refer: Current assets]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentReceivablesFromTaxesOtherThanIncomeTax","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentAssets","Name":"ifrs-full:CurrentReceivablesFromTaxesOtherThanIncomeTax","Weight":"1","Order":"21","Label":"Kortlopende vorderingen uit hoofde van belastingen die geen winstbelastingen zijn","Documentation":"Het bedrag aan kortlopende vorderingen uit hoofde van belastingen die geen winstbelastingen zijn. [Zie: vorderingen uit hoofde van belastingen die geen winstbelastingen zijn]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Current receivables from taxes other than income tax","SecondaryDocumentation":"The amount of current receivables from taxes other than income tax. [Refer: Receivables from taxes other than income tax]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentTaxAssetsCurrent","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentAssets","Name":"ifrs-full:CurrentTaxAssetsCurrent","Weight":"1","Order":"22","Label":"Actuele belastingvorderingen, actueel","Documentation":"Het actuele bedrag aan actuele belastingvorderingen. [Zie: actuele belastingvorderingen]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Current tax assets, current","SecondaryDocumentation":"The current amount of current tax assets. [Refer: Current tax assets]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentPrepaidExpenses","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentAssets","Name":"ifrs-full:CurrentPrepaidExpenses","Weight":"1","Order":"23","Label":"Actuele vooruitbetaalde lasten","Documentation":"Het bedrag opgenomen als een vlottend actief voor uitgaven die zijn gemaakt voorafgaand aan de periode waarin het economisch voordeel wordt gerealiseerd.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Current prepaid expenses","SecondaryDocumentation":"The amount recognised as a current asset for expenditures made prior to the period when the economic benefit will be realised.","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CashAndCashEquivalents","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentAssets","Name":"ifrs-full:CashAndCashEquivalents","Weight":"1","Order":"24","Label":"Geldmiddelen en kasequivalenten","Documentation":"Het bedrag aan contanten en direct opvraagbare deposito's, samen met kortlopende, uiterst liquide beleggingen die onmiddellijk kunnen worden omgezet in geldmiddelen waarvan het bedrag bekend is en die geen materieel risico van waardeverandering in zich dragen. [Zie: geldmiddelen; kasequivalenten]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Cash and cash equivalents","SecondaryDocumentation":"The amount of cash on hand and demand deposits, along with short-term, highly liquid investments that are readily convertible to known amounts of cash and that are subject to an insignificant risk of changes in value. [Refer: Cash; Cash equivalents]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_EquityAndLiabilities","ParentId":"http://www.orange.be/role/GeconsolideerdeStaatVanFinancilePositie","Name":"ifrs-full:EquityAndLiabilities","Weight":"","Order":"","Label":"","Documentation":"Het bedrag aan eigen vermogen en verplichtingen van de entiteit. [Zie: eigen vermogen; verplichtingen]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_Equity","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_EquityAndLiabilities","Name":"ifrs-full:Equity","Weight":"1","Order":"25","Label":"Eigen vermogen","Documentation":"Het bedrag van het overblijvend belang in de activa van de entiteit, na aftrek van alle verplichtingen.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Equity","SecondaryDocumentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_IssuedCapital","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_Equity","Name":"ifrs-full:IssuedCapital","Weight":"1","Order":"26","Label":"Geplaatst kapitaal","Documentation":"De nominale waarde van geplaatst kapitaal.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Issued capital","SecondaryDocumentation":"The nominal value of capital issued.","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_OtherReserves","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_Equity","Name":"ifrs-full:OtherReserves","Weight":"1","Order":"27","Label":"Andere reserves","Documentation":"Een component van het eigen vermogen die reserves binnen het eigen vermogen vertegenwoordigt, exclusief ingehouden winsten. [Zie: ingehouden winsten]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Other reserves","SecondaryDocumentation":"A component of equity representing reserves within equity, not including retained earnings. [Refer: Retained earnings]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_RetainedEarnings","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_Equity","Name":"ifrs-full:RetainedEarnings","Weight":"1","Order":"28","Label":"Ingehouden winsten","Documentation":"Een component van het eigen vermogen die de cumulatieve niet-uitgekeerde opbrengsten of tekorten van de entiteit vertegenwoordigt.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Retained earnings","SecondaryDocumentation":"A component of equity representing the entity's cumulative undistributed earnings or deficit.","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_TreasuryShares","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_Equity","Name":"ifrs-full:TreasuryShares","Weight":"-1","Order":"29","Label":"Ingekochte eigen aandelen","Documentation":"Eigenvermogensinstrumenten van een entiteit, aangehouden door de entiteit of andere leden van de geconsolideerde groep.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Treasury shares","SecondaryDocumentation":"An entity’s own equity instruments, held by the entity or other members of the consolidated group.","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentLiabilities","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_EquityAndLiabilities","Name":"ifrs-full:NoncurrentLiabilities","Weight":"1","Order":"30","Label":"Langlopende verplichtingen","Documentation":"Het bedrag aan verplichtingen die niet voldoen aan de definitie van kortlopende verplichtingen. [Zie: kortlopende verplichtingen]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Non-current liabilities","SecondaryDocumentation":"The amount of liabilities that do not meet the definition of current liabilities. [Refer: Current liabilities]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_LongtermBorrowings","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentLiabilities","Name":"ifrs-full:LongtermBorrowings","Weight":"1","Order":"31","Label":"Langlopend gedeelte van langlopende leningen","Documentation":"Het langlopende gedeelte van langlopende leningen. [Zie: leningen]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Non-current portion of non-current borrowings","SecondaryDocumentation":"The non-current portion of non-current borrowings. [Refer: Borrowings]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentLeaseLiabilities","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentLiabilities","Name":"ifrs-full:NoncurrentLeaseLiabilities","Weight":"1","Order":"32","Label":"Langlopende leaseverplichtingen","Documentation":"Het bedrag aan langlopende leaseverplichtingen. [Zie: leaseverplichtingen]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Non-current lease liabilities","SecondaryDocumentation":"The amount of non-current lease liabilities. [Refer: Lease liabilities]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentProvisionsForEmployeeBenefits","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentLiabilities","Name":"ifrs-full:NoncurrentProvisionsForEmployeeBenefits","Weight":"1","Order":"33","Label":"Vaste voorzieningen voor personeelsbeloningen","Documentation":"Het bedrag aan vaste voorzieningen voor personeelsbeloningen. [Zie: voorzieningen voor personeelsbeloningen]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Non-current provisions for employee benefits","SecondaryDocumentation":"The amount of non-current provisions for employee benefits. [Refer: Provisions for employee benefits]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_LongtermProvisionForDecommissioningRestorationAndRehabilitationCosts","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentLiabilities","Name":"ifrs-full:LongtermProvisionForDecommissioningRestorationAndRehabilitationCosts","Weight":"1","Order":"34","Label":"Vaste voorziening voor ontmantelings-, herstel- en saneringskosten","Documentation":"Het bedrag van de vaste voorziening voor ontmantelings-, herstel- en saneringskosten. [Zie: voorziening voor ontmantelings-, herstel- en saneringskosten]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Non-current provision for decommissioning, restoration and rehabilitation costs","SecondaryDocumentation":"The amount of non-current provision for decommissioning, restoration and rehabilitation costs. [Refer: Provision for decommissioning, restoration and rehabilitation costs]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_OtherNoncurrentLiabilities","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentLiabilities","Name":"ifrs-full:OtherNoncurrentLiabilities","Weight":"1","Order":"35","Label":"Andere langlopende verplichtingen","Documentation":"Het bedrag aan langlopende verplichtingen die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: langlopende verplichtingen]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Other non-current liabilities","SecondaryDocumentation":"The amount of non-current liabilities that the entity does not separately disclose in the same statement or note. [Refer: Non-current liabilities]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_DeferredTaxLiabilities","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_NoncurrentLiabilities","Name":"ifrs-full:DeferredTaxLiabilities","Weight":"1","Order":"36","Label":"Uitgestelde belastingverplichtingen","Documentation":"De bedragen aan in toekomstige perioden te betalen winstbelastingen met betrekking tot belastbare tijdelijke verschillen. [Zie: tijdelijke verschillen [member]]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Deferred tax liabilities","SecondaryDocumentation":"The amounts of income taxes payable in future periods in respect of taxable temporary differences. [Refer: Temporary differences [member]]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilities","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_EquityAndLiabilities","Name":"ifrs-full:CurrentLiabilities","Weight":"1","Order":"37","Label":"Kortlopende verplichtingen","Documentation":"Het bedrag aan verplichtingen die: a) de entiteit verwacht in de normale exploitatiecyclus van de entiteit af te wikkelen; b) de entiteit voornamelijk aanhoudt met de bedoeling deze te verhandelen; c) binnen twaalf maanden na de verslagperiode moeten worden afgewikkeld; of d) de entiteit geen onvoorwaardelijk recht geeft om de afwikkeling met ten minste twaalf maanden na de verslagperiode uit te stellen.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Current liabilities","SecondaryDocumentation":"The amount of liabilities that: (a) the entity expects to settle in its normal operating cycle; (b) the entity holds primarily for the purpose of trading; (c) are due to be settled within twelve months after the reporting period; or (d) the entity does not have an unconditional right to defer settlement for at least twelve months after the reporting period.","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentPayablesForPurchaseOfNoncurrentAssets","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilities","Name":"ifrs-full:CurrentPayablesForPurchaseOfNoncurrentAssets","Weight":"1","Order":"38","Label":"Kortlopende schulden voor de aankoop van vaste activa","Documentation":"Het bedrag aan kortlopende schulden voor de aankoop van vaste activa. [Zie: schulden voor de aankoop van vaste activa]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Current payables for purchase of non-current assets","SecondaryDocumentation":"The amount of current payables for the purchase of non-current assets. [Refer: Payables for purchase of non-current assets]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilities","Name":"ifrs-full:TradeAndOtherCurrentPayablesToTradeSuppliers","Weight":"1","Order":"39","Label":"Kortlopende handelsschulden","Documentation":"Het kortlopende bedrag van de betaling verschuldigd aan leveranciers voor goederen en diensten die worden gebruikt in het kader van de bedrijfsactiviteiten van de entiteit. [Zie: kortlopende verplichtingen; handelsschulden]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Current trade payables","SecondaryDocumentation":"The current amount of payment due to suppliers for goods and services used in entity's business. [Refer: Current liabilities; Trade payables]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilities","Name":"ifrs-full:CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings","Weight":"1","Order":"40","Label":"Kortlopende leningen en het kortlopende gedeelte van langlopende leningen","Documentation":"Het bedrag aan kortlopende leningen en het kortlopende gedeelte van langlopende leningen. [Zie: leningen]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Current borrowings and current portion of non-current borrowings","SecondaryDocumentation":"The amount of current borrowings and current portion of non-current borrowings. [Refer: Borrowings]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLeaseLiabilities","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilities","Name":"ifrs-full:CurrentLeaseLiabilities","Weight":"1","Order":"41","Label":"Kortlopende leaseverplichtingen","Documentation":"Het bedrag aan kortlopende leaseverplichtingen. [Zie: leaseverplichtingen]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Current lease liabilities","SecondaryDocumentation":"The amount of current lease liabilities. [Refer: Lease liabilities]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentDerivativeFinancialLiabilities","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilities","Name":"ifrs-full:CurrentDerivativeFinancialLiabilities","Weight":"1","Order":"42","Label":"Kortlopende afgeleide financiële verplichtingen","Documentation":"Het bedrag aan kortlopende afgeleide financiële verplichtingen. [Zie: afgeleide financiële verplichtingen]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Current derivative financial liabilities","SecondaryDocumentation":"The amount of current derivative financial liabilities. [Refer: Derivative financial liabilities]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentProvisionsForEmployeeBenefits","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilities","Name":"ifrs-full:CurrentProvisionsForEmployeeBenefits","Weight":"1","Order":"43","Label":"Vlottende voorzieningen voor personeelsbeloningen","Documentation":"Het bedrag aan vlottende voorzieningen voor personeelsbeloningen. [Zie: voorzieningen voor personeelsbeloningen]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Current provisions for employee benefits","SecondaryDocumentation":"The amount of current provisions for employee benefits. [Refer: Provisions for employee benefits]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_ShorttermProvisionForDecommissioningRestorationAndRehabilitationCosts","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilities","Name":"ifrs-full:ShorttermProvisionForDecommissioningRestorationAndRehabilitationCosts","Weight":"1","Order":"44","Label":"Vlottende voorziening voor ontmantelings-, herstel- en saneringskosten","Documentation":"Het bedrag van de vlottende voorziening voor ontmantelings-, herstel- en saneringskosten. [Zie: voorziening voor ontmantelings-, herstel- en saneringskosten]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Current provision for decommissioning, restoration and rehabilitation costs","SecondaryDocumentation":"The amount of current provision for decommissioning, restoration and rehabilitation costs. [Refer: Provision for decommissioning, restoration and rehabilitation costs]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_ShorttermRestructuringProvision","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilities","Name":"ifrs-full:ShorttermRestructuringProvision","Weight":"1","Order":"45","Label":"Vlottende reorganisatievoorziening","Documentation":"Het bedrag van de vlottende voorziening voor reorganisatie. [Zie: reorganisatievoorziening]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Current restructuring provision","SecondaryDocumentation":"The amount of current provision for restructuring. [Refer: Restructuring provision]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_OtherCurrentLiabilities","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilities","Name":"ifrs-full:OtherCurrentLiabilities","Weight":"1","Order":"46","Label":"Andere kortlopende verplichtingen","Documentation":"Het bedrag aan kortlopende verplichtingen die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: kortlopende verplichtingen]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Other current liabilities","SecondaryDocumentation":"The amount of current liabilities that the entity does not separately disclose in the same statement or note. [Refer: Current liabilities]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_OBEL_CurrentPayablesOnTaxesOtherThanIncomeTax","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilities","Name":"obel:CurrentPayablesOnTaxesOtherThanIncomeTax","Weight":"1","Order":"47","Label":"Te betalen operationele belastingen en heffingen","Documentation":"Te betalen operationele belastingen en heffingen","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Current Payables On Taxes Other Than Income Tax","SecondaryDocumentation":"Current payables on taxes other than income tax","IsExtendedElement":1},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentTaxLiabilitiesCurrent","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilities","Name":"ifrs-full:CurrentTaxLiabilitiesCurrent","Weight":"1","Order":"48","Label":"Actuele belastingverplichtingen, actueel","Documentation":"Het actuele bedrag aan actuele belastingverplichtingen. [Zie: actuele belastingverplichtingen]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Current tax liabilities, current","SecondaryDocumentation":"The current amount of current tax liabilities. [Refer: Current tax liabilities]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentContractLiabilities","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilities","Name":"ifrs-full:CurrentContractLiabilities","Weight":"1","Order":"49","Label":"Kortlopende contractverplichtingen","Documentation":"Het bedrag aan kortlopende contractverplichtingen. [Zie: contractverplichtingen]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Current contract liabilities","SecondaryDocumentation":"The amount of current contract liabilities. [Refer: Contract liabilities]","IsExtendedElement":0},{"Id":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_DeferredIncomeClassifiedAsCurrent","ParentId":"GeconsolideerdeStaatVanFinancilePositie_loc_ifrs-full_CurrentLiabilities","Name":"ifrs-full:DeferredIncomeClassifiedAsCurrent","Weight":"1","Order":"50","Label":"Uitgestelde baten die zijn geclassificeerd als kortlopend","Documentation":"Het bedrag aan uitgestelde baten die zijn geclassificeerd als kortlopend. [Zie: uitgestelde baten]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Deferred income classified as current","SecondaryDocumentation":"The amount of deferred income classified as current. [Refer: Deferred income]","IsExtendedElement":0},{"Id":"http://www.orange.be/role/GeconsolideerdKasstroomoverzicht","ParentId":"","Name":"1004 - Statement - Geconsolideerd kasstroomoverzicht","Weight":"","Order":"","Label":"","Documentation":"","PeriodType":"","Balance":"","Type":"","AbstractText":"","Nillable":"","SubstitutionGroup":"","IsReferenceExist":"0","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents","ParentId":"http://www.orange.be/role/GeconsolideerdKasstroomoverzicht","Name":"ifrs-full:IncreaseDecreaseInCashAndCashEquivalents","Weight":"","Order":"","Label":"","Documentation":"De stijging (daling) van geldmiddelen en kasequivalenten. [Zie: geldmiddelen en kasequivalenten]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInFinancingActivities","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents","Name":"ifrs-full:CashFlowsFromUsedInFinancingActivities","Weight":"1","Order":"1","Label":"Kasstromen uit hoofde van (gebruikt in) financieringsactiviteiten","Documentation":"De kasstromen uit hoofde van (gebruikt in) financieringsactiviteiten die activiteiten zijn die leiden tot wijzigingen in de grootte en de samenstelling van het gestort kapitaal en het vreemd vermogen van de entiteit.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Cash flows from (used in) financing activities","SecondaryDocumentation":"The cash flows from (used in) financing activities, which are activities that result in changes in the size and composition of the contributed equity and borrowings of the entity.","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_RepaymentsOfNoncurrentBorrowings","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInFinancingActivities","Name":"ifrs-full:RepaymentsOfNoncurrentBorrowings","Weight":"-1","Order":"2","Label":"Terugbetalingen van langlopende leningen","Documentation":"De kasuitstroom voor terugbetalingen van langlopende leningen. [Zie: leningen]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Repayments of non-current borrowings","SecondaryDocumentation":"The cash outflow for repayments of non-current borrowings. [Refer: Borrowings]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInFinancingActivities","Name":"ifrs-full:PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities","Weight":"-1","Order":"3","Label":"Betalingen van leaseverplichtingen, geclassificeerd als financieringsactiviteiten","Documentation":"De kasuitstroom voor de betaling van leaseverplichtingen, geclassificeerd als financieringsactiviteiten. [Zie: leaseverplichtingen]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Payments of lease liabilities, classified as financing activities","SecondaryDocumentation":"The cash outflow for payment of lease liabilities, classified as financing activities. [Refer: Lease liabilities]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInIncreaseDecreaseInCurrentBorrowings","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInFinancingActivities","Name":"ifrs-full:CashFlowsFromUsedInIncreaseDecreaseInCurrentBorrowings","Weight":"1","Order":"4","Label":"Kasstromen uit hoofde van (gebruikt in) stijging (daling) van kortlopende leningen","Documentation":"De kasinstroom (-uitstroom) uit hoofde van een stijging (daling) van kortlopende leningen. [Zie: kortlopende leningen]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Cash flows from (used in) increase (decrease) in current borrowings","SecondaryDocumentation":"The cash inflow (outflow) due to an increase (decrease) in current borrowings. [Refer: Current borrowings]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInFinancingActivities","Name":"ifrs-full:PaymentsToAcquireOrRedeemEntitysShares","Weight":"-1","Order":"5","Label":"Betalingen om aandelen van de entiteit te verwerven of in te kopen","Documentation":"De kasuitstroom om aandelen van de entiteit te verwerven of in te kopen.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Payments to acquire or redeem entity's shares","SecondaryDocumentation":"The cash outflow to acquire or redeem entity's shares.","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInFinancingActivities","Name":"ifrs-full:DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities","Weight":"-1","Order":"6","Label":"Dividenden betaald aan aandeelhouders van de moedermaatschappij, geclassificeerd als financieringsactiviteiten","Documentation":"De kasuitstroom voor dividenden betaald aan aandeelhouders van de moedermaatschappij, geclassificeerd als financieringsactiviteiten.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Dividends paid to equity holders of parent, classified as financing activities","SecondaryDocumentation":"The cash outflow for dividends paid to equity holders of the parent, classified as financing activities.","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInInvestingActivities","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents","Name":"ifrs-full:CashFlowsFromUsedInInvestingActivities","Weight":"1","Order":"7","Label":"Kasstromen uit hoofde van (gebruikt in) investeringsactiviteiten","Documentation":"De kasstromen uit hoofde van (gebruikt in) investeringsactiviteiten die de verwerving en vervreemding zijn van vaste activa en andere investeringen die niet in kasequivalenten zijn vervat.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Cash flows from (used in) investing activities","SecondaryDocumentation":"The cash flows from (used in) investing activities, which are the acquisition and disposal of long-term assets and other investments not included in cash equivalents.","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInInvestingActivities","Name":"ifrs-full:CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities","Weight":"-1","Order":"8","Label":"Kasstromen gebruikt bij het verkrijgen van zeggenschap over andere bedrijven, geclassificeerd als investeringsactiviteiten","Documentation":"De samengevoegde kasstromen gebruikt bij het verkrijgen van zeggenschap over andere bedrijven, geclassificeerd als investeringsactiviteiten. [Zie: dochterondernemingen [member]]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Cash flows used in obtaining control of subsidiaries or other businesses, classified as investing activities","SecondaryDocumentation":"The aggregate cash flows used in obtaining control of subsidiaries or other businesses, classified as investing activities. [Refer: Subsidiaries [member]]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInDecreaseIncreaseInShorttermDepositsAndInvestments","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInInvestingActivities","Name":"ifrs-full:CashFlowsFromUsedInDecreaseIncreaseInShorttermDepositsAndInvestments","Weight":"1","Order":"9","Label":"Kasstromen uit hoofde van (gebruikt in) een daling (stijging) van kortlopende deposito's en investeringen","Documentation":"De kasinstroom (-uitstroom) uit hoofde van een daling (stijging) van kortlopende deposito's en investeringen.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Cash flows from (used in) decrease (increase) in short-term deposits and investments","SecondaryDocumentation":"The cash inflow (outflow) due to a decrease (increase) in short-term deposits and investments.","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInInvestingActivities","Name":"ifrs-full:PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets","Weight":"-1","Order":"10","Label":"Aankoop van materiële vaste activa, andere immateriële activa dan goodwill, vastgoedbeleggingen en andere vaste activa","Documentation":"De kasuitstroom voor de aankoop van materiële vaste activa, andere immateriële activa dan goodwill, vastgoedbeleggingen en andere vaste activa. [Zie: andere immateriële activa dan goodwill; vastgoedbeleggingen; andere vaste activa; materiële vaste activa]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Purchase of property, plant and equipment, intangible assets other than goodwill, investment property and other non-current assets","SecondaryDocumentation":"The cash outflow for the purchase of property, plant and equipment, intangible assets other than goodwill, investment property and other non-current assets. [Refer: Intangible assets other than goodwill; Investment property; Other non-current assets; Property, plant and equipment]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_OBEL_IncreaseDecreaseInPayablesRelatedToPropertyPlantAndEquipmentAndIntangibleAssetsOtherThanGoodwill","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInInvestingActivities","Name":"obel:IncreaseDecreaseInPayablesRelatedToPropertyPlantAndEquipmentAndIntangibleAssetsOtherThanGoodwill","Weight":"1","Order":"11","Label":"Stijging (daling) in te betalen vaste activa","Documentation":"Stijging (daling) in te betalen vaste activa","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Increase Decrease In Payables Related To Property Plant And Equipment And Intangible Assets Other Than Goodwill","SecondaryDocumentation":"Increase (decrease) in payables related to property plant and equipment and intangible assets other than goodwill","IsExtendedElement":1},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents","Name":"ifrs-full:CashFlowsFromUsedInOperatingActivities","Weight":"1","Order":"12","Label":"Kasstromen uit hoofde van (gebruikt in) operationele activiteiten","Documentation":"De kasstromen uit hoofde van (gebruikt in) operationele activiteiten die de voornaamste activiteiten van een entiteit zijn die opbrengsten genereren, evenals andere activiteiten die geen investerings- of financieringsactiviteiten zijn. [Zie: opbrengsten]","PeriodType":"duration","Balance":"","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Cash flows from (used in) operating activities","SecondaryDocumentation":"The cash flows from (used in) operating activities, which are the principal revenue-producing activities of the entity and other activities that are not investing or financing activities. [Refer: Revenue]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"ifrs-full:AdjustmentsForDecreaseIncreaseInInventories","Weight":"1","Order":"13","Label":"Aanpassingen voor de daling (stijging) van voorraden","Documentation":"Aanpassingen voor de daling (stijging) van voorraden om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: voorraden; winst (verlies)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Adjustments for decrease (increase) in inventories","SecondaryDocumentation":"Adjustments for decrease (increase) in inventories to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Inventories; Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"ifrs-full:AdjustmentsForDecreaseIncreaseInTradeAccountReceivable","Weight":"1","Order":"14","Label":"Aanpassingen voor de daling (stijging) van handelsvorderingen","Documentation":"Aanpassingen voor de daling (stijging) van handelsvorderingen om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: winst (verlies)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Adjustments for decrease (increase) in trade accounts receivable","SecondaryDocumentation":"Adjustments for decrease (increase) in trade accounts receivable to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"ifrs-full:AdjustmentsForIncreaseDecreaseInTradeAccountPayable","Weight":"1","Order":"15","Label":"Aanpassingen voor de stijging (daling) van handelsschulden","Documentation":"Aanpassingen voor de stijging (daling) van handelsschulden om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: winst (verlies)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Adjustments for increase (decrease) in trade accounts payable","SecondaryDocumentation":"Adjustments for increase (decrease) in trade accounts payable to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_OBEL_AdjustmentsForIncreaseDecreaseInCustomerContractAssets","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"obel:AdjustmentsForIncreaseDecreaseInCustomerContractAssets","Weight":"1","Order":"16","Label":"Wijziging in overige activa in verband met contracten met klanten","Documentation":"Wijziging in overige activa in verband met contracten met klanten.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Adjustments For Increase Decrease In Customer Contract Assets","SecondaryDocumentation":"","IsExtendedElement":1},{"Id":"GeconsolideerdKasstroomoverzicht_loc_OBEL_AdjustmentsForIncreaseDecreaseInCustomerContractLiabilities","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"obel:AdjustmentsForIncreaseDecreaseInCustomerContractLiabilities","Weight":"1","Order":"17","Label":"Wijziging in verplichtingen in verband met contracten met klanten","Documentation":"Wijziging in verplichtingen in verband met contracten met klanten.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Adjustments For Increase Decrease In Customer Contract Liabilities","SecondaryDocumentation":"","IsExtendedElement":1},{"Id":"GeconsolideerdKasstroomoverzicht_loc_OBEL_AdjustmentsForIncreaseDecreaseInOtherAssetsAndDecreaseIncreaseInOtherLiabilities","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"obel:AdjustmentsForIncreaseDecreaseInOtherAssetsAndDecreaseIncreaseInOtherLiabilities","Weight":"-1","Order":"18","Label":"Wijzigingen in andere activa en verplichtingen","Documentation":"Wijzigingen in andere activa en verplichtingen","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Adjustments For Increase Decrease In Other Assets And Decrease Increase In Other Liabilities","SecondaryDocumentation":"Adjustments for increase decrease in other assets and decrease increase in other liabilities","IsExtendedElement":1},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsOperatingActivities","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"ifrs-full:OtherInflowsOutflowsOfCashClassifiedAsOperatingActivities","Weight":"1","Order":"19","Label":"Andere instromen (uitstromen) van geldmiddelen, geclassificeerd als operationele activiteiten","Documentation":"Instromen (uitstromen) van geldmiddelen, geclassificeerd als operationele activiteiten, die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Other inflows (outflows) of cash, classified as operating activities","SecondaryDocumentation":"Inflows (outflows) of cash, classified as operating activities, that the entity does not separately disclose in the same statement or note.","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_InterestPaidClassifiedAsOperatingActivities","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"ifrs-full:InterestPaidClassifiedAsOperatingActivities","Weight":"-1","Order":"20","Label":"Betaalde rente, geclassificeerd als operationele activiteiten","Documentation":"De kasuitstroom voor betaalde rente, geclassificeerd als operationele activiteiten.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Interest paid, classified as operating activities","SecondaryDocumentation":"The cash outflow for interest paid, classified as operating activities.","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"ifrs-full:IncomeTaxesPaidClassifiedAsOperatingActivities","Weight":"-1","Order":"21","Label":"Betaalde winstbelastingen, geclassificeerd als operationele bedrijfsactiviteiten","Documentation":"De kasuitstroom voor betaalde winstbelastingen, geclassificeerd als operationele bedrijfsactiviteiten.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Income taxes paid, classified as operating activities","SecondaryDocumentation":"The cash outflow for income taxes paid, classified as operating activities.","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForIncreaseDecreaseInOtherOperatingPayables","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"ifrs-full:AdjustmentsForIncreaseDecreaseInOtherOperatingPayables","Weight":"1","Order":"22","Label":"Aanpassingen voor de stijging (daling) van andere bedrijfsschulden","Documentation":"Aanpassingen voor de stijging (daling) van andere bedrijfsschulden om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: winst (verlies)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Adjustments for increase (decrease) in other operating payables","SecondaryDocumentation":"Adjustments for increase (decrease) in other operating payables to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"ifrs-full:AdjustmentsForDepreciationAndAmortisationExpense","Weight":"1","Order":"23","Label":"Aanpassingen voor afschrijvingskosten","Documentation":"Aanpassingen voor afschrijvingskosten om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: afschrijvingskosten; winst (verlies)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Adjustments for depreciation and amortisation expense","SecondaryDocumentation":"Adjustments for depreciation and amortisation expense to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Depreciation and amortisation expense; Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_OBEL_AdjustmentsForDepreciationAndAmortisationExpenseRightOfUseAssets","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"obel:AdjustmentsForDepreciationAndAmortisationExpenseRightOfUseAssets","Weight":"1","Order":"24","Label":"Afschrijvingen van met een gebruiksrecht overeenstemmende activa","Documentation":"Afschrijvingen van met een gebruiksrecht overeenstemmende activa","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Adjustments For Depreciation And Amortisation Expense Right Of Use Assets","SecondaryDocumentation":"Adjustments for depreciation and amortisation expense, right-of-use assets","IsExtendedElement":1},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForImpairmentLossRecognisedInProfitOrLossGoodwill","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"ifrs-full:AdjustmentsForImpairmentLossRecognisedInProfitOrLossGoodwill","Weight":"1","Order":"25","Label":"Aanpassingen voor bijzonder waardeverminderingsverlies opgenomen in winst of verlies, goodwill","Documentation":"Aanpassingen voor bijzonder waardeverminderingsverlies uit goodwill opgenomen in winst of verlies om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: goodwill; bijzonderewaardeverminderingsverlies; bijzonderewaardeverminderingsverlies opgenomen in winst of verlies]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Adjustments for impairment loss recognised in profit or loss, goodwill","SecondaryDocumentation":"Adjustments for impairment loss on goodwill recognised in profit or loss to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Goodwill; Impairment loss; Impairment loss recognised in profit or loss]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"ifrs-full:AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss","Weight":"1","Order":"26","Label":"Aanpassingen voor bijzonder waardeverminderingsverlies (terugneming van bijzonder waardeverminderingsverlies) opgenomen in winst of verlies","Documentation":"Aanpassingen voor bijzonder waardeverminderingsverlies (terugneming van bijzonder waardeverminderingsverlies) opgenomen in winst of verlies om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: bijzonderewaardeverminderingsverlies (terugneming van bijzonderewaardeverminderingsverlies) opgenomen in winst of verlies]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Adjustments for impairment loss (reversal of impairment loss) recognised in profit or loss","SecondaryDocumentation":"Adjustments for impairment loss (reversal of impairment loss) recognised in profit or loss to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Impairment loss (reversal of impairment loss) recognised in profit or loss]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"ifrs-full:AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets","Weight":"1","Order":"27","Label":"Aanpassingen voor verliezen (winsten) uit de vervreemding van vaste activa","Documentation":"Aanpassingen voor verliezen (winsten) uit de vervreemding van vaste activa om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: vaste activa; winst (verlies)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Adjustments for losses (gains) on disposal of non-current assets","SecondaryDocumentation":"Adjustments for losses (gains) on disposal of non-current assets to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Non-current assets; Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForProvisions","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"ifrs-full:AdjustmentsForProvisions","Weight":"1","Order":"28","Label":"Aanpassingen voor voorzieningen","Documentation":"Aanpassingen voor voorzieningen om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: voorzieningen; winst (verlies)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Adjustments for provisions","SecondaryDocumentation":"Adjustments for provisions to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Provisions; Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForUndistributedProfitsOfAssociates","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"ifrs-full:AdjustmentsForUndistributedProfitsOfAssociates","Weight":"-1","Order":"29","Label":"Aanpassingen voor niet-uitgekeerde winsten van geassocieerde deelnemingen","Documentation":"Aanpassingen voor niet-uitgekeerde winsten van geassocieerde deelnemingen om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: geassocieerde deelnemingen [member]; winst (verlies)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Adjustments for undistributed profits of associates","SecondaryDocumentation":"Adjustments for undistributed profits of associates to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Associates [member]; Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForIncomeTaxExpense","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"ifrs-full:AdjustmentsForIncomeTaxExpense","Weight":"1","Order":"30","Label":"Aanpassingen voor lasten uit hoofde van winstbelastingen","Documentation":"Aanpassingen voor lasten uit hoofde van winstbelastingen om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: winst (verlies)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Adjustments for income tax expense","SecondaryDocumentation":"Adjustments for income tax expense to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForFinanceCosts","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"ifrs-full:AdjustmentsForFinanceCosts","Weight":"1","Order":"31","Label":"Aanpassingen voor financieringskosten","Documentation":"Aanpassingen voor financieringskosten om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: financieringskosten; winst (verlies)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Adjustments for finance costs","SecondaryDocumentation":"Adjustments for finance costs to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Finance costs; Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_OBEL_AdjustmentsForOperationalForeignExchangeAndDerivativesLossesGainsNet","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"obel:AdjustmentsForOperationalForeignExchangeAndDerivativesLossesGainsNet","Weight":"1","Order":"32","Label":"Operationele nettovalutatransacties en derivaten","Documentation":"Operationele nettovalutatransacties en derivaten","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Adjustments For Operational Foreign Exchange And Derivatives Losses Gains Net","SecondaryDocumentation":"Adjustments for operational foreign exchange and derivatives losses (gains), net","IsExtendedElement":1},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForSharebasedPayments","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"ifrs-full:AdjustmentsForSharebasedPayments","Weight":"1","Order":"33","Label":"Aanpassingen voor op aandelen gebaseerde betalingen","Documentation":"Aanpassingen voor op aandelen gebaseerde betalingen om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: winst (verlies)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Adjustments for share-based payments","SecondaryDocumentation":"Adjustments for share-based payments to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTradeAndOtherReceivables","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"ifrs-full:AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTradeAndOtherReceivables","Weight":"1","Order":"34","Label":"Aanpassingen voor bijzonder waardeverminderingsverlies (terugneming van bijzonder waardeverminderingsverlies) opgenomen in winst of verlies, handels- en andere vorderingen","Documentation":"Aanpassingen voor bijzonder waardeverminderingsverlies (terugneming van bijzonder waardeverminderingsverlies) uit handels- en andere vorderingen die zijn opgenomen in winst of verlies om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: handels- en andere vorderingen; bijzonderewaardeverminderingsverlies; aanpassingen voor bijzonderewaardeverminderingsverlies (terugneming van bijzonder waardeverminderingsverlies) opgenomen in winst of verlies; bijzonderewaardeverminderingsverlies (terugneming van bijzonderewaardeverminderingsverlies) opgenomen in winst of verlies]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Adjustments for impairment loss (reversal of impairment loss) recognised in profit or loss, trade and other receivables","SecondaryDocumentation":"Adjustments for impairment loss (reversal of impairment loss) on trade and other receivables recognised in profit or loss to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Trade and other receivables; Impairment loss; Adjustments for impairment loss (reversal of impairment loss) recognised in profit or loss; Impairment loss (reversal of impairment loss) recognised in profit or loss]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_ProfitLoss","ParentId":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"ifrs-full:ProfitLoss","Weight":"1","Order":"35","Label":"Winst (verlies)","Documentation":"Het totaal van de baten min de lasten uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten, exclusief de overige onderdelen van het totaalresultaat. [Zie: overige onderdelen van het totaalresultaat]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Profit (loss)","SecondaryDocumentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_OBEL_OrganicCashFlow","ParentId":"http://www.orange.be/role/GeconsolideerdKasstroomoverzicht","Name":"obel:OrganicCashFlow","Weight":"","Order":"","Label":"","Documentation":"Organische kasstroom.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":1},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","ParentId":"GeconsolideerdKasstroomoverzicht_loc_OBEL_OrganicCashFlow","Name":"ifrs-full:CashFlowsFromUsedInOperatingActivities","Weight":"1","Order":"36","Label":"Kasstromen uit hoofde van (gebruikt in) operationele activiteiten","Documentation":"De kasstromen uit hoofde van (gebruikt in) operationele activiteiten die de voornaamste activiteiten van een entiteit zijn die opbrengsten genereren, evenals andere activiteiten die geen investerings- of financieringsactiviteiten zijn. [Zie: opbrengsten]","PeriodType":"duration","Balance":"","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Cash flows from (used in) operating activities","SecondaryDocumentation":"The cash flows from (used in) operating activities, which are the principal revenue-producing activities of the entity and other activities that are not investing or financing activities. [Refer: Revenue]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets","ParentId":"GeconsolideerdKasstroomoverzicht_loc_OBEL_OrganicCashFlow","Name":"ifrs-full:PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets","Weight":"-1","Order":"60","Label":"Aankoop van materiële vaste activa, andere immateriële activa dan goodwill, vastgoedbeleggingen en andere vaste activa","Documentation":"De kasuitstroom voor de aankoop van materiële vaste activa, andere immateriële activa dan goodwill, vastgoedbeleggingen en andere vaste activa. [Zie: andere immateriële activa dan goodwill; vastgoedbeleggingen; andere vaste activa; materiële vaste activa]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Purchase of property, plant and equipment, intangible assets other than goodwill, investment property and other non-current assets","SecondaryDocumentation":"The cash outflow for the purchase of property, plant and equipment, intangible assets other than goodwill, investment property and other non-current assets. [Refer: Intangible assets other than goodwill; Investment property; Other non-current assets; Property, plant and equipment]","IsExtendedElement":0},{"Id":"GeconsolideerdKasstroomoverzicht_loc_OBEL_IncreaseDecreaseInPayablesRelatedToPropertyPlantAndEquipmentAndIntangibleAssetsOtherThanGoodwill","ParentId":"GeconsolideerdKasstroomoverzicht_loc_OBEL_OrganicCashFlow","Name":"obel:IncreaseDecreaseInPayablesRelatedToPropertyPlantAndEquipmentAndIntangibleAssetsOtherThanGoodwill","Weight":"1","Order":"61","Label":"Stijging (daling) in te betalen vaste activa","Documentation":"Stijging (daling) in te betalen vaste activa","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Increase Decrease In Payables Related To Property Plant And Equipment And Intangible Assets Other Than Goodwill","SecondaryDocumentation":"Increase (decrease) in payables related to property plant and equipment and intangible assets other than goodwill","IsExtendedElement":1},{"Id":"GeconsolideerdKasstroomoverzicht_loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities","ParentId":"GeconsolideerdKasstroomoverzicht_loc_OBEL_OrganicCashFlow","Name":"ifrs-full:PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities","Weight":"-1","Order":"62","Label":"Betalingen van leaseverplichtingen, geclassificeerd als financieringsactiviteiten","Documentation":"De kasuitstroom voor de betaling van leaseverplichtingen, geclassificeerd als financieringsactiviteiten. [Zie: leaseverplichtingen]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Payments of lease liabilities, classified as financing activities","SecondaryDocumentation":"The cash outflow for payment of lease liabilities, classified as financing activities. [Refer: Lease liabilities]","IsExtendedElement":0},{"Id":"http://www.orange.be/role/GeconsolideerdOverzichtVanVermogensmutaties","ParentId":"","Name":"1005 - Statement - Geconsolideerd overzicht van vermogensmutaties","Weight":"","Order":"","Label":"","Documentation":"","PeriodType":"","Balance":"","Type":"","AbstractText":"","Nillable":"","SubstitutionGroup":"","IsReferenceExist":"0","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_ComprehensiveIncome","ParentId":"http://www.orange.be/role/GeconsolideerdOverzichtVanVermogensmutaties","Name":"ifrs-full:ComprehensiveIncome","Weight":"","Order":"","Label":"","Documentation":"Het bedrag van de vermogensmutatie die voortvloeit uit transacties en andere gebeurtenissen, met uitzondering van mutaties die voortvloeien uit transacties met eigenaars in hun hoedanigheid van eigenaars.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_ProfitLoss","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_ComprehensiveIncome","Name":"ifrs-full:ProfitLoss","Weight":"1","Order":"1","Label":"Winst (verlies)","Documentation":"Het totaal van de baten min de lasten uit hoofde van voortgezette en beëindigde bedrijfsactiviteiten, exclusief de overige onderdelen van het totaalresultaat. [Zie: overige onderdelen van het totaalresultaat]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Profit (loss)","SecondaryDocumentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","IsExtendedElement":0},{"Id":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges","ParentId":"GeconsolideerdOverzichtVanVermogensmutaties_loc_ifrs-full_ComprehensiveIncome","Name":"ifrs-full:OtherComprehensiveIncomeNetOfTaxCashFlowHedges","Weight":"1","Order":"2","Label":"Overige onderdelen van het totaalresultaat, na belastingen, kasstroomafdekkingen","Documentation":"Het bedrag van de overige onderdelen van het totaalresultaat, na belastingen, met betrekking tot kasstroomafdekkingen. [Zie: kasstroomafdekking [member]; overige onderdelen van het totaalresultaat]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Other comprehensive income, net of tax, cash flow hedges","SecondaryDocumentation":"The amount of other comprehensive income, net of tax, related to cash flow hedges. [Refer: Cash flow hedges [member]; Other comprehensive income]","IsExtendedElement":0}];
  $scope.periodData = ["2021-01-01 - 2021-12-31","2020-01-01 - 2020-12-31","2021-01-01 - 2021-12-31 (ifrs-full:IssuedCapitalMember)","2021-01-01 - 2021-12-31 (ifrs-full:OtherReservesMember)","2021-01-01 - 2021-12-31 (ifrs-full:RetainedEarningsMember)","2021-01-01 - 2021-12-31 (ifrs-full:TreasurySharesMember)","2020-01-01 - 2020-12-31 (ifrs-full:IssuedCapitalMember)","2020-01-01 - 2020-12-31 (ifrs-full:OtherReservesMember)","2020-01-01 - 2020-12-31 (ifrs-full:RetainedEarningsMember)","2020-01-01 - 2020-12-31 (ifrs-full:TreasurySharesMember)","2021-12-31","2020-12-31","2019-12-31","2020-12-31 (ifrs-full:IssuedCapitalMember)","2020-12-31 (ifrs-full:OtherReservesMember)","2020-12-31 (ifrs-full:RetainedEarningsMember)","2020-12-31 (ifrs-full:TreasurySharesMember)","2021-12-31 (ifrs-full:IssuedCapitalMember)","2021-12-31 (ifrs-full:OtherReservesMember)","2021-12-31 (ifrs-full:RetainedEarningsMember)","2021-12-31 (ifrs-full:TreasurySharesMember)","2019-12-31 (ifrs-full:PreviouslyStatedMember,ifrs-full:IssuedCapitalMember)","2019-12-31 (ifrs-full:PreviouslyStatedMember,ifrs-full:OtherReservesMember)","2019-12-31 (ifrs-full:PreviouslyStatedMember,ifrs-full:RetainedEarningsMember)","2019-12-31 (ifrs-full:PreviouslyStatedMember,ifrs-full:TreasurySharesMember)","2019-12-31 (ifrs-full:PreviouslyStatedMember)","2019-12-31 (ifrs-full:IncreaseDecreaseDueToChangesInAccountingPolicyRequiredByIFRSsMember,ifrs-full:IssuedCapitalMember)","2019-12-31 (ifrs-full:IncreaseDecreaseDueToChangesInAccountingPolicyRequiredByIFRSsMember,ifrs-full:OtherReservesMember)","2019-12-31 (ifrs-full:IncreaseDecreaseDueToChangesInAccountingPolicyRequiredByIFRSsMember,ifrs-full:RetainedEarningsMember)","2019-12-31 (ifrs-full:IncreaseDecreaseDueToChangesInAccountingPolicyRequiredByIFRSsMember,ifrs-full:TreasurySharesMember)","2019-12-31 (ifrs-full:IncreaseDecreaseDueToChangesInAccountingPolicyRequiredByIFRSsMember)","2019-12-31 (ifrs-full:IssuedCapitalMember,obel:AsRestatedMember)","2019-12-31 (ifrs-full:OtherReservesMember,obel:AsRestatedMember)","2019-12-31 (ifrs-full:RetainedEarningsMember,obel:AsRestatedMember)","2019-12-31 (ifrs-full:TreasurySharesMember,obel:AsRestatedMember)","2019-12-31 (obel:AsRestatedMember)"];
  $scope.periodValueData = [["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[39463000,39463000,0,54011000,54011000,0,0,0,0,0,0,0,39463000,39463000,0,0,0,0,0,0,0,0,0,0,54011000,54011000,0,0,0,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[39723000,39723000,0,53980000,53980000,0,0,0,0,0,0,0,0,39723000,39723000,0,0,0,0,0,0,0,0,0,0,53980000,53980000,0,0,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,-260000,-260000,0,31000,31000,0,0,0,0,0,0,0,-260000,-260000,0,0,0,0,0,0,0,0,0,0,31000,31000,0,0,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[39723000,39723000,0,53980000,53980000,0,0,0,0,0,0,0,0,39723000,39723000,0,0,0,0,0,0,0,0,0,0,53980000,53980000,0,0,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[52497000,52497000,0,64070000,64069000,-1000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[-3232000,-3232000,0,-5287000,-5287000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,3232000,3232000,0,5287000,5287000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,0,0,0,0,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[55729000,55729000,0,69356000,69357000,1000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[1363472000,1363472000,0,1314868000,1314868000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[945145000,945145000,0,905939000,905939000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,254975000,254975000,0,220759000,220759000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,578828000,578828000,0,585164000,585164000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,71078000,71078000,0,59633000,59633000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,40264000,40264000,0,40383000,40383000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,141130000,141130000,0,132244000,132244000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,241940000,241940000,0,246174000,246174000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,35257000,35257000,0,30511000,30511000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[570932000,570932000,0,548958000,548958000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,185409000,185409000,0,167684000,167684000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,8672000,8672000,0,6630000,6630000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,376851000,376851000,0,374644000,374644000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,4035000,4035000,0,5644000,5644000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,279206000,279206000,0,250240000,250240000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,14937000,14937000,0,0,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,1638000,1638000,0,689000,689000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,276000,276000,0,179000,179000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,148615000,148615000,0,146949000,146949000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[288657000,288656000,-1000,293211000,293211000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,33789000,33789000,0,42867000,42867000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,97359000,97359000,0,95337000,95337000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,8508000,8508000,0,14493000,14493000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,63587000,63587000,0,61523000,61523000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,28848000,28848000,0,26393000,26393000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,60177000,60177000,0,52882000,52882000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,54085000,54085000,0,52502000,52502000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,12774000,12774000,0,10089000,10089000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",624156000,624156000,0,613925000,613925000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,131721000,131721000,0,131721000,131721000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,13172000,13172000,0,13172000,13172000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,479263000,479263000,0,470551000,470551000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,0,0,0,1519000,1519000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",1659674000,1659672000,-2000,1751994000,1751994000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",1309327000,1309327000,0,1377291000,1377291000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,89474000,89474000,0,104411000,104411000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,247439000,247439000,0,249978000,249978000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,662770000,662770000,0,707591000,707591000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,299164000,299164000,0,303803000,303803000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,5760000,5760000,0,5485000,5485000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,2219000,2219000,0,2253000,2253000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,701000,701000,0,627000,627000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,1800000,1800000,0,3143000,3143000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",350348000,350347000,-1000,374703000,374703000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,24024000,24024000,0,26685000,26685000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,188127000,188127000,0,207483000,207483000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,61653000,61653000,0,63184000,63184000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,417000,417000,0,361000,361000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,243000,243000,0,301000,301000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,7724000,7724000,0,7374000,7374000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,9167000,9167000,0,1362000,1362000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,283000,283000,0,328000,328000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,4975000,4975000,0,6809000,6809000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,53735000,53735000,0,60816000,60816000,0,20175000,20175000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",1659673000,1659672000,-1000,1751993000,1751994000,1000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",624156000,624156000,0,613925000,613925000,0,"-","-","-",0,131721000,131721000,0,13172000,13172000,0,470551000,470551000,0,-1519000,-1519000,0,131721000,131721000,0,13172000,13172000,0,479263000,479263000,0,0,0,0,131721000,131721000,0,13172000,13172000,0,447399000,447399000,0,-197000,-197000,0,592095000,592095000,0,0,0,0,0,0,0,-575000,-575000,0,0,0,0,-575000,-575000,0,131721000,131721000,0,13172000,13172000,0,446824000,446824000,0,-197000,-197000,0,591520000,591520000],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,131721000,131721000,0,131721000,131721000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,13172000,13172000,0,13172000,13172000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,479263000,479263000,0,470551000,470551000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,0,0,0,1519000,1519000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",464927000,464927000,0,350739000,350738000,-1000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,121809000,121809000,0,3496000,3496000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,255251000,255251000,0,259622000,259622000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,73000,73000,0,12000,12000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,80656000,80656000,0,77094000,77094000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,2580000,2580000,0,2344000,2344000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,4558000,4558000,0,8171000,8171000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",570590000,570590000,0,787330000,787330000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,71654000,71654000,0,56995000,56995000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,258822000,258822000,0,296525000,296525000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,1461000,1461000,0,202141000,202141000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,44669000,44669000,0,44429000,44429000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,243000,243000,0,480000,480000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,34110000,34110000,0,33698000,33698000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,9065000,9065000,0,5498000,5498000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,1127000,1127000,0,1239000,1239000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,7082000,7082000,0,3806000,3806000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,75491000,75491000,0,77191000,77191000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,10653000,10653000,0,4790000,4790000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,56022000,56022000,0,58968000,58968000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-",0,191000,191000,0,1570000,1570000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[-7082000,-7082000,0,40641000,40641000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[-163616000,-163616000,0,-128394000,-128394000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,81897000,81897000,0,42174000,42174000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,51834000,51834000,0,48419000,48419000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,10000,10000,0,-6472000,-6472000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,-112000,-112000,0,1322000,1322000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,30007000,30007000,0,30007000,30007000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[-211318000,-211318000,0,-175399000,-175399000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,150000,150000,0,1706000,1706000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,54000,54000,0,-98000,-98000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,225881000,225881000,0,177734000,177734000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,14659000,14659000,0,4139000,4139000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[367851000,367852000,1000,344434000,344434000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,3003000,3003000,0,5165000,5165000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,10727000,10727000,0,10595000,10595000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,-37718000,-37718000,0,-18526000,-18526000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,1538000,1538000,0,1463000,1463000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,-2946000,-2946000,0,-6777000,-6777000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,-4196000,-4196000,0,1232000,1232000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,-35288000,-35288000,0,-19359000,-19359000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,3816000,3816000,0,5263000,5263000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,9508000,9508000,0,12604000,12604000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,25783000,25783000,0,17028000,17028000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,279206000,279206000,0,250240000,250240000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,54085000,54085000,0,52502000,52502000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,14937000,14937000,0,0,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,1638000,1638000,0,689000,689000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,-1725000,-1725000,0,-2742000,-2742000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,-1045000,-1045000,0,-2349000,-2349000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,276000,276000,0,179000,179000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,12774000,12774000,0,10089000,10089000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,3232000,3232000,0,5287000,5287000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,-27000,-27000,0,-51000,-51000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,686000,686000,0,-152000,-152000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,8672000,8672000,0,6630000,6630000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[39723000,39723000,0,53980000,53980000,0,0,0,0,0,0,0,0,39723000,39723000,0,0,0,0,0,0,0,0,0,0,53980000,53980000,0,0,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[104796000,104797000,1000,122420000,122420000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[367851000,367852000,1000,344434000,344434000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,225881000,225881000,0,177734000,177734000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,14659000,14659000,0,4139000,4139000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,51834000,51834000,0,48419000,48419000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[39463000,39463000,0,54011000,54011000,0,0,0,0,0,0,0,39463000,39463000,0,0,0,0,0,0,0,0,0,0,54011000,54011000,0,0,0,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[39723000,39723000,0,53980000,53980000,0,0,0,0,0,0,0,0,39723000,39723000,0,0,0,0,0,0,0,0,0,0,53980000,53980000,0,0,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,-260000,-260000,0,31000,31000,0,0,0,0,0,0,0,-260000,-260000,0,0,0,0,0,0,0,0,0,0,31000,31000,0,0,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"]];
  $scope.definitionData = [{"Id":"http://www.orange.be/role/Anchoring","ParentId":"","Name":"Anchoring","Order":"","Label":"","Documentation":"","PeriodType":"","Balance":"","Type":"","AbstractText":"","Nillable":"","SubstitutionGroup":"","IsReferenceExist":"0","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"Anchoring_RevenueFromRenderingOfTelecommunicationServices","ParentId":"http://www.orange.be/role/Anchoring","Name":"ifrs-full:RevenueFromRenderingOfTelecommunicationServices","Order":"","Label":"Opbrengsten uit hoofde van de verlening van telecommunicatiediensten","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verlening van telecommunicatiediensten. [Zie: opbrengsten]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Revenue from rendering of telecommunication services","SecondaryDocumentation":"The amount of revenue arising from the rendering of telecommunication services. [Refer: Revenue]","IsExtendedElement":0},{"Id":"Anchoring_RevenueFromConvergentServices","ParentId":"Anchoring_RevenueFromRenderingOfTelecommunicationServices","Name":"obel:RevenueFromConvergentServices","Order":"1.0","Label":"Omzet uit convergente diensten","Documentation":"Omzet uit convergente diensten.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Revenue From Convergent Services","SecondaryDocumentation":"Revenue from convergent services","IsExtendedElement":0},{"Id":"Anchoring_RevenueFromRenderingOfMobileTelephoneServices","ParentId":"Anchoring_RevenueFromConvergentServices","Name":"ifrs-full:RevenueFromRenderingOfMobileTelephoneServices","Order":"2.0","Label":"Opbrengsten uit hoofde van de verlening van mobiele-telefoniediensten","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verlening van mobiele-telefoniediensten. [Zie: opbrengsten]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Revenue from rendering of mobile telephone services","SecondaryDocumentation":"The amount of revenue arising from the rendering of mobile telephone services. [Refer: Revenue]","IsExtendedElement":0},{"Id":"Anchoring_RevenueFromSaleOfTelecommunicationEquipment","ParentId":"Anchoring_RevenueFromConvergentServices","Name":"ifrs-full:RevenueFromSaleOfTelecommunicationEquipment","Order":"2.0","Label":"Opbrengsten uit hoofde van de verkoop van telecommunicatie-uitrusting","Documentation":"Het bedrag van de opbrengsten die voortvloeien uit de verkoop van telecommunicatie-uitrusting. [Zie: opbrengsten]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Revenue from sale of telecommunication equipment","SecondaryDocumentation":"The amount of revenue arising from the sale of telecommunication equipment. [Refer: Revenue]","IsExtendedElement":0},{"Id":"Anchoring_OtherExpenseByNature","ParentId":"http://www.orange.be/role/Anchoring","Name":"ifrs-full:OtherExpenseByNature","Order":"","Label":"Andere lasten, per type","Documentation":"Het bedrag aan lasten die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting wanneer de entiteit gebruik maakt van de categoriale kostenindeling voor de uitsplitsing van lasten. [Zie: kosten, per type]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Other expenses, by nature","SecondaryDocumentation":"The amount of expenses that the entity does not separately disclose in the same statement or note when the entity uses the 'nature of expense' form for its analysis of expenses. [Refer: Expenses, by nature]","IsExtendedElement":0},{"Id":"Anchoring_IndirectCosts","ParentId":"Anchoring_OtherExpenseByNature","Name":"obel:IndirectCosts","Order":"1.0","Label":"Indirect Costs","Documentation":"Indirecte bedrijfskosten","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Indirecte bedrijfskosten","SecondaryDocumentation":"Indirect costs","IsExtendedElement":0},{"Id":"Anchoring_OperatingExpense","ParentId":"http://www.orange.be/role/Anchoring","Name":"ifrs-full:OperatingExpense","Order":"","Label":"Exploitatielasten","Documentation":"Het bedrag van alle exploitatielasten.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Operating expense","SecondaryDocumentation":"The amount of all operating expenses.","IsExtendedElement":0},{"Id":"Anchoring_DirectCosts","ParentId":"Anchoring_OperatingExpense","Name":"obel:DirectCosts","Order":"1.0","Label":"Direct Costs","Documentation":"Directe bedrijfskosten.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Directe bedrijfskosten","SecondaryDocumentation":"Direct costs.","IsExtendedElement":0},{"Id":"Anchoring_OtherCurrentNonfinancialAssets","ParentId":"http://www.orange.be/role/Anchoring","Name":"ifrs-full:OtherCurrentNonfinancialAssets","Order":"","Label":"Andere vlottende niet-financiële activa","Documentation":"Het bedrag aan vlottende niet-financiële activa die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting. [Zie: financiële activa]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Other current non-financial assets","SecondaryDocumentation":"The amount of current non-financial assets that the entity does not separately disclose in the same statement or note. [Refer: Financial assets]","IsExtendedElement":0},{"Id":"Anchoring_ContractAssetsAndAssetsRecognisedFromCostsToObtainOrFulfilContractsWithCustomersCurrent","ParentId":"Anchoring_OtherCurrentNonfinancialAssets","Name":"obel:ContractAssetsAndAssetsRecognisedFromCostsToObtainOrFulfilContractsWithCustomersCurrent","Order":"1.0","Label":"Overige activa in verband met contracten met klanten","Documentation":"Overige activa in verband met contracten met klanten","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Contract Assets And Assets Recognised From Costs To Obtain Or Fulfil Contracts With Customers Current","SecondaryDocumentation":"Contract assets and assets recognised from costs to obtain or fulfil contracts with customers, current","IsExtendedElement":0},{"Id":"Anchoring_CurrentContractAssets","ParentId":"Anchoring_ContractAssetsAndAssetsRecognisedFromCostsToObtainOrFulfilContractsWithCustomersCurrent","Name":"ifrs-full:CurrentContractAssets","Order":"2.0","Label":"Vlottende contractactiva","Documentation":"Het bedrag aan vlottende contractactiva. [Zie: contractactiva]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Current contract assets","SecondaryDocumentation":"The amount of current contract assets. [Refer: Contract assets]","IsExtendedElement":0},{"Id":"Anchoring_CurrentPayablesOnSocialSecurityAndTaxesOtherThanIncomeTax","ParentId":"http://www.orange.be/role/Anchoring","Name":"ifrs-full:CurrentPayablesOnSocialSecurityAndTaxesOtherThanIncomeTax","Order":"","Label":"Kortlopende schulden uit hoofde van sociale zekerheid en belastingen die geen winstbelastingen zijn","Documentation":"Het bedrag aan kortlopende schulden uit hoofde van sociale zekerheid en belastingen die geen winstbelastingen zijn. [Zie: schulden uit hoofde van sociale zekerheid en belastingen die geen winstbelastingen zijn]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Current payables on social security and taxes other than income tax","SecondaryDocumentation":"The amount of current payables on social security and taxes other than incomes tax. [Refer: Payables on social security and taxes other than income tax]","IsExtendedElement":0},{"Id":"Anchoring_CurrentPayablesOnTaxesOtherThanIncomeTax","ParentId":"Anchoring_CurrentPayablesOnSocialSecurityAndTaxesOtherThanIncomeTax","Name":"obel:CurrentPayablesOnTaxesOtherThanIncomeTax","Order":"1.0","Label":"Te betalen operationele belastingen en heffingen","Documentation":"Te betalen operationele belastingen en heffingen","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Current Payables On Taxes Other Than Income Tax","SecondaryDocumentation":"Current payables on taxes other than income tax","IsExtendedElement":0},{"Id":"Anchoring_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets","ParentId":"http://www.orange.be/role/Anchoring","Name":"ifrs-full:PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets","Order":"","Label":"Aankoop van materiële vaste activa, andere immateriële activa dan goodwill, vastgoedbeleggingen en andere vaste activa","Documentation":"De kasuitstroom voor de aankoop van materiële vaste activa, andere immateriële activa dan goodwill, vastgoedbeleggingen en andere vaste activa. [Zie: andere immateriële activa dan goodwill; vastgoedbeleggingen; andere vaste activa; materiële vaste activa]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Purchase of property, plant and equipment, intangible assets other than goodwill, investment property and other non-current assets","SecondaryDocumentation":"The cash outflow for the purchase of property, plant and equipment, intangible assets other than goodwill, investment property and other non-current assets. [Refer: Intangible assets other than goodwill; Investment property; Other non-current assets; Property, plant and equipment]","IsExtendedElement":0},{"Id":"Anchoring_IncreaseDecreaseInPayablesRelatedToPropertyPlantAndEquipmentAndIntangibleAssetsOtherThanGoodwill","ParentId":"Anchoring_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets","Name":"obel:IncreaseDecreaseInPayablesRelatedToPropertyPlantAndEquipmentAndIntangibleAssetsOtherThanGoodwill","Order":"1.0","Label":"Stijging (daling) in te betalen vaste activa","Documentation":"Stijging (daling) in te betalen vaste activa","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Increase Decrease In Payables Related To Property Plant And Equipment And Intangible Assets Other Than Goodwill","SecondaryDocumentation":"Increase (decrease) in payables related to property plant and equipment and intangible assets other than goodwill","IsExtendedElement":0},{"Id":"Anchoring_OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities","ParentId":"http://www.orange.be/role/Anchoring","Name":"ifrs-full:OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities","Order":"","Label":"Andere instromen (uitstromen) van geldmiddelen, geclassificeerd als investeringsactiviteiten","Documentation":"Instromen (uitstromen) van geldmiddelen, geclassificeerd als investeringsactiviteiten, die de entiteit niet afzonderlijk opneemt in hetzelfde overzicht of dezelfde toelichting.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Other inflows (outflows) of cash, classified as investing activities","SecondaryDocumentation":"Inflows (outflows) of cash, classified as investing activities, that the entity does not separately disclose in the same statement or note.","IsExtendedElement":0},{"Id":"Anchoring_OrganicCashFlow","ParentId":"Anchoring_OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities","Name":"obel:OrganicCashFlow","Order":"1.0","Label":"Organische kasstroom","Documentation":"Organische kasstroom.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Organic Cash Flow","SecondaryDocumentation":"Inflows (outflows) of cash, classified as investing activities, that the entity does not separately disclose in the same statement or note.","IsExtendedElement":0},{"Id":"Anchoring_CashFlowsFromUsedInFinancingActivities","ParentId":"Anchoring_OrganicCashFlow","Name":"ifrs-full:CashFlowsFromUsedInFinancingActivities","Order":"2.0","Label":"Kasstromen uit hoofde van (gebruikt in) financieringsactiviteiten","Documentation":"De kasstromen uit hoofde van (gebruikt in) financieringsactiviteiten die activiteiten zijn die leiden tot wijzigingen in de grootte en de samenstelling van het gestort kapitaal en het vreemd vermogen van de entiteit.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Cash flows from (used in) financing activities","SecondaryDocumentation":"The cash flows from (used in) financing activities, which are activities that result in changes in the size and composition of the contributed equity and borrowings of the entity.","IsExtendedElement":0},{"Id":"Anchoring_CashFlowsFromUsedInInvestingActivities","ParentId":"Anchoring_OrganicCashFlow","Name":"ifrs-full:CashFlowsFromUsedInInvestingActivities","Order":"2.0","Label":"Kasstromen uit hoofde van (gebruikt in) investeringsactiviteiten","Documentation":"De kasstromen uit hoofde van (gebruikt in) investeringsactiviteiten die de verwerving en vervreemding zijn van vaste activa en andere investeringen die niet in kasequivalenten zijn vervat.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Cash flows from (used in) investing activities","SecondaryDocumentation":"The cash flows from (used in) investing activities, which are the acquisition and disposal of long-term assets and other investments not included in cash equivalents.","IsExtendedElement":0},{"Id":"Anchoring_CashFlowsFromUsedInOperatingActivities","ParentId":"Anchoring_OrganicCashFlow","Name":"ifrs-full:CashFlowsFromUsedInOperatingActivities","Order":"2.0","Label":"Kasstromen uit hoofde van (gebruikt in) operationele activiteiten","Documentation":"De kasstromen uit hoofde van (gebruikt in) operationele activiteiten die de voornaamste activiteiten van een entiteit zijn die opbrengsten genereren, evenals andere activiteiten die geen investerings- of financieringsactiviteiten zijn. [Zie: opbrengsten]","PeriodType":"duration","Balance":"","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Cash flows from (used in) operating activities","SecondaryDocumentation":"The cash flows from (used in) operating activities, which are the principal revenue-producing activities of the entity and other activities that are not investing or financing activities. [Refer: Revenue]","IsExtendedElement":0},{"Id":"Anchoring_AdjustmentsForReconcileProfitLoss","ParentId":"http://www.orange.be/role/Anchoring","Name":"ifrs-full:AdjustmentsForReconcileProfitLoss","Order":"","Label":"Aanpassingen om een aansluiting te geven tussen winst (verlies)","Documentation":"Aanpassingen om een aansluiting te geven tussen winst (verlies) en de nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: winst (verlies)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Adjustments to reconcile profit (loss)","SecondaryDocumentation":"Adjustments to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","IsExtendedElement":0},{"Id":"Anchoring_AdjustmentsForOperationalForeignExchangeAndDerivativesLossesGainsNet","ParentId":"Anchoring_AdjustmentsForReconcileProfitLoss","Name":"obel:AdjustmentsForOperationalForeignExchangeAndDerivativesLossesGainsNet","Order":"1.0","Label":"Operationele nettovalutatransacties en derivaten","Documentation":"Operationele nettovalutatransacties en derivaten","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Adjustments For Operational Foreign Exchange And Derivatives Losses Gains Net","SecondaryDocumentation":"Adjustments for operational foreign exchange and derivatives losses (gains), net","IsExtendedElement":0},{"Id":"Anchoring_AdjustmentsForDepreciationAndAmortisationExpense","ParentId":"http://www.orange.be/role/Anchoring","Name":"ifrs-full:AdjustmentsForDepreciationAndAmortisationExpense","Order":"","Label":"Aanpassingen voor afschrijvingskosten","Documentation":"Aanpassingen voor afschrijvingskosten om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: afschrijvingskosten; winst (verlies)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Adjustments for depreciation and amortisation expense","SecondaryDocumentation":"Adjustments for depreciation and amortisation expense to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Depreciation and amortisation expense; Profit (loss)]","IsExtendedElement":0},{"Id":"Anchoring_AdjustmentsForDepreciationAndAmortisationExpenseRightOfUseAssets","ParentId":"Anchoring_AdjustmentsForDepreciationAndAmortisationExpense","Name":"obel:AdjustmentsForDepreciationAndAmortisationExpenseRightOfUseAssets","Order":"1.0","Label":"Afschrijvingen van met een gebruiksrecht overeenstemmende activa","Documentation":"Afschrijvingen van met een gebruiksrecht overeenstemmende activa","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Adjustments For Depreciation And Amortisation Expense Right Of Use Assets","SecondaryDocumentation":"Adjustments for depreciation and amortisation expense, right-of-use assets","IsExtendedElement":0},{"Id":"Anchoring_IncreaseDecreaseInWorkingCapital","ParentId":"http://www.orange.be/role/Anchoring","Name":"ifrs-full:IncreaseDecreaseInWorkingCapital","Order":"","Label":"Stijging (daling) van werkkapitaal","Documentation":"De stijging (daling) van het werkkapitaal.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Increase (decrease) in working capital","SecondaryDocumentation":"The increase (decrease) in working capital.","IsExtendedElement":0},{"Id":"Anchoring_AdjustmentsForIncreaseDecreaseInCustomerContractAssets","ParentId":"Anchoring_IncreaseDecreaseInWorkingCapital","Name":"obel:AdjustmentsForIncreaseDecreaseInCustomerContractAssets","Order":"1.0","Label":"Wijziging in overige activa in verband met contracten met klanten","Documentation":"Wijziging in overige activa in verband met contracten met klanten.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Adjustments For Increase Decrease In Customer Contract Assets","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"Anchoring_AdjustmentsForIncreaseDecreaseInCustomerContractLiabilities","ParentId":"Anchoring_IncreaseDecreaseInWorkingCapital","Name":"obel:AdjustmentsForIncreaseDecreaseInCustomerContractLiabilities","Order":"1.0","Label":"Wijziging in verplichtingen in verband met contracten met klanten","Documentation":"Wijziging in verplichtingen in verband met contracten met klanten.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Adjustments For Increase Decrease In Customer Contract Liabilities","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"Anchoring_AdjustmentsForIncreaseDecreaseInOtherAssetsAndDecreaseIncreaseInOtherLiabilities","ParentId":"Anchoring_IncreaseDecreaseInWorkingCapital","Name":"obel:AdjustmentsForIncreaseDecreaseInOtherAssetsAndDecreaseIncreaseInOtherLiabilities","Order":"1.0","Label":"Wijzigingen in andere activa en verplichtingen","Documentation":"Wijzigingen in andere activa en verplichtingen","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Adjustments For Increase Decrease In Other Assets And Decrease Increase In Other Liabilities","SecondaryDocumentation":"Adjustments for increase decrease in other assets and decrease increase in other liabilities","IsExtendedElement":0},{"Id":"Anchoring_AdjustmentsForDecreaseIncreaseInOtherAssets","ParentId":"Anchoring_AdjustmentsForIncreaseDecreaseInOtherAssetsAndDecreaseIncreaseInOtherLiabilities","Name":"ifrs-full:AdjustmentsForDecreaseIncreaseInOtherAssets","Order":"2.0","Label":"Aanpassingen voor de daling (stijging) van andere activa","Documentation":"Aanpassingen voor de daling (stijging) van andere activa om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: andere activa; winst (verlies)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Adjustments for decrease (increase) in other assets","SecondaryDocumentation":"Adjustments for decrease (increase) in other assets to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Other assets; Profit (loss)]","IsExtendedElement":0},{"Id":"Anchoring_AdjustmentsForIncreaseDecreaseInOtherLiabilities","ParentId":"Anchoring_AdjustmentsForIncreaseDecreaseInOtherAssetsAndDecreaseIncreaseInOtherLiabilities","Name":"ifrs-full:AdjustmentsForIncreaseDecreaseInOtherLiabilities","Order":"2.0","Label":"Aanpassingen voor de stijging (daling) van andere verplichtingen","Documentation":"Aanpassingen voor de stijging (daling) van andere verplichtingen om een aansluiting te geven tussen winst (verlies) en nettokasstroom uit (gebruikt in) operationele activiteiten. [Zie: andere verplichtingen; winst (verlies)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Adjustments for increase (decrease) in other liabilities","SecondaryDocumentation":"Adjustments for increase (decrease) in other liabilities to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Other liabilities; Profit (loss)]","IsExtendedElement":0},{"Id":"Anchoring_MiscellaneousOtherOperatingExpense","ParentId":"http://www.orange.be/role/Anchoring","Name":"ifrs-full:MiscellaneousOtherOperatingExpense","Order":"","Label":"Diverse andere exploitatielasten","Documentation":"Het bedrag aan diverse andere exploitatielasten. [Zie: andere exploitatiebaten (-lasten)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"Miscellaneous other operating expense","SecondaryDocumentation":"The amount of miscellaneous other operating expenses. [Refer: Other operating income (expense)]","IsExtendedElement":0},{"Id":"Anchoring_OtherInformationTechnologyAndNetworkExpenses","ParentId":"Anchoring_MiscellaneousOtherOperatingExpense","Name":"obel:OtherInformationTechnologyAndNetworkExpenses","Order":"1.0","Label":"Overige IT- en netwerkuitgaven","Documentation":"Overige IT- en netwerkuitgaven","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Other Information Technology And Network Expenses","SecondaryDocumentation":"Other information technology and network expenses","IsExtendedElement":0},{"Id":"Anchoring_OtherDirectCosts","ParentId":"Anchoring_MiscellaneousOtherOperatingExpense","Name":"obel:OtherDirectCosts","Order":"1.0","Label":"Overige directe bedrijfskosten","Documentation":"Overige directe bedrijfskosten.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"Other direct costs","SecondaryDocumentation":"Other direct costs.","IsExtendedElement":0}];
  // $scope.pageData = <!PAGE DATA!>;
  $scope.referenceData = [{"ElementName":"DividendsProposedOrDeclaredBeforeFinancialStatementsAuthorisedForIssueButNotRecognisedAsDistributionToOwners","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"137","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_137_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_o&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"56","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_56&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_o&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"56","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_56&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxExpenseContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_82_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInProfitOrLossPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_98_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLossPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_98_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaturityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"61","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_61&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedTimeBandsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"61","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_61&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotLaterThanOneYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"61","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_61_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Revenue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_82_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Revenue","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"103","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_103&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Revenue","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"102","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_102&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionsForEmployeeBenefits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EmployeeBenefitsExpense","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"102","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_102&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EmployeeBenefitsExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"99","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_99&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EmployeeBenefitsExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"104","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_104&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Goodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationAndAmortisationExpense","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"102","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_102&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationAndAmortisationExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"99","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_99&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationAndAmortisationExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"104","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_104&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"66","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_66&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Assets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossBeforeTax","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"103","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_103&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossBeforeTax","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"102","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_102&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnCashFlowHedgesNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnCashFlowHedgesBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfShareCapitalReservesAndOtherEquityInterestExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_79&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNotesAndOtherExplanatoryInformationExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReservesAndOtherEquityInterestExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_79_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EquityAndLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfGeneralInformationAboutFinancialStatementsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"51","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_51&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Equity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Equity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DistributionCosts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"103","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_103&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DistributionCosts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"99","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_99&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossProfit","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"103","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_103&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherExpenseByFunction","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"103","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_103&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherExpenseByFunction","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"99","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_99&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherIncome","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"103","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_103&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherIncome","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"102","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_102&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdministrativeExpense","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"103","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_103&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdministrativeExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"99","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_99&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CostOfSales","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"99","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_99&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CostOfSales","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"103","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_103&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherExpenseByNature","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"102","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_102&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherExpenseByNature","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"99","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_99&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInInventoriesOfFinishedGoodsAndWorkInProgress","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"102","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_102&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInInventoriesOfFinishedGoodsAndWorkInProgress","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"99","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_99&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RawMaterialsAndConsumablesUsed","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"102","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_102&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RawMaterialsAndConsumablesUsed","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"99","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_99&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"99","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_99&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherShorttermProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentProvisionsForEmployeeBenefits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherLongtermProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentProvisionsForEmployeeBenefits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersAndOtherChangesEquity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInEquity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LegalFormOfEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_138_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfIncorporation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_138_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DomicileOfEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_138_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AddressOfRegisteredOfficeOfEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_138_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPresentationCurrency","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"51","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_51_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfUltimateParentOfGroup","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_138_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfParentEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_138_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherCurrentReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherCurrentReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherContributionsByOwners","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IssueOfEquity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherDistributionsToOwners","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComprehensiveIncomeAttributableToNoncontrollingInterests","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComprehensiveIncomeAttributableToOwnersOfParent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsPaid","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"107","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_107&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementOfIFRSCompliance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfMeasurementBasesUsedInPreparingFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfOtherAccountingPoliciesRelevantToUnderstandingOfFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfManagementJudgementsInApplyingEntitysAccountingPoliciesWithSignificantEffectOnRecognisedAmounts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"122","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_122&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfAssumptionAboutFutureWithSignificantRiskOfResultingInMaterialAdjustments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"125","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_125&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfAssumptionAboutFutureWithSignificantRiskOfResultingInMaterialAdjustments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=14&code=ifrs-tx-2020-en-r&anchor=para_10&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfEntitysOperationsAndPrincipalActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_138_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfDepartureFromIFRS","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_20_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfDepartureFromIFRS","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_20_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ManagementConclusionOnFairPresentationAsConsequenceOfDeparture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_20_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfUncertaintiesOfEntitysAbilityToContinueAsGoingConcern","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_25&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationWhyFinancialStatementsNotPreparedOnGoingConcernBasis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_25&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonForUsingLongerOrShorterReportingPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_36_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyFinancialStatementsAreNotEntirelyComparable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_36_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonForReclassificationOrChangesInPresentation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"41","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_41_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfReclassificationOrChangesInPresentation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"41","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_41_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyReclassificationOfComparativeAmountsIsImpracticable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_42_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LevelOfRoundingUsedInFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"51","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_51_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfReportingEntityOrOtherMeansOfIdentification","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"51","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_51_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfChangeInNameOfReportingEntityOrOtherMeansOfIdentificationFromEndOfPrecedingReportingPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"51","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_51_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"51","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_51_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncontrollingInterests","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_q&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SharePremium","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EquityAttributableToOwnersOfParent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_r&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetainedEarnings","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherReserves","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TreasuryShares","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TreasuryShares","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"32","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=32&code=ifrs-tx-2020-en-r&anchor=para_34&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherEquityInterest","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IssuedCapital","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Inventories","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Inventories","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"68","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_68&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherNoncurrentFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCurrentFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCurrentFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_m&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherNoncurrentFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_m&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_m&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashAndCashEquivalents","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPayables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_k&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherPayables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_k&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherCurrentPayables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_k&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentTaxLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_n&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentTaxAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_n&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"66","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_66&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"69","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_69&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"69","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_69&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfClassesOfShareCapitalExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_79_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAndPurposeOfReservesWithinEquity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_79_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfOtherEquityInterest","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"80","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_80&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_82_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PeriodCoveredByFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"51","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_51_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceCosts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_82_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherGainsLosses","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"102","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_102&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherGainsLosses","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"103","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_103&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SharesInEntityHeldByEntityOrByItsSubsidiariesOrAssociates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"vi","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_79_a_vi&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfSharesAuthorised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_79_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfSharesIssuedButNotFullyPaid","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_79_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfSharesIssuedAndFullyPaid","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_79_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ParValuePerShare","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_79_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RightsPreferencesAndRestrictionsAttachingToClassOfShareCapital","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_79_a_v&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SharesReservedForIssueUnderOptionsAndContractsForSaleOfShares","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"vii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_79_a_vii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementOfChangesInEquityTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComponentsOfEquityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EquityAttributableToOwnersOfParentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IssuedCapitalMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SharePremiumMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TreasurySharesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherEquityInterestMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetainedEarningsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncontrollingInterestsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EquityMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfClassesOfShareCapitalTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_79_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfShareCapitalAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_79_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfShareCapitalMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_79_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReservesWithinEquityTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_79_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReservesWithinEquityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_79_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfSharesOutstanding","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_79_a_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFactThatSharesHaveNoParValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_79_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_l&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_l&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Provisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_l&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInOwnershipInterestsInSubsidiariesThatDoNotResultInLossOfControl","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Accruals","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccrualsClassifiedAsCurrent","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccrualsClassifiedAsNoncurrent","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredIncomeClassifiedAsCurrent","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredIncomeClassifiedAsNoncurrent","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPayablesToRelatedParties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPayablesToTradeSuppliers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentReceivablesDueFromRelatedParties","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherCurrentPayablesToRelatedParties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherCurrentPayablesToTradeSuppliers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherCurrentPayablesToTradeSuppliers","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"70","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_70&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherCurrentReceivablesDueFromRelatedParties","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherPayablesToRelatedParties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherPayablesToTradeSuppliers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherReceivablesDueFromRelatedParties","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNatureOfRequirementInIFRSAndConclusionWhyRequirementIsInConflictWithFairPresentation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_23_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfAdjustmentsThatWouldBeNecessaryToAchieveFairPresentation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_23_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrincipalPlaceOfBusiness","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_138_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFactAndBasisForPreparationOfFinancialStatementsWhenNotGoingConcernBasis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_25&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Liabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentTaxAssetsNoncurrent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_n&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentTaxLiabilitiesNoncurrent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_n&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughSharebasedPaymentTransactions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentTaxAssetsCurrent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_n&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentTaxLiabilitiesCurrent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_n&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherReservesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherReservesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_79_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReclassificationsOrChangesInPresentationExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"41","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_41&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReclassificationsOrChangesInPresentationTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"41","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_41&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassifiedItemsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"41","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_41&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassifiedItemsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"41","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_41&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountOfReclassificationsOrChangesInPresentation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"41","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_41_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnExchangeDifferencesOnTranslationBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnExchangeDifferencesOnTranslationNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermMiscellaneousOtherProvisions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermMiscellaneousOtherProvisions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MiscellaneousOtherProvisions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_p&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsAndLiabilitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"125","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_125&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsAndLiabilitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"125","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_125&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentInventories","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InventoriesTotal","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InventoryWritedown2011","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_98_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfInventoryWritedown","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_98_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAssetsAndLiabilitiesWithSignificantRiskOfMaterialAdjustmentExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"125","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_125&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfAssetsWithSignificantRiskOfMaterialAdjustmentsWithinNextFinancialYear","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"125","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_125_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfLiabilitiesWithSignificantRiskOfMaterialAdjustmentsWithinNextFinancialYear","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"125","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_125_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsWithSignificantRiskOfMaterialAdjustmentsWithinNextFinancialYear","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"125","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_125_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesWithSignificantRiskOfMaterialAdjustmentsWithinNextFinancialYear","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"125","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_125_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RestatedMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_20_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RestatedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"61","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_61_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAssetsAndLiabilitiesWithSignificantRiskOfMaterialAdjustmentTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"125","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_125&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PreviouslyStatedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetrospectiveApplicationAndRetrospectiveRestatementAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseDueToChangesInAccountingPolicyAndCorrectionsOfPriorPeriodErrorsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInNumberOfSharesOutstanding","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_79_a_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LengthOfLifeOfLimitedLifeEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_138_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CumulativePreferenceDividendsNotRecognised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"137","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_137_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFinancialEffectOfDepartureFromIFRS","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_20_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfNecessaryAdjustmentToProvideComparativeInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_42_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_j&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherReversalsOfProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_98_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnLitigationSettlements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_98_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseOfRestructuringActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_98_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnDisposalsOfInvestments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_98_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnDisposalsOfPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_98_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfObjectivesPoliciesAndProcessesForManagingCapitalExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_134&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossArisingFromDifferenceBetweenCarryingAmountOfFinancialLiabilityExtinguishedAndConsiderationPaid","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=19&code=ifrs-tx-2020-en-r&anchor=para_11&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInDividendsPayableThroughChangeInFairValueOfNoncashAssetsHeldForDistributionToOwners","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=17&code=ifrs-tx-2020-en-r&anchor=para_16_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncashAssetsDeclaredForDistributionToOwnersBeforeFinancialStatementsAuthorisedForIssue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=17&code=ifrs-tx-2020-en-r&anchor=para_17_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsPayable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=17&code=ifrs-tx-2020-en-r&anchor=para_16_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfNoncashAssetsHeldForDistributionToOwnersDeclaredBeforeFinancialStatementsAuthorisedForIssue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=17&code=ifrs-tx-2020-en-r&anchor=para_17_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncashAssetsDeclaredForDistributionToOwnersBeforeFinancialStatementsAuthorisedForIssueAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=17&code=ifrs-tx-2020-en-r&anchor=para_17_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"QualitativeInformationAboutEntitysObjectivesPoliciesAndProcessesForManagingCapital","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"135","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_135_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SummaryOfQuantitativeDataAboutWhatEntityManagesAsCapital","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"135","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_135_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangesInEntitysObjectivesPoliciesAndProcessesForManagingCapitalAndWhatEntityManagesAsCapital","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"135","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_135_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationWhetherEntityCompliedWithAnyExternallyImposedCapitalRequirements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"135","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_135_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutConsequencesOfNoncomplianceWithExternallyImposedCapitalRequirements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"135","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_135_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SummaryQuantitativeDataAboutPuttableFinancialInstrumentsClassifiedAsEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"136A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_136A_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutObjectivesPoliciesAndProcessesForManagingEntitysObligationToRepurchaseOrRedeemPuttableFinancialInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"136A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_136A_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpectedCashOutflowOnRedemptionOrRepurchaseOfPuttableFinancialInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"136A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_136A_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutHowExpectedCashOutflowOnRedemptionOrRepurchaseWasDetermined","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"136A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_136A_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfObjectivesPoliciesAndProcessesForManagingCapitalTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"136","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_136&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueHedgesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"39","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"86","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=39&code=ifrs-tx-2020-en-r&anchor=para_86_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowHedgesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"39","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"86","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=39&code=ifrs-tx-2020-en-r&anchor=para_86_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgesOfNetInvestmentInForeignOperationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"39","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"86","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=39&code=ifrs-tx-2020-en-r&anchor=para_86_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnDisposalsOfOtherNoncurrentAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_98&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EquityReclassifiedIntoFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"80A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_80A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnHedgesOfNetInvestmentsInForeignOperationsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnHedgesOfNetInvestmentsInForeignOperationsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"39","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"102","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=39&code=ifrs-tx-2020-en-r&anchor=para_102&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxHedgesOfNetInvestmentsInForeignOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"39","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"102","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=39&code=ifrs-tx-2020-en-r&anchor=para_102_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxHedgesOfNetInvestmentsInForeignOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"39","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"102","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=39&code=ifrs-tx-2020-en-r&anchor=para_102_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnHedgesOfNetInvestmentsInForeignOperationsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnHedgesOfNetInvestmentsInForeignOperationsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"39","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"102","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=39&code=ifrs-tx-2020-en-r&anchor=para_102&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAnalysisOfOtherComprehensiveIncomeByItemExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromOperatingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"32","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=32&code=ifrs-tx-2020-en-r&anchor=para_IE33&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsClassifiedAsExpense","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"32","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"40","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=32&code=ifrs-tx-2020-en-r&anchor=para_40&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DifferenceBetweenCarryingAmountOfDividendsPayableAndCarryingAmountOfNoncashAssetsDistributed","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"15","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=17&code=ifrs-tx-2020-en-r&anchor=para_15&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnHedgesOfNetInvestmentsInForeignOperationsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"39","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"102","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=39&code=ifrs-tx-2020-en-r&anchor=para_102_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnHedgesOfNetInvestmentsInForeignOperationsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"39","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"102","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=39&code=ifrs-tx-2020-en-r&anchor=para_102_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentTradeReceivables","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentTradeReceivables","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"68","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_68&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossArisingFromDerecognitionOfFinancialAssetsMeasuredAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_82_aa&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsProposedOrDeclaredBeforeFinancialStatementsAuthorisedForIssueButNotRecognisedAsDistributionToOwnersPerShare","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"137","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_137_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WritedownsReversalsOfPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_98_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WritedownsReversalsOfInventories","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_98_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAmountsToBeRecoveredOrSettledAfterTwelveMonthsForClassesOfAssetsAndLiabilitiesThatContainAmountsToBeRecoveredOrSettledBothNoMoreAndMoreThanTwelveMonthsAfterReportingDateExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"61","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_61&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAmountsToBeRecoveredOrSettledAfterTwelveMonthsForClassesOfAssetsAndLiabilitiesThatContainAmountsToBeRecoveredOrSettledBothNoMoreAndMoreThanTwelveMonthsAfterReportingDateTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"61","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_61&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseByNature","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"99","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_99&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"66","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_66&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsRecognisedAsDistributionsToOwnersPerShare","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"107","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_107&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"69","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_69&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTermsOfSharesReservedForIssueUnderOptionsAndContractsForSaleOfShares","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"vii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_79_a_vii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepartureFromRequirementOfIFRSAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_20_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseDueToDepartureFromRequirementOfIFRSMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_20_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsOnLitigationSettlements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_98_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LossesOnLitigationSettlements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_98_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfProvisionsForCostOfRestructuring","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_98_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsOnDisposalsOfInvestments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_98_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LossesOnDisposalsOfInvestments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_98_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsOnDisposalsOfPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_98_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LossesOnDisposalsOfPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_98_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CapitalRequirementsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"136","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_136&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CapitalRequirementsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"136","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_136&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesReclassifiedIntoEquity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"80A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_80A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTimingAndReasonOfReclassificationBetweenFinancialLiabilitiesAndEquity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"80A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_80A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAnalysisOfOtherComprehensiveIncomeByItemTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentTradeReceivables","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPrepayments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherNoncurrentReceivables","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentPrepayments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeReceivables","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCurrentReceivables","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Prepayments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherReceivables","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReportedIfInComplianceWithRequirementOfIFRSMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_20_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionalPaidinCapitalMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_108&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfGoodwillExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatutoryReserveMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_108&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CapitalReserveMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_108&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CapitalRedemptionReserveMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_108&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MergerReserveMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_108&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MiscellaneousOtherReservesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_108&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfEquityComponentOfConvertibleInstrumentsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_108&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedOtherComprehensiveIncomeMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_108&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfIntangibleAssetsAndGoodwillExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfProvisionsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfIssuedCapitalExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfBorrowingsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCommitmentsAndContingentLiabilitiesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCommitmentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDerivativeFinancialInstrumentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfBasisOfPreparationOfFinancialStatementsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDeferredTaxesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfExpensesByNatureExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfExpensesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOtherOperatingIncomeExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOtherOperatingIncomeExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOtherOperatingExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfGeneralAndAdministrativeExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfLeasePrepaymentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDividendsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinanceIncomeExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinanceIncomeExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinanceCostExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCashAndCashEquivalentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutEmployeesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOtherCurrentAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOtherNoncurrentAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOtherAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOtherCurrentLiabilitiesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOtherNoncurrentLiabilitiesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOtherLiabilitiesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDiscontinuedOperationsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInvestmentsAccountedForUsingEquityMethodExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTradeAndOtherReceivablesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTradeAndOtherPayablesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfResearchAndDevelopmentExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAuditorsRemunerationExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutKeyManagementPersonnelExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTaxReceivablesAndPayablesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAuthorisationOfFinancialStatementsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAvailableforsaleAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_10_e&doctype=Standard&forcepdf=true","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTreasurySharesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDepreciationAndAmortisationExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInterestExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfPrepaymentsAndOtherAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAccruedExpensesAndOtherLiabilitiesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfGoingConcernExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAccountingJudgementsAndEstimatesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethodExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDeferredIncomeExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRestrictedCashAndCashEquivalentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNoncontrollingInterestsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfProfitLossFromOperatingActivitiesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCostOfSalesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfBasisOfConsolidationExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfChangesInAccountingPoliciesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInvestmentContractsLiabilitiesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDeferredAcquisitionCostsArisingFromInsuranceContractsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReinsuranceExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfClaimsAndBenefitsPaidExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNetAssetValueAttributableToUnitholdersExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInsurancePremiumRevenueExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSubordinatedLiabilitiesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialInstrumentsAtFairValueThroughProfitOrLossExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialInstrumentsDesignatedAtFairValueThroughProfitOrLossExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialRiskManagementExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfLoansAndAdvancesToCustomersExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfLoansAndAdvancesToBanksExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValueOfFinancialInstrumentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsHeldForTradingExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialLiabilitiesHeldForTradingExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialInstrumentsHeldForTradingExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFeeAndCommissionIncomeExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDepositsFromCustomersExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTradingIncomeExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCollateralExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCashAndBankBalancesAtCentralBanksExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCreditRiskExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMarketRiskExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfLiquidityRiskExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDebtSecuritiesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDepositsFromBanksExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInterestIncomeExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReclassificationOfFinancialInstrumentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInterestIncomeExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAllowanceForCreditLossesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRepurchaseAndReverseRepurchaseAgreementsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTreasuryShareTransactions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAdditionalInformationExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentReceivablesFromTaxesOtherThanIncomeTax","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodsUsedToMeasureFairValueOfNoncashAssetsDeclaredForDistributionToOwnersBeforeFinancialStatementsAuthorisedForIssue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=17&code=ifrs-tx-2020-en-r&anchor=para_17_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentReceivablesFromTaxesOtherThanIncomeTax","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceivablesFromTaxesOtherThanIncomeTax","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentValueAddedTaxReceivables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentValueAddedTaxReceivables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ValueAddedTaxReceivables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentPayablesOnSocialSecurityAndTaxesOtherThanIncomeTax","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPayablesOnSocialSecurityAndTaxesOtherThanIncomeTax","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PayablesOnSocialSecurityAndTaxesOtherThanIncomeTax","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentValueAddedTaxPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentValueAddedTaxPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ValueAddedTaxPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermEmployeeBenefitsAccruals","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_81A_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComprehensiveIncomeAttributableToNoncontrollingInterests","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81B","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_81B_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComprehensiveIncomeAttributableToOwnersOfParent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81B","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_81B_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_81A_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossAttributableToNoncontrollingInterests","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81B","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_81B_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossAttributableToOwnersOfParent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81B","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_81B_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_82_ea&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfBreakdownOfAssetsAndLiabilitiesAggregatedIntoSingleLineInvestmentBalanceTransitionFromProportionateConsolidationToEquityMethodExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"11","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C5","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=11&code=ifrs-tx-2020-en-r&anchor=para_C5&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationBetweenInvestmentDerecognisedAndAssetsAndLiabilitiesRecognisedTransitionFromAccountingForInvestmentAtCostOrInAccordanceWithIFRS9ToAccountingForAssetsAndLiabilitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"11","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C12","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=11&code=ifrs-tx-2020-en-r&anchor=para_C12_b&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationBetweenInvestmentDerecognisedAndAssetsAndLiabilitiesRecognisedTransitionFromEquityMethodToAccountingForAssetsAndLiabilitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"11","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=11&code=ifrs-tx-2020-en-r&anchor=para_C10&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncontrollingInterests","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=10&code=ifrs-tx-2020-en-r&anchor=para_22&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToComponentsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToCashFlowHedgesOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToExchangeDifferencesOnTranslationOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToChangesInRevaluationSurplusOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToHedgesOfNetInvestmentsInForeignOperationsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfRemeasurementsOfDefinedBenefitPlansMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_108&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevaluationSurplusMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_108&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetainedEarningsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_108&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfExchangeDifferencesOnTranslationMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_108&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfCashFlowHedgesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_108&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfSharebasedPaymentsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_108&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentsInAssociatesAccountedForUsingEquityMethod","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAssetsLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesDueToCentralBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RecognisedLiabilitiesDefinedBenefitPlan","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RecognisedAssetsDefinedBenefitPlan","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherNonfinancialLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCurrentNonfinancialLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherNonfinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherNoncurrentNonfinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCurrentNonfinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherNoncurrentNonfinancialLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentPortionOfLongtermBorrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Borrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermBorrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermBorrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsAndGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentLeasePrepayments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentRecognisedAssetsDefinedBenefitPlan","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentRestrictedCashAndCashEquivalents","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentDerivativeFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherNoncurrentAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentRestrictedCashAndCashEquivalents","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentDerivativeFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentPrepaymentsAndOtherCurrentAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentInvestments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentRecognisedAssetsDefinedBenefitPlan","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCurrentAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RestrictedCashAndCashEquivalents","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativeFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LoansAndAdvancesToBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LoansAndAdvancesToCustomers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashAndBankBalancesAtCentralBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReverseRepurchaseAgreementsAndCashCollateralOnSecuritiesBorrowed","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentsForRiskOfPolicyholders","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentDerivativeFinancialLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentRecognisedLiabilitiesDefinedBenefitPlan","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentGovernmentGrants","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherNoncurrentLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherNoncurrentPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAdvances","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentDividendPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentDerivativeFinancialLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentRecognisedLiabilitiesDefinedBenefitPlan","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAccruedExpensesAndOtherCurrentLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCurrentPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAdvances","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentDividendPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCurrentLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentGovernmentGrants","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativeFinancialLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepositsFromBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepositsFromCustomers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SubordinatedLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DebtSecurities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RepurchaseAgreementsAndCashCollateralOnSecuritiesLent","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentContractsLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CapitalReserve","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfEquityComponentOfConvertibleInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedOtherComprehensiveIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CapitalRedemptionReserve","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MergerReserve","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatutoryReserve","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionalPaidinCapital","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Advances","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ItemsInCourseOfCollectionFromOtherBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ItemsInCourseOfTransmissionToOtherBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentsInJointVenturesAccountedForUsingEquityMethod","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermDepositsNotClassifiedAsCashEquivalents","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermDeposits","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EquityInstrumentsHeld","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DebtInstrumentsHeld","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnCashFlowHedgesBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxCashFlowHedges","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxGainsLossesOnRevaluation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxHedgesOfNetInvestmentsInForeignOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnHedgesOfNetInvestmentsInForeignOperationsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnExchangeDifferencesOnTranslationBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnCashFlowHedgesNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxCashFlowHedges","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxGainsLossesOnRevaluation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxHedgesOfNetInvestmentsInForeignOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnHedgesOfNetInvestmentsInForeignOperationsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnExchangeDifferencesOnTranslationNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_IG6&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_IG6&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherWorkPerformedByEntityAndCapitalised","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_IG6&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetainedEarnings","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_IG6&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxCashFlowHedges","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxCashFlowHedges","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxGainsLossesOnRevaluation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxGainsLossesOnRevaluation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfRemeasurementsOfDefinedBenefitPlans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfCashFlowHedges","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfSharebasedPayments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsOnChangeInFairValueOfDerivatives","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LossesOnChangeInFairValueOfDerivatives","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RoyaltyExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ServicesExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RentalExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherIncomeExpenseFromSubsidiariesJointlyControlledEntitiesAndAssociates","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceIncomeCost","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RepairsAndMaintenanceExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherOperatingIncomeExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicAndDilutedEarningsLossPerShare","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicAndDilutedEarningsLossPerShareFromContinuingOperations","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicAndDilutedEarningsLossPerShareFromDiscontinuedOperations","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DistributionAndAdministrativeExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueAndOperatingIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OperatingExpenseExcludingCostOfSales","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SalesAndMarketingExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxExpenseOtherThanIncomeTaxExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnChangeInFairValueOfDerivatives","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherFinanceIncomeCost","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FeeAndCommissionIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FeeAndCommissionExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FeeAndCommissionIncomeExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradingIncomeExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetEarnedPremium","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClaimsAndBenefitsPaidNetOfReinsuranceRecoveries","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInProvisionForUnearnedPremium","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PremiumsWrittenNetOfReinsurance","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInInsuranceLiabilitiesNetOfReinsurance","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AcquisitionAndAdministrationExpenseRelatedToInsuranceContracts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInAccumulatedDeferredTaxRecognisedInOtherComprehensiveIncomeDueToChangeInTaxRate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeAttributableToOwnersOfParent","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeAttributableToNoncontrollingInterests","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherIndividuallyImmaterialComponentsOfOtherComprehensiveIncomeNetOfTax","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherIndividuallyImmaterialComponentsOfOtherComprehensiveIncomeBeforeTax","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToOtherIndividuallyImmaterialComponentsOfOtherComprehensiveIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughExerciseOfWarrantsEquity","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsRecognisedAsDistributionsToNoncontrollingInterests","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangeInEquityOfSubsidiaries","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughAcquisitionOfSubsidiary","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughDisposalOfSubsidiary","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransferBetweenRevaluationReserveAndRetainedEarnings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransferToStatutoryReserve","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughAppropriationOfRetainedEarnings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughExerciseOfOptions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughConversionOfConvertibleInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IssueOfConvertibleInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseIncreaseThroughTaxOnSharebasedPaymentTransactions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransactionsWithOwners","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfTreasuryShares","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SaleOrIssueOfTreasuryShares","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CancellationOfTreasuryShares","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReductionOfIssuedCapital","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareIssueRelatedCost","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfSharesIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForDecommissioningRestorationAndRehabilitationProvisionsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForMiningRightsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForMiningAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForStrippingCostsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForOilAndGasAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForAvailableforsaleFinancialAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_117_b&doctype=Standard&forcepdf=true","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForHeldtomaturityInvestmentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_117_b&doctype=Standard&forcepdf=true","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForLoansAndReceivablesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_117_b&doctype=Standard&forcepdf=true","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForEmployeeBenefitsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForSegmentReportingExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForForeignCurrencyTranslationExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForPropertyPlantAndEquipmentExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForIntangibleAssetsOtherThanGoodwillExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForIntangibleAssetsAndGoodwillExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForInvestmentPropertyExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForConstructionInProgressExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForBusinessCombinationsAndGoodwillExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForGoodwillExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForBusinessCombinationsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForEarningsPerShareExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForIncomeTaxExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForLeasesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForTradeAndOtherReceivablesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForTradeAndOtherPayablesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForSubsidiariesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForTransactionsWithRelatedPartiesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForIssuedCapitalExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForTreasurySharesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForDividendsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForProvisionsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForImpairmentOfAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForImpairmentOfFinancialAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForImpairmentOfNonfinancialAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForBorrowingsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForBorrowingCostsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForResearchAndDevelopmentExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForFinancialAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForFinancialLiabilitiesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForFinancialInstrumentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForDerivativeFinancialInstrumentsAndHedgingExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForDerivativeFinancialInstrumentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForHedgingExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForNoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForDiscontinuedOperationsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForNoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleAndDiscontinuedOperationsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethodExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForInvestmentInAssociatesAndJointVenturesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForRestrictedCashAndCashEquivalentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForExpensesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForFinanceIncomeAndCostsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForFinanceCostsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForSharebasedPaymentTransactionsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForFairValueMeasurementExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForCashFlowsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForDepreciationExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForFunctionalCurrencyExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForTransactionsWithNoncontrollingInterestsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForEnvironmentRelatedExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForBiologicalAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForReinsuranceExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForDeferredAcquisitionCostsArisingFromInsuranceContractsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForFinancialInstrumentsAtFairValueThroughProfitOrLossExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForFinancialGuaranteesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForOffsettingOfFinancialInstrumentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForDerecognitionOfFinancialInstrumentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForFeeAndCommissionIncomeAndExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForRepurchaseAndReverseRepurchaseAgreementsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForCollateralExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForInterestIncomeAndExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForTradingIncomeAndExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForReclassificationOfFinancialInstrumentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForInvestmentInAssociates","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForInvestmentsInJointVentures","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForTerminationBenefits","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FuelAndEnergyExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransportationExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFiveYearsAndNotLaterThanTenYearsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTenYearsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DirectorsRemunerationExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfessionalFeesExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractualCapitalCommitments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AuthorisedCapitalCommitmentsButNotContractedFor","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CapitalCommitments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearAndNotLaterThanTwoYearsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTwoYearsAndNotLaterThanThreeYearsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeYearsAndNotLaterThanFourYearsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFourYearsAndNotLaterThanFiveYearsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTwoYearsAndNotLaterThanFiveYearsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPortionOfNoncurrentLoansReceived","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentLoansReceivedAndCurrentPortionOfNoncurrentLoansReceived","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LoansReceived","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPortionOfNoncurrentSecuredBankLoansReceived","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentSecuredBankLoansReceivedAndCurrentPortionOfNoncurrentSecuredBankLoansReceived","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SecuredBankLoansReceived","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPortionOfNoncurrentUnsecuredBankLoansReceived","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentUnsecuredBankLoansReceivedAndCurrentPortionOfNoncurrentUnsecuredBankLoansReceived","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnsecuredBankLoansReceived","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPortionOfNoncurrentBondsIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentBondsIssuedAndCurrentPortionOfNoncurrentBondsIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BondsIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPortionOfOtherNoncurrentBorrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCurrentBorrowingsAndCurrentPortionOfOtherNoncurrentBorrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherBorrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPortionOfNoncurrentNotesAndDebenturesIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentNotesAndDebenturesIssuedAndCurrentPortionOfNoncurrentNotesAndDebenturesIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotesAndDebenturesIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPortionOfNoncurrentCommercialPapersIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentCommercialPapersIssuedAndCurrentPortionOfNoncurrentCommercialPapersIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CommercialPapersIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAdvancesToSuppliers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentPrepaidExpenses","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentInterestReceivable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentInterestReceivable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestReceivable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentInterestPayable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentInterestPayable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestPayable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AuditorsRemuneration","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AuditorsRemunerationForAuditServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AuditorsRemunerationForTaxServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AuditorsRemunerationForOtherServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnDisposalsOfNoncurrentAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsOnDisposalsOfNoncurrentAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LossesOnDisposalsOfNoncurrentAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MiscellaneousOtherOperatingIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MiscellaneousOtherOperatingExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RentalIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeFromReimbursementsUnderInsurancePolicies","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherFinanceCost","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherFinanceIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnLoansAndReceivables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_112_c&doctype=Standard&forcepdf=true","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnCashAndCashEquivalents","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseOnBorrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseOnBankLoansAndOverdrafts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseOnBonds","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseDueToUnwindingOfDiscountOnProvisions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInNumberOfOrdinarySharesIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmortisationExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClosingForeignExchangeRate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AverageForeignExchangeRate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfEmployees","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AverageNumberOfEmployees","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseFromSharebasedPaymentTransactionsWithEmployees","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseFromCashsettledSharebasedPaymentTransactionsInWhichGoodsOrServicesReceivedDidNotQualifyForRecognitionAsAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherDebtInstrumentsHeld","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GovernmentDebtInstrumentsHeld","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CorporateDebtInstrumentsHeld","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BankDebtInstrumentsHeld","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetbackedDebtInstrumentsHeld","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConsumerLoans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CorporateLoans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BankBalancesAtCentralBanksOtherThanMandatoryReserveDeposits","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MandatoryReserveDepositsAtCentralBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DatedSubordinatedLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UndatedSubordinatedLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BalancesOnCurrentAccountsFromCustomers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BalancesOnTermDepositsFromCustomers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BalancesOnDemandDepositsFromCustomers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BalancesOnOtherDepositsFromCustomers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OptionContractMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FuturesContractMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SwapContractMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ForwardContractMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseOnDepositsFromBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseOnDepositsFromCustomers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseOnDebtInstrumentsIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseOnOtherFinancialLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseOnFinancialLiabilitiesHeldForTrading","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseOnFinancialLiabilitiesDesignatedAtFairValueThroughProfitOrLoss","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseOnRepurchaseAgreementsAndCashCollateralOnSecuritiesLent","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnCashAndBankBalancesAtCentralBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnAvailableforsaleFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_112_c&doctype=Standard&forcepdf=true","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnHeldtomaturityInvestments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_112_c&doctype=Standard&forcepdf=true","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnLoansAndAdvancesToBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnLoansAndAdvancesToCustomers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnDebtInstrumentsHeld","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnOtherFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnFinancialAssetsHeldForTrading","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnFinancialAssetsDesignatedAtFairValueThroughProfitOrLoss","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnReverseRepurchaseAgreementsAndCashCollateralOnSecuritiesBorrowed","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BrokerageFeeIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PortfolioAndOtherManagementFeeIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditrelatedFeeAndCommissionIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherFeeAndCommissionIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BrokerageFeeExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherFeeAndCommissionExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradingIncomeExpenseOnForeignExchangeContracts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradingIncomeExpenseOnDerivativeFinancialInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradingIncomeExpenseOnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradingIncomeExpenseOnDebtInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherTradingIncomeExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermEmployeeBenefitsExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CorporateLoansMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneMonthAndNotLaterThanTwoMonthsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTwoMonthsAndNotLaterThanThreeMonthsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanSixMonthsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotionalAmount","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OnDemandMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossBeforeTax","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_IG6&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossBeforeTax","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_IG6&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_81A_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_81A_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatEntityDoesNotHaveLegalOrConstructiveObligationToNegativeNetAssetsTransitionFromProportionateConsolidationToEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"11","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=11&code=ifrs-tx-2020-en-r&anchor=para_C4&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CumulativeUnrecognisedShareOfLossesOfJointVenturesTransitionFromProportionateConsolidationToEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"11","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=11&code=ifrs-tx-2020-en-r&anchor=para_C4&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatUnadjustedComparativeInformationHasBeenPreparedOnDifferentBasis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C6B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=10&code=ifrs-tx-2020-en-r&anchor=para_C6B&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfBasisOfPreparationOfUnadjustedComparativeInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C6B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=10&code=ifrs-tx-2020-en-r&anchor=para_C6B&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IdentificationOfUnadjustedComparativeInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C6B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=10&code=ifrs-tx-2020-en-r&anchor=para_C6B&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OrdinarySharesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_79_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PreferenceSharesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_79_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RawMaterials","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Merchandise","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProductionSupplies","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WorkInProgress","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinishedGoods","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsRecognisedAsDistributionsToOwnersOfParent","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsRecognisedAsDistributionsToOwnersOfParentRelatingToPriorYears","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsRecognisedAsDistributionsToOwnersOfParentRelatingToCurrentYear","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_106_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseOnLiabilitiesDueToCentralBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GovernmentGrants","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DateOfEndOfReportingPeriod2013","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"51","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_51_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeFromFinesAndPenalties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForCustomerAcquisitionCostsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceLeaseReceivables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinanceLeaseReceivables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinanceLeaseReceivables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsOnDisposalsOfInvestmentProperties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LossesOnDisposalsOfInvestmentProperties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnDisposalsOfInvestmentProperties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyServiceChargeIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyServiceChargeExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyServiceChargeIncomeExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyManagementExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyDevelopmentAndProjectManagementIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyDevelopmentAndProjectManagementExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RentalIncomeFromInvestmentPropertyNetOfDirectOperatingExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BankAndSimilarCharges","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyTaxExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLossTradeReceivables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInProfitOrLossTradeReceivables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTradeReceivables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyIntendedForSaleInOrdinaryCourseOfBusiness","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentDepositsFromCustomers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentDepositsFromCustomers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RentDeferredIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RentDeferredIncomeClassifiedAsCurrent","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RentDeferredIncomeClassifiedAsNoncurrent","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetentionPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentRetentionPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentRetentionPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceivablesFromSaleOfProperties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceivablesFromRentalOfProperties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentReceivablesFromSaleOfProperties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentReceivablesFromRentalOfProperties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentReceivablesFromSaleOfProperties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentReceivablesFromRentalOfProperties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BorrowingCostsIncurred","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BorrowingCostsRecognisedAsExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestCostsCapitalised","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestCostsIncurred","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeMonthsAndNotLaterThanFourMonthsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFourMonthsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeReceivablesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentPropertyUnderConstructionOrDevelopment","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentPropertyCompleted","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfInvestmentPropertyAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentPropertyUnderConstructionOrDevelopmentMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentPropertyCompletedMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccrualsAndDeferredIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccrualsAndDeferredIncomeClassifiedAsCurrent","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccrualsAndDeferredIncomeClassifiedAsNoncurrent","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentPropertyMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForRecognitionOfRevenue","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRevenueExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_10_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherRevenue","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromConstructionContracts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromDividends","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromInterest","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfDataServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfInterconnectionServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfInternetAndDataServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfInternetServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfLandLineTelephoneServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfMobileTelephoneServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfOtherTelecommunicationServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfTelecommunicationServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfTelephoneServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRoyalties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfCopper","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfCrudeOil","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfGold","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfGoods","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfNaturalGas","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfOilAndGasProducts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfPetroleumAndPetrochemicalProducts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfSilver","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfTelecommunicationEquipment","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LicenceFeeIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SellingGeneralAndAdministrativeExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForTaxesOtherThanIncomeTaxExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForWarrantsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfTransportServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfPassengerTransportServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfCargoAndMailTransportServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OperatingExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FuelExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EnergyExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnDeposits","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForCustomerLoyaltyProgrammesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForRepairsAndMaintenanceExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForDeferredIncomeTaxExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccruedIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrepaymentsAndAccruedIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAccruedIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentPrepaymentsAndCurrentAccruedIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAccruedIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPrepaymentsAndNoncurrentAccruedIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotLaterThanThreeMonthsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodThatWillBeReclassifiedToProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_82A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodThatWillBeReclassifiedToProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_82A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodThatWillNotBeReclassifiedToProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_82A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodThatWillNotBeReclassifiedToProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_82A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSummaryOfSignificantAccountingPoliciesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForEmissionRightsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfInformationTechnologyServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfInformationTechnologyMaintenanceAndSupportServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfInformationTechnologyConsultingServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfAdvertisingServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfPrintingServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MediaProductionExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProgrammingAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentProgrammingAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentProgrammingAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForProgrammingAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfElectricity","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EnergyTransmissionCharges","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PayablesForPurchaseOfEnergy","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentPayablesForPurchaseOfEnergy","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPayablesForPurchaseOfEnergy","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForRegulatoryDeferralAccountsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForServiceConcessionArrangementsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TravelExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CommunicationExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DonationsAndSubsidiesExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CostOfMerchandiseSold","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CostOfPurchasedEnergySold","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PayablesForPurchaseOfNoncurrentAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentPayablesForPurchaseOfNoncurrentAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPayablesForPurchaseOfNoncurrentAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForContingentLiabilitiesAndContingentAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrencySwapContractMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRateSwapContractMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfPublications","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CirculationRevenue","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SubscriptionCirculationRevenue","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NonsubscriptionCirculationRevenue","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfBooks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfProfitLossOfAssociatesAccountedForUsingEquityMethod","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfProfitLossOfJointVenturesAccountedForUsingEquityMethod","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsLessCurrentLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfAgriculturalProduce","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfSugar","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfAlcoholAndAlcoholicDrinks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromHotelOperations","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRoomOccupancyServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfFoodAndBeverage","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfGamingServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CostOfSalesHotelOperations","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CostOfSalesRoomOccupancyServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CostOfSalesFoodAndBeverage","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FranchiseFeeIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForFranchiseFeesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForDiscountsAndRebatesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UtilitiesExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SellingExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GeneralAndAdministrativeExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdvertisingExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceivablesDueFromAssociates","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentReceivablesDueFromAssociates","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentReceivablesDueFromAssociates","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceivablesDueFromJointVentures","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentReceivablesDueFromJointVentures","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentReceivablesDueFromJointVentures","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentExciseTaxPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExciseTaxPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentExciseTaxPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentDebtInstrumentsIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentDebtInstrumentsIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetDebt","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForExceptionalItemsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLossLoansAndAdvances","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInProfitOrLossLoansAndAdvances","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossLoansAndAdvances","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainOnRecoveryOfLoansAndAdvancesPreviouslyWrittenOff","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BankAcceptanceAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BankAcceptanceLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativeFinancialAssetsHeldForTrading","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativeFinancialAssetsHeldForHedging","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativeFinancialLiabilitiesHeldForTrading","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativeFinancialLiabilitiesHeldForHedging","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OccupancyExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LoansToGovernment","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LoansToGovernmentMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetAssetsLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_112_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromOperatingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherWorkPerformedByEntityAndCapitalised","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_82A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_82A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossBeforeTax","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_82A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossBeforeTax","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_82A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForInsuranceContracts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRevenueCalculatedUsingEffectiveInterestMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_82_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveForCatastropheMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_108&doctype=Standard&forcepdf=true","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveForEqualisationMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_108&doctype=Standard&forcepdf=true","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveForCatastrophe","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-b&anchor=para_78_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveForEqualisation","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-b&anchor=para_78_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfDiscretionaryParticipationFeaturesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_108&doctype=Standard&forcepdf=true","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfDiscretionaryParticipationFeatures","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-b&anchor=para_78_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-b&anchor=para_55&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsUnderReinsuranceCeded","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-b&anchor=para_55&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-b&anchor=para_55&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromInsuranceContractsIssuedWithoutReductionForReinsuranceHeld","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-b&anchor=para_85&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeFromContractsWithReinsurers","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-b&anchor=para_85&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseForPolicyholderClaimsAndBenefitsWithoutReductionForReinsuranceHeld","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-b&anchor=para_85&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpensesArisingFromReinsuranceHeld","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-b&anchor=para_85&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsIssuedThatAreAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_da&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsIssuedThatAreLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_ma&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReinsuranceContractsHeldThatAreAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_da&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReinsuranceContractsHeldThatAreLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_54_ma&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceRevenue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_82_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceServiceExpensesFromInsuranceContractsIssued","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_82_ab&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeExpensesFromReinsuranceContractsHeldOtherThanFinanceIncomeExpenses","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_82_ac&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_82_bb&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceIncomeExpensesFromReinsuranceContractsHeldRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_82_bc&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLoss","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLossMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_108&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillNotBeReclassifiedToProfitOrLoss","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillNotBeReclassifiedToProfitOrLossMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_108&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToFinanceIncomeExpensesFromReinsuranceContractsHeldOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLoss","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_108&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IdentificationOfUnadjustedComparativeInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"11","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C13B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=11&code=ifrs-tx-2020-en-r&anchor=para_C13B&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatUnadjustedComparativeInformationHasBeenPreparedOnDifferentBasis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"11","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C13B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=11&code=ifrs-tx-2020-en-r&anchor=para_C13B&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfBasisOfPreparationOfUnadjustedComparativeInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"11","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C13B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=11&code=ifrs-tx-2020-en-r&anchor=para_C13B&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRevenueExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_98_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnHedgesOfNetInvestmentsInForeignOperationsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6.5.13","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_6.5.13_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnChangeInValueOfTimeValueOfOptionsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountRemovedFromReserveOfChangeInValueOfForeignCurrencyBasisSpreadsAndIncludedInInitialCostOrOtherCarryingAmountOfNonfinancialAssetLiabilityOrFirmCommitmentForWhichFairValueHedgeAccountingIsApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6.5.16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_6.5.16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToChangeInValueOfForeignCurrencyBasisSpreadsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxGainsLossesOnHedgingInstrumentsThatHedgeInvestmentsInEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxGainsLossesOnHedgingInstrumentsThatHedgeInvestmentsInEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfCashFlowHedgesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6.5.11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_6.5.11&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToChangeInValueOfTimeValueOfOptionsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnChangeInValueOfForwardElementsOfForwardContractsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountRemovedFromReserveOfChangeInValueOfForwardElementsOfForwardContractsAndIncludedInInitialCostOrOtherCarryingAmountOfNonfinancialAssetLiabilityOrFirmCommitmentForWhichFairValueHedgeAccountingIsApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6.5.16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_6.5.16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToChangesInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiabilityOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsRemovedFromEquityAndAdjustedAgainstFairValueOfFinancialAssetsOnReclassificationOutOfFairValueThroughOtherComprehensiveIncomeMeasurementCategoryBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"5.6.5","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_5.6.5&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiability","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiability","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiability","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInValueOfTimeValueOfOptions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInValueOfTimeValueOfOptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6.5.15","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_6.5.15&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnChangeInValueOfTimeValueOfOptionsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxChangeInValueOfForwardElementsOfForwardContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxChangeInValueOfForwardElementsOfForwardContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInValueOfForeignCurrencyBasisSpreads","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInValueOfForeignCurrencyBasisSpreads","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInValueOfForwardElementsOfForwardContractsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_108&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInValueOfForwardElementsOfForwardContractsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6.5.16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_6.5.16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInValueOfForwardElementsOfForwardContracts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInValueOfForwardElementsOfForwardContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6.5.16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_6.5.16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnChangeInValueOfForeignCurrencyBasisSpreadsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxChangeInValueOfTimeValueOfOptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxChangeInValueOfTimeValueOfOptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnChangeInValueOfForeignCurrencyBasisSpreadsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsRemovedFromEquityAndAdjustedAgainstFairValueOfFinancialAssetsOnReclassificationOutOfFairValueThroughOtherComprehensiveIncomeMeasurementCategoryNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"5.6.5","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_5.6.5&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInValueOfForwardElementsOfForwardContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInValueOfForwardElementsOfForwardContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnChangeInValueOfForeignCurrencyBasisSpreadsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentNoncashAssetsPledgedAsCollateralForWhichTransfereeHasRightByContractOrCustomToSellOrRepledgeCollateral","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"3.2.23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_3.2.23_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CumulativeGainLossPreviouslyRecognisedInOtherComprehensiveIncomeArisingFromReclassificationOfFinancialAssetsOutOfFairValueThroughOtherComprehensiveIncomeIntoFairValueThroughProfitOrLossMeasurementCategory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_82_cb&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfGainsAndLossesFromInvestmentsInEquityInstrumentsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_108&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxHedgesOfNetInvestmentsInForeignOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6.5.13","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_6.5.13_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfGainsAndLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_108&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToChangeInValueOfForwardElementsOfForwardContractsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfCashFlowHedges","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6.5.11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_6.5.11&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnHedgesOfNetInvestmentsInForeignOperationsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6.5.14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_6.5.14&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfGainsAndLossesFromInvestmentsInEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_82_ba&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncashAssetsPledgedAsCollateralForWhichTransfereeHasRightByContractOrCustomToSellOrRepledgeCollateral","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"3.2.23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_3.2.23_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesArisingFromDifferenceBetweenPreviousCarryingAmountAndFairValueOfFinancialAssetsReclassifiedAsMeasuredAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_82_ca&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgingGainsLossesForHedgeOfGroupOfItemsWithOffsettingRiskPositions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6.6.4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_6.6.4&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnChangeInValueOfForwardElementsOfForwardContractsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnChangeInValueOfTimeValueOfOptionsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnChangeInValueOfForwardElementsOfForwardContractsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInValueOfForeignCurrencyBasisSpreadsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_108&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInValueOfForeignCurrencyBasisSpreadsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6.5.16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_6.5.16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxGainsLossesFromInvestmentsInEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxGainsLossesFromInvestmentsInEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInValueOfTimeValueOfOptionsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_108&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInValueOfTimeValueOfOptionsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6.5.15","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_6.5.15&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInValueOfTimeValueOfOptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInValueOfTimeValueOfOptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToHedgesOfInvestmentsInEquityInstrumentsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxChangeInValueOfForeignCurrencyBasisSpreads","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxChangeInValueOfForeignCurrencyBasisSpreads","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxHedgesOfNetInvestmentsInForeignOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6.5.13","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_6.5.13_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnHedgesOfNetInvestmentsInForeignOperationsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6.5.13","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_6.5.13_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRevenueCalculatedUsingEffectiveInterestMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_82_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnChangeInValueOfForeignCurrencyBasisSpreadsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInValueOfForeignCurrencyBasisSpreads","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInValueOfForeignCurrencyBasisSpreads","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6.5.16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_6.5.16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnChangeInValueOfForwardElementsOfForwardContractsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountRemovedFromReserveOfCashFlowHedgesAndIncludedInInitialCostOrOtherCarryingAmountOfNonfinancialAssetLiabilityOrFirmCommitmentForWhichFairValueHedgeAccountingIsApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6.5.11","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_6.5.11_d_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnChangeInValueOfTimeValueOfOptionsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfGainsAndLossesOnHedgingInstrumentsThatHedgeInvestmentsInEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiabilityMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_108&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfGainsAndLossesOnHedgingInstrumentsThatHedgeInvestmentsInEquityInstrumentsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_108&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnHedgesOfNetInvestmentsInForeignOperationsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6.5.14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_6.5.14&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentNoncashAssetsPledgedAsCollateralForWhichTransfereeHasRightByContractOrCustomToSellOrRepledgeCollateral","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"3.2.23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_3.2.23_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxGainsLossesOnHedgingInstrumentsThatHedgeInvestmentsInEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxGainsLossesOnHedgingInstrumentsThatHedgeInvestmentsInEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToInvestmentsInEquityInstrumentsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountRemovedFromReserveOfChangeInValueOfTimeValueOfOptionsAndIncludedInInitialCostOrOtherCarryingAmountOfNonfinancialAssetLiabilityOrFirmCommitmentForWhichFairValueHedgeAccountingIsApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6.5.15","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_6.5.15_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfGainsAndLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_78_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiability","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiability","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnRemeasuringAvailableforsaleFinancialAssetsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_91_b&doctype=Standard&forcepdf=true","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnAvailableforsaleFinancialAssetsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_92&doctype=Standard&forcepdf=true","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxAvailableforsaleFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_91_b&doctype=Standard&forcepdf=true","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxAvailableforsaleFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_7&doctype=Standard&forcepdf=true","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToAvailableforsaleFinancialAssetsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_90&doctype=Standard&forcepdf=true","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnRemeasuringAvailableforsaleFinancialAssetsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_91_a&doctype=Standard&forcepdf=true","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnAvailableforsaleFinancialAssetsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_92&doctype=Standard&forcepdf=true","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxAvailableforsaleFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_91_a&doctype=Standard&forcepdf=true","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxAvailableforsaleFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_7&doctype=Standard&forcepdf=true","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfGainsAndLossesOnRemeasuringAvailableforsaleFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_78_e&doctype=Standard&forcepdf=true","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfGainsAndLossesOnRemeasuringAvailableforsaleFinancialAssetsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_108&doctype=Standard&forcepdf=true","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncashAssetsPledgedAsCollateralForWhichTransfereeHasRightByContractOrCustomToSellOrRepledgeCollateral","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"39","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=39&code=ifrs-tx-2017-en-b&anchor=para_37_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentNoncashAssetsPledgedAsCollateralForWhichTransfereeHasRightByContractOrCustomToSellOrRepledgeCollateral","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"39","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=39&code=ifrs-tx-2017-en-b&anchor=para_37_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentNoncashAssetsPledgedAsCollateralForWhichTransfereeHasRightByContractOrCustomToSellOrRepledgeCollateral","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"39","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=39&code=ifrs-tx-2017-en-b&anchor=para_37_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7.2.34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_7.2.34&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialLiabilitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7.2.34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_7.2.34&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForDesignationOrDedesignationOfFinancialAssetsAsMeasuredAtFairValueThroughProfitOrLossWhenApplyingAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7.2.34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_7.2.34_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForDesignationOrDedesignationOfFinancialLiabilitiesAsMeasuredAtFairValueThroughProfitOrLossWhenApplyingAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7.2.34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_7.2.34_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsAffectedByAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7.2.34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_7.2.34&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsAffectedByAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7.2.34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_7.2.34&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialLiabilitiesAffectedByAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7.2.34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_7.2.34&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialLiabilitiesAffectedByAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7.2.34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_7.2.34&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAffectedByAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationCarryingAmountAfterApplyingAmendments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7.2.34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_7.2.34_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAffectedByAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationCarryingAmountImmediatelyBeforeApplyingAmendments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7.2.34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_7.2.34_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAffectedByAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationMeasurementCategoryAfterApplyingAmendments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7.2.34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_7.2.34_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAffectedByAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationMeasurementCategoryImmediatelyBeforeApplyingAmendments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7.2.34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_7.2.34_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7.2.34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_7.2.34&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsThatWereDesignatedAsMeasuredAtFairValueThroughProfitOrLossBeforeApplicationOfAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationThatAreNoLongerSoDesignated","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7.2.34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_7.2.34_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAffectedByAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationCarryingAmountAfterApplyingAmendments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7.2.34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_7.2.34_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAffectedByAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationCarryingAmountImmediatelyBeforeApplyingAmendments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7.2.34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_7.2.34_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAffectedByAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationMeasurementCategoryAfterApplyingAmendments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7.2.34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_7.2.34_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAffectedByAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationMeasurementCategoryImmediatelyBeforeApplyingAmendments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7.2.34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_7.2.34_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7.2.34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_7.2.34&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesThatWereDesignatedAsMeasuredAtFairValueThroughProfitOrLossBeforeApplicationOfAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationThatAreNoLongerSoDesignated","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7.2.34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2020-en-r&anchor=para_7.2.34_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Inventories","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_36_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InventoryWritedown2011","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_36_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfInventoryWritedown","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_36_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInventoriesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IAS02_g36-39_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForMeasuringInventories","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_36_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InventoryCostFormulas","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_36_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CostOfInventoriesRecognisedAsExpenseDuringPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_36_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InventoriesPledgedAsSecurityForLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_36_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CircumstancesLeadingToReversalsOfInventoryWritedown","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_36_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InventoriesAtFairValueLessCostsToSell","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_36_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentOreStockpiles","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentOreStockpiles","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentCrudeOil","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentPetroleumAndPetrochemicalProducts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentNaturalGas","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RawMaterials","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherInventories","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Merchandise","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinishedGoods","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WorkInProgress","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProductionSupplies","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SpareParts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentRawMaterialsAndCurrentProductionSupplies","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentMaterialsAndSuppliesToBeConsumedInProductionProcessOrRenderingServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentInventoriesHeldForSale","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFuel","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InventoriesAtNetRealisableValue","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_36&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAgriculturalProduce","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFoodAndBeverage","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentPackagingAndStorageMaterials","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentInventoriesInTransit","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashAndCashEquivalents","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"18","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_18_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS07_IE_A_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermDepositsClassifiedAsCashEquivalents","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermInvestmentsClassifiedAsCashEquivalents","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCashAndCashEquivalents","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInCashAndCashEquivalents","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BankOverdraftsClassifiedAsCashEquivalents","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BalancesWithBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BankingArrangementsClassifiedAsCashEquivalents","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashOnHand","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCashFlowStatementExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IAS07_g10-17_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInFinancingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_10&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInFinancingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_50_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInInvestingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_10&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInInvestingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_50_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_39&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_39&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherInflowsOutflowsOfCashClassifiedAsOperatingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_14&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInOperatingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_10&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInOperatingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_50_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectOfExchangeRateChangesOnCashAndCashEquivalents","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_25&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectOfExchangeRateChangesOnCashAndCashEquivalents","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_28&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestReceivedClassifiedAsOperatingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_31&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsPaidClassifiedAsFinancingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_31&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsReceivedClassifiedAsOperatingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_31&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsReceivedClassifiedAsInvestingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_31&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestReceivedClassifiedAsInvestingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_31&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestPaidClassifiedAsOperatingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_31&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsPaidClassifiedAsOperatingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_31&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestPaidClassifiedAsFinancingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_31&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxesPaidRefundClassifiedAsInvestingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxesPaidRefundClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_14_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxesPaidRefundClassifiedAsOperatingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxesPaidRefundClassifiedAsOperatingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_14_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxesPaidRefundClassifiedAsFinancingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxesPaidRefundClassifiedAsFinancingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_14_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashAndCashEquivalentsHeldByEntityUnavailableForUseByGroup","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"48","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_48&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForReconcileProfitLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInTradeAccountPayable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInInventories","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInOtherOperatingPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInTradeAccountReceivable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForProvisions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForUnrealisedForeignExchangeLossesGains","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDepreciationAndAmortisationExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForUndistributedProfitsOfAssociates","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncomeTaxExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherAdjustmentsForNoncashItems","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForSharebasedPayments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForFairValueGainsLosses","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsFromContractsHeldForDealingOrTradingPurpose","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_14_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceiptsFromContractsHeldForDealingOrTradingPurpose","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_14_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCashReceiptsFromOperatingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_14&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCashPaymentsFromOperatingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_14&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherAdjustmentsForWhichCashEffectsAreInvestingOrFinancingCashFlow","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsOfOtherEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromIssuingOtherEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromIssuingShares","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsToAcquireOrRedeemEntitysShares","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsToAndOnBehalfOfEmployees","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_14_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsToSuppliersForGoodsAndServices","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_14_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromOtherLongtermAssetsClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromSalesOfIntangibleAssetsClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromBorrowingsClassifiedAsFinancingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfOtherLongtermAssetsClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceiptsFromRoyaltiesFeesCommissionsAndOtherRevenue","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_14_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceiptsFromSalesOfGoodsAndRenderingOfServices","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_14_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RepaymentsOfBorrowingsClassifiedAsFinancingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashPaymentsForFutureContractsForwardContractsOptionContractsAndSwapContractsClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashReceiptsFromFutureContractsForwardContractsOptionContractsAndSwapContractsClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCashPaymentsToAcquireInterestsInJointVenturesClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCashPaymentsToAcquireEquityOrDebtInstrumentsOfOtherEntitiesClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCashReceiptsFromSalesOfEquityOrDebtInstrumentsOfOtherEntitiesClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCashReceiptsFromSalesOfInterestsInJointVenturesClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherInflowsOutflowsOfCashClassifiedAsFinancingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_21&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_21&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForFinanceCosts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherAdjustmentsToReconcileProfitLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestPaidClassifiedAsInvestingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_31&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Cash","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashEquivalents","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfInvestingAndFinancingTransactionsNotRequireUseOfCashOrCashEquivalents","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"43","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_43&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxesPaidRefund","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherDifferencesToCashAndCashEquivalentsInStatementOfCashFlows","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAdditionalInformationAboutUnderstandingFinancialPositionsAndLiquidityOfEntityExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_50&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyToDetermineComponentsOfCashAndCashEquivalents","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"46","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_46&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConsiderationPaidReceived","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"40","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_40_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UndrawnBorrowingFacilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_50_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInIncreasesInOperatingCapacity","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_50_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromChangesInOwnershipInterestsInSubsidiaries","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromChangesInOwnershipInterestsInSubsidiaries","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsFromChangesInOwnershipInterestsInSubsidiaries","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsFromChangesInOwnershipInterestsInSubsidiaries","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PortionOfConsiderationPaidReceivedConsistingOfCashAndCashEquivalents","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"40","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_40_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CommentaryByManagementOnSignificantCashAndCashEquivalentBalancesHeldByEntityThatAreNotAvailableForUseByGroup","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"48","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_48&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInOperations","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS07_IE_A_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceiptsFromRentsAndSubsequentSalesOfSuchAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_14&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsToManufactureOrAcquireAssetsHeldForRentalToOthersAndSubsequentlyHeldForSale","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_14&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInMaintainingOperatingCapacity","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_50_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashAndCashEquivalentsClassifiedAsPartOfDisposalGroupHeldForSale","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxesPaidClassifiedAsOperatingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceCostsPaidClassifiedAsOperatingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_31&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS07_IE_A_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxesRefundClassifiedAsOperatingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceIncomeReceivedClassifiedAsOperatingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_31&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromSaleOrIssueOfTreasuryShares","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromExerciseOfOptions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromIssueOfPreferenceShares","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromNoncurrentBorrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RepaymentsOfNoncurrentBorrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromCurrentBorrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RepaymentsOfCurrentBorrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInIncreaseDecreaseInCurrentBorrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromIssueOfBondsNotesAndDebentures","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RepaymentsOfBondsNotesAndDebentures","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsForShareIssueCosts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsForDebtIssueCosts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromContributionsOfNoncontrollingInterests","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromIssueOfSubordinatedLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RepaymentsOfSubordinatedLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsForExplorationAndEvaluationExpenses","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_14&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_14&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsToSuppliersForGoodsAndServicesAndToAndOnBehalfOfEmployees","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_14&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToCustomers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInDepositsFromCustomers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInDepositsFromBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInInsuranceReinsuranceAndInvestmentContractLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForInterestExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForInterestIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDividendIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForFinanceIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForFinanceIncomeCost","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDeferredTaxExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsToReconcileProfitLossOtherThanChangesInWorkingCapital","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInWorkingCapital","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInOtherAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInOtherLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInOtherCurrentAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInOtherCurrentLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInEmployeeBenefitLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForAmortisationExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDepreciationExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForImpairmentLossRecognisedInProfitOrLossGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTradeAndOtherReceivables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossInventories","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForGainLossOnDisposalsPropertyPlantAndEquipment","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForGainLossOnDisposalOfInvestmentsInSubsidiariesJointVenturesAndAssociates","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInDeferredIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromDisposalOfExplorationAndEvaluationAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfExplorationAndEvaluationAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromDisposalOfMiningAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfMiningAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInDecreaseIncreaseInRestrictedCashAndCashEquivalents","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsReceivedFromInvestmentsAccountedForUsingEquityMethodClassifiedAsInvestingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsReceivedFromAssociatesClassifiedAsInvestingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsReceivedFromJointVenturesClassifiedAsInvestingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfInterestsInAssociates","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromSalesOfInterestsInAssociates","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfInterestsInInvestmentsAccountedForUsingEquityMethod","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromSalesOfInvestmentsAccountedForUsingEquityMethod","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashAdvancesAndLoansMadeToRelatedParties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToRelatedParties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfInvestmentProperty","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromSalesOfInvestmentProperty","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfBiologicalAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromSalesOfBiologicalAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromDisposalOfNoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleAndDiscontinuedOperations","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsUsedInExplorationAndDevelopmentActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromSalesOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfAvailableforsaleFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2017-en-b&anchor=para_16&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromDisposalOrMaturityOfAvailableforsaleFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2017-en-b&anchor=para_16&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInDecreaseIncreaseInShorttermDepositsAndInvestments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InflowsOfCashFromInvestingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OutflowsOfCashFromInvestingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfOilAndGasAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromDisposalOfOilAndGasAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashAndCashEquivalentsInSubsidiaryOrBusinessesAcquiredOrDisposed2013","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"40","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_40_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsOtherThanCashOrCashEquivalentsInSubsidiaryOrBusinessesAcquiredOrDisposed2013","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"40","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_40_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesInSubsidiaryOrBusinessesAcquiredOrDisposed2013","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"40","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_40_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseInOtherProvisionsArisingFromPassageOfTime","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossExplorationAndEvaluationAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromIssueOfOrdinaryShares","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsForDevelopmentProjectExpenditure","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossPropertyPlantAndEquipment","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAcquisitionOfEntityByMeansOfEquityIssue","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"44","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_44_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfConversionOfDebtToEquity","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"44","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_44_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForGainsLossesOnChangeInFairValueLessCostsToSellBiologicalAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInBiologicalAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashAdvancesAndLoansFromRelatedParties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashRepaymentsOfAdvancesAndLoansFromRelatedParties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossLoansAndAdvances","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInRepurchaseAgreementsAndCashCollateralOnSecuritiesLent","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInReverseRepurchaseAgreementsAndCashCollateralOnSecuritiesBorrowed","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInFinancialAssetsHeldForTrading","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInFinancialLiabilitiesHeldForTrading","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInDerivativeFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInDerivativeFinancialLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermBorrowingsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS07_IE_C_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesArisingFromFinancingActivitiesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"44D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_44D&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesArisingFromFinancingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"44D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_44D&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfLiabilitiesArisingFromFinancingActivitiesExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"44D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_44D&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughFinancingCashFlowsLiabilitiesArisingFromFinancingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"44B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_44B_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughEffectOfChangesInForeignExchangeRatesLiabilitiesArisingFromFinancingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"44B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_44B_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationThatEnablesUsersOfFinancialStatementsToEvaluateChangesInLiabilitiesArisingFromFinancingActivitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"44A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_44A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesArisingFromFinancingActivitiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"44D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_44D&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LeaseLiabilitiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS07_IE_C_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseThroughNewLeasesLiabilitiesArisingFromFinancingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS07_IE_A_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermBorrowingsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS07_IE_C_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughObtainingOrLosingControlOfSubsidiariesOrOtherBusinessesLiabilitiesArisingFromFinancingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"44B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_44B_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesLiabilitiesArisingFromFinancingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"44B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_44B_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInFairValuesLiabilitiesArisingFromFinancingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"44B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_44B_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsHeldToHedgeLiabilitiesArisingFromFinancingActivitiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS07_IE_C_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfLiabilitiesArisingFromFinancingActivitiesTable","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"44D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_44D&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInLiabilitiesArisingFromFinancingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"44B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_44B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LeaseLiabilitiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"44C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_44C&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermBorrowingsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"44C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_44C&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsHeldToHedgeLiabilitiesArisingFromFinancingActivitiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"44C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_44C&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermBorrowingsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"44C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_44C&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseThroughNewLeasesLiabilitiesArisingFromFinancingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"44B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_44B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInOperations","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceiptsFromPremiumsAndClaimsAnnuitiesAndOtherPolicyBenefits","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-b&anchor=para_14_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsForPremiumsAndClaimsAnnuitiesAndOtherPolicyBenefits","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-b&anchor=para_14_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAcquisitionOfAssetsByAssumingDirectlyRelatedLiabilitiesOrByMeansOfLease","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"44","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_44_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RestatedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_f_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RestatedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_29_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RestatedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"49","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_49_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PreviouslyStatedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_f_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PreviouslyStatedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_29_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PreviouslyStatedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"49","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_49_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetrospectiveApplicationAndRetrospectiveRestatementAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_f_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetrospectiveApplicationAndRetrospectiveRestatementAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_29_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetrospectiveApplicationAndRetrospectiveRestatementAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"49","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_49_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseDueToChangesInAccountingPolicyAndCorrectionsOfPriorPeriodErrorsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_f_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseDueToChangesInAccountingPolicyAndCorrectionsOfPriorPeriodErrorsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_29_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseDueToChangesInAccountingPolicyAndCorrectionsOfPriorPeriodErrorsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"49","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_49_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialEffectOfChangesInAccountingPolicyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_f_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialEffectOfChangesInAccountingPolicyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_29_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfChangesInAccountingPoliciesAccountingEstimatesAndErrorsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IAS08_g7-31_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialEffectOfCorrectionsOfAccountingErrorsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"49","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_49_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialEffectOfCorrectionsOfAccountingErrorsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"49","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_49_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInitialApplicationOfStandardsOrInterpretations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfVoluntaryChangeInAccountingPolicy","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_29&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAndAmountOfChangeInAccountingEstimate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_39&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatAmountOfChangeInAccountingEstimateIsImpracticable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"40","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_40&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAmountAndCorrectionOfAccountingErrorsInPriorPeriodsEstimate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"49","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_49_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreationDateAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_f_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreationDateAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_29_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreationDateAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"49","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_49_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DefaultFinancialStatementsDateMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_f_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DefaultFinancialStatementsDateMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_29_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DefaultFinancialStatementsDateMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"49","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_49_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfReasonWhyItIsImpracticableToDetermineAmountsOfAdjustmentsRelatedToChangeInAccountingPolicy","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfReasonWhyItIsImpracticableToDetermineAmountsOfAdjustmentsRelatedToChangeInAccountingPolicy","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_29_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfReasonWhyItIsImpracticableToDetermineAmountsForCorrectionRelatedToPriorPeriodErrors","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"49","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_49_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseDueToChangesInAccountingPolicyRequiredByIFRSsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_f_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseDueToChangesInAccountingPolicyRequiredByIFRSsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseDueToVoluntaryChangesInAccountingPolicyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_29_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseDueToVoluntaryChangesInAccountingPolicyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_29_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNotAppliedNewStandardsOrInterpretations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_30_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfExpectedImpactOfInitialApplicationOfNewStandardsOrInterpretations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_30_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TitleOfNewIFRS","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_31_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfImpendingChangeInAccountingPolicy","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_31_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DiscussionOfImpactThatInitialApplicationOfIFRSIsExpectedToHaveOnFinancialStatements","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_31_e_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatImpactIsNotKnownOrReasonablyEstimable","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_31_e_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfExpectedImpactOfInitialApplicationOfNewStandardsOrInterpretationsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_30_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NewIFRSsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_30_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NewIFRSsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_30_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInAccountingEstimate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_39&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TitleOfInitiallyAppliedIFRS","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionWhetherChangeInAccountingPolicyIsMadeInAccordanceWithTransitionalProvisionsOfInitiallyAppliedIFRS","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfChangeInAccountingPolicy","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTransitionalProvisionsOfInitiallyAppliedIFRS","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTransitionalProvisionsOfInitiallyAppliedIFRSThatMightHaveEffectOnFuturePeriods","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfVoluntaryChangeInAccountingPolicy","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_29_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsWhyApplyingNewAccountingPolicyProvidesReliableAndMoreRelevantInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_29_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfChangesInAccountingEstimatesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_39&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfChangesInAccountingEstimatesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_39&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccountingEstimatesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_39&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccountingEstimatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_39&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInitialApplicationOfStandardsOrInterpretationsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InitiallyAppliedIFRSsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InitiallyAppliedIFRSsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfVoluntaryChangeInAccountingPolicyTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_29&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"VoluntaryChangesInAccountingPolicyAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_29&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"VoluntaryChangesInAccountingPolicyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_29&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DateAsAtWhichEntityPlansToApplyNewIFRSInitially","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_31_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DateByWhichApplicationOfNewIFRSIsRequired","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2020-en-r&anchor=para_31_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEventsAfterReportingPeriodExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IAS10_g17-22_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNonadjustingEventsAfterReportingPeriodExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2020-en-r&anchor=para_21&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfBodyOfAuthorisation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFactThatEntitysOwnersOrOthersHavePowerToAmendFinancialStatementsAfterIssue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfNonadjustingEventAfterReportingPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2020-en-r&anchor=para_21_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFinancialEffectOfNonadjustingEventAfterReportingPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2020-en-r&anchor=para_21_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNonadjustingEventsAfterReportingPeriodTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2020-en-r&anchor=para_21&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NonadjustingEventsAfterReportingPeriodAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2020-en-r&anchor=para_21&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NonadjustingEventsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2020-en-r&anchor=para_21&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MajorBusinessCombinationMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2020-en-r&anchor=para_22_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisposalOfMajorSubsidiaryMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2020-en-r&anchor=para_22_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AnnouncementOfPlanToDiscontinueOperationMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2020-en-r&anchor=para_22_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MajorPurchasesOfAssetsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2020-en-r&anchor=para_22_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherDisposalsOfAssetsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2020-en-r&anchor=para_22_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpropriationOfMajorAssetsByGovernmentMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2020-en-r&anchor=para_22_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DestructionOfMajorProductionPlantMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2020-en-r&anchor=para_22_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AnnouncingOrCommencingImplementationOfMajorRestructuringMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2020-en-r&anchor=para_22_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AbnormallyLargeChangesInAssetPricesOrForeignExchangeRatesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2020-en-r&anchor=para_22_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInTaxRatesOrTaxLawsEnactedOrAnnouncedMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2020-en-r&anchor=para_22_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EnteringIntoSignificantCommitmentsOrContingentLiabilitiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2020-en-r&anchor=para_22_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CommencementOfMajorLitigationMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2020-en-r&anchor=para_22_j&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsProposedOrDeclaredBeforeFinancialStatementsAuthorisedForIssueButNotRecognisedAsDistributionToOwners","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2020-en-r&anchor=para_13&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MajorOrdinaryShareTransactionsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2020-en-r&anchor=para_22_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassificationOfAssetsAsHeldForSaleMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2020-en-r&anchor=para_22_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PotentialOrdinaryShareTransactionsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2020-en-r&anchor=para_22_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DateOfAuthorisationForIssueOfFinancialStatements2013","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_g_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_g_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxExpenseContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_79&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxExpenseContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxExpenseContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_c_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfIncomeTaxExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IAS12_g79-88_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfChangesInApplicableTaxRatesToPreviousAccountingPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNatureOfPotentialIncomeTaxConsequencesThatWouldResultFromPaymentOfDividendExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_82A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentTaxExpenseIncome","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"80","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_80_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForCurrentTaxOfPriorPeriod","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"80","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_80_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComponentsOfDeferredTaxExpenseIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"80","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_80&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxExpenseIncomeRelatingToOriginationAndReversalOfTemporaryDifferences","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"80","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_80_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxExpenseIncomeRelatingToTaxRateChangesOrImpositionOfNewTaxes","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"80","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_80_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxBenefitArisingFromPreviouslyUnrecognisedTaxLossTaxCreditOrTemporaryDifferenceOfPriorPeriodUsedToReduceCurrentTaxExpense","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"80","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_80_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxBenefitArisingFromPreviouslyUnrecognisedTaxLossTaxCreditOrTemporaryDifferenceOfPriorPeriodUsedToReduceDeferredTaxExpense","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"80","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_80_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxExpenseArisingFromWritedownOrReversalOfWritedownOfDeferredTaxAsset","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"80","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_80_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxExpenseIncomeRelatingToChangesInAccountingPoliciesAndErrorsIncludedInProfitOrLoss","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"80","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_80_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfExpiryDateOfTemporaryDifferencesUnusedTaxLossesAndUnusedTaxCredits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_g_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTemporaryDifferenceUnusedTaxLossesAndUnusedTaxCreditsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTemporaryDifferenceUnusedTaxLossesAndUnusedTaxCreditsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TemporaryDifferenceUnusedTaxLossesAndUnusedTaxCreditsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TemporaryDifferenceUnusedTaxLossesAndUnusedTaxCreditsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TemporaryDifferenceMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnusedTaxLossesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnusedTaxCreditsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxExpenseRelatingToGainLossOnDiscontinuance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_h_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxExpenseRelatingToProfitLossFromOrdinaryActivitiesOfDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccountingProfit","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_c_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccountingProfit","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentTaxRelatingToItemsChargedOrCreditedDirectlyToEquity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxExpenseIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_g_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TemporaryDifferencesAssociatedWithInvestmentsInSubsidiariesBranchesAndAssociatesAndInterestsInJointVentures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxConsequencesOfDividendsProposedOrDeclaredBeforeFinancialStatementsAuthorisedForIssueNotRecognisedAsLiability","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangeInAmountRecognisedForPreacquisitionDeferredTaxAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_j&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfEventOrChangeInCircumstancesThatCausedRecognitionOfDeferredTaxBenefitsAcquiredInBusinessCombinationAfterAcquisitionDate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_k&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEvidenceSupportingRecognitionOfDeferredTaxAssetsDependentOnFutureTaxableProfitsAndEntityHasSufferedALossInCurrentOrPrecedingPeriodExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_82&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxEffectOfRevenuesExemptFromTaxation2011","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxEffectFromChangeInTaxRate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxExpenseIncomeAtApplicableTaxRate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherTaxEffectsForReconciliationBetweenAccountingProfitAndTaxExpenseIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxEffectOfForeignTaxRates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxEffectOfTaxLosses","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxEffectOfExpenseNotDeductibleInDeterminingTaxableProfitTaxLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxRateEffectOfTaxLosses","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_c_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ApplicableTaxRate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_c_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxRateEffectOfForeignTaxRates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_c_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxRateEffectOfExpenseNotDeductibleInDeterminingTaxableProfitTaxLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_c_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxRateEffectOfRevenuesExemptFromTaxation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_c_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AverageEffectiveTaxRate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_c_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherTaxRateEffectsForReconciliationBetweenAccountingProfitAndTaxExpenseIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_c_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxRateEffectFromChangeInTaxRate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_c_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAmountsOfPotentialIncomeTaxConsequencesPracticablyDeterminableExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_82A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnusedTaxLossesForWhichNoDeferredTaxAssetRecognised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnusedTaxCreditsForWhichNoDeferredTaxAssetRecognised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeductibleTemporaryDifferencesForWhichNoDeferredTaxAssetIsRecognised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAndDeferredTaxRelatingToItemsChargedOrCreditedDirectlyToEquity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxRelatingToItemsChargedOrCreditedDirectlyToEquity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxExpenseIncomeRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_g_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxAssetWhenUtilisationIsDependentOnFutureTaxableProfitsInExcessOfProfitsFromReversalOfTaxableTemporaryDifferencesAndEntityHasSufferedLossInJurisdictionToWhichDeferredTaxAssetRelates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_82&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetDeferredTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_g_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AllowanceForCreditLossesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInDeferredTaxLiabilityAsset","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxRateEffectOfAdjustmentsForCurrentTaxOfPriorPeriods","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_c_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxEffectOfImpairmentOfGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetDeferredTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_g_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnrealisedForeignExchangeGainsLossesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherTemporaryDifferencesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughBusinessCombinationsDeferredTaxLiabilityAsset","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughLossOfControlOfSubsidiaryDeferredTaxLiabilityAsset","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesDeferredTaxLiabilityAsset","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxRateEffectOfImpairmentOfGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_c_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDeferredTaxOfPriorPeriods","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"80","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_80&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentTaxExpenseIncomeAndAdjustmentsForCurrentTaxOfPriorPeriods","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"80","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_80&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToComponentsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToCashFlowHedgesOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToExchangeDifferencesOnTranslationOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToChangesInRevaluationSurplusOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToHedgesOfNetInvestmentsInForeignOperationsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfWhetherThereArePotentialIncomeTaxConsequencesNotPracticablyDeterminable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_82A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToFinanceIncomeExpensesFromReinsuranceContractsHeldOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToChangeInValueOfForeignCurrencyBasisSpreadsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToChangeInValueOfTimeValueOfOptionsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToChangesInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiabilityOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToChangeInValueOfForwardElementsOfForwardContractsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToHedgesOfInvestmentsInEquityInstrumentsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToInvestmentsInEquityInstrumentsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2020-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToAvailableforsaleFinancialAssetsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"81","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2017-en-b&anchor=para_81_ab&doctype=Standard&forcepdf=true","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInProfitOrLossPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"vi","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_e_vi&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLossPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_e_v&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevaluationSurplusMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_39&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LandAndBuildingsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfPropertyPlantAndEquipmentExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IAS16_g73-79_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MachineryMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FixturesAndFittingsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OfficeEquipmentMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OfficeEquipment","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Machinery","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LandAndBuildings","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FixturesAndFittings","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractualCommitmentsForAcquisitionOfPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"74","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_74_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AcquisitionsThroughBusinessCombinationsPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_e_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsOtherThanThroughBusinessCombinationsPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_e_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisposalsPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_e_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"vii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_e_vii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"75","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_75_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"viii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_e_viii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MeasurementBasesPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationMethodPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentPledgedAsSecurity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"74","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_74_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfPropertyPlantAndEquipmentTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfPropertyPlantAndEquipmentAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Land","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Ships","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Aircraft","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MotorVehicles","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LandMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShipsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AircraftMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MotorVehiclesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutPropertyPlantAndEquipmentExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevaluationSurplus","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_39&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossCarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedDepreciationAmortisationAndImpairmentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedDepreciationAmortisationAndImpairmentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"75","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_75_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfExistenceOfRestrictionsOnTitlePropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"74","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_74_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentRestrictionsOnTitle","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"74","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_74_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInOtherComprehensiveIncomePropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_e_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfPropertyPlantAndEquipmentMateriallyDifferentFromCarryingAmount","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_79_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CompensationFromThirdPartiesForItemsOfPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"74","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_74_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentCarryingAmountOfAssetsRetiredFromActiveUse","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_79_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentGrossCarryingAmountFullyDepreciated","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_79_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentCarryingAmountAtCostOfRevaluedAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"77","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_77_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentCarryingAmountOfRevaluedAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"77","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_77&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentExpendituresRecognisedForConstructions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"74","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_74_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentRevaluationSurplus","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"77","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_77_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectiveDatesOfRevaluationPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"77","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_77_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfIndependentValuerUsedForRevaluationPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"77","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_77_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentTemporarilyIdle","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_79_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughClassifiedAsHeldForSalePropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_e_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInOtherComprehensiveIncomePropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_e_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevaluationIncreaseDecreasePropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_e_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevaluationIncreaseDecreasePropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"77","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_77_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"ix","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_e_ix&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRestrictionsOnDistributionOfRevaluationSurplusToShareholdersPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"77","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_77_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MiningAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OilAndGasAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MiningAssetsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MiningPropertyMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OilAndGasAssetsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherPropertyPlantAndEquipmentMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"VehiclesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConstructionInProgressMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConstructionInProgress","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Vehicles","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherPropertyPlantAndEquipment","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BuildingsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Buildings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LeaseholdImprovementsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CommunicationAndNetworkEquipmentMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComputerEquipmentMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisposalsAndRetirementsPropertyPlantAndEquipment","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughLossOfControlOfSubsidiaryPropertyPlantAndEquipment","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetirementsPropertyPlantAndEquipment","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersPropertyPlantAndEquipment","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersFromToInvestmentPropertyPropertyPlantAndEquipment","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersFromConstructionInProgressPropertyPlantAndEquipment","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersAndOtherChangesPropertyPlantAndEquipment","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetworkInfrastructureMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedDepreciationAndAmortisationMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedImpairmentMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedDepreciationAndAmortisationMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"75","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_75_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatUnadjustedComparativeInformationHasBeenPreparedOnDifferentBasis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"80A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_80A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfBasisOfPreparationOfUnadjustedComparativeInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"80A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_80A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IdentificationOfUnadjustedComparativeInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"80A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_80A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PowerGeneratingAssetsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BearerPlantsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BearerPlants","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_37_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OwneroccupiedPropertyMeasuredUsingInvestmentPropertyFairValueModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_29B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OwneroccupiedPropertyMeasuredUsingInvestmentPropertyFairValueModelMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_29B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationRatePropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UsefulLifeMeasuredAsPeriodOfTimePropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UsefulLifeMeasuredInProductionOrOtherSimilarUnitsPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfUsefulLifePropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"73","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2020-en-r&anchor=para_73_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEmployeeBenefitsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IAS19_g2-7_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialGainsLossesArisingFromChangesInDemographicAssumptionsNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_c_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialGainsLossesArisingFromChangesInFinancialAssumptionsNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_c_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetbackedSecuritiesAmountContributedToFairValueOfPlanAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"142","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_142_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashAndCashEquivalentsAmountContributedToFairValueOfPlanAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"142","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_142_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentServiceCostNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DebtInstrumentsAmountContributedToFairValueOfPlanAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"142","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_142_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DefinedBenefitPlansThatShareRisksBetweenEntitiesUnderCommonControlMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"149","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_149&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativesAmountContributedToFairValueOfPlanAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"142","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_142_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAgreedAllocationOfDeficitOrSurplusOfMultiemployerOrStatePlanOnEntitysWithdrawalFromPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"148","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_148_c_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAgreedAllocationOfDeficitOrSurplusOfMultiemployerOrStatePlanOnWindupOfPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"148","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_148_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAnyOtherEntitysResponsibilitiesForGovernanceOfPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"139","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_139_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAssetliabilityMatchingStrategiesUsedByPlanOrEntityToManageRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"146","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_146&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfContractualAgreementOrStatedPolicyForChargingNetDefinedBenefitCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"149","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_149_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCrossreferenceToDisclosuresAboutPlansThatShareRisksBetweenEntitiesUnderCommonControlInAnotherGroupEntitysFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"150","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_150&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfExtentToWhichEntityCanBeLiableToMultiemployerOrStatePlanForOtherEntitiesObligations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"148","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_148_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatMultiemployerPlanIsDefinedBenefitPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"148","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_148_d_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFundingArrangementsAndFundingPolicyThatAffectFutureContributions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"147","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_147_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFundingArrangementsAndFundingPolicyThatAffectFutureContributions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"148","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_148_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfBenefitsProvidedByPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"139","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_139_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPlanAmendmentsCurtailmentsAndSettlements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"139","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_139_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPolicyForDeterminingContributionOfDefinedBenefitPlansThatShareRisksBetweenVariousEntities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"149","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_149_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhySufficientInformationIsNotAvailableToAccountForMultiemployerPlanAsDefinedBenefitPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"148","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_148_d_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTypeOfPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"139","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_139_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAdditionalInformationAboutDefinedBenefitPlansExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"137","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_137&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAnalysisOfPresentValueOfDefinedBenefitObligationThatDistinguishesNatureCharacteristicsAndRisksExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"137","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_137&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectOfAssetCeilingMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"140","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_140_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EquityInstrumentsAmountContributedToFairValueOfPlanAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"142","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_142_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimateOfContributionsExpectedToBePaidToPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"147","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_147_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimateOfContributionsExpectedToBePaidToPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"148","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_148_d_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesNetDefinedBenefitLiabilityAsset","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentFundsAmountContributedToFairValueOfPlanAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"142","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_142_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LevelOfParticipationOfEntityComparedWithOtherParticipatingEntities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"148","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_148_d_v&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MultiemployerDefinedBenefitPlansMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_33_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MultiemployerDefinedBenefitPlansMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_34_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherAssetsAmountContributedToFairValueOfPlanAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"142","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_142&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PlanAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"140","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_140_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PostemploymentBenefitExpenseDefinedContributionPlans","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"53","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_53&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PresentValueOfDefinedBenefitObligationMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"140","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_140_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyAmountContributedToFairValueOfPlanAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"142","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_142_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StateDefinedBenefitPlansMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StructuredDebtAmountContributedToFairValueOfPlanAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"142","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_142_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TerminationBenefitsExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"171","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_171&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherLongtermBenefits","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"158","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_158&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfExpectedRatesOfInflation","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"144","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_144&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfExpectedRatesOfPensionIncreases","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"144","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_144&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfExpectedRatesOfSalaryIncreases","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"144","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_144&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfMedicalCostTrendRates","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"144","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_144&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherMaterialActuarialAssumptions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"144","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_144&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfDiscountRates","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"144","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_144&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfExpectedRatesOfInflationMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"145","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_145&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfExpectedRatesOfPensionIncreasesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"145","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_145&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfExpectedRatesOfSalaryIncreasesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"145","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_145&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfMedicalCostTrendRatesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"145","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_145&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherMaterialActuarialAssumptionsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"145","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_145&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfDiscountRatesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"145","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_145&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"145","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_145&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSensitivityAnalysisForActuarialAssumptionsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"145","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_145&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSensitivityAnalysisForActuarialAssumptionsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"145","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_145&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"145","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_145&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValueOfPlanAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"142","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_142&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValueOfPlanAssetsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"142","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_142&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Level1OfFairValueHierarchyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"142","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_142&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Level2And3OfFairValueHierarchyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"142","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_142&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LevelsOfFairValueHierarchyAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"142","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_142&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AllLevelsOfFairValueHierarchyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"142","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_142&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInReimbursementRightsAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContributionsToPlanByPlanParticipantsNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContributionsToPlanNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContributionsToPlanByEmployerNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsFromPlanNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsInRespectOfSettlementsNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsInRespectOfSettlementsReimbursementRights","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughBenefitsPaidReimbursementRightsAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DefinedBenefitPlansMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_138&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDefinedBenefitPlansExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_138&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDefinedBenefitPlansTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_138&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DefinedBenefitPlansAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_138&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAmountsOfOtherAssetsUsedByEntityIncludedInFairValueOfPlanAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"143","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_143&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAmountsOfPropertyOccupiedByEntityIncludedInFairValueOfPlanAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"143","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_143&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAmountsOfEntitysOwnFinancialInstrumentsIncludedInFairValueOfPlanAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"143","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_143&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInformationAboutSurplusOrDeficitOfMultiemployerPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"148","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_148_d_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImplicationsOfSurplusOrDeficitOnMultiemployerPlanForEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"148","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_148_d_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisUsedToDetermineSurplusOrDeficitOfMultiemployerPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"148","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_148_d_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForChangesInMethodsAndAssumptionsUsedInPreparingSensitivityAnalysisForActuarialAssumptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"145","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_145_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangesInMethodsAndAssumptionsUsedInPreparingSensitivityAnalysisForActuarialAssumptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"145","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_145_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRegulatoryFrameworkInWhichPlanOperates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"139","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_139_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfEffectOfRegulatoryFrameworkOnPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"139","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_139_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOnChangesInEffectOfLimitingNetDefinedBenefitAssetToAssetCeiling","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_c_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOnChangesInEffectOfLimitingReimbursementRightsToAssetCeiling","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_c_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityDeterminedMaximumEconomicBenefitAvailable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_c_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodsAndAssumptionsUsedInPreparingSensitivityAnalysisForActuarialAssumptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"145","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_145_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLimitationsOfMethodsUsedInPreparingSensitivityAnalysisForActuarialAssumptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"145","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_145_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReimbursementRightsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"140","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_140_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReimbursementRightsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"140","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_140_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReimbursementRightsAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"140","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_140_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLinkBetweenReimbursementRightAndRelatedObligation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"140","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_140_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSignificantConcentrationsOfRiskRelatedToPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"139","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_139_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRisksToWhichPlanExposesEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"139","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_139_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutMaturityProfileOfDefinedBenefitObligationExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"147","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_147_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNetDefinedBenefitLiabilityAssetTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"140","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_140_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilityAssetOfDefinedBenefitPlans","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"140","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_140_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetDefinedBenefitLiabilityAssetAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"140","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_140_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetDefinedBenefitLiabilityAssetMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"140","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_140_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNetDefinedBenefitLiabilityAssetExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"140","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_140_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOnRemeasurementOfReimbursementRights","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOnRemeasurementOfNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PastServiceCostAndGainsLossesArisingFromSettlementsNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PastServiceCostNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesArisingFromSettlementsNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInDefinedBenefitObligationDueToReasonablyPossibleIncreaseInActuarialAssumption","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"145","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_145_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PercentageOfReasonablyPossibleDecreaseInActuarialAssumption","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"145","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_145_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PercentageOfReasonablyPossibleIncreaseInActuarialAssumption","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"145","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_145_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInDefinedBenefitObligationDueToReasonablyPossibleDecreaseInActuarialAssumption","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"145","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_145_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughBusinessCombinationsAndDisposalsReimbursementRights","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughBusinessCombinationsAndDisposalsNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesReimbursementRightsAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInForeignExchangeRatesNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeReimbursementRights","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseIncomeNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PostemploymentBenefitExpenseDefinedBenefitPlans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"5","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_5&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherEmployeeExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"5","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_5&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SocialSecurityContributions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_9&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WagesAndSalaries","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_9&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherShorttermEmployeeBenefits","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_9&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReturnOnReimbursementRights","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReturnOnPlanAssetsNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PlanAssetsAtFairValue","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"57","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_57_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SurplusDeficitInPlan","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"57","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_57_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DefinedBenefitObligationAtPresentValue","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"57","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_57_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContingentLiabilityArisingFromPostemploymentBenefitObligationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"152","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_152&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialGainsLossesArisingFromExperienceAdjustmentsNetDefinedBenefitLiabilityAsset","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"141","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_141_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfMortalityRates","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"144","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_144&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfMortalityRatesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"145","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_145&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfRetirementAgeMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"145","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_145&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfLifeExpectancyAfterRetirementMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"145","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_145&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DefinedBenefitPlansOtherThanMultiemployerPlansStatePlansAndPlansThatShareRisksBetweenEntitiesUnderCommonControlMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_138&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CharacteristicsOfDefinedBenefitPlansAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_138_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CharacteristicsOfDefinedBenefitPlansMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_138_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FlatSalaryPensionDefinedBenefitPlansMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_138_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinalSalaryPensionDefinedBenefitPlansMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_138_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PostemploymentMedicalDefinedBenefitPlansMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_138_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PensionDefinedBenefitPlansMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_138_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryEnvironmentsAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_138_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryEnvironmentsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_138_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FundingArrangementsOfDefinedBenefitPlansAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_138_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FundingArrangementsOfDefinedBenefitPlansMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_138_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WhollyUnfundedDefinedBenefitPlansMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_138_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WhollyOrPartlyFundedDefinedBenefitPlansMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_138_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GeographicalAreasAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_138_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GeographicalAreasMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_138_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SegmentsAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_138_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SegmentsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_138_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReportableSegmentsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"138","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_138_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageDurationOfDefinedBenefitObligation2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"147","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_147_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfLifeExpectancyAfterRetirement2019","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"144","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_144&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfRetirementAge2019","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"144","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2020-en-r&anchor=para_144&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfGovernmentGrantsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"20","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=20&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IAS20_g39-39_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAndExtentOfGovernmentGrantsRecognisedInFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"20","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=20&code=ifrs-tx-2020-en-r&anchor=para_39_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IndicationOfOtherFormsOfGovernmentAssistanceWithDirectBenefitsForEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"20","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=20&code=ifrs-tx-2020-en-r&anchor=para_39_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfUnfulfilledConditionsAndOtherContingenciesAttachingToGovernmentAssistance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"20","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=20&code=ifrs-tx-2020-en-r&anchor=para_39_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromGovernmentGrantsClassifiedAsFinancingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"20","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=20&code=ifrs-tx-2020-en-r&anchor=para_28&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForGovernmentGrants","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"20","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=20&code=ifrs-tx-2020-en-r&anchor=para_39_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromGovernmentGrantsClassifiedAsInvestingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"20","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=20&code=ifrs-tx-2020-en-r&anchor=para_28&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromGovernmentGrants","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"20","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=20&code=ifrs-tx-2020-en-r&anchor=para_39_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPresentationCurrency","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"53","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2020-en-r&anchor=para_53&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfExchangeDifferencesOnTranslationMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"52","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2020-en-r&anchor=para_52_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnExchangeDifferencesOnTranslationBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"48","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2020-en-r&anchor=para_48&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnExchangeDifferencesOnTranslationNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"48","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2020-en-r&anchor=para_48&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyPresentationCurrencyIsDifferentFromFunctionalCurrency","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"53","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2020-en-r&anchor=para_53&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFunctionalCurrency","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"53","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2020-en-r&anchor=para_53&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFunctionalCurrency","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"57","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2020-en-r&anchor=para_57_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEffectOfChangesInForeignExchangeRatesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IAS21_g51-57_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonForChangeInFunctionalCurrency","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2020-en-r&anchor=para_54&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"52","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2020-en-r&anchor=para_52_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfExchangeDifferencesOnTranslation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"52","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2020-en-r&anchor=para_52_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCurrencyInWhichSupplementaryInformationIsDisplayed","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"57","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2020-en-r&anchor=para_57_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodsOfTranslationUsedToDetermineSupplementaryInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"57","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2020-en-r&anchor=para_57_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetForeignExchangeLoss","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"52","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2020-en-r&anchor=para_52_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetForeignExchangeGain","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"52","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2020-en-r&anchor=para_52_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfBorrowingCostsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"23","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=23&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IAS23_g26-26_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BorrowingCostsCapitalised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"23","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"26","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=23&code=ifrs-tx-2020-en-r&anchor=para_26_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CapitalisationRateOfBorrowingCostsEligibleForCapitalisation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"23","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"26","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=23&code=ifrs-tx-2020-en-r&anchor=para_26_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfUltimateParentOfGroup","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_13&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfParentEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_13&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfRelationshipsBetweenParentsAndEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_13&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfMostSeniorParentEntityProducingPubliclyAvailableFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_13&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRelatedPartyExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IAS24_g13-24_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTransactionsBetweenRelatedPartiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"18","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_18&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"KeyManagementPersonnelCompensation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTransactionsBetweenRelatedPartiesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_19&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CategoriesOfRelatedPartiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_19&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RelatedPartiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_19&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"KeyManagementPersonnelOfEntityOrParentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_19_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherRelatedPartiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_19_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTransactionsWithRelatedParty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"18","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_18&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfRelatedPartyRelationship","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"18","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_18&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionsForDoubtfulDebtsRelatedToOutstandingBalancesOfRelatedPartyTransaction","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"18","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_18_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseRecognisedDuringPeriodForBadAndDoubtfulDebtsForRelatedPartyTransaction","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"18","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_18_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfDetailsOfGuaranteesGivenOrReceivedOfOutstandingBalancesForRelatedPartyTransaction","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"18","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_18_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfTermsAndConditionsOfOutstandingBalancesForRelatedPartyTransaction","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"18","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_18_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SubsidiariesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_19_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_19_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchasesOfGoodsRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_21_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfGoodsRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_21_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchasesOfPropertyAndOtherAssetsRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_21_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SalesOfPropertyAndOtherAssetsRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_21_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ServicesReceivedRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_21_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfServicesRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_21_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LeasesAsLessorRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_21_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LeasesAsLesseeRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_21_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersOfResearchAndDevelopmentFromEntityRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_21_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersOfResearchAndDevelopmentToEntityRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_21_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersUnderLicenseAgreementsFromEntityRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_21_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersUnderLicenseAgreementsToEntityRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_21_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersUnderFinanceAgreementsFromEntityRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_21_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersUnderFinanceAgreementsToEntityRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_21_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionOfGuaranteesOrCollateralByEntityRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_21_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionOfGuaranteesOrCollateralToEntityRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_21_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SettlementOfLiabilitiesByEntityOnBehalfOfRelatedPartyRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_21_j&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SettlementOfLiabilitiesOnBehalfOfEntityByRelatedPartyRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_21_j&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ParticipationInDefinedBenefitPlanThatSharesRisksBetweenGroupEntitiesRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_22&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsPayableRelatedPartyTransactions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsPayableRelatedPartyTransactions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"18","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_18_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsReceivableRelatedPartyTransactions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_20&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsReceivableRelatedPartyTransactions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"18","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_18_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ParentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_19_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointControlOrSignificantInfluenceMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_19_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"KeyManagementPersonnelCompensationPostemploymentBenefits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_17_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"KeyManagementPersonnelCompensationTerminationBenefits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_17_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"KeyManagementPersonnelCompensationSharebasedPayment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_17_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"KeyManagementPersonnelCompensationOtherLongtermBenefits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_17_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"KeyManagementPersonnelCompensationShorttermEmployeeBenefits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_17_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointVenturesWhereEntityIsVenturerMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_19_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfWhetherEntityAppliesExemptionInIAS2425","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"26","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_26&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfGovernmentAndNatureOfRelationshipWithGovernment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"26","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_26_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNatureAndAmountOfSignificantTransactions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"26","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_26_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfOtherTransactionsThatAreCollectivelySignificant","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"26","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_26_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CommitmentsMadeByEntityRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_21_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureThatRelatedPartyTransactionsWereMadeOnTermsEquivalentToThoseThatPrevailInArmsLengthTransactions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_23&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OutstandingCommitmentsMadeByEntityRelatedPartyTransactions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"18","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_18_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OutstandingCommitmentsMadeOnBehalfOfEntityRelatedPartyTransactions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"18","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_18_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CommitmentsMadeOnBehalfOfEntityRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_21_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForRelatedPartiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_19&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAmountsIncurredByEntityForProvisionOfKeyManagementPersonnelServicesProvidedBySeparateManagementEntitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"18A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_18A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAmountsIncurredByEntityForProvisionOfKeyManagementPersonnelServicesProvidedBySeparateManagementEntitiesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"18A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_18A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SeparateManagementEntitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"18A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_18A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SeparateManagementEntitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"18A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_18A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountIncurredByEntityForProvisionOfKeyManagementPersonnelServicesProvidedBySeparateManagementEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"18A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2020-en-r&anchor=para_18A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxExpenseContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"viii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_35_b_viii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherExpenseByFunction","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"vii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_35_b_vii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_35_b_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdministrativeExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"vi","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_35_b_vi&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_35_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisOfValuationOfAssetsAvailableForBenefits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_35_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfDetailsOfInvestmentExceedingEitherFivePerCentOfNetAssetsAvailableForBenefitsOrFivePerCentOfAnyClassOrTypeOfSecurity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_35_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfDetailsOfAnyInvestmentInEmployer","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_35_a_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EmployerContributions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_35_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EmployeeContributions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_35_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BenefitsPaidOrPayable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_35_b_v&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitsLossesOnDisposalOfInvestmentsAndChangesInValueOfInvestments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"ix","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_35_b_ix&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersFromToOtherRetirementBenefitPlans","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"x","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_35_b_x&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFundingPolicy","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_35_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialPresentValueOfPromisedRetirementBenefits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_35_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSignificantActuarialAssumptionsMadeAndMethodUsedToCalculateActuarialPresentValueOfPromisedRetirementBenefits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_35_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRetirementBenefitPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_36&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NamesOfEmployersAndEmployeeGroupsCovered","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_36_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfParticipantsOfRetirementBenefitPlanReceivingBenefits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_36_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfWhetherParticipantsContributeToRetirementBenefitPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_36_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTypeOfRetirementBenefitPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_36_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRetirementBenefitsPromisedToParticipants","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_36_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAnyRetirementBenefitPlanTerminationTerms","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_36_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfChangesInDescriptionOfRetirementBenefitPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_36_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesOtherThanActuarialPresentValueOfPromisedRetirementBenefits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_35_a_v&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsOfBenefitPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_35_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsLiabilitiesOfBenefitPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_35_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInNetAssetsAvailableForBenefits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_35_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfOtherParticipantsOfRetirementBenefitPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2020-en-r&anchor=para_36_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SeparateMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_4&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConsolidatedAndSeparateFinancialStatementsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_4&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConsolidatedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_4&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfConsolidatedAndSeparateFinancialStatementsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IAS27_g15-17_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfIdentificationOfFinancialStatementsToWhichSeparateFinancialStatementsRelate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfIncorporationOfEntityWhoseConsolidatedFinancialStatementsHaveBeenProducedForPublicUse","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyConsolidatedFinancialStatementsHaveNotBeenPrepared","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfEntityWhoseConsolidatedFinancialStatementsHaveBeenProducedForPublicUse","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrincipalPlaceOfBusinessOfEntityWhoseConsolidatedFinancialStatementsHaveBeenProducedForPublicUse","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AddressWhereConsolidatedFinancialStatementsAreObtainable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfJointVenturesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfJointVenturesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantInvestmentsInAssociatesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantInvestmentsInAssociatesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantInvestmentsInSubsidiariesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantInvestmentsInSubsidiariesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForAssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForJointVenturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForSubsidiariesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointVenturesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointVenturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SignificantInvestmentsInAssociatesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SignificantInvestmentsInSubsidiariesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SubsidiariesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfJointVenturesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfJointVenturesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantInvestmentsInAssociatesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantInvestmentsInAssociatesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantInvestmentsInSubsidiariesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantInvestmentsInSubsidiariesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForAssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForJointVenturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForSubsidiariesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointVenturesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointVenturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SignificantInvestmentsInAssociatesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SignificantInvestmentsInSubsidiariesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SubsidiariesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfIncorporationOrResidenceOfAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfIncorporationOrResidenceOfSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrincipalPlaceOfBusinessOfAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrincipalPlaceOfBusinessOfJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrincipalPlaceOfBusinessOfSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfIncorporationOfJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfIncorporationOrResidenceOfAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfIncorporationOrResidenceOfSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrincipalPlaceOfBusinessOfAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrincipalPlaceOfBusinessOfJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrincipalPlaceOfBusinessOfSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfIncorporationOfJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsWhySeparateFinancialStatementsArePreparedIfNotRequiredByLaw","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentsInJointVentures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_10&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentsInSubsidiaries","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_10&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentsInAssociates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_10&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodUsedToAccountForInvestmentsInJointVentures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodUsedToAccountForInvestmentsInSubsidiaries","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodUsedToAccountForInvestmentsInAssociates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodUsedToAccountForInvestmentsInJointVentures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodUsedToAccountForInvestmentsInSubsidiaries","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodUsedToAccountForInvestmentsInAssociates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfOwnershipInterestInJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfOwnershipInterestInSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfVotingPowerHeldInAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfVotingPowerHeldInSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfVotingRightsHeldInJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfOwnershipInterestInAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_17_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfOwnershipInterestInJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfOwnershipInterestInSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfVotingPowerHeldInAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfVotingPowerHeldInSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfVotingRightsHeldInJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfOwnershipInterestInAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatInvestmentEntityPreparesSeparateFinancialStatementsAsItsOnlyFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_16A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IdentificationOfUnadjustedComparativeInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"18I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_18I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatUnadjustedComparativeInformationHasBeenPreparedOnDifferentBasis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"18I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_18I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfBasisOfPreparationOfUnadjustedComparativeInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"18I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_18I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentsInSubsidiariesJointVenturesAndAssociates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2020-en-r&anchor=para_10&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfHyperinflationaryReportingExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"29","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=29&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IAS29_g39-40_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IdentityOfPriceIndex","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"29","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=29&code=ifrs-tx-2020-en-r&anchor=para_39_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PriceIndexMovements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"29","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=29&code=ifrs-tx-2020-en-r&anchor=para_39_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LevelOfPriceIndex","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"29","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=29&code=ifrs-tx-2020-en-r&anchor=para_39_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnNetMonetaryPosition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"29","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=29&code=ifrs-tx-2020-en-r&anchor=para_9&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFactThatFinancialStatementsAndCorrespondingFiguresForPreviousPeriodsHaveBeenRestatedForChangesInGeneralPurchasingPowerOfFunctionalCurrency","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"29","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=29&code=ifrs-tx-2020-en-r&anchor=para_39_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasesOfFinancialStatementsThatHaveBeenRestatedForChangesInGeneralPurchasingPowerOfFunctionalCurrency","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"29","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=29&code=ifrs-tx-2020-en-r&anchor=para_39_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTransactionsAfterReportingPeriodWithSignificantChangeInNumberOfPotentialOrdinarySharesOutstanding","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"70","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_70_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageShares","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"70","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_70_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfAdjustmentsOfNumeratorToCalculateDilutedEarningsPerShare","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"70","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_70_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInstrumentsWithPotentialFutureDilutiveEffectNotIncludedInCalculationOfDilutedEarningsPerShareExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"70","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_70_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicEarningsLossPerShare","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"66","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_66&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicEarningsLossPerShareFromDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"68","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_68&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEarningsPerShareExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IAS33_g70-73A_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTransactionsAfterReportingPeriodWithSignificantChangeInNumberOfOrdinarySharesOutstanding","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"70","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_70_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustedWeightedAverageShares","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"70","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_70_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossAttributableToOrdinaryEquityHoldersOfParentEntityIncludingDilutiveEffects","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"70","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_70_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfAdjustmentsOfNumeratorToCalculateBasicEarningsPerShare","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"70","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_70_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromContinuingOperationsAttributableToOrdinaryEquityHoldersOfParentEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"70","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_70_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromDiscontinuedOperationsAttributableToOrdinaryEquityHoldersOfParentEntityIncludingDilutiveEffects","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"70","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_70_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromContinuingOperationsAttributableToOrdinaryEquityHoldersOfParentEntityIncludingDilutiveEffects","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"70","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_70_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromDiscontinuedOperationsAttributableToOrdinaryEquityHoldersOfParentEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"70","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_70_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossAttributableToOrdinaryEquityHoldersOfParentEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"70","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_70_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicEarningsLossPerShareFromContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"66","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_66&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DilutedEarningsLossPerShare","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"66","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_66&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DilutedEarningsLossPerShareFromContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"66","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_66&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EarningsPerShareTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"66","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_66&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfOrdinarySharesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"66","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_66&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OrdinarySharesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"66","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_66&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DilutedEarningsLossPerShareFromDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"68","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_68&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DilutiveEffectOfConvertibleInstrumentsOnNumberOfOrdinaryShares","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"70","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_70_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DilutiveEffectOfShareOptionsOnNumberOfOrdinaryShares","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"70","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_70_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfAdjustmentsBetweenDenominatorsUsedToCalculateBasicAndDilutedEarningsPerShare","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"70","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_70_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EarningsPerShareExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"66","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_66&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentToProfitLossForPreferenceShareDividends","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS33_ex12_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentToProfitLossForPreferenceShareDividends","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"70","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2020-en-r&anchor=para_70_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInterimFinancialReportingExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IAS34_g5-25_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfComplianceWithIFRSsIfAppliedForInterimFinancialReport","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2020-en-r&anchor=para_19&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAndAmountOfChangeInEstimateDuringFinalInterimPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"26","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2020-en-r&anchor=para_26&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfAccountingPoliciesAndMethodsOfComputationFollowedInInterimFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2020-en-r&anchor=para_16A_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfSeasonalityOrCyclicalityOfInterimOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2020-en-r&anchor=para_16A_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNatureAndAmountOfItemsAffectingAssetsLiabilitiesEquityNetIncomeOrCashFlowsThatAreUnusualBecauseOfTheirNatureSizeOrIncidence","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2020-en-r&anchor=para_16A_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNatureAndAmountOfChangesInEstimatesOfAmountsReportedInPriorInterimPeriodsOrPriorFinancialYears","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2020-en-r&anchor=para_16A_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfIssuancesRepurchasesAndRepaymentsOfDebtAndEquitySecurities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2020-en-r&anchor=para_16A_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsPaidOrdinaryShares","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2020-en-r&anchor=para_16A_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfMaterialEventsSubsequentToEndOfInterimPeriodThatHaveNotBeenReflected","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2020-en-r&anchor=para_16A_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEffectOfChangesInCompositionOfEntityDuringInterimPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2020-en-r&anchor=para_16A_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSignificantEventsAndTransactions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"15","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2020-en-r&anchor=para_15&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsPaidOtherShares","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2020-en-r&anchor=para_16A_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsPaidOrdinarySharesPerShare","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2020-en-r&anchor=para_16A_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsPaidOtherSharesPerShare","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2020-en-r&anchor=para_16A_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCrossreferenceToDisclosuresPresentedOutsideInterimFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2020-en-r&anchor=para_16A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"127","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_127&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"126","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_126&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"126","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_126&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsOtherThanGoodwillMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"127","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_127&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Goodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_134_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Goodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"135","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_135_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfImpairmentLossAndReversalOfImpairmentLossExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"126","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_126&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"126","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_126_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"129","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_129_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"126","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_126_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"129","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_129_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfImpairmentLossAndReversalOfImpairmentLossTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"126","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_126&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GoodwillMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"127","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_127&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfImpairmentOfAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IAS36_g126-137_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"126","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_126_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"129","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_129_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"126","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_126_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"129","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_129_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfGoodwillNotAllocatedToCashgeneratingUnitExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"133","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_133&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfMainEventsAndCircumstancesThatLedToRecognitionOfImpairmentLossesAndReversalsOfImpairmentLosses","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"131","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_131_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfMainEventsAndCircumstancesThatLedToRecognitionOfImpairmentLossesAndReversalsOfImpairmentLosses","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfMainClassesOfAssetsAffectedByImpairmentLossesOrReversalsOfImpairmentLosses","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"131","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_131_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFactThatCarryingAmountOfGoodwillOrIntangibleAssetsWithIndefiniteUsefulLivesIsNotSignificant","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"135","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_135&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationForEachMaterialImpairmentLossRecognisedOrReversedForIndividualAssetOrCashgeneratingUnitExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfIndividualAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReportableSegmentToWhichIndividualAssetBelongs","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130_c_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCashgeneratingUnit","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130_d_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCurrentAndFormerWayOfAggregatingAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130_d_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationWhetherRecoverableAmountOfAssetIsFairValueLessCostsToSellOrValueInUse","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfDiscountRatesUsedInCurrentEstimateOfValueInUse","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfKeyAssumptionsOnWhichManagementHasBasedCashFlowProjections","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_134_d_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfKeyAssumptionsOnWhichManagementHasBasedCashFlowProjections","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"135","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_135_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfManagementsApproachToDeterminingValuesAssignedToKeyAssumptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_134_d_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfManagementsApproachToDeterminingValuesAssignedToKeyAssumptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"135","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_135_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfManagementsApproachToDeterminingValuesAssignedToKeyAssumptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_134_e_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfPeriodOverWhichManagementHasProjectedCashFlows","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_134_d_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfPeriodOverWhichManagementHasProjectedCashFlows","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_134_e_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfGrowthRateUsedToExtrapolateCashFlowProjections","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_134_d_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfGrowthRateUsedToExtrapolateCashFlowProjections","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_134_e_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfDiscountRatesAppliedToCashFlowProjections","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_134_d_v&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfDiscountRatesAppliedToCashFlowProjections","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_134_e_v&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountByWhichUnitsRecoverableAmountExceedsItsCarryingAmount","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_134_f_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountByWhichUnitsRecoverableAmountExceedsItsCarryingAmount","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"135","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_135_e_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfValueAssignedToKeyAssumption","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_134_f_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfValueAssignedToKeyAssumption","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"135","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_135_e_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountByWhichValueAssignedToKeyAssumptionMustChangeInOrderForUnitsRecoverableAmountToBeEqualToCarryingAmount","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_134_f_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountByWhichValueAssignedToKeyAssumptionMustChangeInOrderForUnitsRecoverableAmountToBeEqualToCarryingAmount","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"135","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_135_e_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IndividualAssetsOrCashgeneratingUnitsWithSignificantAmountOfGoodwillOrIntangibleAssetsWithIndefiniteUsefulLivesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_134&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForCashgeneratingUnitsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_134&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForCashgeneratingUnitsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"135","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_135&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfKeyAssumptionsOnWhichManagementHasBasedDeterminationOfFairValueLessCostsOfDisposal","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_134_e_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfValuationTechniquesUsedToMeasureFairValueLessCostsOfDisposal","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_134_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherImpairedAssetsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"127","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_127&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnallocatedGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"133","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_133&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregateNotSignificantIndividualAssetsOrCashgeneratingUnitsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"135","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_135&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFactThatAggregateCarryingAmountOfGoodwillOrIntangibleAssetsWithIndefiniteUsefulLivesAllocatedToRecoverableAmountsIsSignificant","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"135","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_135&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationForEachMaterialImpairmentLossRecognisedOrReversedForIndividualAssetOrCashgeneratingUnitTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IndividualAssetsOrCashgeneratingUnitsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IndividualAssetsOrCashgeneratingUnitsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForIndividualAssetsOrCashgeneratingUnitsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForChangingWayCashgeneratingUnitIsIdentified","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130_d_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfDiscountRatesUsedInPreviousEstimateOfValueInUse","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationForIndividualAssetOrCashgeneratingUnitWithSignificantAmountOfGoodwillOrIntangibleAssetsWithIndefiniteUsefulLivesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_134&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationForIndividualAssetOrCashgeneratingUnitWithSignificantAmountOfGoodwillOrIntangibleAssetsWithIndefiniteUsefulLivesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_134&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IndividualAssetsOrCashgeneratingUnitsWithSignificantAmountOfGoodwillOrIntangibleAssetsWithIndefiniteUsefulLivesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_134&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInStatementOfComprehensiveIncomeInWhichImpairmentLossesRecognisedInProfitOrLossAreIncluded","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"126","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_126_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInStatementOfComprehensiveIncomeInWhichImpairmentLossesRecognisedInProfitOrLossAreReversed","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"126","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_126_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsWithIndefiniteUsefulLife","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_134_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsWithIndefiniteUsefulLife","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"135","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_135_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfJustificationForUsingGrowthRateThatExceedsLongtermAverageGrowthRate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_134_d_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLevelOfFairValueHierarchyWithinWhichFairValueMeasurementIsCategorised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"iiA","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_134_e_iiA&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SegmentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130_d_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SegmentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130_d_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130_d_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130_d_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130_d_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfImpairmentLossRecognisedOrReversedByClassOfAssetsAndByReportableSegment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130_d_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfImpairmentLossRecognisedOrReversedTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130_d_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisOnWhichUnitsRecoverableAmountHasBeenDetermined","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_134_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplorationAndEvaluationAssetsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"127","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_127&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentsAccountedForUsingEquityMethodMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"127","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_127&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"127","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_127&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangeInValuationTechniqueUsedToMeasureFairValueLessCostsOfDisposal","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"iiB","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_134_e_iiB&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForChangeInValuationTechniqueUsedToMeasureFairValueLessCostsOfDisposal","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"134","SubParagraph":null,"Clause":"iiB","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_134_e_iiB&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DiscountRateUsedInCurrentMeasurementOfFairValueLessCostsOfDisposal","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130_f_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RecoverableAmountOfAssetOrCashgeneratingUnit","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfValuationTechniquesUsedToMeasureFairValueLessCostsOfDisposal","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130_f_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfKeyAssumptionsOnWhichManagementHasBasedDeterminationOfFairValueLessCostsOfDisposal","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130_f_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DiscountRateUsedInPreviousMeasurementOfFairValueLessCostsOfDisposal","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130_f_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangeInValuationTechniqueUsedToMeasureFairValueLessCostsOfDisposal","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130_f_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForChangeInValuationTechniqueUsedToMeasureFairValueLessCostsOfDisposal","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130_f_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLevelOfFairValueHierarchyWithinWhichFairValueMeasurementIsCategorised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2020-en-r&anchor=para_130_f_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"84","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_84_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfContingentLiabilitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"86","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_86&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOtherProvisionsContingentLiabilitiesAndContingentAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IAS37_g84-92_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermRestructuringProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"70","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_70&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermWarrantyProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_C_ex1_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermLegalProceedingsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_C_ex10_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LegalProceedingsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_C_ex10_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermWarrantyProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_C_ex1_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WarrantyProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_C_ex1_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermRestructuringProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"70","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_70&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermLegalProceedingsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_C_ex10_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RestructuringProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"70","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_70&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionalProvisionsOtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"84","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_84_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionUsedOtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"84","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_84_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnusedProvisionReversedOtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"84","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_84_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEstimatedFinancialEffectOfContingentAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_89&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfContingentAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_89&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutContingentAssetsThatDisclosureIsNotPracticable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_91&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutContingentLiabilitiesThatDisclosureIsNotPracticable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_91&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfReasonForNondisclosureOfInformationRegardingProvision","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfReasonForNondisclosureOfInformationRegardingContingentLiability","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfReasonForNondisclosureOfInformationRegardingContingentAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInOtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"84","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_84&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOtherProvisionsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"84","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_84&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfProvisionsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"84","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_84&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfObligationOtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_85_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfExpectedTimingOfOutflowsOtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_85_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IndicationOfUncertaintiesOfAmountOrTimingOfOutflowsOtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_85_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetRecognisedForExpectedReimbursementOtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_85_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpectedReimbursementOtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_85_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherProvisionsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"84","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_84&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RestructuringProvisionMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"70","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_70&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LegalProceedingsProvisionMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_C_ex10_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MiscellaneousOtherProvisionsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"84","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_84&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfContingentLiabilitiesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"86","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_86&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfContingentLiabilitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"86","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_86&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContingentLiabilitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"88","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_88&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WarrantyContingentLiabilityMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"88","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_88&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RestructuringContingentLiabilityMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"88","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_88&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LegalProceedingsContingentLiabilityMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"88","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_88&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OnerousContractsContingentLiabilityMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"88","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_88&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContingentLiabilityForDecommissioningRestorationAndRehabilitationCostsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"88","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_88&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherContingentLiabilitiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"88","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_88&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfObligationContingentLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"86","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_86&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFinancialEffectOfContingentLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"86","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_86_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfPossibilityOfReimbursementContingentLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"86","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_86_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IndicationOfUncertaintiesOfAmountOrTimingOfOutflowsContingentLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"86","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_86_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOtherProvisionsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"84","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_84&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RefundsProvisionMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_C_ex4_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentRefundsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_C_ex4_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentRefundsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_C_ex4_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RefundsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_C_ex4_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermProvisionForDecommissioningRestorationAndRehabilitationCosts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_D_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangeInDiscountRateOtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"84","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_84_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInExistingProvisionsOtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"84","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_84_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMajorAssumptionsMadeConcerningFutureEventsOtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_85_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTimeValueOfMoneyAdjustmentOtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"84","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_84_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContingentLiabilitiesOfJointVentureMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"88","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_88&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfContingentLiabilitiesOfAssociatesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"88","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_88&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermProvisionForDecommissioningRestorationAndRehabilitationCosts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_D_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionForDecommissioningRestorationAndRehabilitationCosts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_D_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionForDecommissioningRestorationAndRehabilitationCostsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_D_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimatedFinancialEffectOfContingentLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"86","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_86_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimatedFinancialEffectOfContingentAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_89&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NewProvisionsOtherProvisions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"84","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_84_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxContingentLiabilityMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"88","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_88&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherEnvironmentRelatedContingentLiabilityMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"88","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_88&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContingentLiabilityForGuaranteesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"88","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_88&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionForTaxesOtherThanIncomeTaxMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"84","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_84&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionForCreditCommitmentsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"84","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_84&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesOtherProvisions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"84","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_84&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersAndOtherChangesOtherProvisions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"84","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_84&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherEnvironmentRelatedProvisionMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"84","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_84&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughLossOfControlOfSubsidiaryOtherProvisions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"84","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_84&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughTransferToLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSaleOtherProvisions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"84","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_84&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AcquisitionsThroughBusinessCombinationsOtherProvisions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"84","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_84&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OnerousContractsProvisionMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"66","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_66&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermOnerousContractsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"66","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_66&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermOnerousContractsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"66","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_66&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OnerousContractsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"66","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_66&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RefundsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"87","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_87&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentRefundsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"87","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_87&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RefundsProvisionMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"87","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_87&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentRefundsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"87","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_87&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LegalProceedingsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"87","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_87&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermLegalProceedingsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"87","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_87&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermLegalProceedingsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"87","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_87&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LegalProceedingsProvisionMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"87","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_87&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermWarrantyProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"87","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_87&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermWarrantyProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"87","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_87&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WarrantyProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"87","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_87&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WarrantyProvisionMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"87","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_87&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionForDecommissioningRestorationAndRehabilitationCostsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"87","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_87&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionForDecommissioningRestorationAndRehabilitationCosts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"87","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_87&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermProvisionForDecommissioningRestorationAndRehabilitationCosts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"87","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_87&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermProvisionForDecommissioningRestorationAndRehabilitationCosts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"87","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&anchor=para_87&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WarrantyProvisionMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_C_ex1_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevaluationSurplus","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"85","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_85&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossCarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedDepreciationAmortisationAndImpairmentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsOtherThanGoodwillMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsWithIndefiniteUsefulLife","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"122","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_122_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfIntangibleAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IAS38_g118-128_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"vii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e_vii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmortisationMethodIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsOtherThanThroughBusinessCombinationsIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AcquisitionsThroughBusinessCombinationsIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmortisationIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"vi","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e_vi&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisposalsIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLossIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LineItemsIncludingAmortisationOfIntangibleAssetsIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInProfitOrLossIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e_v&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractualCommitmentsForAcquisitionOfIntangibleAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"122","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_122_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionAndCarryingAmountOfIntangibleAssetsMaterialToEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"122","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_122_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfIntangibleAssetsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfIntangibleAssetsOtherThanGoodwillAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsAcquiredByWayOfGovernmentGrantAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"122","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_122_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsAcquiredByWayOfGovernmentGrant","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"122","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_122_c_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsWhoseTitleIsRestricted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"122","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_122_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsPledgedAsSecurityForLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"122","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_122_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ResearchAndDevelopmentExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"126","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_126&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutIntangibleAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevaluationIncreaseDecreaseIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsOtherThanGoodwillRevaluationSurplus","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"124","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_124_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsOtherThanGoodwillCarryingAmountOfRevaluedAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"124","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_124_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsOtherThanGoodwillCarryingAmountAtCostOfRevaluedAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"124","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_124_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectiveDatesOfRevaluationIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"124","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_124_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFullyAmortisedIntangibleAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_128_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSignificantIntangibleAssetsControlledByEntityButNotRecognised","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_128_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfAssetsAcquiredByWayOfGovernmentGrantAndInitiallyRecognisedAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"122","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_122_c_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughClassifiedAsHeldForSaleIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInOtherComprehensiveIncomeIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInOtherComprehensiveIncomeIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfRestrictionsOnDistributionOfRevaluationSurplusForIntangibleAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"124","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_124_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsMaterialToEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"122","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_122_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsAndGoodwillMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"viii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e_viii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AcquisitionsThroughBusinessCombinationsIntangibleAssetsAndGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesIntangibleAssetsAndGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"vii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e_vii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLossIntangibleAssetsAndGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisposalsIntangibleAssetsAndGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesIntangibleAssetsAndGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"viii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e_viii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BrandNames","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MastheadsAndPublishingTitles","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComputerSoftware","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LicencesAndFranchises","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CopyrightsPatentsAndOtherIndustrialPropertyRightsServiceAndOperatingRights","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RecipesFormulaeModelsDesignsAndPrototypes","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsUnderDevelopment","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BrandNamesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MastheadsAndPublishingTitlesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComputerSoftwareMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LicencesAndFranchisesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CopyrightsPatentsAndOtherIndustrialPropertyRightsServiceAndOperatingRightsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RecipesFormulaeModelsDesignsAndPrototypesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsUnderDevelopmentMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInIntangibleAssetsAndGoodwillExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInIntangibleAssetsAndGoodwillTable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfIntangibleAssetsAndGoodwillAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughClassifiedAsHeldForSaleIntangibleAssetsAndGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionAndCarryingAmountOfIntangibleAssetsWithIndefiniteUsefulLife","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"122","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_122_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MiningRightsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherIntangibleAssetsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherIntangibleAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleExplorationAndEvaluationAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CustomerrelatedIntangibleAssetsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CapitalisedDevelopmentExpenditureMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ValueOfBusinessAcquiredMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetirementsIntangibleAssetsOtherThanGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetirementsIntangibleAssetsAndGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisposalsAndRetirementsIntangibleAssetsOtherThanGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisposalsAndRetirementsIntangibleAssetsAndGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughLossOfControlOfSubsidiaryIntangibleAssetsOtherThanGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersIntangibleAssetsOtherThanGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersAndOtherChangesIntangibleAssetsAndGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInIntangibleAssetsAndGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughLossOfControlOfSubsidiaryIntangibleAssetsAndGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersIntangibleAssetsAndGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersAndOtherChangesIntangibleAssetsOtherThanGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfIntangibleAssetsWithIndefiniteUsefulLifeExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"122","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_122_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfIntangibleAssetsWithIndefiniteUsefulLifeTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"122","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_122_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsWithIndefiniteUsefulLifeAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"122","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_122_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsWithIndefiniteUsefulLifeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"122","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_122_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfIntangibleAssetsMaterialToEntityExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"122","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_122_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfIntangibleAssetsMaterialToEntityTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"122","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_122_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsMaterialToEntityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"122","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_122_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsMaterialToEntityMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"122","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_122_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GSMLicencesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UMTSLicencesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LTELicencesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedDepreciationAndAmortisationMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedImpairmentMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodsOfGenerationAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodsOfGenerationMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InternallyGeneratedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotInternallyGeneratedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AirportLandingRightsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatUnadjustedComparativeInformationHasBeenPreparedOnDifferentBasis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_130I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfBasisOfPreparationOfUnadjustedComparativeInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_130I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IdentificationOfUnadjustedComparativeInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_130I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TechnologybasedIntangibleAssetsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BroadcastingRightsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ServiceConcessionRightsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LicencesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FranchisesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GamingLicencesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_119&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmortisationRateIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UsefulLifeMeasuredAsPeriodOfTimeIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UsefulLifeMeasuredInProductionOrOtherSimilarUnitsIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfUsefulLifeIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_118_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RemainingAmortisationPeriodOfIntangibleAssetsMaterialToEntity2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"122","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2020-en-r&anchor=para_122_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"76","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_76&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"76","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_76&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"76","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_76&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfContractualObligationsToPurchaseConstructOrDevelopInvestmentPropertyOrForRepairsMaintenanceOrEnhancements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"75","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_75_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfRestrictionsOnRemittanceOfIncomeAndDisposalProceedsOfInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"75","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_75_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfExtentToWhichFairValueOfInvestmentPropertyIsBasedOnValuationByIndependentValuer","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"75","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_75_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsOtherThanThroughBusinessCombinationsInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"76","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_76_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsOtherThanThroughBusinessCombinationsInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_d_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"76","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_76&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFairValueAdjustmentInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"76","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_76_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"76","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_76_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"vi","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_d_vi&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AcquisitionsThroughBusinessCombinationsInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"76","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_76_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AcquisitionsThroughBusinessCombinationsInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_d_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInvestmentPropertyTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"32A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_32A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInvestmentPropertyExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IAS40_g74-79_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MeasurementAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"32A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_32A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AtCostMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"32A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_32A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AtFairValueMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"32A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_32A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedMeasurementMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"32A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_32A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"viii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_d_viii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"76","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_76_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutInvestmentPropertyExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"32A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_32A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransferFromToInventoriesAndOwnerOccupiedPropertyInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"76","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_76_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransferFromToInventoriesAndOwnerOccupiedPropertyInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"vii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_d_vii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInProfitOrLossInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"76","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_76_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInProfitOrLossInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_d_v&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLossInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"76","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_76_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLossInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_d_v&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsFromAcquisitionsInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"76","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_76_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsFromAcquisitionsInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_d_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsFromSubsequentExpenditureRecognisedAsAssetInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"76","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_76_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsFromSubsequentExpenditureRecognisedAsAssetInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_d_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_d_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"76","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_76&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationWhyFairValueCannotBeReliablyMeasuredForInvestmentPropertyCostModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_e_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CumulativeChangeInFairValueRecognisedInProfitOrLossOnSalesOfInvestmentPropertyBetweenPoolsOfAssetsMeasuredUsingDifferentModels","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"75","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_75_f_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DirectOperatingExpenseFromInvestmentPropertyGeneratingRentalIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"75","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_75_f_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ModelUsedToMeasureInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"75","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_75_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RentalIncomeFromInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"75","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_75_f_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughClassifiedAsHeldForSaleInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"76","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_76_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughClassifiedAsHeldForSaleInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_d_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisposalsInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"76","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_76_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisposalsInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_d_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantAdjustmentsToValuationObtainedExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"77","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_77&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangeOfEstimatesWithinWhichFairValueIsLikelyToLieForInvestmentPropertyCostModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_e_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInvestmentPropertyWhereFairValueInformationIsUnreliableCostModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_e_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationMethodInvestmentPropertyCostModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCriteriaUsedToDistinguishInvestmentPropertyFromOwneroccupiedPropertyAndFromPropertyHeldSaleInOrdinaryCourseOfBusiness","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"75","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_75_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DirectOperatingExpenseFromInvestmentPropertyNotGeneratingRentalIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"75","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_75_f_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueModelMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"32A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_32A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RestrictionsOnRealisabilityOfInvestmentPropertyOrRemittanceOfIncomeAndProceedsOfDisposalOfInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"75","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_75_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedDepreciationAndAmortisationMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedImpairmentMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossCarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedDepreciationAmortisationAndImpairmentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DirectOperatingExpenseFromInvestmentProperty","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"75","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_75_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransferFromInvestmentPropertyUnderConstructionOrDevelopmentInvestmentProperty","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"76","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_76&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransferFromInvestmentPropertyUnderConstructionOrDevelopmentInvestmentProperty","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AtCostOrInAccordanceWithIFRS16WithinFairValueModelMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_78&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInvestmentPropertyAtCostOrInAccordanceWithIFRS16WithinFairValueModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_78_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfDisposalOfInvestmentPropertyCarriedAtCostOrInAccordanceWithIFRS16WithinFairValueModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_78_d_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfWhyFairValueCannotBeReliablyMeasuredForInvestmentPropertyAtCostOrInAccordanceWithIFRS16WithinFairValueModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnDisposalsOfInvestmentPropertyCarriedAtCostOrInAccordanceWithIFRS16WithinFairValueModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_78_d_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentPropertyCarriedAtCostOrInAccordanceWithIFRS16WithinFairValueModelAtTimeOfSale","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_78_d_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangeOfEstimatesWithinWhichFairValueIsLikelyToLieForInvestmentPropertyAtCostOrInAccordanceWithIFRS16WithinFairValueModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_78_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationRateInvestmentPropertyCostModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UsefulLifeMeasuredAsPeriodOfTimeInvestmentPropertyCostModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfUsefulLifeInvestmentPropertyCostModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"79","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2020-en-r&anchor=para_79_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossCarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_54_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedDepreciationAmortisationAndImpairmentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_54_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_50&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_50&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_54_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_50&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MeasurementAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_50&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AtCostMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_50&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AtCostMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AtFairValueMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_50&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedMeasurementMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_50&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"41","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_41&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationMethodBiologicalAssetsAtCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_54_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationWhyFairValueCannotBeReliablyMeasuredForBiologicalAssetsAtCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_54_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersAndOtherChangesBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_50_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFairValueAdjustmentBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_50_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_50_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_50&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisposalsBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_50_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseDueToHarvestBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_50_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AcquisitionsThroughBusinessCombinationsBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_50_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInBiologicalAssetsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_50&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInBiologicalAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_50&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnInitialRecognitionOfBiologicalAssetsForCurrentPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"40","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_40&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNonfinancialMeasuresOrEstimatesOfBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"46","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_46_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfActivitiesOfBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"46","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_46_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CommitmentsForDevelopmentOrAcquisitionOfBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"49","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_49_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFinancialRiskManagementRelatedToAgriculturalActivity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"49","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_49_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangeOfEstimatesWithinWhichFairValueIsLikelyToLieForBiologicalAssetsAtCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_54_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBiologicalAssetsWhereFairValueInformationIsUnreliable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_54_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInProfitOrLossBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_55_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLossBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_55_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_55_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEffectOfChangeForBiologicalAssetForWhichFairValueBecomesReliablyMeasurable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"56","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_56_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBiologicalAssetsPreviouslyMeasuredAtCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"56","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_56_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationWhyFairValueBecomesReliableForBiologicalAssetsPreviouslyMeasuredAtCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"56","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_56_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfSignificantDecreaseInLevelOfGovernmentGrantsForAgriculturalActivity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"57","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_57_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAndExtentOfGovernmentGrantsForAgriculturalActivityRecognisedInFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"57","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_57_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfUnfulfilledConditionsAndOtherContingenciesAttachedToGovernmentGrantForAgriculturalActivity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"57","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_57_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BiologicalAssetsWhoseTitleIsRestricted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"49","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_49_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfBiologicalAssetsAndGovernmentGrantsForAgriculturalActivityExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IAS41_g39-57_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFairValueAdjustmentAttributableToPhysicalChangesBiologicalAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"51","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_51&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFairValueAdjustmentAttributableToPhysicalChangesBiologicalAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS41_IE_ex1_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFairValueAdjustmentAttributableToPriceChangesBiologicalAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"51","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_51&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFairValueAdjustmentAttributableToPriceChangesBiologicalAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&doctype=Illustrative%20Examples&dita_xref=IAS41_IE_ex1_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughClassifiedAsHeldForSaleBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_50_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnChangeInFairValueEstimatesOfBiologicalAssetsForCurrentPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"40","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_40&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BiologicalAssetsPledgedAsSecurityForLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"49","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_49_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedDepreciationAndAmortisationMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_54_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedImpairmentMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_54_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutBiologicalAssetsExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"43","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_43&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutBiologicalAssetsTable","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"43","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_43&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BiologicalAssetsByTypeAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"43","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_43&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BiologicalAssetsTypeMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"43","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_43&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConsumableBiologicalAssetsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"43","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_43&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BearerBiologicalAssetsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"43","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_43&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BiologicalAssetsByAgeAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"43","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_43&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BiologicalAssetsAgeMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"43","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_43&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MatureBiologicalAssetsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"43","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_43&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImmatureBiologicalAssetsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"43","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_43&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BiologicalAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"43","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_43&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BiologicalAssetsByGroupAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"41","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_41&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BiologicalAssetsGroupMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"41","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_41&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LivingAnimalsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"41","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_41&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PlantsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"41","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_41&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BiologicalAssetsAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_50&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentBiologicalAssetsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_50&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentBiologicalAssetsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_50&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutAgriculturalProduceExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"46","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_46_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutAgriculturalProduceTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"46","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_46_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AgriculturalProduceByGroupAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"46","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_46_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AgriculturalProduceGroupMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"46","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_46_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OutputOfAgriculturalProduce","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"46","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_46_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AreaOfLandUsedForAgriculture","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"46","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_46_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfLivingAnimals","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"46","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_46_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeFromGovernmentGrantsRelatedToAgriculturalActivity","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"57","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_57_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsFromSubsequentExpenditureRecognisedAsAssetBiologicalAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_50&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsFromPurchasesBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_50_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BiologicalAssetsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_50&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsOtherThanThroughBusinessCombinationsBiologicalAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_50&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationRateBiologicalAssetsAtCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_54_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UsefulLifeMeasuredAsPeriodOfTimeBiologicalAssetsAtCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_54_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UsefulLifeMeasuredInProductionOrOtherSimilarUnitsBiologicalAssetsAtCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_54_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfUsefulLifeBiologicalAssetsAtCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"54","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2020-en-r&anchor=para_54_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRedemptionProhibitionTransferBetweenFinancialLiabilitiesAndEquityExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=2&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRIC02_g13-13_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TimingAndReasonForTransferBetweenFinancialLiabilitiesAndEquityAttributableToChangeInRedemptionProhibition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=2&code=ifrs-tx-2020-en-r&anchor=para_13&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransferBetweenFinancialLiabilitiesAndEquityAttributableToChangeInRedemptionProhibition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=2&code=ifrs-tx-2020-en-r&anchor=para_13&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInterestInFundsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=5&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRIC05_g7-13_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RestrictionsOnAccessToAssetsInFunds","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=5&code=ifrs-tx-2020-en-r&anchor=para_11&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfInterestInFunds","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=5&code=ifrs-tx-2020-en-r&anchor=para_11&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevaluationSurplusMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_IG10&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Equity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_24_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Equity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"32","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_32_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"32","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_32_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_24_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_24_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"32","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_32_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfComparativeInformationPreparedUnderPreviousGAAPExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_24&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEffectOfTransitionOnReportedFinancialPosition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_23&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEffectOfTransitionOnReportedFinancialPerformance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_23&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEffectOfTransitionOnReportedCashFlows","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_25&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEffectOfTransitionOnReportedCashFlows","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_23&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PreviousGAAPMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_24&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PreviousGAAPMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_30&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PreviousGAAPMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_29&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialEffectOfTransitionFromPreviousGAAPToIFRSsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_24&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IFRSsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_24&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectOfTransitionToIFRSsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_24&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfComparativeInformationPreparedUnderPreviousGAAPTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_24&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFirstTimeAdoptionExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS01_g20-33_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFactThatFinancialStatementsForPreviousPeriodsNotPresented","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_28&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentToCarryingAmountsReportedUnderPreviousGAAP","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_31_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeemedCostOfInvestmentsForWhichDeemedCostIsFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_31_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeemedCostOfInvestmentsForWhichDeemedCostIsPreviousGAAPCarryingAmount","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_31_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOrCrossReferencesToInterimFinancialStatementDisclosuresForFirsttimeAdopter","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_33&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregateOfFairValuesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_30_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregateAdjustmentToCarryingValueReportedUnderPreviousGAAPMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_30_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValuesOfItemsUsedAsDeemedCostExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_30&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactAndBasisOnWhichCarryingAmountsWereDeterminedIfEntityUsesExemptionInIFRS1D8B","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_31B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactAndBasisOnWhichCarryingAmountsDeterminedUnderPreviousGAAPWereAllocatedIfEntityUsesExemptionInIFRS1D8Ab","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_31A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfHowAndWhyEntityHadAndCeasedToHaveFunctionalCurrencyForWhichReliableGeneralPriceIndexIsNotAvailableAndNoExchangeabilityWithStableForeignCurrencyExists","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_31C&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RedesignatedAmountMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_29&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetAssetsLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG63","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_IG63&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRedesignatedFinancialAssetsAndLiabilitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_29&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RedesignatedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_29&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRedesignatedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_29&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RedesignatedFinancialAssetAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_29&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRedesignatedFinancialAssetsAndLiabilitiesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_29&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RedesignationAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_29&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValuesOfItemsUsedAsDeemedCostTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_30&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueAsDeemedCostAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_30&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetFairValueUsedAsDeemedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_30&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentFairValueUsedAsDeemedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_30&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentPropertyFairValueUsedAsDeemedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_30&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyEntityStoppedApplyingIFRSs","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_23A_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyEntityIsResumingApplicationOfIFRSs","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_23A_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfReasonsWhyEntityElectedToApplyIFRSsAsIfItHadNeverStoppedApplyingIFRSs","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_23B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfMainAdjustmentsThatWouldMakeHistoricalSummariesOrComparativeInformationPresentedInAccordanceWithPreviousGAAPComplyWithIFRSs","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_22_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatComparativeInformationDoesNotComplyWithIFRS7AndIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"E2","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_E2_b&doctype=Appendix&subtype=E","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisUsedToPrepareComparativeInformationThatDoesNotComplyWithIFRS7AndIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"E2","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_E2_b&doctype=Appendix&subtype=E","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RedesignatedFinancialLiabilityAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_29A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRedesignatedFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_29A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RedesignatedFinancialAssetAsAvailableforsale","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2017-en-b&anchor=para_29&doctype=Standard&forcepdf=true","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRedesignatedFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2017-en-b&anchor=para_29&doctype=Standard&forcepdf=true","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RedesignatedFinancialLiabilityAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2017-en-b&anchor=para_29&doctype=Standard&forcepdf=true","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RightofuseAssetFairValueUsedAsDeemedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2020-en-r&anchor=para_30&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangeAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BottomOfRangeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TopOfRangeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNumberAndWeightedAverageExercisePricesOfShareOptionsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSharebasedPaymentArrangementsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"44","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_44&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesFromSharebasedPaymentTransactions2011","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"51","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_51_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfShareOptionsInSharebasedPaymentArrangement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfVestingRequirementsForSharebasedPaymentArrangement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMaximumTermOfOptionsGrantedForSharebasedPaymentArrangement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodOfSettlementForSharebasedPaymentArrangement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTermsAndConditionsOfSharebasedPaymentArrangementExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTermsAndConditionsOfSharebasedPaymentArrangementTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfSharebasedPaymentArrangementsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SharebasedPaymentArrangementsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeterminationOfFairValueOfGoodsOrServicesReceivedOrFairValueOfEquityInstrumentsGrantedOnSharebasedPayments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"46","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_46&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfDirectMeasurementOfFairValueOfGoodsOrServicesReceived","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"48","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_48&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyFairValueOfGoodsOrServicesReceivedCannotEstimateReliable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"49","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_49&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEffectOfSharebasedPaymentsOnFinancialPositions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_50&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntrinsicValueOfLiabilitiesFromSharebasedPaymentTransactionsForWhichCounterpartysRightToCashOrOtherAssetsVested2011","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"51","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_51_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionalInformationAboutSharebasedPaymentArrangements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"52","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_52&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfIndirectMeasurementOfFairValueOfGoodsOrServicesReceivedShareOptionsGrantedDuringPeriodExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfIndirectMeasurementOfFairValueOfGoodsOrServicesReceivedOtherEquityInstrumentsGrantedDuringPeriodExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfIndirectMeasurementOfFairValueOfGoodsOrServicesReceivedSharebasedPaymentArrangementsModifiedDuringPeriodExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DateOfGrantOfSharebasedPaymentArrangement","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_IG23&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfOptionPricingModelShareOptionsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutHowExpectedVolatilityWasDeterminedShareOptionsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationWhetherAndHowOtherFeaturesWereIncorporatedIntoMeasurementOfFairValueShareOptionsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutHowFairWasDeterminedIfNotOnBasisOfObservableMarketOtherEquityInstrumentsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationWhetherAndHowExpectedDividendsWereIncorporatedIntoMeasurementOfFairValueOtherEquityInstrumentsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationWhetherAndHowOtherFeaturesWereIncorporatedIntoMeasurementOfFairValueOtherEquityInstrumentsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfModificationsModifiedSharebasedPaymentArrangements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncrementalFairValueGrantedModifiedSharebasedPaymentArrangements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_c_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationOnHowIncrementalFairValueGrantedWasMeasuredModifiedSharebasedPaymentArrangements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_c_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseFromEquitysettledSharebasedPaymentTransactionsInWhichGoodsOrServicesReceivedDidNotQualifyForRecognitionAsAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"51","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_51_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEffectOfSharebasedPaymentsOnProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"50","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_50&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageFairValueAtMeasurementDateShareOptionsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutHowFairValueWasMeasuredShareOptionsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfInstrumentsOtherEquityInstrumentsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageFairValueAtMeasurementDateOtherEquityInstrumentsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationHowFairValueWasMeasuredOtherEquityInstrumentsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInputsToOptionPricingModelShareOptionsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfExpectedVolatilityShareOptionsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfOptionLifeShareOptionsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpectedDividendShareOptionsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRiskFreeInterestRateShareOptionsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfOtherInputsToOptionsPricingModelShareOptionsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodUsedAndAssumptionsMadeToIncorporateEffectsOfExpectedEarlyExerciseShareOptionsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseFromSharebasedPaymentTransactionsInWhichGoodsOrServicesReceivedDidNotQualifyForRecognitionAsAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"51","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_51_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfOutstandingShareOptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfOutstandingShareOptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfOutstandingShareOptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"vi","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_b_vi&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfInstrumentsGrantedInSharebasedPaymentArrangement","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_IG23&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRangeOfExercisePricesOfOutstandingShareOptionsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRangeOfExercisePricesOfOutstandingShareOptionsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfShareOptionsGrantedInSharebasedPaymentArrangement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfShareOptionsForfeitedInSharebasedPaymentArrangement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfShareOptionsExercisedInSharebasedPaymentArrangement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_b_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfShareOptionsExpiredInSharebasedPaymentArrangement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_b_v&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfShareOptionsExercisableInSharebasedPaymentArrangement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"vii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_b_vii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNumberAndWeightedAverageRemainingContractualLifeOfOutstandingShareOptionsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNumberAndWeightedAverageRemainingContractualLifeOfOutstandingShareOptionsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangesOfExercisePricesForOutstandingShareOptionsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangesOfExercisePricesForOutstandingShareOptionsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpectedDividendAsPercentageShareOptionsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfOtherEquityInstrumentsOutstandingInSharebasedPaymentArrangement","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfInstrumentsOtherEquityInstrumentsGranted","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfOtherEquityInstrumentsForfeitedInSharebasedPaymentArrangement","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfOtherEquityInstrumentsExercisedOrVestedInSharebasedPaymentArrangement","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfOtherEquityInstrumentsExpiredInSharebasedPaymentArrangement","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfOtherEquityInstrumentsExercisableInSharebasedPaymentArrangement","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNumberAndWeightedAverageExercisePricesOfOtherEquityInstrumentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfInstrumentsGrantedInSharebasedPaymentArrangement","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DateOfGrantOfSharebasedPaymentArrangement","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageRemainingContractualLifeOfOutstandingShareOptions2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfOtherEquityInstrumentsExercisableInSharebasedPaymentArrangement2019","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfOtherEquityInstrumentsExercisedOrVestedInSharebasedPaymentArrangement2019","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfOtherEquityInstrumentsExpiredInSharebasedPaymentArrangement2019","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfOtherEquityInstrumentsForfeitedInSharebasedPaymentArrangement2019","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfOtherEquityInstrumentsGrantedInSharebasedPaymentArrangement2019","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfOtherEquityInstrumentsOutstandingInSharebasedPaymentArrangement2019","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfShareOptionsExercisableInSharebasedPaymentArrangement2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"vii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_b_vii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfShareOptionsExercisedInSharebasedPaymentArrangement2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_b_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfShareOptionsExpiredInSharebasedPaymentArrangement2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_b_v&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfShareOptionsForfeitedInSharebasedPaymentArrangement2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfShareOptionsGrantedInSharebasedPaymentArrangement2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfShareOptionsInSharebasedPaymentArrangementExercisedDuringPeriodAtDateOfExercise2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfShareOptionsOutstandingInSharebasedPaymentArrangement2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfShareOptionsOutstandingInSharebasedPaymentArrangement2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"vi","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_b_vi&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageSharePrice2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageSharePriceShareOptionsGranted2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExercisePriceOfOutstandingShareOptions2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"45","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_45_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExercisePriceShareOptionsGranted2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2020-en-r&anchor=para_47_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_GrossCarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_CarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_Goodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ClassesOfContingentLiabilitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ContingentLiabilitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_IncreaseDecreaseThroughNetExchangeDifferencesGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"vi","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_d_vi&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_AdditionalRecognitionGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_d_ii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ChangesInGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ImpairmentLossRecognisedInProfitOrLossGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_d_v&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_IncreaseDecreaseThroughTransfersAndOtherChangesGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"vii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_d_vii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DisclosureOfBusinessCombinationsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_NameOfAcquiree","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_PercentageOfVotingEquityInterestsAcquired","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_BusinessCombinationsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_BusinessCombinationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfAcquiree","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DisclosureOfBusinessCombinationsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS03_g59-63_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_IdentifiableAssetsAcquiredLiabilitiesAssumed","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_IdentifiableAssetsAcquiredLiabilitiesAssumed","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE72","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_IE72&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_FinancialAssetsRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_FinancialAssetsRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE72","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_IE72&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_InventoryRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_InventoryRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE72","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_IE72&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_PropertyPlantAndEquipmentRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_PropertyPlantAndEquipmentRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE72","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_IE72&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_IdentifiableIntangibleAssetsRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_IdentifiableIntangibleAssetsRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE72","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_IE72&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_FinancialLiabilitiesRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_FinancialLiabilitiesRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE72","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_IE72&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ContingentLiabilitiesRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ContingentLiabilitiesRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE72","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_IE72&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DisclosureOfDetailedInformationAboutBusinessCombinationsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&doctype=Appendix&subtype=B&dita_xref=IFRS03_gB64-B67_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_EntitysTotalForBusinessCombinationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_EntitysTotalForBusinessCombinationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfNatureAndFinancialEffectOfBusinessCombinationsAfterReportingPeriodBeforeStatementsAuthorisedForIssue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"59","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_59_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfNatureAndFinancialEffectOfBusinessCombinationsDuringPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"59","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_59_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ExplanationOfFinancialEffectOfAdjustmentsRelatedToBusinessCombinations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"61","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_61&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DecreaseThroughClassifiedAsHeldForSaleGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_d_iv&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_AggregatedIndividuallyImmaterialBusinessCombinationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B65","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B65&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfHowAcquirerObtainedControlOfAcquiree","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfFactorsThatMakeUpGoodwillRecognised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_e&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_AcquisitiondateFairValueOfTotalConsiderationTransferred","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_f&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_CashTransferred","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_f_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_OtherTangibleOrIntangibleAssetsTransferred","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_f_ii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_LiabilitiesIncurred","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_f_iii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_EquityInterestsOfAcquirer","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_f_iv&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfArrangementForContingentConsiderationArrangementsAndIndemnificationAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_g_ii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfEstimateOfRangeOfOutcomesFromContingentConsiderationArrangementsAndIndemnificationAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_g_iii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_FairValueOfAcquiredReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_h_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_GrossContractualAmountsReceivableForAcquiredReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_h_ii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_BestEstimateAtAcquisitionDateOfContractualCashFlowsNotExpectedToBeCollectedForAcquiredReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_h_iii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfReasonsWhyLiabilityCannotBeMeasuredReliably","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_j_ii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_GoodwillExpectedDeductibleForTaxPurposes","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_k&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ExplanationOfTransactionsRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_l&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ExplanationOfTransactionsRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_m&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ExplanationOfTransactionsRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_l_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ExplanationOfAmountOfAnyGainRecognisedAndLineItemInStatementOfComprehensiveIncomeInWhichGainIsRecognisedInBargainPurchase","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_n_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_NoncontrollingInterestInAcquireeRecognisedAtAcquisitionDate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_o_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfValuationTechniquesAndKeyModelInputsUsedForDeterminingNoncontrollingInterestInAnAcquireeMeasuredAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_o_ii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_AcquisitiondateFairValueOfEquityInterestInAcquireeHeldByAcquirerImmediatelyBeforeAcquisitionDate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_p_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_RevenueOfAcquiree","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_q_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_RevenueOfCombinedEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_q_ii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfReasonsWhyInitialAccountingForBusinessCombinationIsIncomplete","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_a_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfAmountsOfAssetsLiabilitiesEquityInterestsOrItemsOfConsiderationForWhichInitialAccountingIsIncomplete","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_a_ii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfNatureAndAmountOfAnyMeasurementPeriodAdjustmentsRecognisedForParticularAssetsLiabilitiesNoncontrollingInterestsOrItemsOfConsideration","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_a_iii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ExplanationOfAnyChangesInRangeOfOutcomesUndiscountedAndReasonsForThoseChangesForContingentConsideration","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_b_ii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfValuationTechniquesAndKeyModelInputsUsedToMeasureContingentConsideration","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_b_iii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_GainLossThatRelatesToIdentifiableAssetsAcquiredOrLiabilitiesAssumedInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_e&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ExplanationWhichDisclosuresCouldNotBeMadeAndReasonsWhyTheyCannotBeMadeIfInitialAccountingForBusinessCombinationIsIncomplete","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B66","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B66&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfReasonsWhyTransactionResultedInGainInBargainPurchase","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_n_ii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_AdditionalInformationAboutNatureAndFinancialEffectOfBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"63","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_63&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DisclosureOfFactAndExplanationWhyDisclosureOfInformationForEachBusinessCombinationIsImpracticable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_q&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfLineItemInStatementOfComprehensiveIncomeInWhichGainOrLossAsResultOfRemeasuringToFairValueEquityInterestIsRecognised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_p_ii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_SubsequentRecognitionOfDeferredTaxAssetsGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_d_iii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfAccountingForTransactionRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_l_ii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_AmountsRecognisedForTransactionRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_l_iii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_MethodUsedToDetermineSettlementAmountForPreexistingRelationshipForTransactionRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_l_iv&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ClassesOfAcquiredReceivablesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_h&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_LoansAcquiredInBusinessCombinationMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_h&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DisclosureOfContingentLiabilitiesInBusinessCombinationTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_j&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DisclosureOfContingentLiabilitiesInBusinessCombinationTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfNatureOfObligationContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfNatureOfObligationContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_j&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfNatureOfObligationContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_j_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfExpectedTimingOfOutflowsContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfExpectedTimingOfOutflowsContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_j&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_IndicationOfUncertaintiesOfAmountOrTimingOfOutflowsContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_IndicationOfUncertaintiesOfAmountOrTimingOfOutflowsContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_j&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_IndicationOfUncertaintiesOfAmountOrTimingOfOutflowsContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_j_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfMajorAssumptionsMadeConcerningFutureEventsContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfMajorAssumptionsMadeConcerningFutureEventsContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_j&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ExpectedReimbursementContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ExpectedReimbursementContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_j&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_AssetRecognisedForExpectedReimbursementContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_AssetRecognisedForExpectedReimbursementContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_j&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DisclosureOfReconciliationOfChangesInGoodwillTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ContingentLiabilitiesRecognisedInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_AdditionalLiabilitiesContingentLiabilitiesRecognisedInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_IncreaseDecreaseInExistingLiabilitiesContingentLiabilitiesRecognisedInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_SettledLiabilitiesContingentLiabilitiesRecognisedInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ReversedUnsettledLiabilitiesContingentLiabilitiesRecognisedInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_IncreaseThroughAdjustmentsArisingFromPassageOfTimeContingentLiabilitiesRecognisedInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_IncreaseDecreaseThroughChangeInDiscountRateContingentLiabilitiesRecognisedInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_IncreaseDecreaseInContingentLiabilitiesRecognisedInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_GoodwillDerecognisedWithoutHavingPreviouslyBeenIncludedInDisposalGroupClassifiedAsHeldForSale","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_d_iv&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfPrimaryReasonsForBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_NumberOfInstrumentsOrInterestsIssuedOrIssuable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_f_iv&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_MethodOfDeterminingFairValueOfInstrumentsOrInterests","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_f_iv&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfBasisForDeterminingAmountOfPaymentForContingentConsiderationArrangementsAndIndemnificationAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_g_ii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfExplanationOfFactAndReasonsWhyRangeOfOutcomesFromContingentConsiderationArrangementsAndIndemnificationAssetsCannotBeEstimated","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_g_iii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ExplanationOfFactThatMaximumAmountOfPaymentForContingentConsiderationArrangementsAndIndemnificationAssetsIsUnlimited","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_g_iii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DisclosureOfTransactionsRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombinationTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_l&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_TransactionsRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombinationAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_l&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_TransactionsRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombinationMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_l&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_AcquisitionrelatedCostsForTransactionRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_m&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_AcquisitionrelatedCostsRecognisedAsExpenseForTransactionRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_m&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_IssueCostsNotRecognisedAsExpenseForTransactionRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_m&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfLineItemsForAcquisitionRelatedCostsRecognisedAsExpenseForTransactionRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_m&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfHowIssueCostsNotRecognisedAsExpenseWereRecognisedForTransactionRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_m&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_GainRecognisedInBargainPurchaseTransaction","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_n_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfMeasurementBasisForNoncontrollingInterestInAcquireeRecognisedAtAcquisitionDate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_o_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ProfitLossOfAcquiree","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_q_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ProfitLossOfCombinedEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_q_ii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_MeasurementPeriodAdjustmentsRecognisedForParticularAssetsLiabilitiesNoncontrollingInterestsOrItemsOfConsideration","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_a_iii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ExplanationOfGainOrLossThatRelatesToIdentifiableAssetsAcquiredOrLiabilitiesAssumedInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_e&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_GainLossRecognisedAsResultOfRemeasuringToFairValueEquityInterestInAcquireeHeldByAcquirerBeforeBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_p_ii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DescriptionOfLineItemsInFinancialStatementsForAmountsRecognisedForTransactionRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_l_iii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ClassesOfAcquiredReceivablesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_h&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DisclosureOfAcquiredReceivablesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_h&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ItemsOfContingentLiabilitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_j&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ItemsOfContingentLiabilitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_j&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ExplanationOfEstimatedFinancialEffectContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_j_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ExplanationOfPossibilityOfReimbursementContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_j_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DirectFinanceLeasesAcquiredInBusinessCombinationMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_h&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_NoncurrentAssetsRecognisedAsOfAcquisitionDate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_CurrentAssetsRecognisedAsOfAcquisitionDate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_NoncurrentLiabilitiesRecognisedAsOfAcquisitionDate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_CurrentLiabilitiesRecognisedAsOfAcquisitionDate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_TradeAndOtherPayablesRecognisedAsOfAcquisitionDate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DeferredTaxAssetsRecognisedAsOfAcquisitionDate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DeferredTaxLiabilitiesRecognisedAsOfAcquisitionDate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_BorrowingsRecognisedAsOfAcquisitionDate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_NewLiabilitiesContingentLiabilitiesRecognisedInBusinessCombination","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_EstimatedFinancialEffectContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_j_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_IncreaseDecreaseInContingentConsiderationAssetLiability","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_b_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ExplanationOfAnyChangesInRecognisedAmountsOfContingentConsideration","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_b_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DisclosureOfReconciliationOfChangesInGoodwillExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DisclosureOfTransactionsRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombinationExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_l&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DisclosureOfAcquiredReceivablesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_h&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DisclosureOfContingentLiabilitiesInBusinessCombinationExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_j&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DateOfAcquisition2013","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_AccumulatedImpairmentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B67","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B67_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_TechnologybasedIntangibleAssetsRecognisedAsOfAcquisitionDate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_CustomerrelatedIntangibleAssetsRecognisedAsOfAcquisitionDate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_DeferredIncomeRecognisedAsOfAcquisitionDate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_CashAndCashEquivalentsRecognisedAsOfAcquisitionDate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_GoodwillRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_GoodwillRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE72","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_IE72&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_IndemnificationAssetsRecognisedAsOfAcquisitionDate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_g_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"full_ContingentConsiderationRecognisedAsOfAcquisitionDate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2020-en-r&anchor=para_B64_g_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountReclassifiedFromProfitOrLossToOtherComprehensiveIncomeApplyingOverlayApproach","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_35D_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountReclassifiedToOtherComprehensiveIncomeFromProfitOrLossApplyingOverlayApproachNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_35D_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnApplicationOfOverlayApproachNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_35D_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxApplicationOfOverlayApproach","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_35D_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountReclassifiedToOtherComprehensiveIncomeFromProfitOrLossApplyingOverlayApproachBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_35D_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnApplicationOfOverlayApproachBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_35D_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxApplicationOfOverlayApproach","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_35D_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToApplicationOfOverlayApproachInOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_35D_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfOverlayApproach","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_35D_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfOverlayApproachMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_35D_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatInsurerIsApplyingOverlayApproach","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39L","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39L_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisForDesignatingFinancialAssetsForOverlayApproach","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39L","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39L_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfDesignatedFinancialAssetsThatAreHeldOutsideLegalEntityThatIssuesContractsWithinScopeOfIFRS4","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39L","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39L_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfAmountReclassifiedBetweenProfitOrLossAndOtherComprehensiveIncomeApplyingOverlayApproach","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39L","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39L_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountReportedInProfitOrLossApplyingIFRS9FinancialAssetsToWhichOverlayApproachIsApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39L","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39L_d_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountThatWouldHaveBeenReportedInProfitOrLossIfIAS39HadBeenAppliedFinancialAssetsToWhichOverlayApproachIsApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39L","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39L_d_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountReclassifiedFromProfitOrLossToOtherComprehensiveIncomeApplyingOverlayApproachNewlyDesignatedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39L","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39L_f_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountThatWouldHaveBeenReclassifiedFromProfitOrLossToOtherComprehensiveIncomeApplyingOverlayApproachIfFinancialAssetsHadNotBeenDedesignated","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39L","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39L_f_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnFinancialAssetsThatHaveBeenDedesignatedFromOverlayApproachNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39L","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39L_f_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnFinancialAssetsThatHaveBeenDedesignatedFromOverlayApproachBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39L","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39L_f_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsToWhichOverlayApproachIsAppliedExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39L","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39L_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsToWhichOverlayApproachIsAppliedTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39L","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39L_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsToWhichOverlayApproachIsApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39L","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39L_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEffectOfOverlayApproachReclassificationOnProfitOrLossExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39L","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39L_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEffectOfOverlayApproachReclassificationOnProfitOrLossTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39L","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39L_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectOfOverlayApproachReclassificationAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39L","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39L_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InAccordanceWithIFRS9Member","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39L","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39L_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectOfOverlayApproachReclassificationMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39L","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39L_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutOverlayApproachForAssociatesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutOverlayApproachForAssociatesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfAmountReportedInProfitOrLossApplyingIFRS9FinancialAssetsToWhichOverlayApproachIsApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfAmountThatWouldHaveBeenReportedInProfitOrLossIfIAS39HadBeenAppliedFinancialAssetsToWhichOverlayApproachIsApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfAmountReclassifiedFromProfitOrLossToOtherComprehensiveIncomeApplyingOverlayApproachNewlyDesignatedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfAmountThatWouldHaveBeenReclassifiedFromProfitOrLossToOtherComprehensiveIncomeApplyingOverlayApproachIfFinancialAssetsHadNotBeenDedesignated","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfReclassificationAdjustmentsOnFinancialAssetsThatHaveBeenDedesignatedFromOverlayApproachNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfReclassificationAdjustmentsOnFinancialAssetsThatHaveBeenDedesignatedFromOverlayApproachBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsToWhichOverlayApproachIsAppliedForAssociatesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsToWhichOverlayApproachIsAppliedForAssociatesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfFinancialAssetsToWhichOverlayApproachIsApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEffectOfOverlayApproachReclassificationOnProfitOrLossForAssociatesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEffectOfOverlayApproachReclassificationOnProfitOrLossForAssociatesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutOverlayApproachForJointVenturesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutOverlayApproachForJointVenturesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsToWhichOverlayApproachIsAppliedForJointVenturesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsToWhichOverlayApproachIsAppliedForJointVenturesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEffectOfOverlayApproachReclassificationOnProfitOrLossForJointVenturesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEffectOfOverlayApproachReclassificationOnProfitOrLossForJointVenturesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedIndividuallyImmaterialAssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedIndividuallyImmaterialJointVenturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SignificantInvestmentsInAssociatesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39L","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39L_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForAssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForJointVenturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39L","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39L_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointVenturesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointVenturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLoss","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39L","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39L_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39M_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsIncurredDeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG39_b&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsIncurredDeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfActualClaimsComparedWithPreviousEstimatesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39_c_iii&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossAmountArisingFromInsuranceContractsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&doctype=Standard&book=b&dita_xref=IFRS04_g36-39M_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfConcentrationsOfInsuranceRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39_c_ii&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveForCatastropheMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG58","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG58&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG37_f&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG37_b&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNetGrossAndReinsurersShareForAmountsArisingFromInsuranceContractsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&doctype=Standard&book=b&dita_xref=IFRS04_g36-39M_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveForEqualisationMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG58","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG58&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG39_a&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG23_a&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashPaidLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG37_c&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashPaidLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveForCatastrophe","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG58","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG58&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetAmountArisingFromInsuranceContractsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&doctype=Standard&book=b&dita_xref=IFRS04_g36-39M_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInInsuranceContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfObjectivesPoliciesAndProcessesForManagingRisksArisingFromInsuranceContractsAndMethodsUsedToManageThoseRisks","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NonlifeInsuranceContractsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&doctype=Standard&book=b&dita_xref=IFRS04_g36-39M_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInDeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG39&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInDeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionsForFutureNonparticipatingBenefits","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG22_e&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionsForFutureNonparticipatingBenefits","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInsuranceContractsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&doctype=Standard&book=b&dita_xref=IFRS04_g36-39M_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLossDeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG39_d&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLossDeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsRelatingToInsuranceContractsAcquiredInBusinessCombinationsOrPortfolioTransfers","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG23_b&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsRelatingToInsuranceContractsAcquiredInBusinessCombinationsOrPortfolioTransfers","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AcquisitionsThroughBusinessCombinationsLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCreditRiskOfInsuranceContractsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39_d&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEffectOfChangesInAssumptionsToMeasureInsuranceAssetsAndInsuranceLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_d&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionsArisingFromLiabilityAdequacyTests","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG22_d&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionsArisingFromLiabilityAdequacyTests","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesDeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG39_e&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesDeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsArisingFromInsuranceContractsAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&doctype=Standard&book=b&dita_xref=IFRS04_g36-39M_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmortisationDeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG39_c&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmortisationDeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReinsurersShareOfAmountArisingFromInsuranceContractsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&doctype=Standard&book=b&dita_xref=IFRS04_g36-39M_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfAssumptionsToMeasureInsuranceAssetsAndLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsOtherThanThroughBusinessCombinationsReinsuranceAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesReinsuranceAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LifeInsuranceContractsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&doctype=Standard&book=b&dita_xref=IFRS04_g36-39M_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNetGrossAndReinsurersShareForAmountsArisingFromInsuranceContractsTable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&doctype=Standard&book=b&dita_xref=IFRS04_g36-39M_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughAdjustmentsArisingFromPassageOfTimeReinsuranceAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG22&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveForEqualisation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG58","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG58&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AcquisitionsThroughBusinessCombinationsDeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG37_e&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMarketRiskOfInsuranceContractsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39_d&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInReinsuranceAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG37&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInReinsuranceAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsUnderReinsuranceCeded","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG20_c&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsUnderReinsuranceCeded","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseForPolicyholderClaimsAndBenefitsWithoutReductionForReinsuranceHeld","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG24_c&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseForPolicyholderClaimsAndBenefitsWithoutReductionForReinsuranceHeld","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesDeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughShadowAccountingDeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForInsuranceContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnearnedPremiums","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG22_a&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnearnedPremiums","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceivablesAndPayablesRelatedToInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG22_g&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceivablesAndPayablesRelatedToInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesArisingFromInsuranceContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesArisingFromInsuranceContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG20_a&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG37_a&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseIncomeIncludedInProfitOrLossLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG37_d&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseIncomeIncludedInProfitOrLossLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RemainingUnamortisedGainsAndLossesArisingOnBuyingReinsurance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_b_ii&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoninsuranceAssetsAcquiredByExercisingRightsToRecoveries","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG22_h&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoninsuranceAssetsAcquiredByExercisingRightsToRecoveries","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClaimsReportedByPolicyholders","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG22_b&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClaimsReportedByPolicyholders","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"QualitativeInformationAboutSensitivityAndInformationAboutThoseTermsAndConditionsOfInsuranceContractsThatHaveMaterialEffect","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39A_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfDiscretionaryParticipationFeaturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG22_f&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfDiscretionaryParticipationFeaturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_34_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAmountsArisingFromInsuranceContractsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_36&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG37&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSensitivityToInsuranceRiskExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39_c_i&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeFromContractsWithReinsurers","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG24_b&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeFromContractsWithReinsurers","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNatureAndExtentOfRisksArisingFromInsuranceContractsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"38","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_38&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG37&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG20_b&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&doctype=Standard&book=b&dita_xref=IFRS04_g36-39M_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughAdjustmentsArisingFromPassageOfTimeLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpensesArisingFromReinsuranceHeld","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG24_d&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpensesArisingFromReinsuranceHeld","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfLiquidityRiskOfInsuranceContractsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39_d&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsArisingFromInsuranceContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInsuranceRiskExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseArisingFromInsuranceContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmortisationOfGainsAndLossesArisingOnBuyingReinsurance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_b_ii&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfDiscretionaryParticipationFeatures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG22_f&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfDiscretionaryParticipationFeatures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_34_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutExposuresToMarketRiskArisingFromEmbeddedDerivativesContainedInHostInsuranceContract","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SensitivityAnalysisToInsuranceRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39A_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossOnBuyingReinsurance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_b_i&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromInsuranceContractsIssuedWithoutReductionForReinsuranceHeld","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG24_a&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromInsuranceContractsIssuedWithoutReductionForReinsuranceHeld","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTypesOfInsuranceContractsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&doctype=Standard&book=b&dita_xref=IFRS04_g36-39M_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReinsuranceAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AcquisitionsThroughBusinessCombinationsReinsuranceAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesOrComponentsOfEquityRelatingToDiscretionaryParticipationFeatures","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG22_f&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesOrComponentsOfEquityRelatingToDiscretionaryParticipationFeatures","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTypesOfInsuranceContractsTable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&doctype=Standard&book=b&dita_xref=IFRS04_g36-39M_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesReinsuranceAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfInsuranceContractsAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&doctype=Standard&book=b&dita_xref=IFRS04_g36-39M_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeArisingFromInsuranceContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClaimsIncurredButNotReported","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_IG22_c&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClaimsIncurredButNotReported","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatInsurerIsApplyingTemporaryExemptionFromIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39C&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowInsurerConcludedThatItQualifiesForTemporaryExemptionFromIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39C&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfLiabilitiesConnectedWithInsuranceThatAreNotLiabilitiesArisingFromContractsWithinScopeOfIFRS4","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39C_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NonderivativeInvestmentContractLiabilitiesMeasuredAtFairValueThroughProfitOrLossApplyingIAS39","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39C_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesThatAriseBecauseInsurerIssuesOrFulfilsObligationsArisingFromContractsWithinScopeOfIFRS4AndNonderivativeInvestmentContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39C_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowInsurerDeterminedThatItDidNotEngageInSignificantActivityUnconnectedWithInsurance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39C_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonForReassessmentWhetherInsurersActivitiesArePredominantlyConnectedWithInsurance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39C","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39C_c_i&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DateOnWhichChangeInActivitiesOccurredThatPermittedInsurerToReassessWhetherItsActivitiesArePredominantlyConnectedWithInsurance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39C","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39C_c_ii&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfChangeInActivitiesThatPermittedInsurerToReassessWhetherItsActivitiesArePredominantlyConnectedWithInsurance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39C","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39C_c_iii&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"QualitativeDescriptionOfEffectOnFinancialStatementsOfChangeInActivitiesThatPermittedInsurerToReassessWhetherItsActivitiesArePredominantlyConnectedWithInsurance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39C","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39C_c_iii&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatInsurerNoLongerQualifiesToApplyTemporaryExemptionFromIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39D_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DateOnWhichChangeInActivitiesOccurredThatResultedInInsurerNoLongerQualifyingToApplyTemporaryExemptionFromIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39D_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfChangeInActivitiesThatResultedInInsurerNoLongerQualifyingToApplyTemporaryExemptionFromIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39D_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"QualitativeDescriptionOfEffectOnFinancialStatementsOfChangeInActivitiesThatResultedInInsurerNoLongerQualifyingToApplyTemporaryExemptionFromIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39D_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutWhereUserOfFinancialStatementsCanObtainAnyPubliclyAvailableIFRS9InformationThatIsNotProvidedInConsolidatedFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39H&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsDescribedInParagraph39EaOfIFRS4FairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39E_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueOfFinancialAssetsDescribedInParagraph39EaOfIFRS4","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39E_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsOtherThanThoseSpecifiedInParagraph39EaOfIFRS4FairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39E_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueOfFinancialAssetsOtherThanThoseSpecifiedInParagraph39EaOfIFRS4","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39E_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutCreditRiskExposureInherentInFinancialAssetsDescribedInParagraph39EaOfIFRS4","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39G&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsDescribedInParagraph39EaOfIFRS4ThatDoNotHaveLowCreditRiskFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39G_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsDescribedInParagraph39EaOfIFRS4ThatDoNotHaveLowCreditRiskCarryingAmountApplyingIAS39","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39G_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatEntityElectedToUseExemptionThatPermitsEntityToRetainAccountingPoliciesForFinancialInstrumentsAppliedByAssociateOrJointVentureWhenApplyingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39I&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutFinancialAssetsDescribedInParagraph39EaOfIFRS4Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39G_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutFinancialAssetsDescribedInParagraph39EaOfIFRS4Table","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39G_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsDescribedInParagraph39EaOfIFRS4CarryingAmountApplyingIAS39","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39G_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutTemporaryExemptionFromIFRS9ForAssociatesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutTemporaryExemptionFromIFRS9ForAssociatesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfNonderivativeInvestmentContractLiabilitiesMeasuredAtFairValueThroughProfitOrLossApplyingIAS39","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfLiabilitiesThatAriseBecauseInsurerIssuesOrFulfilsObligationsArisingFromContractsWithinScopeOfIFRS4AndNonderivativeInvestmentContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfFinancialAssetsDescribedInParagraph39EaOfIFRS4FairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfIncreaseDecreaseInFairValueOfFinancialAssetsDescribedInParagraph39EaOfIFRS4","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfFinancialAssetsOtherThanThoseSpecifiedInParagraph39EaOfIFRS4FairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfIncreaseDecreaseInFairValueOfFinancialAssetsOtherThanThoseSpecifiedInParagraph39EaOfIFRS4","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfFinancialAssetsDescribedInParagraph39EaOfIFRS4ThatDoNotHaveLowCreditRiskFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfFinancialAssetsDescribedInParagraph39EaOfIFRS4ThatDoNotHaveLowCreditRiskCarryingAmountApplyingIAS39","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutFinancialAssetsDescribedInParagraph39EaOfIFRS4ForAssociatesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutFinancialAssetsDescribedInParagraph39EaOfIFRS4ForAssociatesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfFinancialAssetsDescribedInParagraph39EaOfIFRS4CarryingAmountApplyingIAS39","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutTemporaryExemptionFromIFRS9ForJointVenturesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutTemporaryExemptionFromIFRS9ForJointVenturesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutFinancialAssetsDescribedInParagraph39EaOfIFRS4ForJointVenturesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutFinancialAssetsDescribedInParagraph39EaOfIFRS4ForJointVenturesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExternalCreditGradesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39G_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForExternalCreditGradesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39G_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExternalCreditGradesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39G_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InternalCreditGradesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39G_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForInternalCreditGradesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39G_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InternalCreditGradesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39G_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SignificantInvestmentsInAssociatesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForAssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedIndividuallyImmaterialAssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointVenturesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForJointVenturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointVenturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedIndividuallyImmaterialJointVenturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativeLiabilitiesUsedToMitigateRisksArisingFromContractsWithinScopeOfIFRS4AndNonderivativeInvestmentContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_20E_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativeLiabilitiesUsedToMitigateRisksArisingFromAssetsBackingContractsWithinScopeOfIFRS4AndNonderivativeInvestmentContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_20E_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxLiabilitiesOnLiabilitiesArisingFromContractsWithinScopeOfIFRS4AndNonderivativeInvestmentContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_20E_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DebtInstrumentsIssuedThatAreIncludedInInsurersRegulatoryCapital","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_20E_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfDerivativeLiabilitiesUsedToMitigateRisksArisingFromContractsWithinScopeOfIFRS4AndNonderivativeInvestmentContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfDerivativeLiabilitiesUsedToMitigateRisksArisingFromAssetsBackingContractsWithinScopeOfIFRS4AndNonderivativeInvestmentContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfDeferredTaxLiabilitiesOnLiabilitiesArisingFromContractsWithinScopeOfIFRS4AndNonderivativeInvestmentContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfDebtInstrumentsIssuedThatAreIncludedInInsurersRegulatoryCapital","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2020-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxExpenseRelatingToGainLossOnDiscontinuance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_33_b_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxExpenseRelatingToProfitLossFromOrdinaryActivitiesOfDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_33_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"38","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_38&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_33_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAssetsHeldForSaleMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"38","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_38&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFactsAndCircumstancesOfSaleOrReclassificationAndExpectedDisposalMannerAndTiming","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"41","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_41_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNoncurrentAssetOrDisposalGroupHeldForSaleWhichWereSoldOrReclassified","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"41","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_41_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SegmentInWhichNoncurrentAssetOrDisposalGroupHeldForSaleIsPresented","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"41","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_41_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnSubsequentIncreaseInFairValueLessCostsToSellNotInExcessOfRecognisedCumulativeImpairmentLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"41","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_41_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEffectOfChangesInPlanToSellNoncurrentAssetOrDisposalGroupHeldForSaleOnResultsOfOperationsForPriorPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_42&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInOperatingActivitiesContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_33_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForDistributionToOwners","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"38","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_38&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForDistributionToOwners","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"5A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_5A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeFromDiscontinuedOperationsAttributableToOwnersOfParent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_33_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossRecognisedOnMeasurementToFairValueLessCostsToSellOrOnDisposalOfAssetsOrDisposalGroupsConstitutingDiscontinuedOperation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_33_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNatureAndAdjustmentsToAmountsPreviouslyPresentedInDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_35&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContinuingOperationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS05_g30-42_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountRecognisedInOtherComprehensiveIncomeAndAccumulatedInEquityRelatingToNoncurrentAssetsOrDisposalGroupsHeldForSale","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"38","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_38&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountRecognisedInOtherComprehensiveIncomeAndAccumulatedInEquityRelatingToNoncurrentAssetsOrDisposalGroupsHeldForSale","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&doctype=Implementation%20Guidance&dita_xref=IFRS05_ex12_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountRecognisedInOtherComprehensiveIncomeAndAccumulatedInEquityRelatingToNoncurrentAssetsOrDisposalGroupsHeldForSaleMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"38","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_38&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountRecognisedInOtherComprehensiveIncomeAndAccumulatedInEquityRelatingToNoncurrentAssetsOrDisposalGroupsHeldForSaleMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&doctype=Implementation%20Guidance&dita_xref=IFRS05_ex12_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromDiscontinuedOperationsAttributableToNoncontrollingInterests","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&doctype=Implementation%20Guidance&dita_xref=IFRS05_ex11_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"38","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_38&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangesInPlanToSellNoncurrentAssetOrDisposalGroupHeldForSale","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_42&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEffectOfChangesInPlanToSellNoncurrentAssetOrDisposalGroupHeldForSaleOnResultsOfOperationsForCurrentPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_42&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInFinancingActivitiesDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_33_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInInvestingActivitiesDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_33_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInFinancingActivitiesContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_33_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInOperatingActivitiesDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_33_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInInvestingActivitiesContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_33_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeFromContinuingOperationsAttributableToOwnersOfParent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_33_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContinuingAndDiscontinuedOperationsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS05_g30-42_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisposalGroupsClassifiedAsHeldForSaleMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS05_g30-42_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisposalGroupsClassifiedAsHeldForSaleMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"38","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_38&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DiscontinuedOperationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS05_g30-42_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregateContinuingAndDiscontinuedOperationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS05_g30-42_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNoncurrentAssetsHeldForSaleAndDiscontinuedOperationsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS05_g30-42_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromContinuingOperationsAttributableToNoncontrollingInterests","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&doctype=Implementation%20Guidance&dita_xref=IFRS05_ex11_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInCashAndCashEquivalentsDiscontinuedOperations","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_33_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsAndLiabilitiesClassifiedAsHeldForSaleAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"38","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_38&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsAndLiabilitiesNotClassifiedAsHeldForSaleMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"38","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_38&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsAndLiabilitiesClassifiedAsHeldForSaleMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"38","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_38&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromDiscontinuedOperationsAttributableToNoncontrollingInterests","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_33_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromContinuingOperationsAttributableToNoncontrollingInterests","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_33_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAnalysisOfSingleAmountOfDiscontinuedOperationsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_33_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAnalysisOfSingleAmountOfDiscontinuedOperationsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_33_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Revenue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_33_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2020-en-r&anchor=para_33_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleExplorationAndEvaluationAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"6","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=6&code=ifrs-tx-2020-en-r&anchor=para_25&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleExplorationAndEvaluationAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"6","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=6&code=ifrs-tx-2020-en-r&anchor=para_25&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TangibleExplorationAndEvaluationAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"6","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=6&code=ifrs-tx-2020-en-r&anchor=para_25&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TangibleExplorationAndEvaluationAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"6","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=6&code=ifrs-tx-2020-en-r&anchor=para_25&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfExplorationAndEvaluationAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"6","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=6&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS06_g23-25_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForExplorationAndEvaluationExpenditures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"6","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=6&code=ifrs-tx-2020-en-r&anchor=para_24_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsArisingFromExplorationForAndEvaluationOfMineralResources","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"6","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=6&code=ifrs-tx-2020-en-r&anchor=para_24_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesArisingFromExplorationForAndEvaluationOfMineralResources","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"6","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=6&code=ifrs-tx-2020-en-r&anchor=para_24_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeArisingFromExplorationForAndEvaluationOfMineralResources","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"6","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=6&code=ifrs-tx-2020-en-r&anchor=para_24_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseArisingFromExplorationForAndEvaluationOfMineralResources","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"6","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=6&code=ifrs-tx-2020-en-r&anchor=para_24_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInExplorationForAndEvaluationOfMineralResourcesClassifiedAsOperatingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"6","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=6&code=ifrs-tx-2020-en-r&anchor=para_24_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInExplorationForAndEvaluationOfMineralResourcesClassifiedAsInvestingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"6","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=6&code=ifrs-tx-2020-en-r&anchor=para_24_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaturityAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaturityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42E_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedTimeBandsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedTimeBandsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B35&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFiveYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B35_g&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearAndNotLaterThanFiveYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_6&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG40B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG40B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialLiabilitiesAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_a_v&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseForFinancialLiabilitiesNotAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsPledgedAsCollateralForLiabilitiesOrContingentLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_14_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfDetailsOfDefaultsDuringPeriodOfPrincipalInterestSinkingFundOrRedemptionTermsOfLoansPayable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"18","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_18_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LoansPayableInDefault","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"18","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_18_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureWhetherLoansPayableInDefaultRemediedOrTermsOfLoansPayableRenegotiatedBeforeAuthorisationForIssueOfFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"18","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_18_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialLiabilitiesAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTermAndConditionsOfFinancialAssetsPledgedAsCollateralForLiabilitiesOrContingentLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_14_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_6&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialInstrumentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS07_g3-5A_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_33&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_34&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_33&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_34&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialAssetsAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialLiabilitiesAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialLiabilitiesAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialAssetsAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCollateralPermittedToSellOrRepledgeInAbsenceOfDefaultByOwnerOfCollateral","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"15","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_15_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FeeIncomeExpenseArisingFromTrustAndFiduciaryActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_c_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DifferenceBetweenCarryingAmountOfFinancialLiabilityAndAmountContractuallyRequiredToPayAtMaturityToHolderOfObligation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_10_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodsToDetermineAmountOfChangesInFairValueOfFinancialAssetsAndFinancialLiabilitiesAttributableToChangesInCreditRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_11_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsAndFactorsWhyAmountOfChangesInFairValueOfFinancialAssetsAndFinancialLiabilitiesAttributableToChangesInCreditRiskNotFaithfullyRepresent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_11_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCompoundFinancialInstrumentsWithMultipleEmbeddedDerivativesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfExposureToRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_33_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfObjectivesPoliciesAndProcessesForManagingRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_33_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInMethodsUsedToMeasureRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_33_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SummaryQuantitativeDataAboutEntitysExposureToRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_34_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConcentrationsOfRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_34_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionalInformationAboutEntityExposureToRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAndCarryingAmountOfAssetsObtained","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"38","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_38_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPoliciesForDisposingOfAssetsNotReadilyConvertibleIntoCashOrForUsingThemInItsOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"38","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_38_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SensitivityAnalysisForEachTypeOfMarketRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"40","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_40_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodsAndAssumptionsUsedInPreparingSensitivityAnalysis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"40","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_40_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonForChangeInMethodsAndAssumptionsUsedInPreparingSensitivityAnalysis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"40","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_40_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodsUsedInPreparingSensitivityAnalysisReflectingInterdependenciesBetweenRiskVariables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"41","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_41_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LimitationsThatMayResultInInformationNotFullyReflectingFairValueOfAssetsAndLiabilitiesInvolved","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"41","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_41_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactAndReasonWhySensitivityAnalysisAreUnrepresentative","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaturityAnalysisForDerivativeFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_39_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaturityAnalysisForNonderivativeFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_39_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_25&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsHeldAsCollateralPermittedToBeSoldOrRepledgedAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"15","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_15_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsSoldOrRepledgedAsCollateralAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"15","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_15_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfManagingLiquidityRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_39_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialInstrumentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_36&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialInstrumentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_36&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNatureAndExtentOfRisksArisingFromFinancialInstrumentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_31&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNatureAndExtentOfRisksArisingFromFinancialInstrumentsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_33&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNatureAndExtentOfRisksArisingFromFinancialInstrumentsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_34&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotLaterThanOneMonthMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotLaterThanOneMonthMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B35_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneMonthAndNotLaterThanThreeMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneMonthAndNotLaterThanThreeMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B35_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeMonthsAndNotLaterThanSixMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B35_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanSixMonthsAndNotLaterThanOneYearMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B35_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForRecognisingDifferenceBetweenFairValueAtInitialRecognitionAndAmountDeterminedUsingValuationTechniqueExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_28_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PricesSpecifiedInForwardAgreementsToPurchaseFinancialAssetsForCash","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11D_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetAmountsForPayfloatingReceivefixedInterestRateSwapsForWhichNetCashFlowsAreExchanged","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11D_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractualAmountsToBeExchangedInDerivativeFinancialInstrumentForWhichGrossCashFlowsAreExchanged","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11D_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossLoanCommitments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11D_e&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedChangesInFairValueOfFinancialLiabilityAttributableToChangesInCreditRiskOfLiability","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_10_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowManagementDeterminesConcentrations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B8_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregateDifferenceBetweenFairValueAtInitialRecognitionAndAmountDeterminedUsingValuationTechniqueYetToBeRecognised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_28_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNewTransactionsAggregateDifferenceBetweenFairValueAtInitialRecognitionAndAmountDeterminedUsingValuationTechniqueYetToBeRecognised","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG14&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInAggregateDifferenceBetweenFairValueAtInitialRecognitionAndAmountDeterminedUsingValuationTechniqueYetToBeRecognised","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_28_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSharedCharacteristicForConcentration","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B8_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RiskExposureAssociatedWithInstrumentsSharingCharacteristic","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B8_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditRiskMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"32","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_32&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrencyRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&doctype=Appendix&subtype=A&dita_xref=IFRS07_APPA_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMaturityAnalysisForFinancialAssetsHeldForManagingLiquidityRiskTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11E&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradingSecuritiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG40B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG40B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EquityInvestmentsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG40B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG40B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfDetailsOfBreachesWhichPermittedLenderToDemandAcceleratedRepaymentDuringPeriodOfPrincipalInterestSinkingFundOrRedemptionTermsOfLoansPayable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_19&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeMonthsAndNotLaterThanOneYearMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EquityPriceRiskMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG32","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG32&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialLiabilitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_6&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_6&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAtFairValueThroughProfitOrLossDesignatedAsUponInitialRecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialLiabilitiesAtFairValueThroughProfitOrLossDesignatedUponInitialRecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialLiabilitiesAtFairValueThroughProfitOrLossDesignatedUponInitialRecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialLiabilitiesAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialLiabilitiesAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLossDesignatedAsUponInitialRecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialLiabilitiesAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialLiabilitiesAtFairValueThroughProfitOrLossDesignatedAsUponInitialRecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughProfitOrLossDesignatedAsUponInitialRecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialAssetsAtFairValueThroughProfitOrLossDesignatedUponInitialRecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialAssetsAtFairValueThroughProfitOrLossDesignatedUponInitialRecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodsUsedToMeasureRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_33_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInObjectivesPoliciesAndProcessesForManagingRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_33_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInExposureToRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_33_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsObtained","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"38","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_38_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInMethodsAndAssumptionsUsedInPreparingSensitivityAnalysis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"40","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_40_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativeFinancialLiabilitiesUndiscountedCashFlows","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_39_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMaturityAnalysisForDerivativeFinancialLiabilitiesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_39_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NonderivativeFinancialLiabilitiesUndiscountedCashFlows","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_39_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMaturityAnalysisForNonderivativeFinancialLiabilitiesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_39_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_25&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_25&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_25&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_25&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_25&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_25&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_25&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfWhetherEntityHasObligationToReturnCollateralSoldOrRepledged","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"15","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_15_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtAmortisedCostMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B2","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B2_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B2","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B2_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAtAmortisedCostMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B2","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B2_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAtFairValueMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B2","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B2_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsOutsideScopeOfIFRS7Member","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B2","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B2_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesOutsideScopeOfIFRS7Member","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B2","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B2_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRateRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&doctype=Appendix&subtype=A&dita_xref=IFRS07_APPA_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherPriceRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&doctype=Appendix&subtype=A&dita_xref=IFRS07_APPA_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsHeldForManagingLiquidityRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11E&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LoansPayableInBreachWhichPermittedLenderToDemandAcceleratedRepayment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_19&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfWhetherBreachesWhichPermittedLenderToDemandAcceleratedRepaymentWereRemediedOrTermsOfLoansPayableWereRenegotiatedBeforeFinancialStatementsWereAuthorisedForIssue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_19&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughAmountsRecognisedInProfitOrLossAggregateDifferenceBetweenFairValueAtInitialRecognitionAndAmountDeterminedUsingValuationTechniqueYetToBeRecognised","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG14&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherIncreasesAggregateDifferenceBetweenFairValueAtInitialRecognitionAndAmountDeterminedUsingValuationTechniqueYetToBeRecognised","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG14&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherDecreasesAggregateDifferenceBetweenFairValueAtInitialRecognitionAndAmountDeterminedUsingValuationTechniqueYetToBeRecognised","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG14&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiquidityRiskMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"32","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_32&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MarketRiskMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"32","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_32&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CommodityPriceRiskMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG32","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG32&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrepaymentRiskMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG32","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG32&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ResidualValueRiskMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG32","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG32&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsTransferredDuringPeriodWhichDoNotQualifyForDerecognitionExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42D&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsThatEntityContinuesToRecognise","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42D_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NatureOfRisksAndRewardsOfOwnershipToWhichEntityRemainsExposed","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42D_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NatureOfFinancialAssetsTransferredDuringPeriodWhichDoNotQualifyForDerecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42D_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssociatedLiabilitiesThatEntityContinuesToRecognise","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42D_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsTransferredDuringPeriodWhichDoNotQualifyForDerecognitionTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42D&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsWhichDoNotQualifyForDerecognitionAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42D&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsWhichDoNotQualifyForDerecognitionMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42D&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsThatEntityContinuesToRecogniseToExtentOfContinuingInvolvement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42D_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTransfersOfFinancialAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS07_g42A-42S_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfRelationshipBetweenTransferredFinancialAssetsThatAreNotDerecognisedInTheirEntiretyAndAssociatedLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42D_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfTransferredFinancialAssetsThatAreNotDerecognisedInTheirEntirety","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42D_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfContinuingInvolvementInDerecognisedFinancialAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42E&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfContinuingInvolvementInDerecognisedFinancialAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42G&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RecognisedAssetsRepresentingContinuingInvolvementInDerecognisedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42E_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfAssetsRepresentingContinuingInvolvementInDerecognisedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42E_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaximumExposureToLossFromContinuingInvolvement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42E_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UndiscountedCashOutflowRequiredToRepurchaseDerecognisedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42E_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOfDerecognisedFinancialAssetsAtDateOfTransfer","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42G_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeFromContinuingInvolvementInDerecognisedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42G_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromTransferActivity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42G","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42G_c_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"QualitativeInformationAboutContinuingInvolvementInDerecognisedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42E_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfContinuingInvolvementInDerecognisedFinancialAssetsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42E&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfContinuingInvolvementInDerecognisedFinancialAssetsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42G&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOfDerecognisedFinancialAssetsRepresentingGreatestTransferActivity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42G","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42G_c_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationWhenGreatestTransferActivityTookPlace","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42G","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42G_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearAndNotLaterThanThreeYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B35_e&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeYearsAndNotLaterThanFiveYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B35_f&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SecuritiesLendingMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG40B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG40B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SecuritiesLendingMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B33&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CategoriesOfFinancialAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ValueAtRisk","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"41","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_41&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RiskDiversificationEffectMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"32","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_32&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WrittenPutOptionsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG40B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG40B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchasedCallOptionsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG40B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG40B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MortgagesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG40B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG40B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConsumerLoansMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG40B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG40B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContinuingInvolvementInDerecognisedFinancialAssetsByTypeOfInstrumentAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B33&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfInstrumentMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B33&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContinuingInvolvementInDerecognisedFinancialAssetsByTypeOfTransferAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B33&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfTransferMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B33&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GuaranteesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B33&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FactoringOfReceivablesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B33&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SecuritisationsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B33&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMaturityAnalysisOfUndiscountedCashOutflowsToRepurchaseDerecognisedFinancialAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42E_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssociatedLiabilitiesThatEntityContinuesToRecogniseToExtentOfContinuingInvolvement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42D_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OriginalAssetsBeforeTransfer","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42D_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfAssociatedFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42D_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfTransferredFinancialAssetsAssociatedFinancialLiabilitiesThatAreNotDerecognisedInTheirEntirety","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42D_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LineItemsOfRecognisedAssetsAndLiabilitiesRepresentingContinuingInvolvementInDerecognisedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42E_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RecognisedLiabilitiesRepresentingContinuingInvolvementInDerecognisedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42E_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfLiabilitiesRepresentingContinuingInvolvementInDerecognisedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42E_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutHowMaximumExposureToLossIsDetermined","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42E_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsPayableToTransfereeInRespectOfTransferredAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42E_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseFromContinuingInvolvementInDerecognisedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42G_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeFromContinuingInvolvementInDerecognisedFinancialAssetsCumulativelyRecognised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42G_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseFromContinuingInvolvementInDerecognisedFinancialAssetsCumulativelyRecognised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42G_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CategoriesOfFinancialLiabilitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMaturityAnalysisOfUndiscountedCashOutflowsToRepurchaseDerecognisedFinancialAssetsOrAmountsPayableToTransfereeInRespectOfTransferredAssetsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42E_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAtFairValueThroughProfitOrLossDesignatedUponInitialRecognitionCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAtFairValueThroughProfitOrLossThatMeetDefinitionOfHeldForTradingCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAtFairValueThroughProfitOrLossCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughProfitOrLossDesignatedUponInitialRecognitionCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughProfitOrLossCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfConclusionWhyTransactionPriceWasNotBestEvidenceOfFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_28_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOffsettingOfFinancialAssetsAndFinancialLiabilitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS07_g13A-13F_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsSubjectToEnforceableMasterNettingArrangementOrSimilarAgreementNotSetOffAgainstFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_13C_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsSubjectToEnforceableMasterNettingArrangementOrSimilarAgreementNotSetOffAgainstFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_13C_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashCollateralReceivedSubjectToEnforceableMasterNettingArrangementOrSimilarAgreementNotSetOffAgainstFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG40D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG40D&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsSubjectToEnforceableMasterNettingArrangementOrSimilarAgreementNotSetOffAgainstFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG40D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG40D&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsSubjectToEnforceableMasterNettingArrangementOrSimilarAgreementNotSetOffAgainstFinancialLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG40D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG40D&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashCollateralPledgedSubjectToEnforceableMasterNettingArrangementOrSimilarAgreementNotSetOffAgainstFinancialLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG40D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG40D&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CounterpartiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B52","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B52&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsTypeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B52","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B52&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesTypeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B52","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B52&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IndividuallyInsignificantCounterpartiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B52","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B52&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfFinancialAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B52","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B52&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfFinancialLiabilitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B52","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B52&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CounterpartiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B52","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B52&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMeasurementDifferencesForFinancialLiabilitiesSubjectToOffsettingEnforceableMasterNettingArrangementsOrSimilarAgreements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B42","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B42&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMeasurementDifferencesForFinancialAssetsSubjectToOffsettingEnforceableMasterNettingArrangementsOrSimilarAgreements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B42","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B42&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRightsOfSetoffAssociatedWithFinancialLiabilitiesSubjectToEnforceableMasterNettingArrangementOrSimilarAgreement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_13E&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRightsOfSetoffAssociatedWithFinancialAssetsSubjectToEnforceableMasterNettingArrangementOrSimilarAgreement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_13E&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOffsettingOfFinancialAssetsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_13C&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOffsettingOfFinancialLiabilitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_13C&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOffsettingOfFinancialLiabilitiesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_13C&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOffsettingOfFinancialAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_13C&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfFinancialLiabilitiesSubjectToOffsettingEnforceableMasterNettingArrangementsOrSimilarAgreementsToIndividualLineItemsInStatementOfFinancialPositionExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B46","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B46&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfFinancialAssetsSubjectToOffsettingEnforceableMasterNettingArrangementsOrSimilarAgreementsToIndividualLineItemsInStatementOfFinancialPositionExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B46","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B46&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesTypeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B51","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B51&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfFinancialAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B51","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B51&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfFinancialLiabilitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B51","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B51&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsTypeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B51","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B51&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossFinancialLiabilitiesSetOffAgainstFinancialAssetsSubjectToOffsettingEnforceableMasterNettingArrangementsOrSimilarAgreements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_13C_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossFinancialAssetsSetOffAgainstFinancialLiabilitiesSubjectToOffsettingEnforceableMasterNettingArrangementsOrSimilarAgreements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_13C_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossFinancialLiabilitiesSubjectToOffsettingEnforceableMasterNettingArrangementsOrSimilarAgreements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_13C_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossFinancialAssetsSubjectToOffsettingEnforceableMasterNettingArrangementsOrSimilarAgreements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_13C_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetFinancialLiabilitiesSubjectToOffsettingEnforceableMasterNettingArrangementsOrSimilarAgreements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_13C_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetFinancialAssetsSubjectToOffsettingEnforceableMasterNettingArrangementsOrSimilarAgreements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_13C_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetFinancialLiabilitiesSubjectToOffsettingEnforceableMasterNettingArrangementsOrSimilarAgreementsInStatementOfFinancialPosition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_13C_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetFinancialAssetsSubjectToOffsettingEnforceableMasterNettingArrangementsOrSimilarAgreementsInStatementOfFinancialPosition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_13C_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRateTypesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_39&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FloatingInterestRateMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_39&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FixedInterestRateMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_39&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialInstrumentsByTypeOfInterestRateExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_39&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialInstrumentsByTypeOfInterestRateTable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_39&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfInterestRatesAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"39","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_39&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutFinancialInstrumentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_31&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialInstrumentsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_31&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutFinancialInstrumentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialInstrumentsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialLiabilitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialLiabilitiesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCrossreferenceToDisclosuresAboutNatureAndExtentOfRisksArisingFromFinancialInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B6&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInOtherComprehensiveIncomeOnFinancialLiabilitiesAtFairValueThroughProfitOrLossDesignatedUponInitialRecognitionOrSubsequently","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossOnFinancialLiabilitiesAtFairValueThroughProfitOrLossDesignatedUponInitialRecognitionOrSubsequently","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutBorrowingsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutBorrowingsTable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BorrowingsByNameAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BorrowingsByNameMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BorrowingsInterestRate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BorrowingsInterestRateBasis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BorrowingsAdjustmentToInterestRateBasis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BorrowingsMaturity","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BorrowingsOriginalCurrency","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangeAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BottomOfRangeMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TopOfRangeMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFiveYearsAndNotLaterThanSevenYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeYearsAndNotLaterThanFourYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotLaterThanOneYearMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFourYearsAndNotLaterThanFiveYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFiveYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTwoYearsAndNotLaterThanThreeYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFiveYearsAndNotLaterThanTenYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTwentyYearsAndNotLaterThanTwentyfiveYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanSevenYearsAndNotLaterThanTenYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeYearsAndNotLaterThanFiveYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTenYearsAndNotLaterThanFifteenYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BankBorrowingsUndiscountedCashFlows","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11D&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneMonthAndNotLaterThanSixMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeMonthsAndNotLaterThanSixMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTenYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFifteenYearsAndNotLaterThanTwentyYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BondsIssuedUndiscountedCashFlows","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11D&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearAndNotLaterThanThreeYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearAndNotLaterThanTwoYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherPayablesUndiscountedCashFlows","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11D&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanSixMonthsAndNotLaterThanOneYearMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConsumerLoansMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_6&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CorporateLoansMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_6&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MortgagesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_6&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashCollateralPledgedSubjectToEnforceableMasterNettingArrangementOrSimilarAgreementNotSetOffAgainstFinancialLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13C","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_13C_d_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashCollateralReceivedSubjectToEnforceableMasterNettingArrangementOrSimilarAgreementNotSetOffAgainstFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13C","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_13C_d_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsSubjectToEnforceableMasterNettingArrangementOrSimilarAgreementNotSetOffAgainstFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13C","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_13C_d_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsSubjectToEnforceableMasterNettingArrangementOrSimilarAgreementNotSetOffAgainstFinancialLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13C","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_13C_d_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WrittenPutOptionsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B33&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradingSecuritiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_6&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_6&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EquityInvestmentsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_6&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchasedCallOptionsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B33&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrepaymentRiskMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"40","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_40_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CommodityPriceRiskMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"40","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_40_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EquityPriceRiskMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"40","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_40_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ResidualValueRiskMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"40","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_40_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherDecreasesAggregateDifferenceBetweenFairValueAtInitialRecognitionAndAmountDeterminedUsingValuationTechniqueYetToBeRecognised","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_28_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughAmountsRecognisedInProfitOrLossAggregateDifferenceBetweenFairValueAtInitialRecognitionAndAmountDeterminedUsingValuationTechniqueYetToBeRecognised","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_28_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherIncreasesAggregateDifferenceBetweenFairValueAtInitialRecognitionAndAmountDeterminedUsingValuationTechniqueYetToBeRecognised","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_28_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNewTransactionsAggregateDifferenceBetweenFairValueAtInitialRecognitionAndAmountDeterminedUsingValuationTechniqueYetToBeRecognised","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_28_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsWhoseFairValuePreviouslyCouldNotBeReliablyMeasuredAtTimeOfDerecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-b&anchor=para_30_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutWhetherAndHowEntityIntendsToDisposeOfFinancialInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-b&anchor=para_30_d&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossRecognisedOnFinancialInstrumentsWhoseFairValuePreviouslyCouldNotBeReliablyMeasured","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-b&anchor=para_30_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInformationWhereFairValueDisclosuresNotRequired","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-b&anchor=para_30_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFinancialInstrumentsTheirCarryingAmountAndExplanationOfWhyFairValueCannotBeMeasuredReliably","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-b&anchor=para_30_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValueOfFinancialAssetsAndFinancialLiabilitiesAndReclassificationExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-b&anchor=para_30&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutMarketForFinancialInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-b&anchor=para_30_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFactThatFinancialInstrumentsWhoseFairValuePreviouslyCouldNotBeReliablyMeasuredAreDerecognised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-b&anchor=para_30_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughProfitOrLossMeasuredAsSuchInAccordanceWithExemptionForRepurchaseOfOwnFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialAssetsAtFairValueThroughProfitOrLossMeasuredAsSuchInAccordanceWithExemptionForRepurchaseOfOwnFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialAssetsAtFairValueThroughProfitOrLossMeasuredAsSuchInAccordanceWithExemptionForRepurchaseOfOwnFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughProfitOrLossMeasuredAsSuchInAccordanceWithExemptionForRepurchaseOfOwnFinancialLiabilitiesCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughProfitOrLossMeasuredAsSuchInAccordanceWithExemptionForReacquisitionOfOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialAssetsAtFairValueThroughProfitOrLossMeasuredAsSuchInAccordanceWithExemptionForReacquisitionOfOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialAssetsAtFairValueThroughProfitOrLossMeasuredAsSuchInAccordanceWithExemptionForReacquisitionOfOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughProfitOrLossMeasuredAsSuchInAccordanceWithExemptionForReacquisitionOfOwnEquityInstrumentsCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMaturityAnalysisForFinancialAssetsHeldForManagingLiquidityRiskExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11E&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsAtDateOfInitialApplicationOfIFRS9Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsAtDateOfInitialApplicationOfIFRS9Table","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsMeasurementCategoryImmediatelyBeforeInitialApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42I_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsCarryingAmountImmediatelyBeforeInitialApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42I_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsMeasurementCategoryImmediatelyAfterInitialApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42I_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsCarryingAmountImmediatelyAfterInitialApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42I_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialLiabilitiesAtDateOfInitialApplicationOfIFRS9Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialLiabilitiesAtDateOfInitialApplicationOfIFRS9Table","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesMeasurementCategoryImmediatelyBeforeInitialApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42I_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesCarryingAmountImmediatelyBeforeInitialApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42I_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesMeasurementCategoryImmediatelyAfterInitialApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42I_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesCarryingAmountImmediatelyAfterInitialApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42I_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationOnHowEntityAppliedClassificationRequirementsInIFRS9ToFinancialAssetsWhoseClassificationHasChangedAsResultOfApplyingIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42J_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForDesignationOrDedesignationOfFinancialAssetsOrFinancialLiabilitiesAsMeasuredAtFairValueThroughProfitOrLossAtDateOfInitialApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42J_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialLiabilitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueGainLossThatWouldHaveBeenRecognisedInProfitOrLossOrOtherComprehensiveIncomeIfFinancialLiabilitiesHadNotBeenReclassifiedFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42M_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutEntitysDefinitionsOfDefault","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35F","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35F_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"viii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_a_viii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"viii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_a_viii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeExpenseRecognisedForFinancialAssetsReclassifiedIntoMeasuredAtAmortisedCostFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42N","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42N_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOnHedgeIneffectivenessRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24C","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24C_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOnHedgeIneffectivenessRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24C","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24C_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MortgagesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnHedgesOfNetInvestmentsInForeignOperationsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24C","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24C_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnHedgesOfNetInvestmentsInForeignOperationsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24E_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FeeExpenseArisingFromFinancialLiabilitiesNotAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityDeterminesEconomicRelationshipBetweenHedgedItemAndHedgingInstrumentForPurposeOfAssessingHedgeEffectiveness","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_22B_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInFairValueOfFinancialLiabilityAttributableToChangesInCreditRiskOfLiability","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_10A_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialInstrumentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35K","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35K&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialInstrumentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialInstrumentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHedgingInstrumentsUsedToHedgeRiskExposuresAndHowTheyAreUsed","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_22B_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditImpairmentOfFinancialInstrumentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditImpairmentOfFinancialInstrumentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialInstrumentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35K","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35K&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialInstrumentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialInstrumentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeExpenseRecognisedForAssetsReclassifiedIntoMeasuredAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_12C_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInValueOfForwardElementsOfForwardContractsThatHedgeTimeperiodRelatedHedgedItems","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24E_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsPreviouslyDesignatedAtFairValueThroughProfitOrLossReclassifiedVoluntarilyFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42I_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsWhoseContractualCashFlowCharacteristicsHaveBeenAssessedBasedOnFactsAndCircumstancesAtInitialRecognitionWithoutTakingIntoAccountExceptionForPrepaymentFeatures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42S","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42S&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnCashFlowHedgesForWhichReserveOfCashFlowHedgesWillNotBeRecoveredInOneOrMoreFuturePeriodsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24E_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AveragePriceOfHedgingInstrument","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_23B_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValueOfEachInvestmentInEquityInstrumentsDesignatedAsMeasuredAtFairValueThroughOtherComprehensiveIncomeExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"11A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_11A_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NominalAmountOfHedgingInstrument","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_23B_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NominalAmountOfHedgingInstrument","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24A_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnCashFlowHedgesForWhichHedgedFutureCashFlowsAreNoLongerExpectedToOccurNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24C","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24C_b_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnCashFlowHedgesForWhichHedgedFutureCashFlowsAreNoLongerExpectedToOccurNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24E_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForExternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20C&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForExternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LeaseReceivablesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LeaseReceivablesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LeaseReceivablesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35N","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35N&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialAssetsAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOnHedgeIneffectivenessRecognisedInOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24C","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24C_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInFairValueOfFinancialAssetsAttributableToChangesInCreditRiskOfFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_9_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfInitialApplicationOfImpairmentRequirementsForFinancialInstrumentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42P","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42P&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfCashFlowHedgesContinuingHedges","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24B","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24B_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialAssetsAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowForwardlookingInformationHasBeenIncorporatedIntoDeterminationOfExpectedCreditLosses","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35G_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EventsOfReclassificationOfFinancialAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_12B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"viii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_a_viii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20C&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfFinancialInstrumentOnDiscontinuationOfMeasurementAtFairValueThroughProfitOrLossBecauseCreditDerivativeIsUsedToManageCreditRiskLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24G_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialAssetsAtFairValueThroughProfitOrLossMandatorilyMeasuredAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInCreditDerivativeFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24G_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsWithModifiedContractualCashFlowsWhileLossAllowanceMeasuredAtLifetimeExpectedCreditLossesForWhichLossAllowanceChangedDuringReportingPeriodTo12monthExpectedCreditLossesGrossCarryingAmount","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35J_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnCashFlowHedgesNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24C","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24C_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnCashFlowHedgesNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24E_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaximumExposureToCreditRiskOfFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_9_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgedItemLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24B","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24B_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossCarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossCarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossCarryingAmountMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35N","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35N&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRiskManagementStrategyRelatedToHedgeAccountingExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_22A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationOfFinancialAssetsOutOfMeasuredAtAmortisedCostIntoMeasuredAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_12B_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodOfAssessmentOfExpectedCreditLossesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodOfAssessmentOfExpectedCreditLossesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodOfAssessmentOfExpectedCreditLossesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughForeignExchangeAndOtherMovementsFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughForeignExchangeAndOtherMovementsFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsPreviouslyDesignatedAtFairValueThroughProfitOrLossReclassifiedDueToRequirementsOfIFRS9FirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42I_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisOfInputsAndAssumptionsAndEstimationTechniquesUsedToDetermineWhetherFinancialAssetIsCreditimpairedFinancialAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35G","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35G_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodOfAssessmentOfExpectedCreditLossesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodOfAssessmentOfExpectedCreditLossesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodOfAssessmentOfExpectedCreditLossesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationOfFinancialAssetsOutOfMeasuredAtAmortisedCostIntoMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_12B_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NominalOrPrincipalAmountOfFinancialInstrumentOnDiscontinuationOfMeasurementAtFairValueThroughProfitOrLossBecauseCreditDerivativeIsUsedToManageCreditRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24G_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationOnHowRequirementsForModificationOfContractualCashFlowsOfFinancialAssetsHaveBeenApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35F","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35F_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemInStatementOfFinancialPositionThatIncludesHedgingInstrument","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24A_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpectedCreditLossesIndividuallyAssessedMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpectedCreditLossesIndividuallyAssessedMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpectedCreditLossesIndividuallyAssessedMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfFinancialAssetsReclassifiedOutOfFairValueThroughProfitOrLossAndIntoFairValueThroughOtherComprehensiveIncomeInitialApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42M_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFinancialLiabilitiesOnBasisOfMeasurementCategoryFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42L","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42L_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutTermsAndConditionsOfHedgingInstrumentsAndHowTheyAffectFutureCashFlowsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_23A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_21C&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractAssetsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35N","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35N&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IndicationOfHowFrequentlyHedgingRelationshipsAreDiscontinuedAndRestarted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23C","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_23C_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpectedCreditLossRate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20D&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpectedCreditLossRate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35N","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35N&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfRiskManagementStrategyRelatedToHedgeAccountingExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_22A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactAndReasonWhyVolumeOfHedgingRelationshipsToWhichExemptionInIFRS723CAppliesIsUnrepresentativeOfNormalVolumes","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24D&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfProvisionMatrixExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35N","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35N&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutCollateralHeldAsSecurityAndOtherCreditEnhancementsForCreditimpairedFinancialAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35K","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35K_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfForecastTransactionHedgeAccountingPreviouslyUsedButNoLongerExpectedToOccur","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23F","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_23F&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughForeignExchangeAndOtherMovementsExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughForeignExchangeAndOtherMovementsExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughModificationOfContractualCashFlowsExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35I_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsWrittenOffDuringReportingPeriodAndStillSubjectToEnforcementActivityContractualAmountOutstanding","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35L","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35L&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFinancialAssetsOnBasisOfMeasurementCategoryFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42L","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42L_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgedItemsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35I_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOnChangeInFairValueOfHedgedItemUsedAsBasisForRecognisingHedgeIneffectiveness","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24B","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24B_a_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOnChangeInFairValueOfHedgedItemUsedAsBasisForRecognisingHedgeIneffectiveness","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24B","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24B_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialAssetsAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationOfFinancialAssetsOutOfMeasuredAtFairValueThroughOtherComprehensiveIncomeIntoMeasuredAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_12B_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgingInstrumentAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24A_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_21C&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValueOfInvestmentsInEquityInstrumentsDesignatedAsMeasuredAtFairValueThroughOtherComprehensiveIncomeTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"11A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_11A_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TwelvemonthExpectedCreditLossesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TwelvemonthExpectedCreditLossesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PastDueStatusMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35N","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35N&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutTermsAndConditionsOfHedgingInstrumentsAndHowTheyAffectFutureCashFlowsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_23A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutAmountsThatAffectedStatementOfComprehensiveIncomeAsResultOfHedgeAccountingExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24C&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesPreviouslyDesignatedAtFairValueThroughProfitOrLossReclassifiedDueToRequirementsOfIFRS9FirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42I_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationOnEntitysWriteoffPolicy","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35F","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35F_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInLossAllowanceAndExplanationOfChangesInGrossCarryingAmountForFinancialInstrumentsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInLossAllowanceAndExplanationOfChangesInGrossCarryingAmountForFinancialInstrumentsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonForDisposingOfInvestmentsInEquityInstrumentsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"11B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_11B_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsCreditimpairedAfterPurchaseOrOriginationMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsCreditimpairedAfterPurchaseOrOriginationMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughOtherComprehensiveIncomeCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCreditRiskExposureTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35N","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35N&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForProbabilityOfDefaultMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20C&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForProbabilityOfDefaultMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CorporateLoansMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20C&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfFinancialAssetsReclassifiedAsMeasuredAtAmortisedCostFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42M_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutCreditExposuresDesignatedAsMeasuredAtFairValueThroughProfitOrLossExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24G&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeExpenseRecognisedForFinancialLiabilitiesReclassifiedIntoMeasuredAtAmortisedCostFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42N","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42N_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProbabilityOfDefaultAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20C&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProbabilityOfDefaultAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowHedgesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowHedgesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowHedgesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24C&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOnDesignationOfFinancialInstrumentAsMeasuredAtFairValueThroughProfitOrLossBecauseCreditDerivativeIsUsedToManageCreditRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24G_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAtAmortisedCostCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInValueOfForeignCurrencyBasisSpreadsThatHedgeTransactionRelatedHedgedItems","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24E_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInModelsOrRiskParametersFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInModelsOrRiskParametersFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfGeneralHedgeAccountingExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS07_g21A-24G_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueHedgesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueHedgesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueHedgesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24C&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationOfFinancialAssetsOutOfMeasuredAtFairValueIntoMeasuredAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_12B_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForTransfersOfCumulativeGainLossWithinEquity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_10_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfExchangeDifferencesOnTranslationHedgingRelationshipsForWhichHedgeAccountingIsNoLongerApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24B","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24B_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisOfInputsAndAssumptionsAndEstimationTechniquesUsedToMeasure12monthAndLifetimeExpectedCreditLosses","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35G","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35G_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemInStatementOfComprehensiveIncomeThatIncludesReclassificationAdjustments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24C","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24C_b_v&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectiveInterestRateDeterminedOnDateOfReclassificationOfFinancialAssetsFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42N","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42N_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSourcesOfHedgeIneffectivenessThatEmergedInHedgingRelationship","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_23E&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35I_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLossMandatorilyMeasuredAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInFairValueOfFinancialAssetsRelatedCreditDerivativesOrSimilarInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_9_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditDerivativeNominalAmount","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24G_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughProfitOrLossMandatorilyMeasuredAtFairValueCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodologyUsedToDetermineWhetherPresentingEffectsOfChangesInLiabilitysCreditRiskInOtherComprehensiveIncomeWouldCreateOrEnlargeAccountingMismatchInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_11_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditDerivativeFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24G_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UndiscountedExpectedCreditLossesAtInitialRecognitionOnPurchasedOrOriginatedCreditimpairedFinancialAssetsInitiallyRecognised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialAssetsAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"vi","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_a_vi&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentInvestmentsInEquityInstrumentsDesignatedAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueGainLossThatWouldHaveBeenRecognisedInOtherComprehensiveIncomeIfFinancialAssetsHadNotBeenReclassified","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_12D_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedTimeBandsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_23B_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsRecognisedForInvestmentsInEquityInstrumentsDesignatedAsMeasuredAtFairValueThroughOtherComprehensiveIncomeHeldAtEndOfReportingPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"11A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_11A_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20D&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35N","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35N&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedImpairmentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedImpairmentMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35N","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35N&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfReasonsForChangesInLossAllowanceForFinancialInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B8D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B8D&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialAssetsAtFairValueThroughProfitOrLossMandatorilyMeasuredAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughForeignExchangeFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughForeignExchangeFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfCashFlowHedgesHedgingRelationshipsForWhichHedgeAccountingIsNoLongerApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24B","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24B_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfEffectiveInterestRateDeterminedOnDateOfReclassification","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_12C_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaturityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_23B_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExternalCreditGradesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20C&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExternalCreditGradesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInvestmentsInEquityDesignatedAsMeasuredAtFairThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"11A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_11A_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsWhoseContractualCashFlowCharacteristicsHaveBeenAssessedBasedOnFactsAndCircumstancesAtInitialRecognitionWithoutTakingIntoAccountRequirementsRelatedToModificationOfTimeValueOfMoneyElement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42R","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42R&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCollateralHeldAsSecurityAndOtherCreditEnhancements2014","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35K","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35K_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CumulativeGainLossOnDisposalOfInvestmentsInEquityInstrumentsDesignatedAsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"11B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_11B_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesPreviouslyDesignatedAtFairValueThroughProfitOrLossButNoLongerSoDesignatedFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42I_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20C&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgingInstrumentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_23A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgingInstrumentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughForeignExchangeExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughForeignExchangeExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgingGainsLossesForHedgeOfGroupOfItemsWithOffsettingRiskPositions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24C","SubParagraph":null,"Clause":"vi","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24C_b_vi&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentsInEquityInstrumentsMeasuredAtFairValueThroughOtherComprehensiveIncomeAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"11A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_11A_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialInstrumentsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35K","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35K&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaximumExposureToCreditRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35K","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35K_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsArisingFromDerecognitionOfFinancialAssetsMeasuredAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfChangeInBusinessModelForManagingFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_12B_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutFinancialInstrumentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35K","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35K&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialLiabilitiesAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedChangesInFairValueOfFinancialLiabilityAttributableToChangesInCreditRiskOfLiability","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_10A_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonOfDerecognitionOfFinancialAssetsMeasuredAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseThroughOriginationOrPurchaseFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseThroughOriginationOrPurchaseFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35I_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseThroughOriginationOrPurchaseFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsRecognisedForInvestmentsInEquityInstrumentsDesignatedAsMeasuredAtFairValueThroughOtherComprehensiveIncomeDerecognisedDuringPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"11A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_11A_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutAmountsThatAffectedStatementOfComprehensiveIncomeAsResultOfHedgeAccountingTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24C&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FeeIncomeArisingFromFinancialAssetsMeasuredAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityEstablishesHedgeRatioAndWhatSourcesOfHedgeIneffectivenessAre","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_22B_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtAmortisedCostCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgedItemsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutCreditExposuresDesignatedAsMeasuredAtFairValueThroughProfitOrLossTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24G&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsMeasuredAtFairValueThroughProfitOrLossBecauseCreditDerivativeIsUsedToManageCreditRiskAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24G&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LoanCommitmentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B8E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B8E&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LoanCommitmentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutHedgingInstrumentsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutGroupsOrPortfoliosOfFinancialInstrumentsWithParticularFeaturesThatCouldAffectLargePortionOfThatGroup","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B8H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B8H&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedChangesInFairValueOfFinancialAssetsAttributableToChangesInCreditRiskOfFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_9_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountByWhichFinancialAssetsRelatedCreditDerivativesOrSimilarInstrumentsMitigateMaximumExposureToCreditRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_9_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInModelsOrRiskParametersExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInModelsOrRiskParametersExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughProfitOrLossMandatorilyMeasuredAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCrossreferenceToDisclosuresAboutHedgeAccountingPresentedOutsideFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_21B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxGainsLossesFromInvestmentsInEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"vii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_a_vii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LifetimeExpectedCreditLossesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LifetimeExpectedCreditLossesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRiskManagementStrategyRelatedToHedgeAccountingTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_22A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfFinancialAssetsReclassifiedAsMeasuredAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_12D_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsWithContractualCashFlowsModifiedDuringReportingPeriodWhileLossAllowanceMeasuredAtLifetimeExpectedCreditLossesAmortisedCostBeforeModification","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35J_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutUltimateRiskManagementStrategyInRelationToHedgingRelationshipsThatEntityFrequentlyResets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23C","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_23C_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInValueOfForwardElementsOfForwardContractsThatHedgeTransactionRelatedHedgedItems","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24E_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfTransfersOfCumulativeGainOrLossWithinEquityOfInvestmentsInEquityDesignatedAsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"11A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_11A_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnCashFlowHedgesNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24C","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24C_b_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnCashFlowHedgesNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24E_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConsumerLoansMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20C&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InternalCreditGradesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20C&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InternalCreditGradesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInValueOfTimeValueOfOptionsThatHedgeTimeperiodRelatedHedgedItems","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24E_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgesOfNetInvestmentInForeignOperationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgesOfNetInvestmentInForeignOperationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgesOfNetInvestmentInForeignOperationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24C&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTwoMonthsAndNotLaterThanThreeMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20D&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTwoMonthsAndNotLaterThanThreeMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35N","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35N&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProbabilityOfDefaultMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20C&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProbabilityOfDefaultMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForInternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20C&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForInternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInValueOfForeignCurrencyBasisSpreadsThatHedgeTimeperiodRelatedHedgedItems","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24E_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationOfFinancialAssetsOutOfMeasuredAtFairValueThroughProfitOrLossIntoMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_12B_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCrossreferenceToDisclosuresAboutCreditRiskPresentedOutsideFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35C&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonForUsingPresentationAlternative","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"11A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_11A_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCreditRiskExposureExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueGainLossThatWouldHaveBeenRecognisedInProfitOrLossIfFinancialAssetsHadNotBeenReclassifiedOutOfFairValueThroughProfitOrLossAndIntoFairValueThroughOtherComprehensiveIncomeInitialApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42M_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DateOfReclassificationOfFinancialAssetsDueToChangeInBusinessModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_12B_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangesInEstimationTechniquesOrSignificantAssumptionsMadeWhenApplyingImpairmentRequirementsAndReasonsForThoseChanges","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35G_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentsInEquityInstrumentsMeasuredAtFairValueThroughOtherComprehensiveIncomeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"11A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_11A_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentsInEquityInstrumentsMeasuredAtFairValueThroughOtherComprehensiveIncomeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedFairValueHedgeAdjustmentRemainingInStatementOfFinancialPositionForHedgedItemThatCeasedToBeAdjustedForHedgingGainsAndLossesAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24B","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24B_a_v&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpectedCreditLossesCollectivelyAssessedMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpectedCreditLossesCollectivelyAssessedMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpectedCreditLossesCollectivelyAssessedMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCreditRiskExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS07_g35A-38_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughDerecognitionExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughDerecognitionExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35I_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughDerecognitionExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherMovementsFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherMovementsFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherMovementsFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfFinancialInstrumentOnDiscontinuationOfMeasurementAtFairValueThroughProfitOrLossBecauseCreditDerivativeIsUsedToManageCreditRiskAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24G_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOnChangeInFairValueOfHedgingInstrumentUsedAsBasisForRecognisingHedgeIneffectiveness","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24A_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersOfCumulativeGainLossWithinEquity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_10_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutHowEntityDeterminedRiskComponentDesignatedAsHedgedItemExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_22C_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfFinancialLiabilitiesReclassifiedAsMeasuredAtAmortisedCostFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42M_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AverageRateOfHedgingInstrument","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_23B_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInValueOfTimeValueOfOptionsThatHedgeTransactionRelatedHedgedItems","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24E_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditImpairmentOfFinancialInstrumentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditImpairmentOfFinancialInstrumentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseThroughOriginationOrPurchaseExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseThroughOriginationOrPurchaseExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35I_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseThroughOriginationOrPurchaseExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInCreditDerivativeNominalAmount","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24G_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgedItemAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24B","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24B_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfExchangeDifferencesOnTranslationContinuingHedges","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24B","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24B_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsMeasuredAtFairValueThroughProfitOrLossBecauseCreditDerivativeIsUsedToManageCreditRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24G&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutHedgedItemsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsPurchasedOrOriginatedCreditimpairedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsPurchasedOrOriginatedCreditimpairedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsCreditimpairedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsCreditimpairedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeForFinancialAssetsMeasuredAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountRemovedFromReserveOfCashFlowHedgesAndIncludedInInitialCostOrOtherCarryingAmountOfNonfinancialAssetLiabilityOrFirmCommitmentForWhichFairValueHedgeAccountingIsApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24E_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfHedgesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfHedgesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfHedgesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24C&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemInStatementOfFinancialPositionThatIncludesHedgedItem","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24B","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24B_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EventsOfReclassificationOfFinancialAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_12B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfFinancialAssetsReclassifiedOutOfFairValueThroughOtherComprehensiveIncomeCategoryIntoAmortisedCostCategory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_12D_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsWithContractualCashFlowsModifiedDuringReportingPeriodWhileLossAllowanceMeasuredAtLifetimeExpectedCreditLossesModificationGainLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35J","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35J_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnCashFlowHedgesForWhichHedgedItemAffectedProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24C","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24C_b_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnCashFlowHedgesForWhichHedgedItemAffectedProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24E_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentInvestmentsInEquityInstrumentsDesignatedAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityReflectsItsRiskManagementStrategyByUsingHedgeAccountingAndDesignatingHedgingRelationshipsThatItFrequentlyResets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23C","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_23C_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOnHedgeIneffectiveness","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24C","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24C_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCollateralHeldAsSecurityAndOtherCreditEnhancementsAndTheirFinancialEffectInRespectOfAmountThatBestRepresentsMaximumExposureFinancialInstrumentsToWhichImpairmentRequirementsInIFRS9AreNotApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_36_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherMovementsExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherMovementsExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherMovementsExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutHedgingInstrumentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfProvisionMatrixTable","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35N","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35N&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesPreviouslyDesignatedAtFairValueThroughProfitOrLossReclassifiedVoluntarilyFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42I_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReclassificationOfFinancialAssetsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_12B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisOfInputsAndAssumptionsAndEstimationTechniquesUsedToDetermineWhetherCreditRiskOfFinancialInstrumentsHaveIncreasedSignificantlySinceInitialRecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35G","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35G_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedFairValueHedgeAdjustmentRemainingInStatementOfFinancialPositionForHedgedItemThatCeasedToBeAdjustedForHedgingGainsAndLossesLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24B","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24B_a_v&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DifferenceBetweenCarryingAmountOfFinancialLiabilityAndAmountContractuallyRequiredToPayAtMaturityToHolderOfObligation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_10A_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PastDueStatusAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35N","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35N&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfHedgesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfHedgesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfHedgesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24C&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgingInstrumentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_23A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgingInstrumentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsPreviouslyDesignatedAtFairValueThroughProfitOrLossButNoLongerSoDesignatedFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42I_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFinancialAssetsArisingFromChangeInMeasurementAttributeFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42L","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42L_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20D&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35N","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35N&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueGainLossThatWouldHaveBeenRecognisedInProfitOrLossOrOtherComprehensiveIncomeIfFinancialAssetsHadNotBeenReclassifiedFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42M_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfInputsAssumptionsAndEstimationTechniquesUsedToApplyImpairmentRequirementsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35G&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneMonthAndNotLaterThanTwoMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20D&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneMonthAndNotLaterThanTwoMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35N","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35N&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughModificationOfContractualCashFlowsFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35I_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectiveInterestRateDeterminedOnDateOfReclassificationOfFinancialLiabilitiesFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42N","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42N_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnHedgesOfNetInvestmentsInForeignOperationsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24C","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24C_b_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnHedgesOfNetInvestmentsInForeignOperationsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24E_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaximumExposureToCreditRiskFinancialInstrumentsToWhichImpairmentRequirementsInIFRS9AreNotApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_36_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedFairValueHedgeAdjustmentOnHedgedItemIncludedInCarryingAmountLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24B","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24B_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRevenueForFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationOnHowEntityDeterminedWhetherCreditRiskOfFinancialInstrumentsHasIncreasedSignificantlySinceInitialRecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35F","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35F_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LossesArisingFromDerecognitionOfFinancialAssetsMeasuredAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_20A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutHowDesignatedRiskComponentRelatesToHedgedItemInItsEntiretyExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_22C_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialGuaranteeContractsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B8E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B8E&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialGuaranteeContractsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfInvestmentsInEquityInstrumentsDesignatedAsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"11A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_11A_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfInvestmentsInEquityInstrumentsDesignatedAsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgingInstrumentLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24A_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueGainsOrLossThatWouldHaveBeenRecognisedInProfitOrLossIfFinancialAssetsHadNotBeenReclassified","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_12D_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfEffectOfChangingBusinessModelForManagingFinancialAssetsOnFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_12B_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfCreditRiskManagementPracticesAndHowTheyRelateToRecognitionAndMeasurementOfExpectedCreditLossesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35F","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35F&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfHowSignificantChangesInGrossCarryingAmountOfFinancialInstrumentsContributedToChangesInLossAllowance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationOnHowInstrumentsWereGroupedIfExpectedCreditLossesWereMeasuredOnCollectiveBasis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35F","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35F_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInLossAllowanceAndExplanationOfChangesInGrossCarryingAmountForFinancialInstrumentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInLossAllowanceAndExplanationOfChangesInGrossCarryingAmountForFinancialInstrumentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationOnHowEntityDeterminedThatFinancialAssetsAreCreditimpairedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35F","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35F_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationOfFinancialAssetsOutOfMeasuredAtFairValueThroughOtherComprehensiveIncomeIntoMeasuredAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_12B_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountPresentedInOtherComprehensiveIncomeRealisedAtDerecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_10_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFinancialLiabilitiesArisingFromChangeInMeasurementAttributeFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"42L","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_42L_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutHedgedItemsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReclassificationOfFinancialAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_12B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSourcesOfHedgeIneffectivenessExpectedToAffectHedgingRelationship","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_23D&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialLiabilitiesAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35I&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedFairValueHedgeAdjustmentOnHedgedItemIncludedInCarryingAmountAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24B","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24B_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypeOfMeasurementOfExpectedCreditLossesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypeOfMeasurementOfExpectedCreditLossesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeReceivablesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeReceivablesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeReceivablesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35N","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35N&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfInvestmentsInEquityInstrumentsMeasuredAtFairValueThroughOtherComprehensiveIncomeAtDateOfDerecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"11B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_11B_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughWriteoffFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughWriteoffFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35I_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughWriteoffFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughDerecognitionFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG20B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughDerecognitionFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35I","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35I_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughDerecognitionFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedChangesInFairValueOfFinancialAssetsRelatedCreditDerivativesOrSimilarInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_9_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemInStatementOfComprehensiveIncomeThatIncludesRecognisedHedgeIneffectiveness","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24C","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24C_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemInStatementOfComprehensiveIncomeThatIncludesRecognisedHedgeIneffectiveness","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24C","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24C_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypeOfMeasurementOfExpectedCreditLossesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypeOfMeasurementOfExpectedCreditLossesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsNotCreditimpairedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsNotCreditimpairedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35M","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_35M&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialAssetsAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_8_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfHedgeIneffectivenessResultingFromSourcesThatEmergedInHedgingRelationship","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_23E&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInternalCreditExposuresTable","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG25&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInternalCreditExposuresTable","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"HeldtomaturityInvestmentsCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AnalysisOfCreditExposuresUsingInternalCreditGradingSystemExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG23_a&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AnalysisOfCreditExposuresUsingInternalCreditGradingSystemExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInFairValueOfFinancialLiabilityAttributableToChangesInCreditRiskOfLiability","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_10_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTradingCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeOnFinancialAssetsReclassifiedOutOfAvailableforsaleFinancialAssetsRecognisedInOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesAllowanceAccountForCreditLossesOfFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_16&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsReclassifiedOutOfAvailableforsaleFinancialAssetsAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialAssetsAvailableforsale","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_d&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountByWhichLoansOrReceivablesRelatedCreditDerivativesOrSimilarInstrumentsMitigateMaximumExposureToCreditRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_9_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForExternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG24_a&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForExternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCollateralHeldAndOtherCreditEnhancementsFinancialAssetsThatAreIndividuallyDeterminedToBeImpaired","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG29_c&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCollateralHeldAndOtherCreditEnhancementsFinancialAssetsThatAreIndividuallyDeterminedToBeImpaired","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG25_b&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LoansAndReceivablesCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnCashFlowHedgesNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_23_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForAmountsTransferredToInitialCarryingAmountOfHedgedItems","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_23_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossCarryingAmountMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG29&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossCarryingAmountMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesAllowanceAccountForCreditLossesOfFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_16&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsThatAreEitherPastDueOrImpairedTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedChangesInFairValueOfLoansOrReceivablesRelatedCreditDerivativesOrSimilarInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_9_d&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialAssetsReclassifiedOutOfFinancialAssetsAtFairValueThroughProfitOrLossRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedChangesInFairValueOfLoanOrReceivableAttributableToChangesInCreditRiskOfFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_9_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UtilisationAllowanceAccountForCreditLossesOfFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_16&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionalAllowanceRecognisedInProfitOrLossAllowanceAccountForCreditLossesOfFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_16&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsPastDueButNotImpairedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfHedgeAccountingTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_22&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughAdjustmentsArisingFromPassageOfTimeAllowanceAccountForCreditLossesOfFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_16&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_20_a_i&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentOfFinancialAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutHedgesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_22&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentHeldtomaturityInvestments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfHedgeAccountingExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_22&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationIntoFinancialAssetsAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnIneffectivenessOfCashFlowHedgesRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_24_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfForecastTransactionHedgeAccountingPreviouslyUsedButNoLongerExpectedToOccur","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_23_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFactsAndCircumstancesIndicatingRareSituationForReclassificationOutOfFinancialAssetsAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnCashFlowHedgesBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_23_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCollateralHeldAsSecurityAndOtherCreditEnhancements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfCounterparty","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG23_b&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfCounterparty","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAvailableforsaleCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_d&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnCashFlowHedgesBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_23_d&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnLoansAndReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_20_a_iv&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFinancialInstrumentsDesignatedAsHedgingInstrument","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_22_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentHeldtomaturityInvestments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PastDueStatusMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationOutOfLoansAndReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentLoansAndReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfExternalCreditExposuresExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG24&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfExternalCreditExposuresExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueGainsLossesOnFinancialAssetsReclassifiedOutOfAvailableforsaleFinancialAssetsNotRecognisedInOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpensesOnFinancialAssetsReclassifiedOutOfFinancialAssetsAtFairValueThroughProfitOrLossRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsDesignatedAsHedgingInstrumentsAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_22_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationIntoAvailableforsaleFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAtAmortisedCostCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_f&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsNeitherPastDueNorImpairedMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectiveInterestRateOfFinancialAssetsReclassifiedOutOfFinancialAssetsAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_f&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnHedgedItemAttributableToHedgedRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_24_a_ii&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RatedCreditExposures","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG24_c&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RatedCreditExposures","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AllowanceAccountForCreditLossesOfFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_16&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPeriodsWhenCashFlowsExpectedToOccur","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_23_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnRemeasuringAvailableforsaleFinancialAssetsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_20_a_ii&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInternalCreditRatingsProcess","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG25_a&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInternalCreditRatingsProcess","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FeeIncomeExpenseArisingFromFinancialAssetsOrFinancialLiabilitiesNotAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_20_c_i&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsIndividuallyAssessedForCreditLossesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedImpairmentMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG29_b&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedImpairmentMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsReclassifiedOutOfAvailableforsaleFinancialAssetsCarryingAmount","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExternalCreditGradesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG24_a&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExternalCreditGradesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTypeOfHedge","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_22_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimatedCashFlowsOfFinancialAssetsReclassifiedOutOfFinancialAssetsAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_f&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnImpairedFinancialAssetsAccrued","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_20_d&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG24_a&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationIntoHeldtomaturityInvestments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnIneffectivenessOfHedgesOfNetInvestmentsInForeignOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_24_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPeriodsWhenCashFlowsAffectProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_23_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfExternalCreditExposuresTable","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG24&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfExternalCreditExposuresTable","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaximumExposureToCreditRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfOtherInformationUsedToAssessCreditQuality","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG23_d&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfOtherInformationUsedToAssessCreditQuality","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueGainsLossesOnFinancialAssetsReclassifiedOutOfFinancialAssetsAtFairValueThroughProfitOrLossRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_d&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialLiabilitiesAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_f&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentLoansAndReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnAvailableforsaleFinancialAssetsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_20_a_ii&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsCollectivelyAssessedForCreditLossesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationOutOfFinancialAssetsAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationOutOfFinancialAssetsAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutCreditQualityOfNeitherPastDueNorImpairedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeForFinancialAssetsNotAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_20_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectiveInterestRateOfFinancialAssetsReclassifiedOutOfAvailableforsaleFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_f&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanSixMonthsAndNotLaterThanOneYearMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG28_c&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanSixMonthsAndNotLaterThanOneYearMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnratedCreditExposures","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG24_c&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnratedCreditExposures","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnCashFlowHedgesNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_23_d&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InternalCreditGradesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG25_b&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InternalCreditGradesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG29_a&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTwoMonthsAndNotLaterThanThreeMonthsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForInternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG25_b&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForInternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInFairValueOfLoansOrReceivablesRelatedCreditDerivativesOrSimilarInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_9_d&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpensesOnFinancialAssetsReclassifiedOutOfAvailableforsaleFinancialAssetsRecognisedInOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AnalysisOfCreditExposuresUsingExternalCreditGradingSystemExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG23_a&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AnalysisOfCreditExposuresUsingExternalCreditGradingSystemExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueGainsLossesOnFinancialAssetsReclassifiedOutOfFinancialAssetsAtFairValueThroughProfitOrLossNotRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"HeldtomaturityInvestments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationIntoLoansAndReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LoansAndReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_f&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAvailableforsale","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_d&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG28_d&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnHeldtomaturityInvestments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_20_a_iii&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditExposure","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG24_a&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditExposure","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG25_b&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditExposure","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInternalCreditExposuresExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG25&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInternalCreditExposuresExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsReclassifiedOutOfFinancialAssetsAtFairValueThroughProfitOrLossAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForImpairmentOfFinancialAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeMonthsAndNotLaterThanSixMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG28_b&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeMonthsAndNotLaterThanSixMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsThatAreEitherPastDueOrImpairedExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfHedgesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_22&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AnalysisOfAgeOfFinancialAssetsThatArePastDueButNotImpaired","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaximumExposureToCreditRiskOfLoansOrReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_9_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeOnFinancialAssetsReclassifiedOutOfFinancialAssetsAtFairValueThroughProfitOrLossRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimatedCashFlowsOfFinancialAssetsReclassifiedOutOfAvailableforsaleFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_f&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRelationshipBetweenInternalAndExternalRatings","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG24_d&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRelationshipBetweenInternalAndExternalRatings","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG25_c&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRelationshipBetweenInternalAndExternalRatings","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PastDueStatusAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossOnFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_20_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AnalysisOfFinancialAssetsThatAreIndividuallyDeterminedToBeImpaired","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfHedgesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_22&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnRemeasuringAvailableforsaleFinancialAssetsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_20_a_ii&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInAllowanceAccountForCreditLossesOfFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_16&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationOutOfHeldtomaturityInvestments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeMonthsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsRemovedFromEquityAndIncludedInCarryingAmountOfNonfinancialAssetLiabilityWhoseAcquisitionOrIncurrenceWasHedgedHighlyProbableForecastTransactionBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_23_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHistoricalInformationAboutCounterpartyDefaultRates","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG23_c&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHistoricalInformationAboutCounterpartyDefaultRates","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneMonthAndNotLaterThanTwoMonthsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInFairValueOfLoansOrReceivablesAttributableToChangesInCreditRiskOfFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_9_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRatingAgenciesUsed","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG24_b&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRatingAgenciesUsed","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotLaterThanThreeMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG28_a&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotLaterThanThreeMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsImpairedMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsReclassifiedOutOfFinancialAssetsAtFairValueThroughProfitOrLossCarryingAmount","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueGainsLossesOnFinancialAssetsReclassifiedOutOfAvailableforsaleFinancialAssetsRecognisedInOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_d&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalAllowanceAccountForCreditLossesOfFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_16&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnAvailableforsaleFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_20_a_ii&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnHedgingInstrument","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_24_a_i&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialAssetsAvailableforsale","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_d&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsThatAreIndividuallyDeterminedToBeImpairedFairValueOfCollateralHeldAndOtherCreditEnhancements","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG29_c&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsThatAreIndividuallyDeterminedToBeImpairedFairValueOfCollateralHeldAndOtherCreditEnhancements","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfRisksBeingHedged","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_22_c&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialLiabilitiesAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_f&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG29&doctype=Implementation%20Guidance&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"37","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialAssetsReclassifiedOutOfAvailableforsaleFinancialAssetsRecognisedInOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_e&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationOutOfAvailableforsaleFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_a&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationOutOfAvailableforsaleFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnAvailableforsaleFinancialAssetsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_20_a_ii&doctype=Standard&book=b","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BankBorrowingsUndiscountedCashFlows","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG31A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BondsIssuedUndiscountedCashFlows","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG31A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossLeaseLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_B11D_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFifteenYearsAndNotLaterThanTwentyYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG31A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFiveYearsAndNotLaterThanSevenYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG31A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFiveYearsAndNotLaterThanTenYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG31A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFiveYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG31A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFourYearsAndNotLaterThanFiveYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG31A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneMonthAndNotLaterThanSixMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG31A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneMonthAndNotLaterThanThreeMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG31A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearAndNotLaterThanFiveYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG31A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearAndNotLaterThanThreeYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG31A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearAndNotLaterThanTwoYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG31A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanSevenYearsAndNotLaterThanTenYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG31A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanSixMonthsAndNotLaterThanOneYearMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG31A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTenYearsAndNotLaterThanFifteenYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG31A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTenYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG31A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeMonthsAndNotLaterThanSixMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG31A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeYearsAndNotLaterThanFiveYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG31A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeYearsAndNotLaterThanFourYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG31A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG31A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTwentyYearsAndNotLaterThanTwentyfiveYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG31A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTwoYearsAndNotLaterThanThreeYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG31A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotLaterThanOneMonthMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG31A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotLaterThanOneYearMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG31A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherPayablesUndiscountedCashFlows","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG31A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutEntitysHedgingRelationshipsDirectlyAffectedByUncertaintyArisingFromInterestRateBenchmarkReformExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24H&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantInterestRateBenchmarksToWhichEntitysHedgingRelationshipsAreExposedExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24H_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfExtentOfRiskExposureEntityManagesForHedgingRelationshipsDirectlyAffectedByInterestRateBenchmarkReformExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24H_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityIsManagingProcessToTransitionToAlternativeBenchmarkRatesForHedgingRelationships","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24H_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSignificantAssumptionsOrJudgementsEntityMadeInApplyingAmendmentsForInterestRateBenchmarkReform","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24H_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NominalAmountOfHedgingInstrumentsInHedgingRelationshipsToWhichAmendmentsForInterestRateBenchmarkReformAreApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24H","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2020-en-r&anchor=para_24H_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxExpenseContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_23_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Revenue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Revenue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_23_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Revenue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"32","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_32&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Revenue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_33_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Revenue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_34&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromInterest","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_23_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromInterest","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationAndAmortisationExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_23_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationAndAmortisationExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Assets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossBeforeTax","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossBeforeTax","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_23&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_23_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Liabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_24_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_23_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherMaterialNoncashItems","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_23_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherMaterialNoncashItems","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRevenueExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsToNoncurrentAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_24_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsToNoncurrentAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GeographicalAreasMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_33&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FactorsUsedToIdentifyEntitysReportableSegments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_22_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTypesOfProductsAndServicesFromWhichEachReportableSegmentDerivesItsRevenues","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_22_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNecessaryInformationNotAvailableAndDevelopmentCostExcessive","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"32","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_32&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNecessaryInformationNotAvailableAndDevelopmentCostExcessive","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_33&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AllOtherSegmentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisOfAccountingForTransactionsBetweenReportableSegments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"27","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_27_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfDifferencesBetweenMeasurementsOfReportableSegmentsProfitsOrLossesAndEntitysProfitOrLossBeforeIncomeTaxExpenseOrIncomeAndDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"27","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_27_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfDifferencesBetweenMeasurementsOfReportableSegmentsAssetsAndEntitysAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"27","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_27_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfDifferencesBetweenMeasurementsOfReportableSegmentsLiabilitiesAndEntitysLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"27","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_27_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfChangesFromPriorPeriodsInMeasurementMethodsUsedToDetermineReportedSegmentProfitOrLossAndEffectOfThoseChangesOnMeasureOfSegmentProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"27","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_27_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAndEffectOfAnyAsymmetricalAllocationsToReportableSegments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"27","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_27_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfDomicileMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_33_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfDomicileMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_33_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ForeignCountriesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_33_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ForeignCountriesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_33_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEntitysReportableSegmentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS08_g20-24_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EliminationOfIntersegmentAmountsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_IG4&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfProductsAndServicesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"32","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_32&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProductsAndServicesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"32","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_32&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProductsAndServicesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"32","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_32&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfProductsAndServicesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"32","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_32&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasisForAttributingRevenuesFromExternalCustomersToIndividualCountries","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_33_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MajorCustomersAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_34&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSegmentsMajorCustomersExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_34&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MajorCustomersMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_34&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMajorCustomersTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_34&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutMajorCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_34&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GovernmentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_34&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfGeographicalAreasTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_33&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GeographicalAreasAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_33&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfGeographicalAreasExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_33&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSourcesOfRevenueForAllOtherSegments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAssetsOtherThanFinancialInstrumentsDeferredTaxAssetsPostemploymentBenefitAssetsAndRightsArisingUnderInsuranceContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_33_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnallocatedAmountsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IG4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_IG4&doctype=Implementation%20Guidance","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PercentageOfEntitysRevenue","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_34&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SegmentConsolidationItemsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_23&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SegmentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_23&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Assets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_23&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_23&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Liabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_23&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_23&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRevenueExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_23&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfInterestRevenueReportedNetOfInterestExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_23&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOperatingSegmentsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_23&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReportableSegmentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_23&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOperatingSegmentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_23&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForSegmentConsolidationItemsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SegmentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OperatingSegmentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaterialReconcilingItemsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMaterialReconcilingItems","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfJudgementsMadeByManagementInApplyingAggregationCriteriaForOperatingSegments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_22_aa&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EliminationOfIntersegmentAmountsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnallocatedAmountsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2020-en-r&anchor=para_28&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionalInformationAboutNatureOfAndChangesInRisksAssociatedWithInterestsInStructuredEntitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B25&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedIndividuallyImmaterialAssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_21_c_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedIndividuallyImmaterialJointVenturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_21_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetbackedFinancingsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B23_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsTransferredToStructuredEntitiesAtTimeOfTransfer","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"27","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_27_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashAndCashEquivalents","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B13","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B13_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CommitmentsInRelationToJointVentures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_23_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B12","SubParagraph":null,"Clause":"ix","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B12_b_ix&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B12","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B12_b_i&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B12","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B12_b_iii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationAndAmortisationExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B13","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B13_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfComparisonBetweenAssetsAndLiabilitiesRecognisedInRelationToStructuredEntitiesAndMaximumExposureToLossFromInterestsInStructuredEntities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_29_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfDifficultiesStructuredEntityExperiencedInFinancingItsActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B26","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B26_f&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityDeterminedWhichStructuredEntitiesItSponsored","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"27","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_27_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfIntentionsToProvideSupportToStructuredEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"17","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_17&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfIntentionsToProvideSupportToStructuredEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_31&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInStatementOfFinancialPositionInWhichAssetsAndLiabilitiesRecognisedInRelationToStructuredEntitiesAreRecognised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_29_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAndExtentOfSignificantRestrictionsOnTransferOfFundsToParent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_22_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAndExtentToWhichProtectiveRightsOfNoncontrollingInterestsCanSignificantlyRestrictEntitysAbilityToAccessOrUseAssetsAndSettleLiabilitiesOfGroup","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_13_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfRelationshipWithSubsidiaryWhereParentHasDirectlyOrIndirectlyLessThanHalfOfVotingPower","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_9_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForProvidingSupportToStructuredEntityWithoutHavingContractualObligationToDoSo","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"15","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_15_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForProvidingSupportToStructuredEntityWithoutHavingContractualObligationToDoSo","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_30_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsWhyPresumptionThatInterestOfLessThanTwentyPerCentInAssociateIsOvercome","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_9_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsWhyPresumptionThatInterestOfMoreThanTwentyPerCentInAssociateIsOvercome","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_9_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyEntityWithMoreThanHalfOfVotingPowerDirectlyOrIndirectlyOwnedWhichIsNotSubsidiaryDueToAbsenceOfControl","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_9_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyUsingDifferentReportingDateOrPeriodForSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_11_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSignificantJudgementsAndAssumptionsMadeInDeterminingThatEntityIsAgentOrPrincipal","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_9_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSignificantRestrictionsOnEntitysAbilityToAccessOrUseAssetsAndSettleLiabilitiesOfGroup","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_13_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTermsOfContractualArrangementsThatCouldRequireParentOrSubsidiariesToProvideFinancialSupportToStructuredEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_14&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTermsOfContractualArrangementsThatCouldRequireParentOrSubsidiariesToProvideFinancialSupportToStructuredEntity","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B26","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B26_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTypesOfIncomeFromStructuredEntities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B26","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B26_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCompositionOfGroupExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"10","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_10_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfConsolidatedAndSeparateFinancialStatementsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS12_g1-4_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFormsOfFundingOfStructuredEntityAndTheirWeightedaverageLifeExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B26","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B26_g&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfHowEntityAggregatedInterestsInSimilarEntitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B3","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B3&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutInterestsInStructuredEntityExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"26","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_26&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutLiquidityArrangementsGuaranteesOrOtherCommitmentsWithThirdPartiesThatMayAffectFairValueOrRiskOfInterestsInStructuredEntitiesExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B26","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B26_e&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInterestsInOtherEntitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"1","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_1&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInterestsInSubsidiariesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"2","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_2_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInterestsInUnconsolidatedStructuredEntitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"2","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_2_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantJudgementsAndAssumptionsMadeInRelationToInterestsInOtherEntitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_7&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsPaidToNoncontrollingInterests","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B10_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsReceived","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B12","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B12_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFactorsInReachingDecisionThatProvisionOfSupportToPreviouslyUnconsolidatedStructuredEntityResultedInObtainingControl","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_16&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfGainsLossesRecognisedWhenControlInSubsidiaryIsLost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedWhenControlInSubsidiaryIsLost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxExpenseContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B13","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B13_g&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B13","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B13_f&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B16&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentFundsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B23_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LossesIncurredInRelationToInterestsInStructuredEntities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B26","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B26_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_12_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncontrollingInterests","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_12_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B12","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B12_b_ii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B12","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B12_b_iv&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B12","SubParagraph":null,"Clause":"viii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B12_b_viii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCurrentFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B13","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B13_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherNoncurrentFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B13","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B13_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PortionOfGainsLossesRecognisedWhenControlOfSubsidiaryIsLostAttributableToRecognisingInvestmentRetainedInFormerSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossAttributableToNoncontrollingInterests","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_12_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B12","SubParagraph":null,"Clause":"vi","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B12_b_vi&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B12","SubParagraph":null,"Clause":"vii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B12_b_vii&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfOwnershipInterestsHeldByNoncontrollingInterests","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_12_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfVotingRightsHeldByNoncontrollingInterests","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_12_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Revenue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B12","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B12_b_v&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromInterest","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B13","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B13_e&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SecuritisationVehiclesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B23_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B16_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfProfitLossOfContinuingOperationsOfAssociatesAndJointVenturesAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B16_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfProfitLossOfDiscontinuedOperationsOfAssociatesAndJointVenturesAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B16_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfTotalComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B16","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B16_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SubsidiariesWithMaterialNoncontrollingInterestsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_12&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesRecognisedInEntitysFinancialStatementsInRelationToStructuredEntities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_29_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsRecognisedInEntitysFinancialStatementsInRelationToStructuredEntities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_29_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesToWhichSignificantRestrictionsApply","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_13_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsToWhichSignificantRestrictionsApply","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"13","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_13_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantInvestmentsInAssociatesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B4_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantInvestmentsInAssociatesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B4_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForAssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B4_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SignificantInvestmentsInAssociatesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B4_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B4_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B10_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B10_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B10_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B10_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLoss","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B10_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Revenue","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B10_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComprehensiveIncome","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B10","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B10_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConsolidatedStructuredEntitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS12_g14-17_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutConsolidatedStructuredEntitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS12_g14-17_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutConsolidatedStructuredEntitiesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS12_g14-17_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForConsolidatedStructuredEntitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS12_g14-17_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConsolidatedStructuredEntitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS12_g14-17_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContingentLiabilitiesIncurredInRelationToInterestsInAssociates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_23_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfContingentLiabilitiesIncurredJointlyWithOtherVenturers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_23_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfContingentLiabilitiesOfAssociatesIncurredJointlyWithOtherInvestors","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_23_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContingentLiabilitiesIncurredByVenturerInRelationToInterestsInJointVentures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_23_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfIncorporationOfJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_21_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfIncorporationOrResidenceOfAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_21_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrincipalPlaceOfBusinessOfAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_21_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrincipalPlaceOfBusinessOfJointOperation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_21_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrincipalPlaceOfBusinessOfJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_21_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfIncorporationOfJointOperation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_21_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrincipalPlaceOfBusinessOfSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_12_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfIncorporationOrResidenceOfSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"12","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_12_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CumulativeUnrecognisedShareOfLossesOfJointVentures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_22_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnrecognisedShareOfLossesOfAssociates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_22_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnrecognisedShareOfLossesOfJointVentures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_22_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CumulativeUnrecognisedShareOfLossesOfAssociates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_22_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisOfPreparationOfSummarisedFinancialInformationOfJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B15","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B15&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisOfPreparationOfSummarisedFinancialInformationOfAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B15","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B15&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutHowMaximumExposureToLossFromInterestsInStructuredEntitiesIsDetermined","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_29_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaximumExposureToLossFromInterestsInStructuredEntities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_29_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactAndReasonsWhyMaximumExposureToLossFromInterestsInStructuredEntitiesCannotBeQuantified","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"29","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_29_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfEntitysRelationshipWithJointOperation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_21_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfEntitysRelationshipWithJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_21_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfEntitysRelationshipWithAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_21_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyUsingDifferentReportingDateOrPeriodForJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_22_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyUsingDifferentReportingDateOrPeriodForAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_22_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SupportProvidedToStructuredEntityWithoutHavingContractualObligationToDoSo","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"15","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_15_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTypeOfSupportProvidedToStructuredEntityWithoutHavingContractualObligationToDoSo","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"15","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_15_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SupportProvidedToStructuredEntityWithoutHavingContractualObligationToDoSo","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_30_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTypeOfSupportProvidedToStructuredEntityWithoutHavingContractualObligationToDoSo","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_30_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeFromStructuredEntities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"27","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_27_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTypesOfIncomeFromStructuredEntities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"27","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_27_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRankingAndAmountsOfPotentialLossesInStructuredEntitiesBorneByPartiesWhoseInterestsRankLowerThanEntitysInterestsExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B26","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B26_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaximumLimitOfLossesOfStructuredEntitiesWhichEntityIsRequiredToAbsorbBeforeOtherParties","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B26","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B26_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfWhetherEntityIsRequiredToAbsorbLossesOfStructuredEntitiesBeforeOtherParties","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B26","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B26_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfWhetherInvestmentInJointVentureIsMeasuredUsingEquityMethodOrAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_21_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfWhetherInvestmentInAssociateIsMeasuredUsingEquityMethodOrAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_21_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInOwnershipInterestsInSubsidiariesThatDoNotResultInLossOfControlEquityAttributableToOwnersOfParent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"18","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_18&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEffectsOfChangesInParentsOwnershipInterestInSubsidiaryThatDoNotResultInLossOfControlOnEquityAttributableToOwnersOfParentExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"18","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_18&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInterestsInJointArrangementsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"2","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_2_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInterestsInAssociatesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"2","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_2_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfJointOperationsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B4_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForJointOperationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B4_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointOperationsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B4_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointOperationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B4_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfJointOperationsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B4_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfJointVenturesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B4_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForJointVenturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B4_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointVenturesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B4_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointVenturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B4_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfJointVenturesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B4_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfSummarisedFinancialInformationOfJointVentureAccountedForUsingEquityMethodToCarryingAmountOfInterestInJointVentureExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B14_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfSummarisedFinancialInformationOfAssociateAccountedForUsingEquityMethodToCarryingAmountOfInterestInAssociateExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B14","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B14_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantInvestmentsInSubsidiariesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B4_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForSubsidiariesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B4_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SignificantInvestmentsInSubsidiariesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B4_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SubsidiariesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B4_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantInvestmentsInSubsidiariesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B4_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfUnconsolidatedStructuredEntitiesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B4_e&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForUnconsolidatedStructuredEntitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B4_e&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnconsolidatedStructuredEntitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B4_e&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnconsolidatedStructuredEntitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B4_e&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfUnconsolidatedStructuredEntitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_B4_e&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfInvestmentsInAssociatesWherePriceQuotationsPublished","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_21_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfInvestmentInJointVenturesWherePriceQuotationsPublished","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_21_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfJointOperation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_21_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_21_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_21_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfOwnershipInterestInJointOperation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_21_a_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfOwnershipInterestInJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_21_a_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfVotingPowerHeldInAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_21_a_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfVotingRightsHeldInJointOperation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_21_a_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfVotingRightsHeldInJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_21_a_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfOwnershipInterestInAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_21_a_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DateOfEndOfReportingPeriodOfFinancialStatementsOfJointVenture2013","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_22_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DateOfEndOfReportingPeriodOfFinancialStatementsOfAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_22_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DateOfEndOfReportingPeriodOfFinancialStatementsOfSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_11_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfIncorporationOrResidenceOfSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19B_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForUnconsolidatedSubsidiariesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SupportProvidedToSubsidiaryWithoutHavingContractualObligationToDoSo","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19E_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAndExtentOfSignificantRestrictionsOnTransferOfFundsToParent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19D_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfVotingPowerHeldInSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19B_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatInvestmentEntityIsRequiredToApplyExceptionFromConsolidation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInProfitOrLossInWhichGainLossOnCessationOfConsolidationOfSubsidiariesIsRecognised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_9B_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTermsOfContractualArrangementsThatCouldRequireInvestmentEntityOrItsSubsidiariesToProvideFinancialSupportToUnconsolidatedStructuredEntityControlledByInvestmentEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19F","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19F&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutSignificantJudgementsAndAssumptionsMadeInDeterminingThatEntityIsInvestmentEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_9A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInvestmentEntitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS12_g9A-9B_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForProvidingSupportToSubsidiaryWithoutHavingContractualObligationToDoSo","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19E_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutUnconsolidatedSubsidiariesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnconsolidatedSubsidiariesControlledBySubsidiariesOfInvestmentEntityMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19C","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19C&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnconsolidatedSubsidiariesThatInvestmentEntityControlsDirectlyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForConcludingThatEntityIsInvestmentEntityIfItDoesNotHaveOneOrMoreTypicalCharacteristics","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_9A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCurrentCommitmentsOrIntentionsToProvideSupportToSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19D","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19D_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfRelevantFactorsInReachingDecisionToProvideSupportThatResultedInControllingUnconsolidatedStructuredEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19G","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19G&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForChangeOfInvestmentEntityStatus","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_9B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfOwnershipInterestInSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19B_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEffectOfChangeOfInvestmentEntityStatusOnFinancialStatementsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_9B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19B_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOnCessationOfConsolidationOfSubsidiariesDueToChangeOfInvestmentEntityStatus","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_9B_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnconsolidatedSubsidiariesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfSubsidiariesThatCeaseToBeConsolidatedAsOfDateOfChangeOfInvestmentEntityStatus","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_9B_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrincipalPlaceOfBusinessOfSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19B_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnconsolidatedStructuredEntitiesControlledByInvestmentEntityMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19F","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19F&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnconsolidatedSubsidiariesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangeOfInvestmentEntityStatus","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"9B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_9B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutUnconsolidatedStructuredEntitiesControlledByInvestmentEntityTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19F","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19F&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutUnconsolidatedStructuredEntitiesControlledByInvestmentEntityExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19F","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19F&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnconsolidatedStructuredEntitiesControlledByInvestmentEntityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19F","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19F&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTypeOfSupportProvidedToSubsidiaryWithoutHavingContractualObligationToDoSo","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19E","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19E_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutUnconsolidatedSubsidiariesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"19B","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2020-en-r&anchor=para_19B&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValueMeasurementExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS13_g91-99_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DiscountedCashFlowMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_B11_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MatrixPricingMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B7","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_B7&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MultiperiodExcessEarningsMethodMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_B11_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotMeasuredAtFairValueInStatementOfFinancialPositionButForWhichFairValueIsDisclosedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"97","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_97&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OptionPricingModelMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_B11_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatChangingOneOrMoreUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsWouldChangeFairValueSignificantlyAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatChangingOneOrMoreUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsWouldChangeFairValueSignificantlyEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatChangingOneOrMoreUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsWouldChangeFairValueSignificantlyLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEffectOnFairValueMeasurementDueToChangeInOneOrMoreUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsWasCalculatedAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEffectOnFairValueMeasurementDueToChangeInOneOrMoreUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsWasCalculatedEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEffectOnFairValueMeasurementDueToChangeInOneOrMoreUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsWasCalculatedLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Assets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AtFairValueMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Equity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Liabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MeasurementAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NonrecurringFairValueMeasurementMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RecurringFairValueMeasurementMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedMeasurementMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Assets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Equity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Level1OfFairValueHierarchyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Level2OfFairValueHierarchyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Level3OfFairValueHierarchyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LevelsOfFairValueHierarchyAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Liabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AllLevelsOfFairValueHierarchyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Equity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Liabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"Assets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConsensusPricingMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE63","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DiscountedCashFlowMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE63","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MarketComparableCompaniesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE63","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MarketComparablePricesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE63","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OptionPricingModelMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE63","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangeAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE63","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE63","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TopOfRangeMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE63","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE63","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BottomOfRangeMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE63","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfEntitysOwnEquityInstrumentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfLiabilitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValueMeasurementOfAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValueMeasurementOfAssetsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValueMeasurementOfEquityExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValueMeasurementOfEquityTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValueMeasurementOfLiabilitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValueMeasurementOfLiabilitiesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysOwnEquityInstrumentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeApproachMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"62","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_62&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MarketApproachMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"62","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_62&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CostApproachMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"62","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_62&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE60","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE60&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgeFundInvestmentsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE60","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE60&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentPropertyMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE60","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE60&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAssetsHeldForSaleMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE60","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE60&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherEquitySecuritiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE60","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE60&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradingEquitySecuritiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE60","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE60&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DebtSecuritiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE60","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE60&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyDecisionToUseExceptionInIFRS1348Liabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"96","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_96&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyDecisionToUseExceptionInIFRS1348Assets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"96","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_96&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangeInValuationTechniqueUsedInFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangeInValuationTechniqueUsedInFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInputsUsedInFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInputsUsedInFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInputsUsedInFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForChangeInValuationTechniqueUsedInFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForChangeInValuationTechniqueUsedInFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForChangeInValuationTechniqueUsedInFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfValuationTechniquesUsedInFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfValuationTechniquesUsedInFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfValuationTechniquesUsedInFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantUnobservableInputsUsedInFairValueMeasurementOfAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantUnobservableInputsUsedInFairValueMeasurementOfAssetsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantUnobservableInputsUsedInFairValueMeasurementOfEquityExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantUnobservableInputsUsedInFairValueMeasurementOfEquityTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantUnobservableInputsUsedInFairValueMeasurementOfLiabilitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantUnobservableInputsUsedInFairValueMeasurementOfLiabilitiesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ValuationTechniquesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ValuationTechniquesUsedInFairValueMeasurementAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangeInValuationTechniqueUsedInFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfWhetherThirdpartyCreditEnhancementIsReflectedInFairValueMeasurement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_98&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfLiabilitiesMeasuredAtFairValueAndIssuedWithInseparableThirdpartyCreditEnhancementExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_98&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfLiabilitiesMeasuredAtFairValueAndIssuedWithInseparableThirdpartyCreditEnhancementTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_98&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesMeasuredAtFairValueAndIssuedWithInseparableThirdpartyCreditEnhancementAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_98&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesMeasuredAtFairValueAndIssuedWithInseparableThirdpartyCreditEnhancementMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_98&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfExistenceOfThirdpartyCreditEnhancement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_98&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyNonfinancialAssetIsBeingUsedInMannerDifferentFromHighestAndBestUse","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatHighestAndBestUseOfNonfinancialAssetDiffersFromCurrentUse","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFrequencyAndMethodsForTestingProceduresOfPricingModelsEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE65","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE65_b&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFrequencyAndMethodsForTestingProceduresOfPricingModelsLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE65","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE65_b&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFrequencyAndMethodsForTestingProceduresOfPricingModelsAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE65","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE65_b&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfGroupWithinEntityThatDecidesEntitysValuationPoliciesAndProceduresEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE65","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE65_a_i&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfGroupWithinEntityThatDecidesEntitysValuationPoliciesAndProceduresLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE65","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE65_a_i&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfGroupWithinEntityThatDecidesEntitysValuationPoliciesAndProceduresAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE65","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE65_a_i&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityDeterminedThatThirdpartyInformationUsedInFairValueMeasurementWasDevelopedInAccordanceWithIFRS13EntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE65","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE65_d&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityDeterminedThatThirdpartyInformationUsedInFairValueMeasurementWasDevelopedInAccordanceWithIFRS13Liabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE65","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE65_d&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityDeterminedThatThirdpartyInformationUsedInFairValueMeasurementWasDevelopedInAccordanceWithIFRS13Assets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE65","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE65_d&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowThirdpartyInformationWasTakenIntoAccountWhenMeasuringFairValueEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE64_b&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowThirdpartyInformationWasTakenIntoAccountWhenMeasuringFairValueLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE64_b&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowThirdpartyInformationWasTakenIntoAccountWhenMeasuringFairValueAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE64_b&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInternalReportingProceduresForDiscussingAndAssessingFairValueMeasurementsEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE65","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE65_a_iii&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInternalReportingProceduresForDiscussingAndAssessingFairValueMeasurementsLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE65","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE65_a_iii&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInternalReportingProceduresForDiscussingAndAssessingFairValueMeasurementsAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE65","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE65_a_iii&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInterrelationshipsBetweenUnobservableInputsAndOfHowTheyMightMagnifyOrMitigateEffectOfChangesInUnobservableInputsOnFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInterrelationshipsBetweenUnobservableInputsAndOfHowTheyMightMagnifyOrMitigateEffectOfChangesInUnobservableInputsOnFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSensitivityOfFairValueMeasurementToChangesInUnobservableInputsAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSensitivityOfFairValueMeasurementToChangesInUnobservableInputsEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSensitivityOfFairValueMeasurementToChangesInUnobservableInputsLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInterrelationshipsBetweenUnobservableInputsAndOfHowTheyMightMagnifyOrMitigateEffectOfChangesInUnobservableInputsOnFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInOtherComprehensiveIncomeWhereGainsLossesAreRecognisedFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInOtherComprehensiveIncomeWhereGainsLossesAreRecognisedFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInOtherComprehensiveIncomeFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInOtherComprehensiveIncomeFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInOtherComprehensiveIncomeFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInOtherComprehensiveIncomeWhereGainsLossesAreRecognisedFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInProfitOrLossWhereGainsLossesAreRecognisedFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInProfitOrLossWhereGainsLossesAreRecognisedFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInProfitOrLossWhereGainsLossesAreRecognisedFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInProfitOrLossWhereGainsLossesAttributableToChangeInUnrealisedGainsOrLossesForEntitysOwnEquityInstrumentsHeldAtEndOfPeriodAreRecognisedFairValueMeasurement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInProfitOrLossWhereGainsLossesAttributableToChangeInUnrealisedGainsOrLossesForLiabilitiesHeldAtEndOfPeriodAreRecognisedFairValueMeasurement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossAttributableToChangeInUnrealisedGainsOrLossesForAssetsHeldAtEndOfPeriodFairValueMeasurement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossAttributableToChangeInUnrealisedGainsOrLossesForEntitysOwnEquityInstrumentsHeldAtEndOfPeriodFairValueMeasurement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossAttributableToChangeInUnrealisedGainsOrLossesForLiabilitiesHeldAtEndOfPeriodFairValueMeasurement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInProfitOrLossWhereGainsLossesAttributableToChangeInUnrealisedGainsOrLossesForAssetsHeldAtEndOfPeriodAreRecognisedFairValueMeasurement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodsUsedToDevelopAndSubstantiateUnobservableInputsUsedInFairValueMeasurementEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE65","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE65_e&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodsUsedToDevelopAndSubstantiateUnobservableInputsUsedInFairValueMeasurementLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE65","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE65_e&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodsUsedToDevelopAndSubstantiateUnobservableInputsUsedInFairValueMeasurementAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE65","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE65_e&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfClassOfEntitysOwnEquityInstrumentsMeasuredAtFairValue","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE64_a&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfClassOfLiabilitiesMeasuredAtFairValue","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE64_a&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfClassOfAssetsMeasuredAtFairValue","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE64","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE64_a&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPolicyForDeterminingWhenTransfersBetweenLevelsAreDeemedToHaveOccurredEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPolicyForDeterminingWhenTransfersBetweenLevelsAreDeemedToHaveOccurredLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForTransfersOutOfLevel1IntoLevel2OfFairValueHierarchyAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForTransfersOutOfLevel1IntoLevel2OfFairValueHierarchyEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForTransfersOutOfLevel1IntoLevel2OfFairValueHierarchyLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForTransfersOutOfLevel2IntoLevel1OfFairValueHierarchyAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForTransfersOutOfLevel2IntoLevel1OfFairValueHierarchyEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForTransfersOutOfLevel2IntoLevel1OfFairValueHierarchyLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersOutOfLevel1IntoLevel2OfFairValueHierarchyAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersOutOfLevel1IntoLevel2OfFairValueHierarchyEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersOutOfLevel1IntoLevel2OfFairValueHierarchyLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersOutOfLevel2IntoLevel1OfFairValueHierarchyAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersOutOfLevel2IntoLevel1OfFairValueHierarchyEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersOutOfLevel2IntoLevel1OfFairValueHierarchyLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPolicyForDeterminingWhenTransfersBetweenLevelsAreDeemedToHaveOccurredAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPolicyForDeterminingWhenTransfersBetweenLevelsAreDeemedToHaveOccurredEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPolicyForDeterminingWhenTransfersBetweenLevelsAreDeemedToHaveOccurredLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForTransfersIntoLevel3OfFairValueHierarchyAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForTransfersIntoLevel3OfFairValueHierarchyEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForTransfersIntoLevel3OfFairValueHierarchyLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForTransfersOutOfLevel3OfFairValueHierarchyAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForTransfersOutOfLevel3OfFairValueHierarchyEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForTransfersOutOfLevel3OfFairValueHierarchyLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersIntoLevel3OfFairValueHierarchyAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersIntoLevel3OfFairValueHierarchyEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersIntoLevel3OfFairValueHierarchyLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersOutOfLevel3OfFairValueHierarchyAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersOutOfLevel3OfFairValueHierarchyEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersOutOfLevel3OfFairValueHierarchyLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPolicyForDeterminingWhenTransfersBetweenLevelsAreDeemedToHaveOccurredAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPolicyForDeterminingWhenTransfersBetweenLevelsAreDeemedToHaveOccurredEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"95","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_95&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPolicyForDeterminingWhenTransfersBetweenLevelsAreDeemedToHaveOccurredLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"95","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_95&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPolicyForDeterminingWhenTransfersBetweenLevelsAreDeemedToHaveOccurredAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"95","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_95&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfProcessForAnalysingChangesInFairValueMeasurementsEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE65","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE65_c&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfProcessForAnalysingChangesInFairValueMeasurementsLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE65","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE65_c&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfProcessForAnalysingChangesInFairValueMeasurementsAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE65","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE65_c&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfToWhomGroupWithinEntityThatDecidesEntitysValuationPoliciesAndProceduresReportsEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE65","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE65_a_ii&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfToWhomGroupWithinEntityThatDecidesEntitysValuationPoliciesAndProceduresReportsLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE65","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE65_a_ii&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfToWhomGroupWithinEntityThatDecidesEntitysValuationPoliciesAndProceduresReportsAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE65","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE65_a_ii&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfValuationProcessesUsedInFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfValuationProcessesUsedInFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfValuationProcessesUsedInFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationSufficientToPermitReconciliationOfClassesDeterminedForFairValueMeasurementToLineItemsInStatementOfFinancialPositionEntitysOwnEquityInstrumentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"94","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_94&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationSufficientToPermitReconciliationOfClassesDeterminedForFairValueMeasurementToLineItemsInStatementOfFinancialPositionLiabilitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"94","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_94&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationSufficientToPermitReconciliationOfClassesDeterminedForFairValueMeasurementToLineItemsInStatementOfFinancialPositionAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"94","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_94&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IssuesFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IssuesFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchasesFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchasesFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchasesFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SalesFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SalesFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SalesFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SettlementsFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SettlementsFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SettlementsFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IssuesFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodsUsedToDevelopAndSubstantiateUnobservableInputsUsedInFairValueMeasurementEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodsUsedToDevelopAndSubstantiateUnobservableInputsUsedInFairValueMeasurementLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodsUsedToDevelopAndSubstantiateUnobservableInputsUsedInFairValueMeasurementAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityDeterminedThatThirdpartyInformationUsedInFairValueMeasurementWasDevelopedInAccordanceWithIFRS13EntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityDeterminedThatThirdpartyInformationUsedInFairValueMeasurementWasDevelopedInAccordanceWithIFRS13Assets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityDeterminedThatThirdpartyInformationUsedInFairValueMeasurementWasDevelopedInAccordanceWithIFRS13Liabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfProcessForAnalysingChangesInFairValueMeasurementsAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfProcessForAnalysingChangesInFairValueMeasurementsEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfProcessForAnalysingChangesInFairValueMeasurementsLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFrequencyAndMethodsForTestingProceduresOfPricingModelsAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFrequencyAndMethodsForTestingProceduresOfPricingModelsLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFrequencyAndMethodsForTestingProceduresOfPricingModelsEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInternalReportingProceduresForDiscussingAndAssessingFairValueMeasurementsAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInternalReportingProceduresForDiscussingAndAssessingFairValueMeasurementsEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInternalReportingProceduresForDiscussingAndAssessingFairValueMeasurementsLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfToWhomGroupWithinEntityThatDecidesEntitysValuationPoliciesAndProceduresReportsEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfToWhomGroupWithinEntityThatDecidesEntitysValuationPoliciesAndProceduresReportsLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfToWhomGroupWithinEntityThatDecidesEntitysValuationPoliciesAndProceduresReportsAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfGroupWithinEntityThatDecidesEntitysValuationPoliciesAndProceduresAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfGroupWithinEntityThatDecidesEntitysValuationPoliciesAndProceduresEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfGroupWithinEntityThatDecidesEntitysValuationPoliciesAndProceduresLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowThirdpartyInformationWasTakenIntoAccountWhenMeasuringFairValueEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowThirdpartyInformationWasTakenIntoAccountWhenMeasuringFairValueLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowThirdpartyInformationWasTakenIntoAccountWhenMeasuringFairValueAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfClassOfLiabilitiesMeasuredAtFairValue","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfClassOfEntitysOwnEquityInstrumentsMeasuredAtFairValue","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfClassOfAssetsMeasuredAtFairValue","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_B6&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BottomOfRangeMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_B6&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_B6&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MarketComparablePricesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B5","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_B5&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConsensusPricingMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B5","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_B5&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TopOfRangeMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_B6&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangeAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_B6&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MarketComparableCompaniesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B5","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_B5&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgeFundInvestmentsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"94","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_94&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherEquitySecuritiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"94","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_94&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentPropertyMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"94","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_94&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"94","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_94&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DebtSecuritiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"94","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_94&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAssetsHeldForSaleMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"94","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_94&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradingEquitySecuritiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"94","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_94&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnobservableInputsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnobservableInputsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSensitivityAnalysisOfFairValueMeasurementToChangesInUnobservableInputsAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSensitivityAnalysisOfFairValueMeasurementToChangesInUnobservableInputsAssetsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRateMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_B36_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"HistoricalVolatilityForSharesMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_B36_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentToMidmarketConsensusPriceMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_B36_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentEstimateOfFutureCashOutflowsToBePaidToFulfilObligationMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_B36_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialForecastOfProfitOrLossForCashgeneratingUnitMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_B36_e&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialForecastOfCashFlowsForCashgeneratingUnitMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_B36_e&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageCostOfCapitalMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueMultipleMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConstantPrepaymentRateMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProbabilityOfDefaultMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DiscountRateMeasurementInputMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RentMeasurementInputMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CapitalisationRateMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditSpreadMeasurementInputMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CapitalisationRateMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE63","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnobservableInputsAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnobservableInputsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageCostOfCapitalMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE63","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueMultipleMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE63","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConstantPrepaymentRateMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE63","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProbabilityOfDefaultMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE63","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PercentageOfReasonablyPossibleIncreaseInUnobservableInputAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputRecognisedInProfitOrLossBeforeTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputRecognisedInOtherComprehensiveIncomeBeforeTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputRecognisedInProfitOrLossAfterTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputRecognisedInOtherComprehensiveIncomeAfterTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PercentageOfReasonablyPossibleDecreaseInUnobservableInputAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputRecognisedInProfitOrLossBeforeTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputRecognisedInOtherComprehensiveIncomeBeforeTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputRecognisedInProfitOrLossAfterTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputRecognisedInOtherComprehensiveIncomeAfterTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInProfitOrLossBeforeTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInOtherComprehensiveIncomeBeforeTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInProfitOrLossAfterTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInOtherComprehensiveIncomeAfterTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInProfitOrLossBeforeTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInOtherComprehensiveIncomeBeforeTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInProfitOrLossAfterTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInOtherComprehensiveIncomeAfterTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatThereWereNoTransfersBetweenLevel1AndLevel2OfFairValueHierarchyAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatThereWereNoTransfersBetweenLevel1Level2OrLevel3OfFairValueHierarchyAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatThereWereNoTransfersBetweenLevel1Level2OrLevel3OfFairValueHierarchyAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossExcludingExchangeDifferencesFairValueMeasurementAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossOnExchangeDifferencesFairValueMeasurementAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInOtherComprehensiveIncomeExcludingExchangeDifferencesFairValueMeasurementAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInOtherComprehensiveIncomeOnExchangeDifferencesFairValueMeasurementAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSensitivityAnalysisOfFairValueMeasurementToChangesInUnobservableInputsLiabilitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSensitivityAnalysisOfFairValueMeasurementToChangesInUnobservableInputsLiabilitiesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PercentageOfReasonablyPossibleIncreaseInUnobservableInputLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputRecognisedInProfitOrLossBeforeTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputRecognisedInOtherComprehensiveIncomeBeforeTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputRecognisedInProfitOrLossAfterTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputRecognisedInOtherComprehensiveIncomeAfterTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PercentageOfReasonablyPossibleDecreaseInUnobservableInputLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputRecognisedInProfitOrLossBeforeTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputRecognisedInOtherComprehensiveIncomeBeforeTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputRecognisedInProfitOrLossAfterTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputRecognisedInOtherComprehensiveIncomeAfterTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInProfitOrLossBeforeTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInOtherComprehensiveIncomeBeforeTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInProfitOrLossAfterTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInOtherComprehensiveIncomeAfterTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInProfitOrLossBeforeTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInOtherComprehensiveIncomeBeforeTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInProfitOrLossAfterTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInOtherComprehensiveIncomeAfterTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatThereWereNoTransfersBetweenLevel1AndLevel2OfFairValueHierarchyLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatThereWereNoTransfersBetweenLevel1Level2OrLevel3OfFairValueHierarchyLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatThereWereNoTransfersBetweenLevel1Level2OrLevel3OfFairValueHierarchyLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossExcludingExchangeDifferencesFairValueMeasurementLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossOnExchangeDifferencesFairValueMeasurementLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInOtherComprehensiveIncomeExcludingExchangeDifferencesFairValueMeasurementLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInOtherComprehensiveIncomeOnExchangeDifferencesFairValueMeasurementLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSensitivityAnalysisOfFairValueMeasurementToChangesInUnobservableInputsEntitysOwnEquityInstrumentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSensitivityAnalysisOfFairValueMeasurementToChangesInUnobservableInputsEntitysOwnEquityInstrumentsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PercentageOfReasonablyPossibleIncreaseInUnobservableInputEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputRecognisedInProfitOrLossBeforeTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputRecognisedInOtherComprehensiveIncomeBeforeTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputRecognisedInProfitOrLossAfterTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputRecognisedInOtherComprehensiveIncomeAfterTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PercentageOfReasonablyPossibleDecreaseInUnobservableInputEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputRecognisedInProfitOrLossBeforeTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputRecognisedInOtherComprehensiveIncomeBeforeTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputRecognisedInProfitOrLossAfterTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputRecognisedInOtherComprehensiveIncomeAfterTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInProfitOrLossBeforeTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInOtherComprehensiveIncomeBeforeTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInProfitOrLossAfterTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInOtherComprehensiveIncomeAfterTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInProfitOrLossBeforeTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInOtherComprehensiveIncomeBeforeTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInProfitOrLossAfterTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInOtherComprehensiveIncomeAfterTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatThereWereNoTransfersBetweenLevel1AndLevel2OfFairValueHierarchyEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatThereWereNoTransfersBetweenLevel1Level2OrLevel3OfFairValueHierarchyEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatThereWereNoTransfersBetweenLevel1Level2OrLevel3OfFairValueHierarchyEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossExcludingExchangeDifferencesFairValueMeasurementEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossOnExchangeDifferencesFairValueMeasurementEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInOtherComprehensiveIncomeExcludingExchangeDifferencesFairValueMeasurementEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInOtherComprehensiveIncomeOnExchangeDifferencesFairValueMeasurementEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_e_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetAssetValueMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE63","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetAssetValueMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeCapitalisationMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContingentConsiderationMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"94","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_94&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SignificantUnobservableInputAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SignificantUnobservableInputLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SignificantUnobservableInputEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2020-en-r&anchor=para_93_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GasDistributionMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE2","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_IE2&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RateOfReturnUsedToReflectTimeValueOfMoneyRegulatoryDeferralAccountBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatRateRegulatorIsRelatedParty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_30_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInForeignExchangeRatesRegulatoryDeferralAccountCreditBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetMovementInOtherRegulatoryDeferralAccountBalancesRelatedToProfitOrLoss","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE5","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_IE5&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutActivitiesSubjectToRateRegulationTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS14_g30-31_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxationrelatedRegulatoryDeferralAccountBalancesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_34&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughBalancesReversedInCurrentPeriodRegulatoryDeferralAccountCreditBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnNetMovementInRegulatoryDeferralAccountBalancesRelatedToItemsThatWillBeReclassifiedToProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_22_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsAndRegulatoryDeferralAccountDebitBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_21&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountByWhichRegulatoryDeferralAccountDebitBalanceHasBeenReducedBecauseItIsNoLongerFullyRecoverable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_36&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetMovementInRegulatoryDeferralAccountBalancesRelatedToProfitOrLossAttributableToNoncontrollingInterests","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_B25&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountDebitBalancesAndRelatedDeferredTaxAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_24&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountDebitBalancesAndRelatedDeferredTaxAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_B11_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BottomOfRangeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossIncludingNetMovementInRegulatoryDeferralAccountBalancesRelatedToProfitOrLossAndNetMovementInRelatedDeferredTaxAttributableToOwnersOfParent","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE1","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_IE1&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutAmountsRecognisedInRelationToRegulatoryDeferralAccountBalancesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS14_g32-36_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountBalancesNotClassifiedAsDisposalGroupsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_B22&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnNetMovementInRegulatoryDeferralAccountBalancesRelatedToItemsThatWillBeReclassifiedToProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_22_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInForeignExchangeRatesRegulatoryDeferralAccountDebitBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfRegulatoryDeferralAccountBalancesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_30_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfRegulatoryDeferralAccountBalancesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersToDisposalGroupsRegulatoryDeferralAccountDebitBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE5","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_IE5&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicEarningsLossPerShareIncludingNetMovementInRegulatoryDeferralAccountBalancesAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"26","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_26&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountByWhichRegulatoryDeferralAccountCreditBalanceHasBeenReducedBecauseItIsNoLongerFullyReversible","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_36&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughBalancesRecognisedInCurrentPeriodInStatementOfFinancialPositionRegulatoryDeferralAccountCreditBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfIdentityOfRateRegulators","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_30_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInRegulatoryDeferralAccountCreditBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnNetMovementInRegulatoryDeferralAccountBalancesNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_22_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossIncludingNetMovementInRegulatoryDeferralAccountBalancesRelatedToProfitOrLossAndNetMovementInRelatedDeferredTaxAttributableToNoncontrollingInterests","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE1","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_IE1&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfRegulatoryDeferralAccountBalancesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_30_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfRegulatoryDeferralAccountBalancesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseThroughItemsAcquiredInBusinessCombinationRegulatoryDeferralAccountDebitBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyRegulatoryDeferralAccountBalanceIsNoLongerFullyRecoverableOrReversible","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_36&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DiscountRateUsedToReflectTimeValueOfMoneyRegulatoryDeferralAccountBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DilutedEarningsLossPerShareFromContinuingOperationsIncludingNetMovementInRegulatoryDeferralAccountBalancesAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"26","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_26&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCrossreferenceToDisclosuresAboutActivitiesSubjectToRateRegulation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"31","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_31&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetMovementInDeferredTaxArisingFromRegulatoryDeferralAccountBalancesRelatedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_24&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetMovementInDeferredTaxArisingFromRegulatoryDeferralAccountBalancesRelatedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B12","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_B12_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxNetMovementInRegulatoryDeferralAccountBalancesRelatedToItemsThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_22_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxNetMovementInRegulatoryDeferralAccountBalancesRelatedToItemsThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_35&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersToDisposalGroupsRegulatoryDeferralAccountCreditBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE5","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_IE5&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxNetMovementInRegulatoryDeferralAccountBalancesRelatedToItemsThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_22_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutActivitiesSubjectToRateRegulationExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS14_g30-31_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInCurrentTaxExpenseIncomeDueToRateRegulation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_34&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInRegulatoryDeferralAccountDebitBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowFutureRecoveryOrReversalOfRegulatoryDeferralAccountBalancesIsAffectedByRisksAndUncertainty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_30_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DilutedEarningsLossPerShareIncludingNetMovementInRegulatoryDeferralAccountBalancesAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"26","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_26&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicEarningsLossPerShareFromContinuingOperationsIncludingNetMovementInRegulatoryDeferralAccountBalancesAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"26","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_26&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountBalancesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_B22&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountDebitBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_20_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountDebitBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountDebitBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_35&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughDisposalsRegulatoryDeferralAccountCreditBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToNetMovementInRegulatoryDeferralAccountBalancesRelatedToItemsThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_22_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountCreditBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"20","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_20_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountCreditBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountCreditBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_35&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisOnWhichRegulatoryDeferralAccountBalancesAreRecognisedAndDerecognisedAndHowTheyAreMeasuredInitiallyAndSubsequently","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"32","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_32&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxLiabilityAssociatedWithRegulatoryDeferralAccountBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_24&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxLiabilityAssociatedWithRegulatoryDeferralAccountBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_B11_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInDiscountRatesRegulatoryDeferralAccountCreditBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughImpairmentsRegulatoryDeferralAccountDebitBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ElectricityDistributionMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE2","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_IE2&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetMovementInRegulatoryDeferralAccountBalancesRelatedToProfitOrLossDirectlyAssociatedWithDiscontinuedOperation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_25&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetMovementInRegulatoryDeferralAccountBalancesRelatedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_23&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetMovementInRegulatoryDeferralAccountBalancesRelatedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_35&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRegulatoryDeferralAccountsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS14_g18-26_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRegulatoryDeferralAccountsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS14_g27-36_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherRegulatoryDeferralAccountDebitBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE5","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_IE5&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughDisposalsRegulatoryDeferralAccountDebitBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TopOfRangeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountBalancesClassifiedAsDisposalGroupsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_B22&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatRegulatoryDeferralAccountBalanceIsNoLongerFullyRecoverableOrReversible","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"36","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_36&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnNetMovementInRegulatoryDeferralAccountBalancesBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_22_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxNetMovementInRegulatoryDeferralAccountBalancesRelatedToItemsThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_22_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherRegulatoryDeferralAccountCreditBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"IE5","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_IE5&doctype=Illustrative%20Examples","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToNetMovementInRegulatoryDeferralAccountBalancesRelatedToItemsThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_22_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountCreditBalancesAndRelatedDeferredTaxLiability","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_24&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountCreditBalancesAndRelatedDeferredTaxLiability","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_B11_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangeAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetMovementInRegulatoryDeferralAccountBalancesRelatedToProfitOrLossAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_24&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetMovementInRegulatoryDeferralAccountBalancesRelatedToProfitOrLossAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B12","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_B12_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughBalancesRecognisedInCurrentPeriodInStatementOfFinancialPositionRegulatoryDeferralAccountDebitBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfRegulatoryRatesettingProcess","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_30_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInDeferredTaxExpenseIncomeDueToRateRegulation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_34&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountCreditBalancesDirectlyRelatedToDisposalGroup","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_25&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountBalancesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_B22&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PortionOfGainsLossesRecognisedWhenControlOfSubsidiaryIsLostAttributableToDerecognisingRegulatoryDeferralAccountBalancesInFormerSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_B28&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicAndDilutedEarningsLossPerShareFromDiscontinuedOperationsIncludingNetMovementInRegulatoryDeferralAccountBalancesAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"26","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_26&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountDebitBalancesDirectlyRelatedToDisposalGroup","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_25&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutAmountsRecognisedInRelationToRegulatoryDeferralAccountBalancesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS14_g32-36_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughBalancesRecoveredInCurrentPeriodRegulatoryDeferralAccountDebitBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicAndDilutedEarningsLossPerShareFromContinuingOperationsIncludingNetMovementInRegulatoryDeferralAccountBalancesAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"26","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_26&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxNetMovementInRegulatoryDeferralAccountBalancesRelatedToItemsThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"22","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_22_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxNetMovementInRegulatoryDeferralAccountBalancesRelatedToItemsThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"35","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_35&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicEarningsLossPerShareFromDiscontinuedOperationsIncludingNetMovementInRegulatoryDeferralAccountBalancesAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"26","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_26&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RateregulatedActivitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_30&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RateregulatedActivitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxAssetAssociatedWithRegulatoryDeferralAccountBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"24","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_24&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxAssetAssociatedWithRegulatoryDeferralAccountBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B11","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_B11_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesRegulatoryDeferralAccountDebitBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfImpactOfRateRegulationOnCurrentAndDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"34","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_34&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossIncludingNetMovementInRegulatoryDeferralAccountBalancesRelatedToProfitOrLossAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_23&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesRegulatoryDeferralAccountCreditBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRateregulatedActivitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_30&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRateregulatedActivitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseThroughItemsAssumedInBusinessCombinationRegulatoryDeferralAccountCreditBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EquityLiabilitiesAndRegulatoryDeferralAccountCreditBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"21","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_21&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAndExtentOfRateregulatedActivity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_30_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DilutedEarningsLossPerShareFromDiscontinuedOperationsIncludingNetMovementInRegulatoryDeferralAccountBalancesAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"26","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_26&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfHowRateRegulatorIsRelated","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"30","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_30_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicAndDilutedEarningsLossPerShareIncludingNetMovementInRegulatoryDeferralAccountBalancesAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"26","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_26&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInDiscountRatesRegulatoryDeferralAccountDebitBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetMovementInOtherRegulatoryDeferralAccountBalancesRelatedToProfitOrLoss","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_25&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersToDisposalGroupsRegulatoryDeferralAccountDebitBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersToDisposalGroupsRegulatoryDeferralAccountCreditBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherRegulatoryDeferralAccountDebitBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_25&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherRegulatoryDeferralAccountCreditBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"25","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_25&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GasDistributionMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ElectricityDistributionMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossIncludingNetMovementInRegulatoryDeferralAccountBalancesRelatedToProfitOrLossAndNetMovementInRelatedDeferredTaxAttributableToOwnersOfParent","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_23&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossIncludingNetMovementInRegulatoryDeferralAccountBalancesRelatedToProfitOrLossAndNetMovementInRelatedDeferredTaxAttributableToNoncontrollingInterests","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"23","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_23&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RemainingRecoveryPeriodOfRegulatoryDeferralAccountDebitBalances2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RemainingReversalPeriodOfRegulatoryDeferralAccountCreditBalances2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2020-en-r&anchor=para_33_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodsUsedToRecogniseRevenueFromContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"124","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_124_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentContractLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"105","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_105&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutMethodsInputsAndAssumptionsUsedForAllocatingTransactionPriceExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"126","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_126_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutMethodsInputsAndAssumptionsUsedForMeasuringObligationsForReturnsRefundsAndOtherSimilarObligationsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"126","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_126_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentReceivablesFromContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"105","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_105&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughCumulativeCatchupAdjustmentsToRevenueArisingFromChangeInMeasureOfProgressContractLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_118_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseThroughBusinessCombinationsContractLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_118_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GeographicalAreasAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_B89_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfWhenEntityExpectsToRecogniseTransactionPriceAllocatedToRemainingPerformanceObligationsAsRevenue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"120","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_120_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TimingOfTransferOfGoodsOrServicesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_B89_f&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProductsAndServicesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_B89_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseDueToApplicationOfIFRS15Member","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_C8_a&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughCumulativeCatchupAdjustmentsToRevenueContractAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_118_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfSignificantChangesInContractAssetsAndContractLiabilitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_118&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfContractsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_B89_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatPracticalExpedientAboutIncrementalCostsOfObtainingContractHasBeenUsed","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"129","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_129&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfObligationsForReturnsRefundsAndOtherSimilarObligations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_119_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CostsToObtainContractsWithCustomersMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_128_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughCumulativeCatchupAdjustmentsToRevenueArisingFromContractModificationContractAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_118_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CategoriesOfAssetsRecognisedFromCostsToObtainOrFulfilContractsWithCustomersMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_128_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TimeandmaterialsContractsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_B89_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutMethodsInputsAndAssumptionsUsedForAssessingWhetherEstimateOfVariableConsiderationIsConstrainedExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"126","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_126_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransactionPriceAllocatedToRemainingPerformanceObligations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"120","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_120_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfHowTimingOfSatisfactionOfPerformanceObligationsRelatesToTypicalTimingOfPayment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_117&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GeographicalAreasMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_B89_b&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceivablesFromContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"105","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_105&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceivablesFromContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"116","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_116_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDisaggregationOfRevenueFromContractsWithCustomersExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"114","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_114&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatPracticalExpedientAboutExistenceOfSignificantFinancingComponentHasBeenUsed","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"129","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_129&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTransactionPriceAllocatedToRemainingPerformanceObligationsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"120","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_120_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfWhetherAnyConsiderationFromContractsWithCustomersIsNotIncludedInDisclosureOfTransactionPriceAllocatedToRemainingPerformanceObligations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"122","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_122&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughCumulativeCatchupAdjustmentsToRevenueArisingFromChangeInMeasureOfProgressContractAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_118_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfCustomersAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_B89_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GovernmentCustomersMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_B89_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PerformanceObligationsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_119&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmortisationAssetsRecognisedFromCostsIncurredToObtainOrFulfilContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_128_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughCumulativeCatchupAdjustmentsToRevenueArisingFromChangeInEstimateOfTransactionPriceContractAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_118_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughPerformanceObligationBeingSatisfiedContractLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_118_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermContractsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_B89_e&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GoodsSoldThroughIntermediariesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_B89_g&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughCumulativeCatchupAdjustmentsToRevenueArisingFromChangeInEstimateOfTransactionPriceContractLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_118_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAssetsRecognisedFromCostsToObtainOrFulfilContractsWithCustomersTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_128_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"QualitativeAssessmentOfEstimatedEffectOfPracticalExpedientsUsedWhenApplyingIFRS15Retrospectively","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_C6_b&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AllOtherSegmentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"115","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_115&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEffectThatTimingOfSatisfactionOfPerformanceObligationsAndTypicalTimingOfPaymentHaveOnContractAssetsAndContractLiabilitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_117&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutRelationshipBetweenDisclosureOfDisaggregatedRevenueFromContractsWithCustomersAndRevenueInformationForReportableSegmentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"115","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_115&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentContractLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"105","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_105&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProductsAndServicesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_B89_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughImpairmentContractAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_118_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SegmentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"115","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_115&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CategoriesOfAssetsRecognisedFromCostsToObtainOrFulfilContractsWithCustomersAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_128_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SalesChannelsAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_B89_g&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentReceivablesFromContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"105","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_105&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDisaggregationOfRevenueFromContractsWithCustomersTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"114","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_114&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PerformanceObligationsSatisfiedAtPointInTimeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"125","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_125&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedTimeBandsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"120","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_120_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SetupCostsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_128_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MarketsOfCustomersMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_B89_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfWhenEntityTypicallySatisfiesPerformanceObligations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_119_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaturityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"120","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_120_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PerformanceObligationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_119&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfWhetherPracticalExpedientIsAppliedForDisclosureOfTransactionPriceAllocatedToRemainingPerformanceObligations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"122","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_122&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"113","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_113_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"114","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_114&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfCustomersMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_B89_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossOnReceivablesOrContractAssetsArisingFromContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"113","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_113_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSignificantJudgementsMadeInEvaluatingWhenCustomerObtainsControlOfPromisedGoodsOrServices","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"125","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_125&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentContractAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"105","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_105&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReportableSegmentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"115","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_115&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPracticalExpedientsUsedWhenApplyingIFRS15Retrospectively","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_C6_a&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GoodsSoldDirectlyToConsumersMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_B89_g&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfJudgementsMadeInDeterminingAmountOfCostsToObtainOrFulfilContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"127","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_127_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossAssetsRecognisedFromCostsIncurredToObtainOrFulfilContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_128_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPerformanceObligationsToArrangeForAnotherPartyToTransferGoodsOrServices","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_119_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TimingOfTransferOfGoodsOrServicesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_B89_f&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfPerformanceObligationsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_119&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTransactionPriceAllocatedToRemainingPerformanceObligationsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"120","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_120_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SegmentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"115","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_115&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfWhyMethodsUsedToRecogniseRevenueProvideFaithfulDepictionOfTransferOfGoodsOrServices","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"124","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_124_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRevenueFromContractsWithCustomersExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS15_g105-109_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRevenueFromContractsWithCustomersExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS15_g110-129_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromPerformanceObligationsSatisfiedOrPartiallySatisfiedInPreviousPeriods","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"116","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_116_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NongovernmentCustomersMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_B89_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfGoodsOrServicesThatEntityHasPromisedToTransfer","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_119_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTypesOfWarrantiesAndRelatedObligations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_119_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfReasonsForSignificantChangesInFinancialStatementLineItemsDueToApplicationOfIFRS15","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C8","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_C8_b&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughRightToConsiderationBecomingUnconditionalContractAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_118_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughCumulativeCatchupAdjustmentsToRevenueArisingFromContractModificationContractLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_118_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfContractsAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_B89_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GoodsOrServicesTransferredOverTimeMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_B89_f&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseThroughBusinessCombinationsContractAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_118_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"105","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_105&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"116","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_116_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MarketsOfCustomersAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_B89_c&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentContractAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"105","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_105&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"105","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_105&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"116","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_116_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PerformanceObligationsSatisfiedOverTimeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"124","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_124&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfJudgementsAndChangesInJudgementsThatSignificantlyAffectDeterminationOfAmountAndTimingOfRevenueFromContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"123","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_123&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAssetsRecognisedFromCostsToObtainOrFulfilContractsWithCustomersExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_128_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsRecognisedFromCostsToObtainOrFulfilContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_128_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutMethodsInputsAndAssumptionsUsedForDeterminingTransactionPriceExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"126","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_126_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueThatWasIncludedInContractLiabilityBalanceAtBeginningOfPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"116","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_116_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractDurationAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_B89_e&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSignificantPaymentTermsInContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_119_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SalesChannelsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_B89_g&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodUsedToDetermineAmortisationOfAssetsRecognisedFromCostsToObtainOrFulfilContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"127","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_127_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GoodsOrServicesTransferredAtPointInTimeMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_B89_f&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermContractsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_B89_e&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrecontractCostsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_128_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FixedpriceContractsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_B89_d&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughCumulativeCatchupAdjustmentsToRevenueContractLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_118_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfPerformanceObligationsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_119&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractDurationMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B89","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2020-en-r&anchor=para_B89_e&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsToRightofuseAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"53","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_53_h&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedTimeBandsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"97","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_97&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedTimeBandsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"94","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_94&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashOutflowForLeases","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"53","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_53_g&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"53","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_53&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"53","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_53&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentLeaseLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_47_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationRightofuseAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"53","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_53_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCrossreferenceToDisclosuresAboutLeases","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"52","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_52&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInStatementOfFinancialPositionWhichIncludeLeaseLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_47_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInStatementOfFinancialPositionWhichIncludeRightofuseAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_47_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRestrictionsOnDistributionOfRevaluationSurplusToShareholdersRightofuseAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"57","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_57&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAdditionalInformationAboutLeasingActivitiesForLesseeExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"59","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_59&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAdditionalInformationAboutLeasingActivitiesForLessorExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_92&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfLeasesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS16_g47-50_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfLeasesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS16_g51-60_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMaturityAnalysisOfFinanceLeasePaymentsReceivableExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"94","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_94&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMaturityAnalysisOfFinanceLeasePaymentsReceivableTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"94","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_94&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMaturityAnalysisOfOperatingLeasePaymentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"97","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_97&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMaturityAnalysisOfOperatingLeasePaymentsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"97","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_97&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfQuantitativeInformationAboutRightofuseAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"53","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_53&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfQuantitativeInformationAboutRightofuseAssetsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"53","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_53&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DiscountedUnguaranteedResidualValueOfAssetsSubjectToFinanceLease","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"94","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_94&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectiveDateOfRevaluationRightofuseAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"57","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_57&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseRelatingToLeasesOfLowvalueAssetsForWhichRecognitionExemptionHasBeenUsed","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"53","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_53_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseRelatingToShorttermLeasesForWhichRecognitionExemptionHasBeenUsed","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"53","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_53_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseRelatingToVariableLeasePaymentsNotIncludedInMeasurementOfLeaseLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"53","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_53_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfDifferenceBetweenOperatingLeaseCommitmentsDisclosedApplyingIAS17AndLeaseLiabilitiesRecognisedAtDateOfInitialApplicationOfIFRS16Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C12","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_C12_b&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfInvolvementOfIndependentValuerInRevaluationRightofuseAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"57","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_57&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfSignificantChangesInNetInvestmentInFinanceLeaseExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_93&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceIncomeOnNetInvestmentInFinanceLease","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_90_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesArisingFromSaleAndLeasebackTransactions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"53","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_53_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossLeaseLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"58","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_58&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeFromSubleasingRightofuseAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"53","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_53_f&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeRelatingToVariableLeasePaymentsForOperatingLeasesThatDoNotDependOnIndexOrRate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_90_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeRelatingToVariableLeasePaymentsNotIncludedInMeasurementOfNetInvestmentInFinanceLease","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_90_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInNetInvestmentInFinanceLease","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"93","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_93&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutExposureArisingFromLeasesNotYetCommencedToWhichLesseeIsCommitted","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"59","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_59_b_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutHowLessorManagesRiskAssociatedWithRightsItRetainsInUnderlyingAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_92_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutLesseesExposureArisingFromExtensionOptionsAndTerminationOptions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"59","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_59_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutLesseesExposureArisingFromResidualValueGuarantees","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"59","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_59_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutLesseesExposureArisingFromVariableLeasePayments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"59","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_59_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutNatureOfLesseesLeasingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"59","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_59_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutNatureOfLessorsLeasingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_92_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutPotentialExposureToFutureCashOutflowsNotReflectedInMeasurementOfLeaseLiability","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"59","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_59_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutRestrictionsOrCovenantsImposedByLeasesOnLessee","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"59","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_59_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutRiskManagementStrategyForRightsThatLessorRetainsInUnderlyingAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"92","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_92_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutSaleAndLeasebackTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"59","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_59_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsOtherThanGoodwillMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"53","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_53&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseOnLeaseLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"53","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_53_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFiveYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"97","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_97&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFiveYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"94","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_94&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFourYearsAndNotLaterThanFiveYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"97","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_97&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFourYearsAndNotLaterThanFiveYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"94","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_94&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearAndNotLaterThanTwoYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"97","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_97&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearAndNotLaterThanTwoYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"94","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_94&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeYearsAndNotLaterThanFourYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"97","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_97&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeYearsAndNotLaterThanFourYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"94","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_94&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTwoYearsAndNotLaterThanThreeYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"97","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_97&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTwoYearsAndNotLaterThanThreeYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"94","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_94&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LeaseCommitmentsForShorttermLeasesForWhichRecognitionExemptionHasBeenUsed","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"55","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_55&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LeaseLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_47_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaturityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"97","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_97&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaturityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"94","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_94&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetInvestmentInFinanceLease","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"94","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_94&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentLeaseLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_47_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotLaterThanOneYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"97","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_97&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotLaterThanOneYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"94","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_94&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OperatingLeaseIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_90_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherAssetsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"53","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_53&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentByOperatingLeaseStatusAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"95","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_95&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentByOperatingLeaseStatusMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"95","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_95&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"53","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_53&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentNotSubjectToOperatingLeasesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"95","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_95&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentSubjectToOperatingLeasesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"95","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_95&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RightofuseAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"53","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_53_j&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RightofuseAssetsIncreaseDecreaseInRevaluationSurplus","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"57","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_57&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RightofuseAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_33&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RightofuseAssetsRevaluationSurplus","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"57","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_57&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RightofuseAssetsRevaluedAssetsAtCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"57","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_57&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RightofuseAssetsThatDoNotMeetDefinitionOfInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"47","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_47_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SellingProfitLossOnFinanceLeases","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_90_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatEntityHasChosenPracticalExpedientWhenAssessingWhetherContractIsOrContainsLeaseAtDateOfInitialApplicationOfIFRS16","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C4","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_C4&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatLesseeAccountsForLeasesOfLowvalueAssetsUsingRecognitionExemption","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"60","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_60&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatLesseeAccountsForShorttermLeasesUsingRecognitionExemption","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"60","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_60&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatLesseeUsesPracticalExpedientsWhenApplyingIFRS16RetrospectivelyToLeasesClassifiedAsOperatingLeasesApplyingIAS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C13","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_C13&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UndiscountedFinanceLeasePaymentsToBeReceived","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"94","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_94&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UndiscountedOperatingLeasePaymentsToBeReceived","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"97","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_97&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnearnedFinanceIncomeRelatingToFinanceLeasePaymentsReceivable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"94","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_94&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageLesseesIncrementalBorrowingRateAppliedToLeaseLiabilitiesRecognisedAtDateOfInitialApplicationOfIFRS16","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C12","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2020-en-r&anchor=para_C12_a&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsIssuedThatAreAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_78_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsIssuedThatAreLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_78_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReinsuranceContractsHeldThatAreAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_78_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReinsuranceContractsHeldThatAreLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"78","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_78_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceRevenue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"80","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_80_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceRevenue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_106&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceServiceExpensesFromInsuranceContractsIssued","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"80","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_80_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeExpensesFromReinsuranceContractsHeldOtherThanFinanceIncomeExpenses","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"86","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_86&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"80","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_80_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceIncomeExpensesFromReinsuranceContractsHeldRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_82&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"80","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_80_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B135","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_B135_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"80","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_80_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B135","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_B135_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_82&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B135","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_B135_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_82&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_82&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_82&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"91","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_91_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"B135","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_B135_a&doctype=Appendix&subtype=B","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_82&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_82&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToFinanceIncomeExpensesFromReinsuranceContractsHeldOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"90","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_90&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToFinanceIncomeExpensesFromReinsuranceContractsHeldOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"82","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_82&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeFromAmountsRecoveredFromReinsurer","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"86","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_86&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpensesFromAllocationOfPremiumsPaidToReinsurer","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"86","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_86&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceServiceResult","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"80","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_80_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionalInformationAboutInsuranceContractsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"94","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_94&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCriteriaSatisfiedWhenUsingPremiumAllocationApproach","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"97","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_97_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfWhetherEntityMakesAdjustmentForTimeValueOfMoneyAndEffectOfFinancialRiskWhenUsingPremiumAllocationApproach","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"97","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_97_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodToRecogniseInsuranceAcquisitionCashFlowsWhenUsingPremiumAllocationApproach","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"97","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_97_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInInsuranceContractsByRemainingCoverageAndIncurredClaimsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"100","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_100&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInInsuranceContractsByRemainingCoverageAndIncurredClaimsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"100","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_100&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisaggregationOfInsuranceContractsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_98&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisaggregationOfInsuranceContractsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"107","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_107&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisaggregationOfInsuranceContractsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"109","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_109&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisaggregationOfInsuranceContractsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"131","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_131_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisaggregationOfInsuranceContractsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"132","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_132_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisaggregationOfInsuranceContractsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_98&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisaggregationOfInsuranceContractsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"107","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_107&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisaggregationOfInsuranceContractsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"109","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_109&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisaggregationOfInsuranceContractsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"131","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_131_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisaggregationOfInsuranceContractsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"132","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_132_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsIssuedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_98&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsIssuedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"107","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_107&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsIssuedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"109","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_109&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsIssuedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"131","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_131_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsIssuedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"132","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_132_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReinsuranceContractsHeldMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"98","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_98&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReinsuranceContractsHeldMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"107","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_107&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReinsuranceContractsHeldMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"109","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_109&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReinsuranceContractsHeldMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"131","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_131_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReinsuranceContractsHeldMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"132","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_132_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsByRemainingCoverageAndIncurredClaimsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"100","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_100&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsByRemainingCoverageAndIncurredClaimsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"100","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_100&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetLiabilitiesOrAssetsForRemainingCoverageExcludingLossComponentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"100","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_100_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LossComponentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"100","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_100_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesForIncurredClaimsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"100","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_100_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsByComponentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"100","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_100_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsByComponentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"101","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_101&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsByComponentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"107","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_107&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsByComponentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"100","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_100_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsByComponentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"101","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_101&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsByComponentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"107","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_107&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimatesOfPresentValueOfFutureCashFlowsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"100","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_100_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimatesOfPresentValueOfFutureCashFlowsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"101","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_101_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimatesOfPresentValueOfFutureCashOutflowsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"107","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_107_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimatesOfPresentValueOfInsuranceAcquisitionCashFlowsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"107","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_107_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimatesOfPresentValueOfFutureCashOutflowsOtherThanInsuranceAcquisitionCashFlowsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"107","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_107_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimatesOfPresentValueOfFutureCashInflowsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"107","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_107_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RiskAdjustmentForNonfinancialRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"100","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_100_c_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RiskAdjustmentForNonfinancialRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"101","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_101_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RiskAdjustmentForNonfinancialRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"107","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_107_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractualServiceMarginMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"101","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_101_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractualServiceMarginMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"107","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_107_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractualServiceMarginRelatedToContractsThatExistedAtTransitionDateToWhichModifiedRetrospectiveApproachHasBeenAppliedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"114","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_114_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractualServiceMarginRelatedToContractsThatExistedAtTransitionDateToWhichFairValueApproachHasBeenAppliedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"114","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_114_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractualServiceMarginNotRelatedToContractsThatExistedAtTransitionDateToWhichModifiedRetrospectiveApproachOrFairValueApproachHasBeenAppliedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"114","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_114_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"100","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_100_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"101","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_101&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_106&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"107","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_107&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"109","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_109&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsMember2017","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"100","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_100_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsMember2017","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"101","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_101&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsMember2017","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_106&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsMember2017","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"107","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_107&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsMember2017","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"109","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_109&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsToWhichPremiumAllocationApproachHasBeenAppliedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"100","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_100_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsOtherThanThoseToWhichPremiumAllocationApproachHasBeenAppliedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"101","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_101&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsOtherThanThoseToWhichPremiumAllocationApproachHasBeenAppliedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_106&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsOtherThanThoseToWhichPremiumAllocationApproachHasBeenAppliedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"107","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_107&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsOtherThanThoseToWhichPremiumAllocationApproachHasBeenAppliedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"109","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_109&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"99","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_99_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsThatAreAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"99","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_99_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsThatAreLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"99","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_99_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughInsuranceRevenueRelatedToContractsThatExistedAtTransitionDateToWhichModifiedRetrospectiveApproachHasBeenAppliedInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"114","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_114_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughInsuranceRevenueRelatedToContractsThatExistedAtTransitionDateToWhichFairValueApproachHasBeenAppliedInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"114","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_114_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughInsuranceRevenueNotRelatedToContractsThatExistedAtTransitionDateToWhichModifiedRetrospectiveApproachOrFairValueApproachHasBeenAppliedInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"114","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_114_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughInsuranceRevenueInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"103","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_103_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughIncurredClaimsAndOtherIncurredInsuranceServiceExpensesInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"103","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_103_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughAmortisationOfInsuranceAcquisitionCashFlowsInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"103","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_103_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesThatRelateToPastServiceInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"103","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_103_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesThatRelateToPastServiceInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"104","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_104_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesThatRelateToFutureServiceInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"103","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_103_b_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesThatRelateToFutureServiceInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"104","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_104_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughInsuranceServiceExpensesInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"103","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_103_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughInvestmentComponentsExcludedFromInsuranceRevenueAndInsuranceServiceExpensesInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"103","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_103_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughInsuranceServiceResultInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"103","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_103&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughInsuranceServiceResultInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"104","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_104&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughPremiumsReceivedForInsuranceContractsIssuedInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"105","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_105_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughPremiumsPaidForReinsuranceContractsHeldInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"105","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_105_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughInsuranceAcquisitionCashFlowsInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"105","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_105_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughIncurredClaimsPaidAndOtherInsuranceServiceExpensesPaidForInsuranceContractsIssuedExcludingInsuranceAcquisitionCashFlowsInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"105","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_105_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughIncurredClaimsRecoveredAndOtherInsuranceServiceExpensesRecoveredUnderReinsuranceContractsHeldInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"105","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_105_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughCashFlowsInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"105","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_105_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughEffectOfChangesInRiskOfNonperformanceByIssuerOfReinsuranceContractsHeldInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"105","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_105_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughInsuranceFinanceIncomeOrExpensesInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"105","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_105_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughAdditionalItemsNecessaryToUnderstandChangeInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"105","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_105_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInInsuranceContractsLiabilityAsset","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"99","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_99&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInInsuranceContractsByComponentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"101","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_101&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInInsuranceContractsByComponentsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"101","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_101&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInEstimatesThatAdjustContractualServiceMarginInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"104","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_104_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInEstimatesThatDoNotAdjustContractualServiceMarginInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"104","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_104_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughEffectsOfContractsInitiallyRecognisedInPeriodInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"104","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_104_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughEffectsOfContractsInitiallyRecognisedInPeriodInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"107","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_107&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughRecognitionOfContractualServiceMarginInProfitOrLossToReflectTransferOfServicesInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"104","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_104_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangeInRiskAdjustmentForNonfinancialRiskThatDoesNotRelateToFutureOrPastServiceInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"104","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_104_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughExperienceAdjustmentsInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"104","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_104_b_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesThatRelateToCurrentServiceInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"104","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_104_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAnalysisOfInsuranceRevenueExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_106&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAnalysisOfInsuranceRevenueTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_106&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceRevenueInsuranceServiceExpensesIncurredDuringPeriodMeasuredAtAmountsExpectedAtBeginningOfPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_106_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceRevenueChangeInRiskAdjustmentForNonfinancialRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_106_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceRevenueContractualServiceMarginRecognisedInProfitOrLossBecauseOfTransferOfServices","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_106_a_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceRevenueAmountsRelatingToChangesInLiabilityForRemainingCoverage","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_106_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceRevenueAllocationOfPortionOfPremiumsThatRelateToRecoveryOfInsuranceAcquisitionCashFlows","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"106","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_106_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEffectOfInsuranceContractsInitiallyRecognisedExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"107","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_107&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEffectOfInsuranceContractsInitiallyRecognisedTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"107","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_107&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughEffectsOfContractsAcquiredInPeriodInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_108_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughEffectsOfGroupsOfOnerousContractsInitiallyRecognisedInPeriodInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"108","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_108_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutExpectedRecognitionOfContractualServiceMarginInProfitOrLossExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"109","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_109&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutExpectedRecognitionOfContractualServiceMarginInProfitOrLossTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"109","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_109&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfWhenEntityExpectsToRecogniseRemainingContractualServiceMarginInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"109","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_109&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractualServiceMargin","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"109","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_109&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceFinanceIncomeExpenses","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"110","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_110&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfInsuranceFinanceIncomeExpenses","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"110","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_110&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfRelationshipBetweenInsuranceFinanceIncomeExpensesAndInvestmentReturnOnAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"110","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_110&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCompositionOfUnderlyingItemsForContractsWithDirectParticipationFeatures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"111","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_111&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfUnderlyingItemsForContractsWithDirectParticipationFeatures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"111","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_111&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectOnAdjustmentToContractualServiceMarginOfChoiceNotToAdjustContractualServiceMarginForSomeChangesInFulfilmentCashFlowsForContractsWithDirectParticipationFeatures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"112","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_112&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyEntityWasRequiredToChangeBasisOfDisaggregationOfInsuranceFinanceIncomeExpensesBetweenProfitOrLossAndOtherComprehensiveIncomeForContractsWithDirectParticipationFeatures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"113","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_113_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAdjustmentsMadeWhenEntityChangedBasisOfDisaggregationOfInsuranceFinanceIncomeExpensesBetweenProfitOrLossAndOtherComprehensiveIncomeForContractsWithDirectParticipationFeaturesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"113","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_113_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAdjustmentsMadeWhenEntityChangedBasisOfDisaggregationOfInsuranceFinanceIncomeExpensesBetweenProfitOrLossAndOtherComprehensiveIncomeForContractsWithDirectParticipationFeaturesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"113","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_113_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectOfAdjustmentsMadeWhenEntityChangedBasisOfDisaggregationOfInsuranceFinanceIncomeExpensesBetweenProfitOrLossAndOtherComprehensiveIncomeForContractsWithDirectParticipationFeaturesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"113","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_113_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectOfAdjustmentsMadeWhenEntityChangedBasisOfDisaggregationOfInsuranceFinanceIncomeExpensesBetweenProfitOrLossAndOtherComprehensiveIncomeForContractsWithDirectParticipationFeaturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"113","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_113_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsLiabilityAssetAtDateOfChangeContractsWithDirectParticipationFeaturesForWhichEntityChangedBasisOfDisaggregationOfInsuranceFinanceIncomeExpensesBetweenProfitOrLossAndOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"113","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_113_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfHowEntityDeterminedMeasurementOfInsuranceContractsAtTransitionDate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"115","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_115&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfGainsAndLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeRelatedToInsuranceContractsToWhichParagraphsC18bC19bC24bAndC24cOfIFRS17HaveBeenApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"116","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_116&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInReserveOfGainsAndLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeRelatedToInsuranceContractsToWhichParagraphsC18bC19bC24bAndC24cOfIFRS17HaveBeenApplied","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"116","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_116&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughGainsLossesInPeriodReserveOfGainsAndLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeRelatedToInsuranceContractsToWhichParagraphsC18bC19bC24bAndC24cOfIFRS17HaveBeenApplied","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"116","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_116&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughReclassificationAdjustmentsInPeriodReserveOfGainsAndLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeRelatedToInsuranceContractsToWhichParagraphsC18bC19bC24bAndC24cOfIFRS17HaveBeenApplied","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"116","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_116&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantJudgementsAndChangesInJudgementsMadeInApplyingIFRS17Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_117&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodsUsedToMeasureContractsWithinScopeOfIFRS17AndProcessesForEstimatingInputsToThoseMethods","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_117_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangesInMethodsUsedToMeasureContractsWithinScopeOfIFRS17AndProcessesForEstimatingInputsToThoseMethods","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForChangesInMethodsUsedToMeasureContractsWithinScopeOfIFRS17AndProcessesForEstimatingInputsToThoseMethods","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTypesOfContractsAffectedByChangesInMethodsUsedToMeasureContractsWithinScopeOfIFRS17AndProcessesForEstimatingInputsToThoseMethods","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_117_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfApproachUsedToDistinguishChangesInEstimatesOfFutureCashFlowsArisingFromExerciseOfDiscretionFromOtherChangesContractsWithoutDirectParticipationFeatures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_117_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfApproachUsedToDetermineRiskAdjustmentForNonfinancialRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_117_c_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfApproachUsedToDetermineDiscountRates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_117_c_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfApproachUsedToDetermineInvestmentComponents","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_117_c_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInputsToMethodsUsedToMeasureContractsWithinScopeOfIFRS17Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_117_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInputsToMethodsUsedToMeasureContractsWithinScopeOfIFRS17Table","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_117_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodsUsedToMeasureContractsWithinScopeOfIFRS17Axis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_117_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodsUsedToMeasureContractsWithinScopeOfIFRS17Member","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_117_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InputsToMethodsUsedToMeasureContractsWithinScopeOfIFRS17Axis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_117_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InputsToMethodsUsedToMeasureContractsWithinScopeOfIFRS17Member","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_117_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InputToMethodUsedToMeasureContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"117","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_117_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfMethodsUsedToDetermineInsuranceFinanceIncomeExpensesRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"118","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_118&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConfidenceLevelUsedToDetermineRiskAdjustmentForNonfinancialRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_119&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTechniqueOtherThanConfidenceLevelTechniqueUsedForDeterminingRiskAdjustmentForNonfinancialRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_119&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConfidenceLevelCorrespondingToResultsOfTechniqueOtherThanConfidenceLevelTechniqueUsedForDeterminingRiskAdjustmentForNonfinancialRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"119","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_119&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfYieldCurveUsedToDiscountCashFlowsThatDoNotVaryBasedOnReturnsOnUnderlyingItemsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"120","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_120&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfYieldCurveUsedToDiscountCashFlowsThatDoNotVaryBasedOnReturnsOnUnderlyingItemsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"120","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_120&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"YieldUsedToDiscountCashFlowsThatDoNotVaryBasedOnReturnsOnUnderlyingItems","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"120","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_120&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactAndReasonWhyEntitysExposureToRiskArisingFromContractsWithinScopeOfIFRS17AtEndOfReportingPeriodIsNotRepresentativeOfItsExposureDuringPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"123","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_123&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAdditionalInformationRepresentativeOfRiskExposureArisingFromContractsWithinScopeOfIFRS17DuringPeriodExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"123","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_123&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNatureAndExtentOfRisksThatAriseFromContractsWithinScopeOfIFRS17Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"124","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_124&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNatureAndExtentOfRisksThatAriseFromContractsWithinScopeOfIFRS17Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"125","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_125&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNatureAndExtentOfRisksThatAriseFromContractsWithinScopeOfIFRS17Table","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"124","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_124&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNatureAndExtentOfRisksThatAriseFromContractsWithinScopeOfIFRS17Table","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"125","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_125&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"124","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_124&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"125","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_125&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"127","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_127&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"124","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_124&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"125","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_125&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"127","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_127&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfExposuresToRisksThatAriseFromContractsWithinScopeOfIFRS17AndHowTheyArise","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"124","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_124_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfObjectivesPoliciesAndProcessesForManagingRisksThatAriseFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"124","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_124_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodsUsedToMeasureRisksThatAriseFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"124","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_124_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangesInExposuresToRisksThatAriseFromContractsWithinScopeOfIFRS17AndHowTheyArise","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"124","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_124_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangesInObjectivesPoliciesAndProcessesForManagingRisksThatAriseFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"124","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_124_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangesInMethodsUsedToMeasureRisksThatAriseFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"124","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_124_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SummaryQuantitativeInformationAboutExposureToRiskThatArisesFromContractsWithinScopeOfIFRS17Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"125","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_125_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExposureToRiskThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"125","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_125_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutEffectOfRegulatoryFrameworksInWhichEntityOperates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"126","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_126&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatEntityAppliesParagraph20OfIFRS17InDeterminingGroupsOfInsuranceContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"126","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_126&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutConcentrationsOfRiskThatArisesFromContractsWithinScopeOfIFRS17Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"127","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_127&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutConcentrationsOfRiskThatArisesFromContractsWithinScopeOfIFRS17Table","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"127","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_127&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConcentrationsOfRiskAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"127","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_127&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConcentrationsOfRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"127","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_127&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityDeterminesConcentrationsOfRiskThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"127","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_127&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSharedCharacteristicThatIdentifiesConcentrationOfRiskThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"127","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_127&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSensitivityAnalysisToChangesInRiskExposuresThatAriseFromContractsWithinScopeOfIFRS17Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSensitivityAnalysisToChangesInRiskExposuresThatAriseFromContractsWithinScopeOfIFRS17Table","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RiskExposuresAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RiskExposuresMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PercentageOfReasonablyPossibleIncreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInProfitLossDueToReasonablyPossibleIncreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInProfitLossDueToReasonablyPossibleIncreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInProfitLossDueToReasonablyPossibleIncreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17InsuranceContractsIssuedBeforeMitigationByReinsuranceContractsHeld","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInEquityDueToReasonablyPossibleIncreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInEquityDueToReasonablyPossibleIncreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInEquityDueToReasonablyPossibleIncreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17InsuranceContractsIssuedBeforeMitigationByReinsuranceContractsHeld","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"PercentageOfReasonablyPossibleDecreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInProfitLossDueToReasonablyPossibleDecreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInProfitLossDueToReasonablyPossibleDecreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInProfitLossDueToReasonablyPossibleDecreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17InsuranceContractsIssuedBeforeMitigationByReinsuranceContractsHeld","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInEquityDueToReasonablyPossibleDecreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInEquityDueToReasonablyPossibleDecreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInEquityDueToReasonablyPossibleDecreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17InsuranceContractsIssuedBeforeMitigationByReinsuranceContractsHeld","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_a_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfRelationshipBetweenSensitivitiesToChangesInRiskExposuresArisingFromInsuranceContractsAndFromFinancialAssetsHeld","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodsAndAssumptionsUsedInPreparingSensitivityAnalysisToChangesInRiskExposuresThatAriseFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangesInMethodsAndAssumptionsUsedInPreparingSensitivityAnalysisToChangesInRiskExposuresThatAriseFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForChangesInMethodsAndAssumptionsUsedInPreparingSensitivityAnalysisToChangesInRiskExposuresThatAriseFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSensitivityAnalysisOtherThanSpecifiedInParagraph128aOfIFRS17Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"129","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_129&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfMethodMainParametersAndAssumptionsUnderlyingInformationProvidedSensitivityAnalysisOtherThanSpecifiedInParagraph128aOfIFRS17Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"129","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_129_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfObjectiveOfMethodUsedAndLimitationsThatMayResultInInformationProvidedSensitivityAnalysisOtherThanSpecifiedInParagraph128aOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"129","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_129_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfActualClaimsComparedWithPreviousEstimatesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_130&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"YearsOfInsuranceClaimAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_130&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AllYearsOfInsuranceClaimMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_130&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReportingYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_130&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OneYearBeforeReportingYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_130&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TwoYearsBeforeReportingYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_130&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ThreeYearsBeforeReportingYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_130&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FourYearsBeforeReportingYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_130&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FiveYearsBeforeReportingYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_130&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SixYearsBeforeReportingYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_130&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SevenYearsBeforeReportingYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_130&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EightYearsBeforeReportingYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_130&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NineYearsBeforeReportingYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_130&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimateOfUndiscountedClaimsThatAriseFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_130&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActualClaimsThatAriseFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_130&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesForIncurredClaimsThatAriseFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_130&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutCreditRiskThatArisesFromContractsWithinScopeOfIFRS17Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"131","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_131&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutCreditRiskThatArisesFromContractsWithinScopeOfIFRS17Table","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"131","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_131&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaximumExposureToCreditRiskThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"131","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_131_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutCreditQualityOfReinsuranceContractsHeldThatAreAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"131","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_131_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityManagesLiquidityRiskThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"132","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_132_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMaturityAnalysisForLiquidityRiskThatArisesFromContractsWithinScopeOfIFRS17Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"132","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_132_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMaturityAnalysisForLiquidityRiskThatArisesFromContractsWithinScopeOfIFRS17Table","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"132","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_132_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RemainingContractualUndiscountedCashOutflowsInflowsThatAriseFromContractsWithinScopeOfIFRS17ThatAreLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"132","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_132_b_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimatesOfPresentValueOfFutureCashOutflowsInflowsThatAriseFromContractsWithinScopeOfIFRS17ThatAreLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"132","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_132_b_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsPayableOnDemandThatAriseFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"132","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_132_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfRelationshipBetweenAmountsPayableOnDemandThatAriseFromContractsWithinScopeOfIFRS17AndCarryingAmountOfRelatedGroupsOfContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"132","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_132_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatEntityDoesNotDisclosePreviouslyUnpublishedInformationAboutClaimsDevelopmentThatOccurredEarlierThanFiveYearsBeforeEndOfAnnualReportingPeriodInWhichItFirstAppliesIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C28","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_C28&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRedesignationOfFinancialAssetsAtDateOfInitialApplicationOfIFRS17Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C32","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_C32&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRedesignationOfFinancialAssetsAtDateOfInitialApplicationOfIFRS17Table","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C32","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_C32&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisForDeterminingFinancialAssetsEligibleForRedesignationAtDateOfInitialApplicationOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C32","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_C32_a&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAffectedByRedesignationAtDateOfInitialApplicationOfIFRS17MeasurementCategoryImmediatelyBeforeRedesignation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C32","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_C32_b_i&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAffectedByRedesignationAtDateOfInitialApplicationOfIFRS17CarryingAmountImmediatelyBeforeRedesignation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C32","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_C32_b_i&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAffectedByRedesignationAtDateOfInitialApplicationOfIFRS17MeasurementCategoryAfterRedesignation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C32","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_C32_b_ii&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAffectedByRedesignationAtDateOfInitialApplicationOfIFRS17CarryingAmountAfterRedesignation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C32","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_C32_b_ii&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsThatWereDesignatedAsMeasuredAtFairValueThroughProfitOrLossBeforeApplicationOfIFRS17ThatAreNoLongerSoDesignated","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C32","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_C32_c&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationOnHowEntityRedesignatedFinancialAssetsWhoseClassificationHasChangedOnInitiallyApplyingIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_C33_a&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForDesignationOrDedesignationOfFinancialAssetsAsMeasuredAtFairValueThroughProfitOrLossAtDateOfInitialApplicationOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_C33_b&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfWhyEntityCameToDifferentConclusionsInNewAssessmentApplyingParagraphs412aOr412AaOfIFRS9AtDateOfInitialApplicationOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C33","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_C33_c&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaturityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"109","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_109&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaturityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"120","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_120&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaturityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"132","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_132_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedTimeBandsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"109","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_109&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedTimeBandsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"120","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_120&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedTimeBandsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"132","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_132_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotLaterThanOneYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"132","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_132_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearAndNotLaterThanTwoYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"132","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_132_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTwoYearsAndNotLaterThanThreeYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"132","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_132_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeYearsAndNotLaterThanFourYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"132","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_132_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFourYearsAndNotLaterThanFiveYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"132","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_132_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFiveYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"132","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_132_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"124","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_124&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"125","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_125&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"127","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_127&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"124","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_124&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"125","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_125&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"127","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_127&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"124","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_124&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"125","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_125&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"127","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_127&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiquidityRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"124","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_124&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiquidityRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"125","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_125&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiquidityRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"127","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_127&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MarketRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"124","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_124&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MarketRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"125","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_125&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MarketRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"127","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_127&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"MarketRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrencyRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"124","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_124&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrencyRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"125","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_125&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrencyRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"127","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_127&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrencyRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRateRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"124","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_124&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRateRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"125","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_125&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRateRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"127","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_127&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRateRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherPriceRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"124","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_124&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherPriceRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"125","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_125&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherPriceRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"127","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_127&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherPriceRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"128","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_128_a_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInsuranceContractsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=IFRS17_g93-132_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RestatedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"113","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_113_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangeAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"120","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_120&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"120","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_120&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"BottomOfRangeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"120","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_120&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"120","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_120&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TopOfRangeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"120","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_120&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfActualClaimsComparedWithPreviousEstimatesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"130","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_130&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"IdentificationOfUnadjustedComparativeInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C27","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_C27&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatUnadjustedComparativeInformationHasBeenPreparedOnDifferentBasis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C27","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_C27&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfBasisOfPreparationOfUnadjustedComparativeInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C27","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_C27&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C32","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_C32&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"C32","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_C32&doctype=Appendix&subtype=C","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLoss","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"113","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_113_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfContractsAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"96","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_96_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfContractsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"96","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_96_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GeographicalAreasAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"96","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_96_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"GeographicalAreasMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"96","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_96_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SegmentsAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"96","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_96_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"SegmentsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"96","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_96_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReportableSegmentsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"96","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2020-en-r&anchor=para_96_c&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfServiceConcessionArrangementsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"0","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2020-en-r&doctype=Standard&dita_xref=SIC29_g6-7_TI","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfServiceConcessionArrangementsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2020-en-r&anchor=para_6&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfServiceConcessionArrangement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2020-en-r&anchor=para_6_a&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfSignificantTermsOfServiceConcessionArrangementThatMayAffectAmountTimingAndCertaintyOfFutureCashFlows","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2020-en-r&anchor=para_6_b&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNatureAndExtentOfRightsToUseSpecifiedAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2020-en-r&anchor=para_6_c_i&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNatureAndExtentOfObligationsToProvideOrRightsToExpectProvisionOfServices","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2020-en-r&anchor=para_6_c_ii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNatureAndExtentOfObligationsToAcquireOrBuildItemsOfPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2020-en-r&anchor=para_6_c_iii&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNatureAndExtentOfObligationsToDeliverOrRightsToReceiveSpecifiedAssetsAtEndOfConcessionPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2020-en-r&anchor=para_6_c_iv&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNatureAndExtentOfRenewalAndTerminationOptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2020-en-r&anchor=para_6_c_v&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNatureAndExtentOfOtherRightsAndObligations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6","SubParagraph":null,"Clause":"vi","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2020-en-r&anchor=para_6_c_vi&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangesInServiceConcessionArrangement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2020-en-r&anchor=para_6_d&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationHowServiceConcessionArrangementHasBeenClassified","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2020-en-r&anchor=para_6_e&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueRecognisedOnExchangingConstructionServicesForFinancialAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2020-en-r&anchor=para_6A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ServiceConcessionArrangementsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2020-en-r&anchor=para_6&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ServiceConcessionArrangementsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2020-en-r&anchor=para_6&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutServiceConcessionArrangementsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2020-en-r&anchor=para_6&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueRecognisedOnExchangingConstructionServicesForIntangibleAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2020-en-r&anchor=para_6A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossRecognisedOnExchangingConstructionServicesForFinancialAsset2011","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2020-en-r&anchor=para_6A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossRecognisedOnExchangingConstructionServicesForIntangibleAsset2011","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":null,"Footnote":null,"Subsection":null,"IssueDate":"1/1/2020","Paragraph":"6A","SubParagraph":null,"Clause":"0","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2020-en-r&anchor=para_6A&doctype=Standard","URIDate":"1/1/2020","Part":null,"Schedule":null,"Year":null}];

  $scope.initIframe = function()
  {
    $scope.initDocumentViewer();
    $scope.getAllPresentation();
    $scope.getAllCalculation();
    $scope.getAllDefinition();
    $scope.getDocumentViewerDetail();
  };

  $scope.getDocumentViewerDetail = function()
  {
    $scope.documentDetail = $scope.viewerData[0];
    $scope.getAllFact(true);
  };

  $scope.getAllFact = function(isInitializeTable)
  {
    $scope.isGridLoading = true;
    $scope.factLists = [];
    $scope.isGridLoading = false;
    $scope.factLists = $scope.factData;
    if(isInitializeTable) {
      $timeout(function() {
        $scope.initTableWithSearch();
      }, 2000);
    } else {
      if($scope.factLists.length > 0) {
        $scope.getFactDetail($scope.factDetail.unique_identifier, $scope.factDetail.fact_name, $scope.factDetail.context_ref);
      }
    }
  };

  $scope.initTableWithSearch = function()
  {
    var table = $('#viewerTable');

    var settings = {
        "sDom": "<t><'row'<p i>>",
        "destroy": true,
        "scrollCollapse": true,
        "oLanguage": {
            "sLengthMenu": "_MENU_ ",
            "sInfo": "Showing <b>_START_ to _END_</b> of _TOTAL_ entries"
        },
        "iDisplayLength": 1000,
        "scrollY": "18vh",
        "scrollX": true,
        "ordering": false,
        "paging": false,
        "info": false,
        fixedColumns: true
    };

    table.dataTable(settings);
    
    var iframe1 = $('.iframe').contents();
    $('#search-element').on( 'keyup', function () {
      $scope.filterData = [];
      var val = $(this).val();
      gridElmSearch(1, val);
    } );

    $('#search-value').on( 'keyup', function () {
      $scope.filterData = [];
      var val = $(this).val();
      gridElmSearch(2, val);
    } );

    $('#search-unit').on( 'keyup', function () {
      $scope.filterData = [];
      var val = $(this).val();
      gridElmSearch(4, val);
    } );

    $('#search-period').on( 'keyup', function () {
      $scope.filterData = [];
      var val = $(this).val();
      gridElmSearch(5, val);
    } );

    $('#search-scale').on( 'keyup', function () {
      $scope.filterData = [];
      var val = $(this).val();
      gridElmSearch(6, val);
    } );

    $('#search-decimal').on( 'keyup', function () {
      $scope.filterData = [];
      var val = $(this).val();
      gridElmSearch(7, val);
    } );

    $('#search-axis').on( 'keyup', function () {
      $scope.filterData = [];
      var val = $(this).val();
      gridElmSearch(8, val);
    } );

    $('#search-member').on( 'keyup', function () {
      $scope.filterData = [];
      var val = $(this).val();
      gridElmSearch(9, val);
    } );

    $('#filterExactMatch').on( 'change', function () {
      var colvalue1 = $("#search-element").val();
      if(colvalue1 != "") {
        gridElmSearch(1, colvalue1);
      }
      var colvalue2 = $("#search-value").val();
      if(colvalue2 != "") {
        gridElmSearch(2, colvalue2);
      }
      var colvalue3 = $("#search-unit").val();
      if(colvalue3 != "") {
        gridElmSearch(4, colvalue3);
      }
      var colvalue4 = $("#search-period").val();
      if(colvalue4 != "") {
        gridElmSearch(5, colvalue4);
      }
      var colvalue5 = $("#search-scale").val();
      if(colvalue5 != "") {
        gridElmSearch(6, colvalue5);
      }
      var colvalue6 = $("#search-decimal").val();
      if(colvalue6 != "") {
        gridElmSearch(7, colvalue6);
      }
      var colvalue7 = $("#search-axis").val();
      if(colvalue7 != "") {
        gridElmSearch(8, colvalue7);
      }
      var colvalue8 = $("#search-member").val();
      if(colvalue8 != "") {
        gridElmSearch(9, colvalue8);
      }
    });

    function gridElmSearch(col, val) {
      if(col == 2 || col == 6 || col == 7) {
        if($scope.filter.exactMatch) {
          //var regex = '\\b' + val + '\\b';
          var regex = '(?:^|[^-\\w])('+val+')(?:[^-\\w]|$)';
          $('#viewerTable').DataTable().column( col ).search(regex, true, false).draw();
        } else {
          $('#viewerTable').DataTable().column( col ).search(val).draw();
        }
      } else {
          if(val.length >= 2) {
            if($scope.filter.exactMatch) {
              //var regex = '\\b' + val + '\\b';
              var regex = '(?:^|[^-\\w])('+val+')(?:[^-\\w]|$)';
              $('#viewerTable').DataTable().column( col ).search(regex, true, false).draw();
            } else {
              $('#viewerTable').DataTable().column( col ).search(val).draw();
            }
          } else if(val == "") {
            $('#viewerTable').DataTable().column( col ).search("").draw();
          }
      }
 
      filterFocusedElem();
    };

    function filterFocusedElem() {
      $scope.triggerFocused = false;
      iframe1.find(".org-ixbrl-focused-element").each(function() {
        $scope.findAllTags($(this), "#FFFF00");
        iframe1.find(".continuation").each(function() {
          $scope.findAllTags($(this), "#FFFF00");
        });
        iframe1.find(".org-ixbrl-focused-element").removeClass("org-ixbrl-focused-element");
      });

      angular.forEach($scope.filterData, function(obj, key) {
        var selector = '[name="'+obj.fact_name+'"]';
          if(key == 0) {
            var keepGoing = true;
            angular.forEach($scope.factLists, function(factObj, factKey) {
              if(keepGoing) {
                if(factObj.TagName == obj.fact_name && factObj.ContextRef == obj.context_ref) {
                  $scope.handleGridClick(factObj.ElementIdentifier, factObj.TagName, factObj.ContextRef, factObj.PageIdentifier, factObj.IsHiddenElement);
                  keepGoing = false;
                  return false;
                }
              }  
            });
          } 
      });

    };

    $("#show-search-option").on("click", function() {
      $(".card-search").toggleClass("hide", 500);
      var name = $(this).children().attr("class");
      if(name === "fa fa-search") {
        $(this).children().removeClass("fa fa-search");
        $(this).children().addClass("fa fa-close");
      } else {
        $(".search-input").val('');
        $('#viewerTable').DataTable().search( '' ).columns().search( '' ).draw();
        $(this).children().removeClass("fa fa-close");
        $(this).children().addClass("fa fa-search");
        var iframe1 = $('#inlineviewer').contents();
        iframe1.find(".org-ixbrl-focused-element").each(function() {
          // iframe1.find(".org-ixbrl-focused-element").removeAttr("style");
          // iframe1.find(".org-ixbrl-focused-element").attr("style", "background-color:#FFFF00"); //Yellow Color
          $scope.findAllTags($(this), "#FFFF00");
          iframe1.find(".continuation").each(function() {
            $scope.findAllTags($(this), "#FFFF00");
          });
          iframe1.find(".org-ixbrl-focused-element").removeClass("org-ixbrl-focused-element");
        });
      }
    });
    
    $('#viewerTable').DataTable().on('search.dt', function() {
     $scope.filterData = [];
     if($('#search-element').val() !== "" || $('#search-value').val() !== "" || $('#search-unit').val() !== "" || $('#search-period').val() !== "" 
      || $('#search-scale').val() !== "" || $('#search-decimal').val() !== "" || $('#search-axis').val() !== "" || $('#search-member').val() !== "") {
      var dataArray = $('#viewerTable').DataTable().column( 0, { filter : 'applied'} ).data();
       angular.forEach(dataArray, function(obj, key) {
         var data = $.parseHTML(obj);
         console.log(data);
         $scope.filterData.push({'fact_name': data[6].innerText, 'context_ref': data[8].innerText});
       });
     }
    });
    
    if($scope.factLists.length > 0) {
      $scope.getFactDetail($scope.factLists[0].ElementIdentifier, $scope.factLists[0].TagName, $scope.factLists[0].ContextRef);
    }

  };

  $scope.getFactDetail = function(uniqueIdentifier, factName, contextRef)
  {
    angular.forEach($scope.factLists, function(obj, key) {
      if(obj.ElementIdentifier == uniqueIdentifier) {
        // $scope.$apply(function () {
        //   $scope.factDetail = obj;
        // });
        $timeout(function() {
          $scope.factDetail = obj;
          $scope.viewCalculationAndDefinitionDataInFactProperties();
          $(".loading-overlay").removeClass("is-active");
        }, 1000);
      }
    });
  };

  $scope.viewCalculationAndDefinitionDataInFactProperties = function() {
    $scope.factDetail.calculations = [];
    $scope.factDetail.definitions = [];
    $scope.factDetail.calcualtionName = "";
    $scope.factDetail.definitionParentName = "";
    $scope.factDetail.definitionSubParentName = "";
    var calcualtionParentId = "";
      angular.forEach($scope.calculationData, function(obj, key) {
          if($scope.factDetail.TagName == obj.Name) {
            $scope.factDetail.calcualtionName = $scope.factDetail.TagName;
            calcualtionParentId = obj.Id;
            return false;
          }
      });
    if(calcualtionParentId != "") {
      angular.forEach($scope.calculationData, function(obj, key) {
          if(calcualtionParentId == obj.ParentId) {
            $scope.factDetail.calculations.push(obj.Name);
          }
      });
    }
    
    if($scope.factDetail.IsExtendedElement) {
      var anchoringParentId = "";
      var anchoringSubParentId = "";
      angular.forEach($scope.definitionData, function(obj, key) {
          if($scope.factDetail.TagName == obj.Name) {
            $scope.factDetail.definitionSubParentName = obj.Name;
            anchoringSubParentId = obj.Id;
            anchoringParentId = obj.ParentId;
            return false;
          }
      });
      if($scope.factDetail.definitionSubParentName != "" && anchoringParentId != "") {
        angular.forEach($scope.definitionData, function(obj, key) {
            if(anchoringParentId == obj.Id) {
              $scope.factDetail.definitionParentName = obj.Name;
              return false;
            }
        });
      }
      if(anchoringSubParentId != "") {
        angular.forEach($scope.definitionData, function(obj, key) {
            if(anchoringSubParentId == obj.ParentId) {
              $scope.factDetail.definitions.push(obj);
            }
        });
      }
    }
  };

  $scope.getAllPresentation = function()
  {
      $scope.presentations = $scope.presentationData;
      $timeout(function() {
        $scope.initPresentationTable();
      }, 1000);
  };

  $scope.getAllCalculation = function()
  {
      $scope.calculations = $scope.calculationData;
      $scope.periods = $scope.periodData;
      $scope.period_values = $scope.periodValueData;
      $timeout(function() {
        $scope.initCalculationTable();
      }, 1000);
  };

  $scope.getAllDefinition = function()
  {
      $scope.definitions = $scope.definitionData;
      $timeout(function() {
        $scope.initDefinitionTable();
      }, 1000);
  };

  $scope.initPresentationTable = function()
  {
    var table = $('#presentationTable');

    var settings = {
        "sDom": "<t><'row'<p i>>",
        "destroy": true,
        "scrollCollapse": true,
        "oLanguage": {
            "sLengthMenu": "_MENU_ ",
            "sInfo": "Showing <b>_START_ to _END_</b> of _TOTAL_ entries"
        },
        "iDisplayLength": 1000,
        "scrollY": "25vh",
        "ordering": false
    };

    $("#presentationTable").agikiTreeTable({persist: true, persistStoreName: "files"});
  };

  $scope.initCalculationTable = function()
  {
    var table = $('#calculationTable');

    var settings = {
        "sDom": "<t><'row'<p i>>",
        "destroy": true,
        "scrollCollapse": true,
        "oLanguage": {
            "sLengthMenu": "_MENU_ ",
            "sInfo": "Showing <b>_START_ to _END_</b> of _TOTAL_ entries"
        },
        "iDisplayLength": 1000,
        "scrollY": "25vh",
        "ordering": false
    };

    $("#calculationTable").agikiTreeTable({persist: true, persistStoreName: "files"});
  };

  $scope.initDefinitionTable = function()
  {
    var table = $('#definitionTable');

    var settings = {
        "sDom": "<t><'row'<p i>>",
        "destroy": true,
        "scrollCollapse": true,
        "oLanguage": {
            "sLengthMenu": "_MENU_ ",
            "sInfo": "Showing <b>_START_ to _END_</b> of _TOTAL_ entries"
        },
        "iDisplayLength": 1000,
        "scrollY": "25vh",
        "ordering": false
    };

    $("#definitionTable").agikiTreeTable({persist: true, persistStoreName: "files"});
  };

  $scope.handleGridClick = function(_uniqueIdentifier, _name, _contextRef, _pageIdentifier, _isHidden)
  {
    if(_isHidden == "1") {
      $('#factPropertyHeadline').pgNotification({
        message: 'Hidden element can\'t be located in the document',
        position: 'left',
        timeout: 3000,
        type: 'info'
      }).show();
    }

    
    var isScrollToView = true;
    $scope.selectedName = _name;
    $scope.selectedContextRef = _contextRef;
    $scope.selectedUniqueIdentifier = _uniqueIdentifier;
    if(_isHidden != "1")
    {
      $scope.scrollToView();
    }
    
    $scope.getFactDetail(_uniqueIdentifier, _name, _contextRef);
  };

  $scope.getNextOrPreviousFactDetail = function(isNext)
  {
    var sequence = $scope.factDetail.Sequence;
    if(isNext) {
      sequence = sequence + 1;
    } else {
      sequence = sequence - 1;
    }

    angular.forEach($scope.factLists, function(obj, key) {
      if(obj.Sequence == sequence) {
        $scope.factDetail = obj;
        $scope.viewCalculationAndDefinitionDataInFactProperties();
        $scope.selectedName = $scope.factDetail.TagName;
        $scope.selectedContextRef = $scope.factDetail.ContextRef;
        $scope.selectedUniqueIdentifier = $scope.factDetail.ElementIdentifier;
        var _pageIdentifier = $scope.factDetail.PageIdentifier;
        if(!$scope.factDetail.IsHiddenElement)
        {
          $scope.scrollToView();

          $scope.highlightTextBlockingElement(iframe);
        }
      }
    });
  };

  $scope.applyHighlight = function(child, color) {
    // child.attr("style", "background-color:"+color+";display:inherit;cursor: pointer");
    child.css({'background-color': color})
  };

  $scope.findAllTags = function(children, color) {
    if (typeof children == "undefined" || children.length === 0) {
      return;
    }
    children.each(function(){
      var child = $(this);
      if (child.children().length > 0) {
        $scope.findAllTags(child.children(), color);
      }
      $scope.applyHighlight(child, color);
    });
  };

  $scope.initDocumentViewer = function()
  {
    var docLoadingNotification = $('#factPropertyHeadline').pgNotification({
      style: 'circle',
      title: 'Document is loading...',
      message: 'Viewer is preparing the document',
      position: 'right',
      timeout: 0,
      type: 'success'
    });
    docLoadingNotification.show();

    var iframe1 = $('#inlineviewer').contents();
    $('#page-container').on('click', '.org-ixbrl-element', function(e) {
      var name = $(this).children().attr("name");
      var contextRef = $(this).children().attr("contextref");
      var uniqueIdentifier = $(this).attr("id");

      if($(this).attr('class') == "org-ixbrl-element org-ixbrl-selected-element") {
        $(this).removeAttr("style");
        $(this).attr("style", "background-color:#FFFF00;cursor: pointer");
        $scope.findAllTags($(this), "#FFFF00");
        $(this).removeClass("org-ixbrl-selected-element");
      } else {
        iframe1.find(".org-ixbrl-selected-element").removeAttr("style");
        // iframe1.find(".org-ixbrl-selected-element").attr("style", "background-color:#FFFF00;cursor: pointer");
        iframe1.find(".org-ixbrl-selected-element").each(function() {
          $scope.findAllTags($(this), "#FFFF00");
        });
        iframe1.find(".org-ixbrl-selected-element").removeClass("org-ixbrl-selected-element");

        iframe1.find(".org-ixbrl-focused-element").removeAttr("style");
        iframe1.find(".org-ixbrl-focused-element").attr("style", "background-color:orange;cursor: pointer");

        // $(this).attr("style", "background-color:greenyellow;cursor: pointer");
        $(this).addClass("org-ixbrl-selected-element");
        iframe1.find(".org-ixbrl-selected-element").each(function() {
          $scope.findAllTags($(this), "greenyellow");
        });
      }

      console.log("name=" + name);
      console.log("contextRef=" + contextRef);
      console.log("uniqueIdentifier=" + uniqueIdentifier);
      $scope.getFactDetail(uniqueIdentifier, name, contextRef);
      e.stopPropagation();
    });

    // iframe1.find("#page-container").each(function() {
    //   $(this).attr("style", "overflow: visible");
    //   return false;
    // });
    $("#page-container").attr("style", "overflow: revert;margin-top: -15px");
    iframe1.find(".org-ixbrl-element").each(function() {
      $scope.findAllTags($(this), "#FFFF00");
    });
  };

  $scope.scrollToView = function()
  {
    $('.fp-element-class').css({ '-webkit-box-orient' : 'vertical'});
    var iframe1 = $('#inlineviewer').contents();
    iframe1.find(".org-ixbrl-selected-element").removeAttr("style");
    iframe1.find(".org-ixbrl-selected-element").attr("style", "background-color:#FFFF00;cursor: pointer"); //Yellow Color
    iframe1.find(".org-ixbrl-selected-element").removeClass("org-ixbrl-selected-element");
    iframe1.find(".org-ixbrl-element").each(function() {
      $(this).children().attr("style", "background-color:#FFFF00;display:inherit;cursor:pointer");
    });
    iframe1.find(".org-ixbrl-element").each(function() {
      $scope.findAllTags($(this), "#FFFF00");
    });
    
    $scope.highlightSearchText(iframe1);

    var isNonFractionElemFound = false;
    iframe1.find(".org-ixbrl-element").each(function(index) {
      if($(this).children()[0].tagName.toLowerCase() !== "ix:continuation") {
        var name = $(this).children().attr("name");
        var contextRef = $(this).children().attr("contextref");
        var uniqueIdentifier = $(this).attr("id");
        if($scope.selectedName == name && $scope.selectedContextRef == contextRef && $scope.selectedUniqueIdentifier == uniqueIdentifier) {
          console.log("Match Found");
          if(!$(this).children().hasClass("non-numberic")) {
            isNonFractionElemFound = true;
          }
          $(this).attr("style", "background-color:greenyellow;cursor: pointer");
          $(this).children().attr("style", "background-color:greenyellow;cursor: pointer");
          $(this).addClass("org-ixbrl-selected-element");
          $(this).children().each(function() {
            $scope.findAllTags($(this), "greenyellow");
          });
          $(this)[0].scrollIntoView({block: "center"});
          return false;
        } 
      }
  
    });

    if(isNonFractionElemFound) {
      return false;
    }

    var isNonNumbericElemFound = false;
    iframe1.find(".non-numberic").each(function() {
      $(this).attr("style", "background-color:#FFFF00;display:inherit;cursor: pointer");
      $(this).children().attr("style", "background-color:#FFFF00;display:inherit;cursor: pointer");
      var name = $(this).attr("name");
      var contextRef = $(this).attr("contextref");
      var uniqueIdentifier = $(this).parent().attr("id");
      if($scope.selectedName.trim() == name.trim() && $scope.selectedContextRef.trim() == contextRef.trim() && $scope.selectedUniqueIdentifier.trim() == uniqueIdentifier.trim()) {
        isNonNumbericElemFound = true;
        console.log("Non Numberic :: Match Found");
        $(this).removeAttr("style");
        $(this).attr("style", "background-color:greenyellow;display:inherit;cursor: pointer");
        $(this).children().removeAttr("style");
        $(this).children().attr("style", "background-color:greenyellow;display:inherit;cursor: pointer");
        $(this).children().each(function() {
          $scope.findAllTags($(this), "greenyellow");
        });
        $(this)[0].scrollIntoView({block: "center"});
        return false;
      } 
    });

    iframe1.find(".continuation").each(function() {
      $(this).attr("style", "background-color:#FFFF00;display:inherit;cursor: pointer");
      $(this).children().attr("style", "background-color:#FFFF00;display:inherit;cursor: pointer");
    });

    if(isNonNumbericElemFound) {
      iframe1.find("#"+$scope.selectedUniqueIdentifier).find(".non-numberic, .org-ixbrl-element, .continuation").removeAttr("style");
      iframe1.find("#"+$scope.selectedUniqueIdentifier).find(".non-numberic, .org-ixbrl-element, .continuation").attr("style", "background-color:greenyellow;display:inherit;cursor: pointer");
      iframe1.find("#"+$scope.selectedUniqueIdentifier).find(".non-numberic, .org-ixbrl-element, .continuation").children().removeAttr("style");
      iframe1.find("#"+$scope.selectedUniqueIdentifier).find(".non-numberic, .org-ixbrl-element, .continuation").children().attr("style", "background-color:greenyellow;display:inherit;cursor: pointer");
    }

    //Hightlight appendtags
    var listOfAppendTags = [];
    var isAppendTag = false;
    var isLowerCaseAttr = false;
    console.log($scope.selectedUniqueIdentifier);
    console.log(iframe1.find("#" + $scope.selectedUniqueIdentifier));
    console.log(iframe1.find("#" + $scope.selectedUniqueIdentifier).children());
    if(iframe1.find("#" + $scope.selectedUniqueIdentifier).children().attr("continuedat")) {
      isLowerCaseAttr = true;
      isAppendTag = true;
    } else if(iframe1.find("#" + $scope.selectedUniqueIdentifier).children().attr("continuedAt")) {
      isLowerCaseAttr = false;
      isAppendTag = true;
    }
    
    if(isAppendTag)
    {
      var attrName = isLowerCaseAttr ? "continuedat" : "continuedAt";
      listOfAppendTags.push(iframe1.find("#" + $scope.selectedUniqueIdentifier).children().attr(attrName));
      var continuedAt = iframe1.find("#" + $scope.selectedUniqueIdentifier).children().attr(attrName);
      while(true)
      {
        var elem = iframe1.find("#" + continuedAt);
        if(!elem.attr(attrName)) {
          break;
        }

        continuedAt = elem.attr(attrName);
        listOfAppendTags.push(continuedAt);
      }

      if(listOfAppendTags.length > 0) {
        for(var i=0; i<listOfAppendTags.length; i++) {
          // iframe1.find("#" + listOfAppendTags[i]).attr("style", "background-color:greenyellow;display:inherit;cursor: pointer");
          // iframe1.find("#" + listOfAppendTags[i]).children().attr("style", "background-color:greenyellow;display:inherit;cursor: pointer");
          iframe1.find("#" + listOfAppendTags[i]).each(function() {
            $scope.findAllTags($(this), "greenyellow");
          });
        }
      }
    }

    console.log(listOfAppendTags);

    $scope.triggerFocused = false;
    $scope.triggerFocusedElement = "";
    
  };

  $scope.highlightSearchText = function(iframe1) {
    if($scope.triggerFocused) {
      var selector = '[name="'+$scope.triggerFocusedElement+'"]';
      iframe1.find(selector).each(function() {
        // $(this).parent().attr("style", "background-color:orange;cursor: pointer");
        $scope.findAllTags($(this), "orange");
        $(this).parent().addClass("org-ixbrl-focused-element"); 
      });
    } else {
      angular.forEach($scope.filterData, function(obj, key) {
        var selector = '[name="'+obj.fact_name+'"]';
         iframe1.find(selector).each(function() {
          var contextRef = $(this).attr("contextref");
          if(contextRef == obj.context_ref) {
            // $(this).parent().attr("style", "background-color:orange;cursor: pointer");
            $scope.findAllTags($(this), "orange");
            $(this).parent().addClass("org-ixbrl-focused-element"); 
          }
        });
      }); 
    }
  };

  // $scope.toggleCollapse = function()
  // {
  //   if($(".card-advance").hasClass("card-collapsed")) {
  //     $(".card-advance").removeClass("card-collapsed");
  //     $(".card-collapse").find('i').addClass("pg-arrow_maximize");
  //     $(".card-collapse").find('i').removeClass("pg-arrow_minimize");
  //     $(".card-advance").find(".card-body").removeAttr("style", "display:none");
  //     $("#iframeId").attr("style", "height:70vh;width:100% !important;margin-left: -7px;");
  //     $(".card-fact-properities").attr("style", "height:64vh;overflow-y: scroll;width: 105%");
  //     $(".card-maximize-tab").attr("style", "height:20vh;position: relative;bottom: 0px;");
  //     $(".card-maximize-tab").removeClass("card-maximized");

  //   } else {
  //     $(".card-advance").addClass("card-collapsed");
  //     $(".card-collapse").find('i').removeClass("pg-arrow_maximize");
  //     $(".card-collapse").find('i').addClass("pg-arrow_minimize");
  //     $(".card-advance").find(".card-body").attr("style", "display:none");
  //     $("#iframeId").attr("style", "height:50vh;width:100% !important;margin-left: -7px;");
  //     $(".card-fact-properities").attr("style", "height:44vh;overflow-y: scroll;width: 105%");
  //     $(".card-maximize-tab").attr("style", "height:40vh;position: relative;bottom: 0px;");
  //     $(".card-maximize-tab").removeClass("card-maximized");
  //   }
  // };

  $scope.toggleMaximize = function()
  {
    if($(".card-maximize-tab").hasClass("card-maximized")) {
      $(".card-maximize-tab").removeClass("card-maximized");
      $(".card-maximize-tab").removeAttr("style");
      $(".card-icon-maximize").removeClass("pg-fullscreen_restore");
      $(".card-icon-maximize").addClass("pg-fullscreen");
      $(".card-maximize-tab").attr("style", "height:30vh");
      $(".dataTables_scrollBody").attr("style", "position: relative;overflow: auto;max-height: 18vh;width: 100%;");
      $(".presentation_scrollBody").attr("style", "position: relative;bottom: 18px;height: 25vh");
      $(".calculation_scrollBody").attr("style", "position: relative;bottom: 18px;height: 25vh");
      $(".definition_scrollBody").attr("style", "position: relative;bottom: 18px;height: 25vh");
    } else {
      $(".card-maximize-tab").addClass("card-maximized");
      $(".card-maximize-tab").attr("style", "left: 0px; top: 95px; overflow: scroll");
      $(".card-icon-maximize").addClass("pg-fullscreen_restore");
      $(".card-icon-maximize").removeClass("pg-fullscreen");
      $(".dataTables_scrollBody").attr("style", "position: relative;overflow: auto;max-height: 55vh;width: 100%;");
      $(".presentation_scrollBody").attr("style", "position: relative;bottom: 18px;height: 55vh");
      $(".calculation_scrollBody").attr("style", "position: relative;bottom: 18px;height: 55vh");
      $(".definition_scrollBody").attr("style", "position: relative;bottom: 18px;height: 55vh");
    }
  };


  $scope.iframeSize = 1.0;
  $scope.iframeZoom = function(isZoom) {
    if(isZoom) {
      $scope.iframeSize = $scope.iframeSize + 0.1;
    } else {
      $scope.iframeSize = $scope.iframeSize - 0.1;
    }
    // $("#page-container").attr("style", "zoom: "+$scope.iframeSize);
    $("#page-container").attr("style", "zoom: "+$scope.iframeSize+";overflow:revert;margin-top: -15px;");
    return false;
  };


  // $scope.triggerAFV = function(gridObj)
  // {
  //   if(gridObj.parent_id == "")
  //     return true;
    
  //   var factName = gridObj.Name;
  //   $scope.filter.exactMatch = true;
  //   var regex = '\\b' + factName + '\\b';
  //   $('#viewerTable').DataTable().column( 1 ).search(
  //   regex, true, false
  //   ).draw();

  //   var keepGoing = true;
  //   angular.forEach($scope.factLists, function(obj, key) {
  //     if(keepGoing) {
  //       if(obj.TagName == factName) {
  //         $scope.triggerFocused = true;
  //         $scope.triggerFocusedElement = factName;
  //         $scope.handleGridClick(obj.ElementIdentifier, obj.TagName, obj.ContextRef, obj.PageIdentifier, obj.IsHiddenElement);
  //         keepGoing = false; 
  //       }
  //     }  
  //   });

  //   this.$apply($scope.triggerAFVTabClick(factName));

  // };

  $scope.triggerAFV = function(gridObj, type)
  {
    if(gridObj.ParentId == "")
      return true;
    
    $scope.filterData = [];
    var factName = gridObj.Name;
    $scope.filter.exactMatch = true;
    var parentId = gridObj.Id;
    var regex = '\\b';
    var index = 0;
    if(parentId != "") {
      var elemObj = [];
      if(type == 1) {
        elemObj = $scope.presentationData;
      } else if(type == 2) {
        elemObj = $scope.calculationData;
      } else if(type == 3) {
        elemObj = $scope.definitionData;
      }
      angular.forEach(elemObj, function(obj, key) {
          if(parentId == obj.ParentId) {
            if(index > 0) {
              regex += "|" + obj.Name ;
            } else {
              regex +=  obj.Name ;
            }
            index++;
          }
      });
    }

    if(index > 0) {
      regex += "|" + factName + '\\b';
    } else {
      regex += factName + '\\b';
    }
    console.log(regex);
    $('#viewerTable').DataTable().column( 1 ).search(
    regex, true, false
    ).draw();

    var keepGoing = true;
    angular.forEach($scope.factLists, function(obj, key) {
      if(keepGoing) {
        if(obj.TagName == factName) {
          $scope.triggerFocused = true;
          $scope.triggerFocusedElement = factName;
          $scope.handleGridClick(obj.ElementIdentifier, obj.TagName, obj.ContextRef, obj.PageIdentifier, obj.IsHiddenElement);
          keepGoing = false; 
        }
      }  
    });

    this.$apply($scope.triggerAFVTabClick(factName));

  };

  $scope.triggerAFVTabClick = function(factName) {
    $('#show-search-option').children().removeClass("fa fa-search");
    $('#show-search-option').children().addClass("fa fa-close");
    $("#search-element").val(factName);
    $(".card-search").removeClass("hide");
    $(".grid-filter").show();
    $('[data-target="#fact-viewer"]').trigger('click');
  };

  $scope.openReadMeModel = function()
  {
    $("#popupModal").modal('show');
  };

  $scope.highlightTextBlockingElement = function(iframe)
  {
    //to highlight the address group div's
    iframe.find(".non-numberic").each(function() {
      $(this).children().attr("style", "background-color:#FFFF00;display:inherit;");
    });

    iframe.find(".continuation").each(function() {
      $(this).children().attr("style", "background-color:#FFFF00;display:inherit;");
    });
  };

  $scope.iframeMaximize = function() {
    $('#iframe-panel').addClass("col-md-12");
    $('#fact-properities-panel').attr("style", "display: none");
    $('.iframe-maximize').addClass('hide');
    $('.iframe-minimize').removeClass('hide');
  };

  $scope.iframeMinimize = function() {
    $('#iframe-panel').removeClass("col-md-12");
    $('#fact-properities-panel').removeAttr("style");
    $('#fact-properities-panel').attr("style", "background-color: white;padding-left: 0px;");
    $('.iframe-minimize').addClass('hide');
    $('.iframe-maximize').removeClass('hide');
  };

  $scope.showAFV = function() {
    $("#inlineviewer").attr("style", "height:60vh;width:100% !important;overflow: scroll;");
    $('.card-maximize-tab').attr("style", "height:30vh;");
    $(".card-fact-properities").attr("style", "height:54vh;overflow-y: scroll;width: 105%");
    $('.show-afv').addClass('hide');
    $('.hide-afv').removeClass('hide');
  };

  $scope.hideAFV = function() {
    $("#inlineviewer").attr("style", "height:90vh;width:100% !important;overflow: scroll;");
    $('.card-maximize-tab').removeAttr("style");
    $('.card-maximize-tab').attr("style", "display: none");
    $(".card-fact-properities").attr("style", "height:80vh;overflow-y: scroll;width: 105%");
    $('.hide-afv').addClass('hide');
    $('.show-afv').removeClass('hide');
  };

  $scope.showReferenceModal = function(referenceName) {
    $("#referenceModal").modal('show');
    $scope.isRefPageLoading = true;
    $scope.references = [];
    var factName = referenceName.substring(referenceName.indexOf(":")+1);
    var data = [];
    angular.forEach($scope.referenceData, function(obj, key) {
      if(obj.ElementName == factName) {
        data.push(obj);
      }
    });
    $timeout(function() {
        $scope.references = data;
        $scope.isRefPageLoading = false;
    }, 1000);
  };

  $scope.expandValueText = function() {
    if( $('.fp-element-class').css('-webkit-box-orient') == 'vertical' ) {
       $('.fp-element-class').css({ '-webkit-box-orient' : 'unset'});
    } else {
       $('.fp-element-class').css({ '-webkit-box-orient' : 'vertical'});
    }
  };

  $scope.finderActivate = function() {
    finderActivate();
  };

  $scope.showCalculationModal = function(id, elementName, parentIndex) {
    $scope.calculationSummary = {};
    $scope.calculationSummary.elementName = elementName;
    $scope.calculationSummary.parentIndex = parentIndex;
    $scope.calculationSummary.periods = $scope.periods;
    $scope.calculationSummary.periodValueName = [];
    $scope.calculationSummary.periodValues = [];
    console.log($scope.periods);

    var columnIndex = 0;
    var totalPeriod = $scope.calculationSummary.periods.length;
    var name = ['Calculated', 'Mapped', 'Difference'];
    for(var i=0; i<totalPeriod; i++)
    {
      console.log("TotalPeriod=" + totalPeriod);
      var isValueExists = false;
      for(var j=0; j<3; j++)
      {
        if($scope.period_values[parentIndex][columnIndex] !== "-") {
          isValueExists = true;
        }
        columnIndex++;
  
      }

      if(!isValueExists) {
        console.log("i=" + i);
        //$scope.calculationSummary.periods.splice(i, 1);
        console.log($scope.calculationSummary.periods);

        $scope.calculationSummary.periods = jQuery.grep($scope.calculationSummary.periods, function(value) {
          return value != $scope.periods[i];
        });
      }
    }

    angular.forEach($scope.calculationSummary.periods, function(obj, key) {
      console.log(obj);
      console.log($scope.period_values[parentIndex]);
      angular.forEach($scope.periods, function(obj1, key1) {
        if(obj == obj1) {
          var columnIndex = key1 * 3;
          for(var j=0; j<3; j++)
          {
            var indexValue = $scope.period_values[parentIndex][columnIndex];
            $scope.calculationSummary.periodValues.push(indexValue);
            columnIndex++;
          }
        } 
      });
    });

    for(var i=0; i<$scope.calculationSummary.periods.length; i++) {
      $scope.calculationSummary.periodValueName = $scope.calculationSummary.periodValueName.concat(name);
    };

    //get child element calculation
    $scope.calculationSummary.directChilds = [];
    var totalCalculation = $scope.calculations.length;
    var indexValue = parentIndex + 1;
    for(var index = indexValue; index < totalCalculation; index++) {
       if($scope.calculations[index].ParentId == id) {
        var childElement = $scope.calculations[index].Name;
        var childIndex = index;
        var periods = $scope.periods;
        var childColumnIndex = 0;
          for(var i=0; i<totalPeriod; i++)
          {
            var isValueExists = false;
            for(var j=0; j<3; j++)
            {
              if($scope.period_values[index][childColumnIndex] !== "-") {
                isValueExists = true;
              }
              childColumnIndex++;
            }

            if(!isValueExists) {
              periods = jQuery.grep($scope.calculationSummary.periods, function(value) {
                return value != $scope.periods[i];
              });
            }
          }
          
          var periodValues = [];
          angular.forEach(periods, function(obj, key) {
            angular.forEach($scope.periods, function(obj1, key1) {
              if(obj == obj1) {
                var columnIndex = key1 * 3;
                for(var j=0; j<3; j++)
                {
                  var indexValue = $scope.period_values[childIndex][columnIndex];
                  periodValues.push(indexValue);
                  columnIndex++;
                }
              } 
            });
          });

          $scope.calculationSummary.directChilds.push({'childElementName': childElement, 'childIndex': childIndex, 'childPeriods': periods, 'periodValues': periodValues});
       }
    };

    // $scope.calculationSummary.elementName = elementName;
    // $scope.calculationSummary.parentIndex = parentIndex;
    // $scope.calculationSummary.periods = $scope.periods;


    console.log($scope.calculationSummary.periods);
    // console.log($scope.calculationSummary);
    $("#calculationModal").modal('show');
  };
 
}]);



